Microsoft Office 物件模型

AnswerWizard
AnswerWizardFiles
Assistant
Balloon
BalloonCheckboxes
BalloonCheckbox
BalloonLabels
BalloonLabel
COMAddIns
COMAddIn
CommandBarButton
CommandBarControl
CommandBarComboBox
CommandBarControl
CommandBarPopup
CommandBarControl
DocumentProperties
DocumentProperty
FileDialog
FileDialogFilters
FileDialogFilter
FileDialogSelectedItems
FileSearch
FileTypes
FoundFiles
PropertyTests
PropertyTest
SearchFolders
ScopeFolder
ScopeFolders
SearchScopes
SearchScope
ScopeFolder
ScopeFolders
HTMLProject
HTMLProjectItems
HTMLProjectItem
LanguageSettings
MsoEnvelope
CommandBars
NewFile
OfficeDataSourceObject
ODSOColumns
ODSOColumn
ODSOFilters
ODSOFilter
Scripts
Script
SignatureSet
Signature
WebPageFonts
WebPageFont

圖例

物件及集合
僅適用於物件


Microsoft Office Developer 的新設定特性

Microsoft Office Visual Basic 物件模組中的擴充特性已作了一些變更，加入了許多物件、屬性、方法和事件，以支援共用元件中新的和經過改進的特性。

請瀏覽 MSDN Online 的 Office Developer Center，以取得最新的 Microsoft Office 發展資訊，包含新技術文章、下載、範例、產品新知及其他。

新語言元件

下列主題提供了 Office 中新語言元件的清單。

新增加的物件

新增加的屬性 (依物件順序排列)

新增加的屬性 (依英文字母或中文字順序排列)

新增加的方法

新增加的事件


新增加的物件

拜訪 MSDN Online 的 Office Developer Center 以得到 Microsoft Office 最新開發資訊，包括新的技術文章、下載、範例、產品新知以及其他。

下表列出已新增至 Microsoft Office 的 Visual Basic 中的物件。

物件
FileDialog
FileDialogFilter
FileDialogFilters
FileDialogSelectedItems
FileTypes
MsoEnvelope
NewFile
ODSOColumn
ODSOColumns
ODSOFilter
ODSOFilters
OfficeDataSourceObject
ScopeFolder
ScopeFolders
SearchFolders
SearchScope
SearchScopes
Signature
SignatureSet


新增加的事件

下表列出了 Microsoft Office 的新事件。

事件
EnvelopeHide
EnvelopeShow


新增加的方法

在下列表格中列出已新增至 Microsoft Office 現有物件中的方法，按物件排序。

物件 方法
Assistant
 DoAlert
FileSearch
 RefreshScopes
OfficeDataSourceObject
 ApplyFilter

SetSortOrder


新增加的屬性（依英文字母或中文字順序排列）

下表列出在 Microsoft Office 的現有物件中加入的新屬性（根據英文字母或中文字表格排序）。

屬性
AllowMultiSelect
AttachCertificate
ButtonName
Column
Columns
CommandBars
CompareTo
Comparison
Conjunction
ConnectString
DataSource
DialogType
DisableAskAQuestionDropdown
DisableCustomize
ExpireDate
Extensions
FileTypes
FilterIndex
Filters
InitialFileName
InitialView
Introduction
IsCertificateExpired
IsCertificateRevoked
Issuer
IsValid
Mask
Path
Picture
RowCount
ScopeFolder
ScopeFolders
SearchFolders
SearchScopes
SelectedItems
SignDate
Signer
Table


新增加的屬性（依物件順序排列）

下表列出在 Microsoft Office 的現有物件中加入的新屬性（按物件名稱排序）。

物件 | 屬性
CommandBarButton | Mask Picture
CommandBars | DisableAskAQuestionDropdown DisableCustomize
FileDialog | AllowMultiSelect ButtonName DialogType FilterIndex Filters InitialFileName InitialView SelectedItems
FileDialogFilter | Extensions
FileSearch | FileTypes SearchFolders SearchScopes
MsoEnvelope | CommandBars Introduction
ODSOFilter | Column CompareTo Comparison Conjunction
OfficeDataSourceObject | Columns ConnectString DataSource Filters RowCount Table
ScopeFolder | Path ScopeFolders
SearchScope | ScopeFolder
Signature | AttachCertificate ExpireDate IsCertificateExpired IsCertificateRevoked Issuer IsValid SignDate Signer


Office 小幫手簡介

此主題中部分內容可能不適用於某些語言。

Office 小幫手、[Office 小幫手] 汽球式說明和汽球式說明中的所有項目均可透過 Assistant 物件的物件、屬性和方法，撰寫程式來控制。

以下描述顯示了 [Office 小幫手]、[Office 小幫手] 汽球式說明以及汽球式說明中所有可執行程式控制的物件：

Office 小幫手、Balloon 物件及汽球式說明內可編寫的程式元件

關於如何對 [Office 小幫手] 進行設計階段和執行期修改的詳細資訊，請參閱下列說明主題：

使用 Office 小幫手

建立和修改汽球式說明

在執行階段修訂汽球式說明


命令列概觀

此主題中部分內容可能不適用於某些語言。

在 Microsoft Office 2000 中，工具列、功能表列和快顯功能表都可由同一種型態的物件進行程式撰寫控制，這些物件就是命令列。以下所列的各項目在 Visual Basic 中均可由 CommandBar 物件代表：

  • 功能表列、工具列和快顯功能表
  • 功能表列和工具列中的功能表
  • 功能表中的子功能表、子功能表和快顯功能表

對任意內建功能表或工具列均可進行修改，也可為 Visual Basic 應用程式建立和修改自訂工具列、功能表列和快顯功能表。應用程式的功能單元可表現為工具列中個別的按鈕，也可表現為功能表中的一組指令名稱。因為工具列和功能表都是命令列，所以在其中可使用同樣的命令列控制項。例如，以下說明中的固定工具列包含三個按鈕。

以下描述中所述的功能表包含三個指令，這三個指令與前述描述中的按鈕相同，但在這裡他們以功能表項目顯示。

在 Microsoft Office 中，功能表列和工具列都可包含功能表。以下描述中所述的浮動工具列包含三個按鈕，還包含一個功能表，同樣的三個指令在該功能表中以功能表項目顯示。

在 Visual Basic 中，按鈕和功能表項目均由 CommandBarButton 物件代表。顯示功能表和子功能表的快顯控制項由 CommandBarPopup 物件代表。在以下描述中，名稱為 "Menu" 的控制項和名稱為 "Submenu" 的控制項均為快顯控制項，他們分別顯示功能表和子功能表。該功能表和子功能表都是獨立的 CommandBar 物件，具有各自的一套控制項。

在 Microsoft Office 中，還可在任何命令列中新增文字方塊、下拉式清單方塊和組合方塊。這三種型態的控制項在 Visual Basic 中均可由 CommandBarComboBox 物件代表。

附註 命令列控制項和 ActiveX 控制項儘管具有相似的外觀和功能，但兩者並不相同。故既無法在命令列中新增 ActiveX 控制項，也無法在文件或表格中新增命令列控制項。

收納器應用程式中的內建命令列控制項在 Visual Basic 中也可由 CommandBarButton、CommandBarPopup 和 CommandBarComboBox 物件代表，儘管他們的外觀和功能可能比使用者自己可新增的控制項更複雜。對內建控制項可修改其位置和外觀，但無法修改他們的內建功能，然而可為內建控制項指定一個自訂巨集來完全取代其內建功能。


使用命令列

一般來說，要為 Visual Basic 應用程式建立或修改命令列、功能表和快顯功能表，應用該收納器應用程式的自訂功能單元。用收納器應用程式的自訂功能單元對工具列、功能表、快顯功能表所作的修改，稱為「設計期間」修改。關於用收納器應用程式作設計期間修改的詳細資訊，請參閱該應用程式的線上說明。

在 Visual Basic 程式中使用 Microsoft Office 物件模式的 CommandBars 部份可新增和修改工具列、功能表和快顯功能表 (及其內部成分)。您可以可寫程式建立工具列和功能表。實際上，該程式模擬設計期間修改程序。然而，在一些收納器應用程式中，可能需要用這種 Visual Basic 程式和自訂介面的組合來設計 Visual Basic 應用程式。以下是一些常見的領域，會利用到程式和收納器應用程式介面組合：

  • 如果收納器應用程式沒有提供介面來新增或修改工具列中的文書編輯方塊、下拉式清單方塊或組合方塊，那麼須用 Visual Basic 程式來新增和設計這些控制項。
  • 如果收納器應用程式提供介面來建立工具列，但沒有提供介面建立新的功能表，那麼就需用 Visual Basic 來建立功能表。用 Visual Basic 建立了功能表後，就可用收納器應用程式介面在該功能表上設計功能表了。
  • 如果收納器應用程式沒有提供方法在顯示自訂介面時顯示自訂快顯功能表，那麼就需用 Visual Basic 程式修改那些快顯功能表。

您可以撰寫放在 Visual Basic 應用程式中的程式，就可以在執行應用程式時修改工具列和功能表 (例如，您可以撰寫程式使功能表中某條指令在一定的條件下無效，或根據使用者的選擇在工具列中新增按鈕)。在 Visual Basic 應用程式執行階段，由程式引起的改變稱為「執行階段」修改。

參閱以下說明主題，以瞭解如何用 Visual Basic 程式對工具列和功能表作設計期間修改和執行階段的修改。

新增和修改工具列

新增和管理功能表列和功能表項目

新增和顯示快顯功能表

附註 工作窗格為 CommandBar 物件類型，可參照如下：

Dim cbTaskPane As CommandBar
Set cbTaskPane = Application.CommandBars("Task Pane")
MsgBox "The current task pane's title is """ & cbTaskPane.Controls(1).Caption & """"
但是有許多命令列方法或屬性再套用至「工作窗格」時，並不會表現出一般 CommandBar 物件該有的動作。例如，Delete 與 ShowPopup 方法不會造成影響，也不會變更 AdaptiveMenu、Context、Name、NameLocal 或 Protection 屬性的值。


新增和修改工具列

所有主應用程式都有一個延伸介面來新增和設計自訂工具列 (新增內建按鈕、新增巨集作為按鈕、甚至新增快顯控制項到工具列)。用 Visual Basic 程式所作的設計期間修改通常是新增或修改組合方塊控制項。而用程式對工具列所作的改變幾乎完全限於執行階段修改 (改變按鈕的狀態、改變按鈕的外觀、改變按鈕的功能等等)。

對工具列作執行階段修改

在執行階段可對工具列作若干種不同的修改。其中之一是改變命令列按鈕在工具列上的狀態。每個按鈕控制項都有兩種活動狀態：下壓的 (True) 和未下壓的 (False)。要改變按鈕控制項的狀態，可給 State 屬性賦予適當的常數，如本內容提要後面資料表中所述。

在執行階段可作的另一種修改是改變按鈕的外觀或功能。要改變按鈕的外觀而不改變其功能，可用 CopyFace 和 PasteFace 方法。這些方法可用於從某個特殊按鈕複製圖示到 [剪貼簿]，或將該按鈕圖示匯入另一個應用程式以改變其某些特性。用 PasteFace 方法可將按鈕圖示從[剪貼簿] 轉移到指定的按鈕上。

要將按鈕的動作改為自訂的功能，可給該按鈕的 OnAction 屬性指定一個自訂程序名稱。

下表列舉了大多數常用的修改按鈕狀態、外觀或動作的屬性和方法。

屬性或方法 | 敘述
CopyFace, PasteFace | 在按鈕的介面上複製或貼上影像。請使用 CopyFace 方法來將指定按鈕的介面複製到 [剪貼簿]。請使用 PasteFace 方法來將 [剪貼簿] 的內容貼到指定按鈕的介面上。如果 [剪貼簿] 是空的，PasteFace 方法將會失敗。如果剪貼簿上的影像對按鈕介面而言太大的話，也無法將影像縮小。 一般來說，在設計期間複製和貼上按鈕圖示更方便，但也可在執行階段修改按鈕圖示。還可用 FaceId 屬性為按鈕指定一個不同的內建按鈕圖示。
Id | 指定代表按鈕內建函數的值。例如，一個可在 [剪貼簿] 上，複製突出顯示文字的按鈕，具有的 Id 值為 19。
State | 指定按鈕的外觀或狀態。該值可以是下列 MsoButtonState 常數之一：msoButtonDown、msoButtonMixed 或 msoButtonUp。
Style | 指定按鈕圖示是顯示其圖示還是顯示其標題。可以是下列 MsoButtonStyle 常數之一：msoButtonAutomatic、msoButtonIcon、msoButtonCaption、msoButtonIconAndCaption、msoButtonIconAndCaptionBelow、msoButtonIconAndWrapCaption、msoButtonIconAndWrapCaptionBelow 或 msoButtonWrapCaption。
OnAction | 指定在使用者按一下按鈕、顯示功能表或變更一個組合方塊控制項的內容時執行的程序。
Visible | 指定控制項對使用者是顯示還是隱藏。
Enabled | 使一個命令列生效或失效。失效的命令列名稱固定不顯示在有效命令列清單中。

以下範例會建立包含單一命令列按鈕的新命令列。透過使用 CommandBarButton 物件的 OnAction 屬性，您可以使用 CopyFace 方法來將內建 Open 按鈕的按鈕介面複製到剪貼簿上，然後再使用 PasteFace 方法將介面貼到現有按鈕上。這樣在執行階段就會變更命令列按鈕的外觀。

Sub testAddModifyToolbars1()
Set myBar = CommandBars _
    .Add(Name:="ChangingButton", Position:=msoBarTop, _
    Temporary:=True)
myBar.Visible = True
Set oldControl = myBar.Controls _
    .Add(Type:=msoControlButton, _
    ID:=CommandBars("Standard").Controls("Copy").Id)
oldControl.OnAction = "changeFaces"
End Sub

Sub changeFaces()
Set newControl = CommandBars.FindControl _
    (Type:=msoControlButton, _
    ID:=CommandBars("Standard").Controls("Paste").Id)
newControl.CopyFace
Set oldControl = _
CommandBars("ChangingButton").Controls(1)
oldControl.PasteFace
End Sub

新增和修改組合方塊控制項

文書編輯方塊、下拉式清單方塊和組合方塊都是功能強勁的新控制項，可以新增到 Visual Basic 應用程式的工具列中。然而，大多數收納器應用程式需要用 Visual Basic 程式來設計這些控制項。要設計一個組合方塊控制項，可用下表所述的屬性和方法。

屬性或方法 | 敘述
Add | 給 Type 變數指定以下 MsoControlType 常數之一，可在命令列中新增一個組合方塊控制項。這些常數是：msoControlEdit、msoControlDropdown 或 msoControlComboBox。
AddItem | 將項目加入下拉式清單方塊或組合方塊的下拉式清單中。您可以指定現有清單中新項目的索引數目，但是如果這個數目大於清單中的項目數，則 AddItem 方法會失敗。
Caption | 為組合方塊控制項指定標籤。如果將 Style 屬性設定為 msoComboLabel，那麼該標籤將在該控制項目旁顯示。
Style | 確定指定控制項的標題是否顯示在該控制項旁。可以是下列 MsoComboStyle 常數之一：msoComboLabel (顯示標籤) 或 msoComboNormal (不顯示標籤)。
OnAction | 指定在使用者變更組合方塊控制項的內容時，所要執行的程序。

以下範例會將組合方塊加入自訂工具列，並將名為 "ScrollToQuarter" 的巨集加入組合方塊中。

Set myBar = CommandBars _
    .Add(Name:="Custom", Position:=msoBarTop, _
    Temporary:=True)
myBar.Visible = True
Set newCombo = myBar.Controls _
    .Add(Type:=msoControlComboBox)
With newCombo
    .AddItem "Q1"
    .AddItem "Q2"
    .AddItem "Q3"
    .AddItem "Q4"
    .Style = msoComboNormal
    .OnAction = "ScrollToQuarter"
End With

每次使用者變更控制項時，就會在應用程式正在執行時，呼叫指定至組合方塊控制項的 OnAction 屬性之程序。在該程序中，您可以使用 CommandBar 物件的 ActionControl 屬性來找出哪一個控制項已變更，並傳回已變更的值。ListIndex 屬性將傳回組合方塊中鍵入或選定的項目。


新增和管理功能表列和功能表項目

有些收納器應用程式不提供新建功能表列的方法，因此，需用 Visual Basic 建立功能表列。在用 Visual Basic 建立了一個功能表列之後，就可用收納器應用程式介面或 Visual Basic 自訂該功能表列。

在執行階段新增功能表列

要在執行階段給應用程式新增一個功能表列，可用 CommandBars 集合的 Add 方法並將變數 MenuBar 指定為 True。下列範例會新增一個無法移動的功能表列。此範例還將該功能表列固定在應用程式視窗的右邊。

Set menubar = CommandBars.Add _
    (Name:="mBar", Position:=msoBarRight, MenuBar:=True)
With menubar
    .Protection = msoBarNoMove
    .Visible = True
End With

在執行階段修改功能表列

在執行階段可同時修改功能表列和其上的控制項。修改功能表列可能會影響其外觀或位置；修改控制項取決於該控制項的型態。下表所列，是在執行階段最常用來修改功能表列的屬性和方法。

屬性或方法 | 敘述
Add | 用 CommandBars 集合的 Add 方法新增一個功能表列，並指定 MenuBar 變數為 True。
Enabled | 如果該屬性設定為 True，那麼使用者可用 Visual Baisc 程式顯示指定的功能表列；如果該屬性設定為 False，那麼使用者無法顯示功能表列，但該功能表列將列在有效命令列清單中。
Protection | 可以防止使用者對功能表列的進行某項特定動作。可以是下列 MsoBarProtection 常數之一或其組合：msoBarNoChangeDock、msoBarNoChangeVisible、msoBarNoCustomize、 msoBarNoHorizontalDock、msoBarNoMove、msoBarNoProtection、msoBarNoResize 和 msoBarNoVerticalDock。
Position | 指定新功能表列相對於應用程式視窗的位置。可以是下列MsoBarPosition 常數之一：msoBarLeft、msoBarTop、msoBarRight、msoBarBottom、msoBarFloating、msoBarPopup (用於建立快顯功能表) 或 msoBarMenuBar (僅用於 Macintosh)。
Visible | 指定控制項是否由使用者設定為顯示或隱藏。如果控制項已由使用者隱藏，功能表列名稱仍將出現在可用的命令列清單中。

以下範例會隱藏使用中的功能表列，並以暫存的功能表列來取代，而這個暫存的功能表列是固定在應用程式視窗的右邊，而且是由使用者保護的。

Set oldMbar = CommandBars.ActiveMenuBar
Set newMbar = CommandBars.Add _
(Name:="newMenubar", Position:=msoBarRight, _
MenuBar:=True, temporary:=True)
With newMbar
    .Visible = True
    .Protection = msoBarNoMove
End With

在執行階段合併功能表列

如果在要作為增益集的應用程式中有自訂的功能表列，您可能會想指定控制項在收納器應用程式中的表現方式。您可以使用 CommandBarPopup 物件的 OLEMenuGroup 屬性來指定如何進行功能表列合併。

對功能表列項目作執行階段修改

對功能表列項目的修改範圍視控制項的型態而定。通常，按鈕分有效的或隱藏的，而文書編輯方塊、下拉式清單方塊和組合方塊可進行的作業更加多樣：可在清單中新增或刪除清單項目，也可根據選中的值確定要執行的動作。使用者可將任意控制項的動作改為內建的或自訂的功能。

下表列出大部分常用來改變控制項狀態、動作或內容的屬性和方法。

屬性或方法 | 目的
Add | 在命令列中新增一個功能表列項目。對內建控制項，Type 變數可以是下列 MsoControlType 常數之一： msoControlButton、msoControlEdit、msoControlDropdown 或 msoControlComboBox。
AddItem | 將項目加入下拉式清單方塊或組合方塊的下拉式清單中。您可以指定現有清單中新項目的索引數目，但是如果這個數目大於清單中的項目數，則 AddItem 方法會失敗。
Style | 指定按鈕介面是否顯示它的圖示或標題，或者兩者皆顯示 (若是要顯示的話，如何顯示)。可以使用下列的 MsoButtonStyle 常數之一： msoButtonAutomatic、msoButtonIcon、msoButtonCaption、msoButtonIconAndCaption、msoButtonIconAndCaptionBelow、msoButtonIconAndWrapCaption、msoButtonIconAndWrapCaptionBelow 或 msoButtonWrapCaption。
OnAction | 指定當使用者改變特定控制項的值時要執行的程序。
Visible | 指定控制項對使用者是顯示還是隱藏。

以下範例會在使用中的功能表列結尾的地方新增一個名為 Custom 的暫存的快顯控制項，然後再將一個名為 Import 的按鈕控制項加入 Custom 的快顯命令列。

Set myMenuBar = CommandBars.ActiveMenuBar
Set newMenu = myMenuBar.Controls.Add(Type:=msoControlPopup, _
    Temporary:=True)
newMenu.Caption = "Custom"
Set ctrl1 = newMenu.Controls _
    .Add(Type:=msoControlButton, Id:=1)
ctrl1.Caption = "Import"
ctrl1.TooltipText = "Import"
ctrl1.Style = msoButtonCaption


新增和顯示快顯功能表

快顯功能表是一個浮動命令列，它在使用者按滑鼠右鍵時顯示。快顯功能表可包含與命令列同樣的控制項型態，控制項在其中的行為與在命令列中一樣。然而，在大多數應用程式中，您無法從應用程式介面建立或修改快顯功能表，因此，您必須在執行階段建立快顯功能表。

在執行階段新增快顯功能表

快顯功能表和其他工具列的唯一區別，是用 Add 方法建立快顯功能表時必須指定 msoBarPopUp 作為 Position 變數的值。下列範例新建一個快顯功能表，在其中新增兩個控制項 (並含有標題)，然後用 ShowPopup 方法顯示該新功能表。

Set copyAndPasteMenu = CommandBars.Add(_
    Name:="Custom", Position:=msoBarPopup, _
    Temporary:=True)
Set copy = copyAndPasteMenu.Controls.Add
With copy
    .FaceId = CommandBars("Standard").Controls("Copy").Id
    .Caption = "Copy the selection"
End With
Set paste = copyAndPasteMenu.Controls.Add
With paste
    .FaceId = CommandBars("Standard").Controls("Paste").Id
    .Caption = "Paste from the Clipboard"
End With
copyAndPasteMenu.ShowPopup 200, 200

顯示快顯功能表

如前面範例所示，您可用 ShowPopup 方法顯示快顯功能表。

如果收納器應用程式可以為使用者的作業指定相應事件程序，您就可用顯示一個快顯功能表的程序回應一個右擊事件。然而，並非所有的應用程式都支援事件程序。檢查收納器應用程式的文件，以確定該應用程式是否支援事件程序。

對快顯功能表作執行階段修改

對快顯功能表的任意修改都必須在執行階段進行，並且所作的修改通常僅限於改變功能表中控制項的外觀或動作。有關新增和管理功能表項的詳細內容，請參閱新增和管理功能表列和功能表項目。


OLE 程式識別符號

此主題部分內容可能不適用於某些語言。

您可以使用 OLE 程式識別符號 (有時稱為 ProgID) 來建立一個 Automation 物件。下表列出 ActiveX 控制項、Microsoft Office 應用程式及「Microsoft Office Web 元件」的 OLE 程式識別符號。

ActiveX 控制項

Microsoft Access

Microsoft Excel

Microsoft Graph

Microsoft Office Web 元件

Microsoft Outlook

Microsoft PowerPoint

Microsoft Word

ActiveX 控制項

若要建立下表所列的 ActiveX 控制項，請使用對應的 OLE 程式識別符號。

若要建立此控制項 | 使用此識別符號
CheckBox | Forms.CheckBox.1
ComboBox | Forms.ComboBox.1
CommandButton | Forms.CommandButton.1
Frame | Forms.Frame.1
Image | Forms.Image.1
Label | Forms.Label.1
ListBox | Forms.ListBox.1
MultiPage | Forms.MultiPage.1
OptionButton | Forms.OptionButton.1
ScrollBar | Forms.ScrollBar.1
SpinButton | Forms.SpinButton.1
TabStrip | Forms.TabStrip.1
TextBox | Forms.TextBox.1
ToggleButton | Forms.ToggleButton.1

Microsoft Access

若要建立下表所列的 Microsoft Access 物件，請使用任何一個對應的 OLE 程式識別符號。如果您使用沒有版本編號在字尾的識別符號，就會在正在執行巨集的機器上建立可用的最新版 Access 物件。

若要建立此物件 | 使用以下任一識別符號
Application | Access.Application
CurrentData | Access.CodeData, Access.CurrentData
CurrentProject | Access.CodeProject, Access.CurrentProject
DefaultWebOptions | Access.DefaultWebOptions

Microsoft Excel

若要建立下表所列的 Microsoft Excel 物件，請使用任何一個對應的 OLE 程式識別符號。如果您使用沒有版本編號在字尾的識別符號，就會在正在執行巨集的機器上建立可用的最新版 Excel 物件。

若要建立此物件 | 使用此識別符號 | Comments
Application | Excel.Application |
Workbook | Excel.AddIn |
Workbook | Excel.Chart | 傳回包含兩個工作表的活頁簿；其中一個是圖表，另一個是其資料。圖表工作表是使用中的工作表。
Workbook | Excel.Sheet | 傳回有一個工作表的活頁簿。

Microsoft Graph

若要建立下表所列的 Microsoft Graph 物件，請使用任何一個對應的 OLE 程式識別符號。如果您使用沒有版本編號在字尾的識別符號，就會在正在執行巨集的機器上建立可用的最新版 Graph 物件。

若要建立此物件 | 使用此識別符號
Application | MSGraph.Application
Chart | MSGraph.Chart

Microsoft Office Web 元件

若要建立下表所列的「Microsoft Office Web 元件」物件，請使用任何一個對應的 OLE 程式識別符號。如果您使用沒有版本編號在字尾的識別符號，就會在正在執行巨集的機器上建立可用的最新版「Microsoft Office Web 元件」物件。

若要建立此物件 | 使用以下任一識別符號
ChartSpace | OWC.Chart
DataSourceControl | OWC.DataSourceControl
ExpandControl | OWC.ExpandControl
PivotTable | OWC.PivotTable
RecordNavigationControl | OWC.RecordNavigationControl
Spreadsheet | OWC.Spreadsheet

Microsoft Outlook

若要建立下表所列的 Microsoft Outlook 物件，請使用任何一個對應的 OLE 程式識別符號。如果您使用沒有版本編號在字尾的識別符號，就會在正在執行巨集的機器上建立可用的最新版 Outlook 物件。

若要建立此物件 | 使用此識別符號
Application | Outlook.Application

Microsoft PowerPoint

若要建立下表所列的 Microsoft PowerPoint 物件，請使用任何一個對應的 OLE 程式識別符號。如果您使用沒有版本編號在字尾的識別符號，就會在正在執行巨集的機器上建立可用的最新版 PowerPoint 物件。

若要建立此物件 | 使用此識別符號
Application | PowerPoint.Application

Microsoft Word

若要建立下表所列的 Microsoft Word 物件，請使用任何一個對應的 OLE 程式識別符號。如果您使用沒有版本編號在字尾的識別符號，就會在正在執行巨集的機器上建立可用的最新版 Word 物件。

若要建立此物件 | 使用以下任一識別符號
Application | Word.Application
Document | Word.Document, Word.Template
Global | Word.Global


AnswerWizard 物件

AnswerWizard (AnswerWizardFiles)

此主題部分內容可能不適用於某些語言。

代表 Microsoft Office 應用程式的 [解答精靈]。每個應用程式中只有一個 [解答精靈]，而且對 AnswerWizard 或 AnswerWizardFiles 集合所做的所有變更，都將立即影響使用中的 Office 應用程式。

使用 AnswerWizard 物件

使用 ClearFileList 方法，移除目前 [解答精靈] 可用的檔案清單中所有的項目。使用此方法可確保使用者無法再透過 [解答精靈] 來存取 Office 主應用程式中可用的預設檔案，例如當您以自定的 .AW 檔案取代 [解答精靈] 檔案時，即需要用此特性。以下範例清除預設 [解答精靈] 的檔案清單，然後將兩個自訂的檔案加入自訂的 [解答精靈] 中。

customAnswerWizard.ClearFileList
customAnswerWizard.Files.Add ("c:\awfiles\custom_1.aw")
customAnswerWizard.Files.Add ("c:\awfiles\custom_2.aw")

使用 ResetFileList 方法，將目前 [解答精靈] 中的檔案清單還原為 Office 主應用程式的預設檔案清單。您也可以在適當的登錄鍵中加入自訂檔案名稱，就能在 Windows 登錄中建立自訂的預設檔案清單；在該登錄鍵中指定的檔案將會在呼叫 ResetFileList 時還原。本範例重設目前 [解答精靈] 的檔案清單。

customAnswerWizard.ResetFileList

使用 Files 屬性可獲得 [解答精靈] 檔案參照的集合。Files 屬性會傳回參照 .AW 檔案的字串集合。以下範例傳回 AnswerWizardFiles 集合，並在訊息方塊中顯示檔案數。

Dim customAnswerWizardFiles As AnswerWizardFiles
Set customAnswerWizardFiles = Application.AnswerWizard.Files

MsgBox customAnswerWizardFiles.Count


AnswerWizardFiles 集合物件

AnswerWizard (AnswerWizardFiles)

此主題部分內容可能不適用於某些語言。

[解答精靈] 檔案的參照集合。AnswerWizardFiles 集合中包括可供使用中 Microsoft Office 應用程式使用的所有 [解答精靈] 檔案 (副檔名為 .AW)。

使用 AnswerWizardFiles 集合

使用 Files 屬性可獲得 [解答精靈] 檔案參照的集合。Files 屬性會傳回參照 .AW 檔案的字串集合。以下範例傳回 AnswerWizardFiles 集合，並在訊息方塊中顯示檔案數。

Dim customAnswerWizardFiles As AnswerWizardFiles
Set customAnswerWizardFiles = Application.AnswerWizard.Files

MsgBox customAnswerWizardFiles.Count

使用 Add 方法，使目前 [解答精靈] 可以使用其他檔案。以下範例會在使用中的 Office 應用程式的 [解答精靈] 清單中加入檔案 Custom_1.aw。

Dim customAnswerWizard As AnswerWizard
Set customAnswerWizard = Application.AnswerWizard

customAnswerWizard.Files.Add ("c:\awfiles\custom_1.aw")

使用 Item 屬性可取得現有 [解答精靈] 檔案參照的名稱。以下範例使用訊息方塊顯示 Item(1)所參照的檔案名稱。

MsgBox customAnswerWizard.Files.Item(1)


Assistant 物件

Assistant
Balloon
BalloonCheckBoxes (BalloonCheckBox)
BalloonLabels (BalloonLabel)

此主題部分內容可能不適用於某些語言。

代表 Microsoft 的 [Office 小幫手]。

使用 Assistant 物件

使用 Assistant 屬性傳回 Assistant 物件。沒有 Assistant 物件的集合，一次只能使用一個 Assistant 物件。使用 Visible 屬性來顯示小幫手，並使用 On 屬性來啟用小幫手。

註解

預設的小幫手是 Rocky。若要選擇不同的小幫手，請使用 FileName 屬性。

下面的範例會顯示和啟動小幫手。

With Assistant
    .Visible = True
    .Animation = msoAnimationGreeting
End With


Balloon 物件

Balloon
BalloonCheckBoxes (BalloonCheckBox)
BalloonLabels (BalloonLabel)

此主題部分內容可能不適用於某些語言。

代表一個汽球式說明，在該汽球式說明中，[Office 小幫手]可顯示標題和文字資訊。一個汽球式說明可包含像核取方塊和標籤之類的控制項。

使用 Balloon 物件

用 NewBalloon 屬性可傳回一個 Balloon 物件。不存在 Balloon 物件的集合，一次只能使用一個汽球式說明。但使用者可定義多個汽球式說明並在需要時呼叫其中一個。詳細內容，請參閱後面部份的 [定義和重新使用汽球式說明] 部份。

使用 Show 方法可顯示指定的汽球式說明。使用 Callback 屬性可根據非模式汽球式說明中的選擇情況執行相應的程序 (所謂非模式汽球式說明是指在使用者使用應用程式時仍然顯示的汽球式說明)。使用 Close 方法可關閉非模式的汽球式說明。

下面的範例建立一個汽球式說明，其中包含對輸入資料進行儲存的提示。

With Assistant.NewBalloon
    .BalloonType = msoBalloonTypeBullets
    .Icon = msoIconTip
    .Button = msoButtonSetOk
    .Heading = "Tips for Saving Information."
    .Labels(1).Text = "Save your work often."
    .Labels(2).Text = "Install a surge protector."
    .Labels(3).Text = "Exit your application properly."
    .Show
End With

定義和重新使用汽球式說明

將數個汽球式說明指定給物件變數後，然後在需要時透過程序來呼叫汽球式說明，就可以重新加以使用。本範例分別定義了三個獨立的汽球式說明：balloon1 和 balloon2。便可重新使用這三個汽球式說明。

Set balloon1 = Assistant.NewBalloon
balloon1.Heading = "First balloon"
Set balloon2 = Assistant.NewBalloon
balloon2.Heading = "Second balloon"
balloon1.Show
balloon2.Show
balloon1.Heading = "First balloon, new heading"
balloon1.Show

將汽球式說明物件變數組合在一個陣列中，也可對該陣列進行擷取。


BalloonCheckBox 物件

Assistant
Balloon
BalloonCheckBoxes (BalloonCheckBox)
BalloonLabels (BalloonLabel)

此主題部分內容可能不適用於某些語言。

代表 [Office 小幫手] 汽球式說明中的一個核取方塊。BalloonCheckBox 物件是 BalloonCheckBoxes 集合中的一個成員。

使用 BalloonCheckbox 物件

使用 CheckBoxes(index) 傳回一個 BalloonCheckBox 物件，其中 index 是一個 1 到 5 的數字。一個汽球式說明中最多可有 5 個核取方塊，在為其 Text 屬性指定一個值之後，就會顯示出每一個核取方塊。

下面的範例會建立一個具有標題、文字和三個選項的汽球式說明。使用者可選取一個或多個核取方塊，並按一下 [確定] 按鈕，範例就會呼叫指定的程序。

With Assistant.NewBalloon
    .Heading = "Regional Sales Data"
    .Text = "Select your region"
    For i = 1 To 3
        .CheckBoxes(i).Text = "Region " & i
    Next
    .Button = msoButtonSetOkCancel
    .Show
    If .CheckBoxes(1).Checked Then
        runregion1
    End If
    If .CheckBoxes(2).Checked Then
        runregion2
    End If
    If .CheckBoxes(3).Checked Then
        runregion3
    End If
End With

註解

在使用者清除汽球式說明之前，[汽球式說明] 核取方塊將會一直顯示使用者的選擇。在使用者按一下標籤旁邊的按鈕後，您就可以使用汽球式說明標籤，傳回一個對應到 Select 方法中使用者所選取的數字。若要根據使用者的選擇，將這些數值傳到 Select 方法，則必須將汽球式說明類型設定為 msoBalloonTypeButtons。


BalloonCheckboxes 集合物件

Assistant
Balloon
BalloonCheckBoxes (BalloonCheckBox)
BalloonLabels (BalloonLabel)

此主題部分內容可能不適用於某些語言。

BalloonCheckbox 物件的集合，表示 [Office 小幫手] 汽球式說明中所有的核取方塊。

使用 BalloonCheckboxes 集合

使用 Checkboxes 屬性傳回 BalloonCheckboxes 集合。

使用 Checkboxes(index) 傳回一個 BalloonCheckbox 物件，其中的 index 是一個從 1 到 5 的數字。每個汽球式說明中最多可有 5 個核取方塊 (以及 5 個標籤)，在為其 Text 屬性指定一個值之後，就會顯示每一個核取方塊。如果指定的核取方塊超過五個，將會發生執行錯誤。

下面的範例會建立一個具有標題、文字和三個選項的汽球式說明。當使用者選取一個或多個核取方塊，並按一下 [確定] 按鈕，就會呼叫指定的程序。

With Assistant.NewBalloon
    .Heading = "Regional Sales Data"
    .Text = "Select your region"
    For i = 1 To 3
        .CheckBoxes(i).Text = "Region " & i
    Next
    .Button = msoButtonSetOkCancel
    .Show
    If .CheckBoxes(1).Checked Then
        runregion1
    End If
    If .CheckBoxes(2).Checked Then
        runregion2
    End If
    If .CheckBoxes(3).Checked Then
        runregion3
    End If
End With

在汽球式說明顯示之後，您就不能在 BalloonCheckBoxes 集合中新增或刪除核取方塊。

註解

在使用者清除汽球式說明之前，[汽球式說明] 核取方塊將會一直顯示使用者的選擇。在使用者按一下標籤旁邊的按鈕後，您就可以使用汽球式說明標籤連同 Select 方法，傳回一個對應到核取方塊中使用者選擇的數字。若要根據使用者的選擇，將這些數值傳到 Select 方法，則必須把汽球式說明類型設定為 msoBalloonTypeButtons。


BalloonLabel 物件

Assistant
Balloon
BalloonCheckBoxes (BalloonCheckBox)
BalloonLabels (BalloonLabel)

此主題部分內容可能不適用於某些語言。

代表 [Office 小幫手] 汽球式說明中的一個標籤。BalloonLabel 物件是 BalloonLabels 集合中的一個成員。

使用 BalloonLabel 物件

使用 Labels(index) 傳回一個 BalloonLabel 物件，其中的 index 是一個 1 到 5 之間的數字。一個汽球式說明中最多可有 5 個標籤，在為其 Text 屬性指定一個值之後，每一個標籤就會顯示出來。

下面的範例會建立一個汽球式說明，並要求使用者按一下對應到其年齡的標籤。

With Assistant.NewBalloon
    .Heading = "Check Your Age Group."
    .Labels(1).Text = "Under 30."
    .Labels(2).Text = "30 to 50."
    .Labels(3).Text = "Over 50."
    .Text = "Which of the following " _
        & .Labels.Count & " choices apply to you?"
    .Show
End With

註解

在使用者清除汽球式說明之前，[汽球式說明] 核取方塊將會一直顯示使用者的選擇。在使用者按一下標籤旁邊的按鈕後，您就可以使用汽球式說明標籤，傳回一個對應到 Select方法中使用者選擇的數字。若要根據使用者的選擇，將這些數值傳到 Select 方法，則必須把汽球式說明類型設定為 msoBalloonTypeButtons。


BalloonLabels 集合物件

Assistant
Balloon
BalloonCheckBoxes (BalloonCheckBox)
BalloonLabels (BalloonLabel)

此主題部分內容可能不適用於某些語言。

BalloonLabel 物件的集合，代表 [Office 小幫手] 汽球式說明中所有的標籤。

使用 BalloonLabels 集合

使用 Labels 屬性傳回 BalloonLabels 集合。

使用 Labels(index) 傳回一個 BalloonLabel 物件，其中的 index 是一個 1 到 5 之間的數字。一個汽球式說明中最多可有 5 個標籤 (以及 5 個核取方塊)，在為其 Text 屬性指定一個值之後，每個標籤就會顯示出來。如果指定的標籤超過五個，將發生執行錯誤。

下面範例會建立一個包含三個選項的汽球式說明。將變數 returnValue 設定為 Show 方法的傳回值，可能是 1、2 或 3，以對應到使用者所按的標籤。本範例會傳回變數 returnValue的值，您可以將這個值傳到另一程序，或在 Select Case 陳述式中使用。

Set b = Assistant.NewBalloon
With b
    .Heading = "This is my heading"
    .Text = "Select one of these things:"
    .Labels(1).Text = "Choice One"
    .Labels(2).Text = "Choice Two"
    .Labels(3).Text = "Choice Three"
    returnValue = .Show
End With

註解

在使用者清除汽球式說明之前，[汽球式說明] 核取方塊將會一直顯示使用者的選擇。在使用者按一下標籤旁邊的按鈕後，您就可以使用汽球式說明標籤，傳回一個對應到 Select 方法中使用者所選取的數字。若要根據使用者的選擇，將這些數值傳到 Select 方法，則必須將汽球式說明類型設定為 msoBalloonTypeButtons。


COMAddIn 物件

COMAddIns (COMAddIn)

代表 Microsoft Office 主應用程式中的一個 COM 增益集。COMAddIn 物件是 COMAddIns 集合的成員。

使用 COMAddIn 物件

使用 COMAddIns.Item(index)，其中 index 可以是一個能夠傳回 COMAddIns 集合中相應位置的增益集的序數，或者是代表指定 COM 增益集的 ProgID 的 String 值。以下範例將在訊息方塊中顯示一個 COM 增益集的描述文字。

MsgBox Application.COMAddIns.Item("msodraa9.ShapeSelect").Description

使用 COMAddin 物件的 ProgID 屬性傳回 COM 增益集的程式編寫識別碼，並使用 Guid 屬性傳回該增益集整體唯一識別碼 (GUID)。以下範例在訊息方塊中顯示第一個 COM 增益集的 ProgID 和 GUID。

MsgBox "My ProgID is " & _
    Application.COMAddIns(1).ProgID & _
    " and my GUID is " & _
    Application.COMAddIns(1).Guid

使用 Connect 屬性設定或傳回與指定 COM 增益集的連接狀態。以下範例在訊息方塊中顯示 COM 增益集是否已經登入及其目前的連接狀態。

If Application.COMAddIns(1).Connect Then
    MsgBox "The add-in is connected."
Else
MsgBox "The add-in is not connected."
End If


COMAddIns 集合物件

COMAddIns (COMAddIn)

COMAddIn 物件的集合，它提供有關在 Windows 登錄中所登記的 COM 增益集的資訊。

使用 COMAddIns 集合

使用 Application 物件的 COMAddIns 屬性傳回 Microsoft Office 主應用程式的 COMAddIns 集合。如下面範例所示，該集合包含了某個應用程式中所有可用的增益集，並利用 COMAddins 集合的 Count 屬性傳回可用的 COM 增益集數目。

MsgBox Application.COMAddIns.Count

以下範例使用 COMAddins 集合的 Update 方法，根據 Windows 登錄中的資訊對 COM 增益集清單重新進行整理。

Application.COMAddIns.Update

使用 COMAddIns.Item(index)，其中 index 可以是一個能夠傳回 COMAddIns 集合中相應位置的 COM 增益集的序數，或者是一個指定 COM 增益集的 ProgID 的 String 值。以下範例在訊息方塊中顯示一個 COM 增益集的描述文字和 ProgID ("msodraa9.ShapeSelect") 。

MsgBox Application.COMAddIns.Item("msodraa9.ShapeSelect").Description


CommandBar 物件

CommandBars (CommandBar)
CommandBarControls (CommandBarControl)
CommandBarButton
CommandBarComboBox
CommandBarPopup

此主題部分內容可能不適用於某些語言。

代表收納器應用程式中的一個命令列 。CommandBar 物件是 CommandBars 集合中的成員。

使用 CommandBar 物件

使用 CommandBars(index) 可傳回一個 CommandBar 物件，其中 index 是該命令列的名稱或索引列。下列範例逐一過濾命令列集合中的每個成員，以尋找名稱為 Forms 的命令列。如果找到，本範例會顯示該命令列並保護其固定狀態。在本範例中，變數 cb 代表一個 CommandBar 物件。

foundFlag = False
For Each cb In CommandBars
    If cb.Name = "Forms" Then
        cb.Protection = msoBarNoChangeDock
        cb.Visible = True
        foundFlag = True
    End If
Next cb
If Not foundFlag Then
    MsgBox "The collection does not contain a Forms command bar."
End If

您可以使用名稱或索引號來指定功能表或工具列，這些功能表或工具列位於收納器應用程式的有效功能表和工具列清單中。但是，您必須使用名稱來指定一個功能表、快顯功能表或子功能表 (這些均可由 CommandBar 物件表示)。本範例會在 [工具] 功能表底部新增一個新的功能表項目。按下該功能表項目時，會執行程序 qtrReport。

Set newItem = CommandBars("Tools").Controls.Add(Type:=msoControlButton)
With newItem
    .BeginGroup = True
    .Caption = "Make Report"
    .FaceID = 0
    .OnAction = "qtrReport"
End With

如果兩個以上的自訂功能表或子功能表具有相同的名稱，那麼 CommandBars(index) 將傳回第一個具有該名稱的功能表。為確保傳回正確的功能表或子功能表，請找出可顯示該功能表的快顯控制項，然後對該快顯控制項使用 CommandBar 屬性以傳回代表該功能表的命令列。

假定工具列 Custom Tools 中第三個控制項是一個快顯控制項，本範例會將 Save 指令新增在該功能表的底部。

Set viewMenu = CommandBars("Custom Tools").Controls(3)
viewMenu.Controls.Add ID:=3    'ID of Save command is 3


CommandBarButton 物件

CommandBars (CommandBar)
CommandBarControls (CommandBarControl)
CommandBarButton
CommandBarComboBox
CommandBarPopup

代表命令列中的一個按鈕控制項。

使用 CommandBarButton 物件

使用 Controls(index) 可傳回一個 CommandBarButton 物件，index 是該控制項的索引號。(該控制項的 Type 屬性必須是 msoControlButton。)

假定命令列 Custom 中的第二個控制項是一個按鈕，下列範例會變更該按鈕的樣式。

Set c = CommandBars("Custom").Controls(2)
With c
If .Type = msoControlButton Then
    If .Style = msoButtonIcon Then
        .Style = msoButtonIconAndCaption
    Else
        .Style = msoButtonIcon
    End If
End If
End With

用 FindControl 方法也可傳回一個 CommandBarButton 物件。


CommandBarComboBox 物件

CommandBars (CommandBar)
CommandBarControls (CommandBarControl)
CommandBarButton
CommandBarComboBox
CommandBarPopup

代表命令列中的一個組合方塊控制項。

使用 CommandBarComboBox 物件

用 Controls(index) 可傳回一個 CommandBarComboBox 物件，index 是該控制項的索引號。(該控制項的 Type 屬性必須是 msoControlEdit、msoControlDropdown、msoControlComboBox、msoControlButtonDropdown、msoControlSplitDropdown、msoControlOCXDropdown、msoControlGraphicCombo 或 msoControlGraphicDropdown。)

下列範例會在命令列 Custom 的第二個控制項中新增兩個項目，然後調整該控制項的尺寸。

Set combo = CommandBars("Custom").Controls(2)
With combo
    .AddItem "First Item", 1
    .AddItem "Second Item", 2
    .DropDownLines = 3
    .DropDownWidth = 75
    .ListIndex = 0
End With

您也可以使用 FindControl 方法傳回一個 CommandBarComboBox 物件。下列範例會在所有的命令列中，搜尋一個標籤為 "sheet assignments" 的可顯示 CommandBarComboBox 物件。

Set myControl = CommandBars.FindControl _
(Type:=msoControlComboBox, Tag:="sheet assignments", Visible:=True)


CommandBarControl 物件

CommandBars (CommandBar)
CommandBarControls (CommandBarControl)
CommandBarButton
CommandBarComboBox
CommandBarPopup

代表一個命令列控制項。CommandBarControl 物件是 CommandBarControls 集合中的成員。CommandBarControl 物件和 CommandBarButton、CommandBarComboBox 以及 CommandBarPopup 物件具有同樣的屬性和方法。

附註 若要寫 Visual Basic 程式配合自訂命令列控制項，可使用 CommandBarButton、CommandBarComboBox 和 CommandBarPopup 物件。若要寫程式配合收納器應用程式中的內置控制項，而該控制項又無法用上述三個物件中的任何一個資料表顯示，則您可以使用 CommandBarControl 物件。

使用 CommandBarControl 物件

用 Controls(index) 可傳回一個 CommandBarControl 物件，index 是該控制項的索引號。(該控制項的 Type 屬性必須是 msoControlLabel、msoControlExpandingGrid、msoControlSplitExpandingGrid、msoControlGrid 或 msoControlGauge。)

附註 宣告為 CommandBarControl 的變數，其值可指定為 CommandBarButton、CommandBarComboBox 和 CommandBarPopup。

您也可以使用 FindControl 方法傳回一個 CommandBarControl 物件。下列範例會搜尋一個 msoControlGauge 型態的控制項。如果找到，則顯示該控制項的索引號以及該控制項所在命令列的名稱。在本範例中，變數 lbl 代表一個 CommandBarControl 物件。

Set lbl = CommandBars.FindControl(Type:= msoControlGauge)
If lbl Is Nothing Then
    MsgBox "A control of type msoControlGauge was not found."
Else
    MsgBox "Control " & lbl.Index & " on command bar " _
        & lbl.Parent.Name & " is type msoControlGauge"
End If


CommandBarControls 集合物件

CommandBars (CommandBar)
CommandBarControls (CommandBarControl)
CommandBarButton
CommandBarComboBox
CommandBarPopup

CommandBarControl 物件的集合，該集合代表一個命令列中的命令列控制項。

使用 CommandBarControls 集合

用 Controls 屬性可傳回 CommandBarControls 集合。下列範例會將工具列 Standard 中每個控制項的標題，改為該控制項目前的 Id 屬性值。

For Each ctl In CommandBars("Standard").Controls
    ctl.Caption = CStr(ctl.Id)
Next ctl

用 Add 方法可在 CommandBarControls 集合中，新增一個新的命令列控制項。本範例可在命令列 Custom 中新增一個空白按鈕。

Set myBlankBtn = CommandBars("Custom").Controls.Add

用 Controls(index) 可傳回一個 CommandBarControl、 CommandBarButton、CommandBarComboBox 或 CommandBarPopup 物件，index 是該控制項的標題或索引號。下列範例將命令列 Standard 中第一個控制項複製到命令列 Custom 中。

Set myCustomBar = CommandBars("Custom")
Set myControl = CommandBars("Standard").Controls(1)
myControl.Copy Bar:=myCustomBar, Before:=1


CommandBarPopup 物件

CommandBars (CommandBar)
CommandBarControls (CommandBarControl)
CommandBarButton
CommandBarComboBox
CommandBarPopup

代表命令列中的一個快顯控制項。

使用 CommandBarPopup 物件

用 Controls(index) 可傳回一個 CommandBarPopup 物件，index 是該控制項的索引號。(該控制項的 Type 屬性必須是 msoControlPopup、msoControlGraphicPopup、msoControlButtonPopup、msoControlSplitButtonPopup 或 msoControlSplitButtonMRUPopup。)

您可以以使用 FindControl 方法傳回一個 CommandBarPopup 物件。下列範例會在所有的命令列中，搜尋一個標籤為 Graphics 的 CommandBarPopup 物件。

Set myControl = Application.CommandBars.FindControl _
(Type:=msoControlPopup, Tag:="Graphics")

註解

每個快顯控制項包含一個 CommandBar 物件。若要從快顯控制項傳回一個命令列，可以對 CommandBarPopup 物件使用 CommandBar 屬性。


CommandBars 集合物件

CommandBars (CommandBar)
CommandBarControls (CommandBarControl)
CommandBarButton
CommandBarComboBox
CommandBarPopup

CommandBar 物件的集合，該集合代表收納器應用程式中的命令列。

使用 CommandBars 集合

用 CommandBars 屬性可傳回 CommandBars 集合。下列範例會在 Immediate 視窗顯示每個功能表和工具列的名稱和本地用名稱，並顯示一個數值以表明該功能表或工具列是否出現在螢幕上。

For Each cbar in CommandBars
    Debug.Print cbar.Name, cbar.NameLocal, cbar.Visible
Next

用 Add 方法可在集合中新增一個新的命令列。以下範例建立一個自訂工具列 Custom1 並將其作為浮動工具列顯示。

Set cbar1 = CommandBars.Add(Name:="Custom1", Position:=msoBarFloating)
cbar1.Visible = True

使用 CommandBars(index) 可傳回一個 CommandBar 物件；此處 index 是該命令列的名稱或索引號。下列範例將工具列 Custom1 停放在應用程式視窗的底部。

CommandBars("Custom1").Position = msoBarBottom

附註 您可以使用名稱或索引號來指定功能表或工具列，這些功能表或工具列位於收納器應用程式的可用功能表和工具列清單中。但是，您必須使用名稱來指定一個功能表、快顯功能表或子功能表 (這些均可由 CommandBar 物件表示)。

如果兩個以上的自訂功能表或子功能表具有相同的名稱，那麼 CommandBars(index) 將傳回第一個具有該名稱的功能表。為確保傳回正確的功能表或子功能表，請找出可顯示該功能表的快顯控制項，然後對該快顯控制項使用 CommandBar 屬性以傳回代表該功能表的命令列。


DocumentProperties 集合

一個 DocumentProperty 物件的集合。每個 DocumentProperty 物件代表收納器文件的一個內建或自訂屬性。

使用 DocumentProperties 集合

用 Add 方法可新建一個自訂屬性，並將其新增到 DocumentProperties 集合中。您無法使用 Add 方法建立內建文件屬性。

用 BuiltinDocumentProperties(index) 可傳回一個 DocumentProperty 物件，該物件代表一個指定的內建文件屬性，index 是該內建文件屬性的索引號。用 CustomDocumentProperties(index) 可傳回一個 DocumentProperty 物件，該物件代表一個指定的自訂文件屬性，index 是該自訂文件屬性的索引號。


DocumentProperty 物件

代表收納器文件的一個自訂或內建文件屬性。DocumentProperty 物件是 DocumentProperties 集合中的成員。

使用 DocumentProperty 物件

用 BuiltinDocumentProperties(index) 可傳回一個 DocumentProperty 物件，該物件代表一個指定的內建文件屬性，index 是該內建文件屬性的名稱或索引號。用 CustomDocumentProperties(index) 可傳回一個 DocumentProperty 物件，該物件代表一個指定的自訂文件屬性，index 是該自訂文件屬性的名稱或索引號。

下列清單包含所有可用的內建文件屬性之名稱：

Title

Subject

Author

Keywords

Comments

Template

Last Author

Revision Number

Application Name

Last Print Date

Creation Date

Last Save Time

Total Editing Time

Number of Pages

 Number of Words

Number of Characters

Security

Category

Format

Manager

Company

Number of Bytes

Number of Lines

Number of Paragraphs

Number of Slides

Number of Notes

Number of Hidden Slides

Number of Multimedia Clips

收納器應用程式不必為每個內建文件屬性定義一個屬性值。如果所給的應用程式沒有為某內建文件屬性定義一個屬性值，那麼傳回該文件屬性的 Value 屬性將導致錯誤。


FileDialog 物件

FileDialog
多重物件

提供檔案對話方塊功能，類似 Microsoft Office 應用程式中的標準 [開啟舊檔] 及 [儲存檔案] 對話方塊功能。運用這些對話方塊，整合方案的使用者可以很容易地指定該方案應使用的檔案及資料夾。

使用 FileDialog 物件

使用 FileDialog 屬性以傳回 FileDialog 物件。FileDialog 屬性位在每個單獨的 Office 應用程式 Application 物件中。屬性使用一個引數 DialogType，以確定屬性所傳回的 FileDialog 物件類型。下列是 FileDialog 物件的 4 種類型：

  • [開啟舊檔] 對話方塊：讓使用者選取一或多個檔案，可使用 Execute 方法在主應用程式中開啟。
  • [另存新檔] 對話方塊：讓使用者選取一個檔案，可使用 Execute 方法儲存目前的檔案。
  • [檔案選擇器] 對話方塊：讓使用者選取一或多個檔案。在 FileDialogSelectedItems 集合中擷取使用者所選取的檔案路徑。
  • [資料夾選擇器]：讓使用者選取路徑。在 FileDialogSelectedItems 集合中擷取使用者所選取的路徑。

每個主應用程式只能例示 FileDialog 物件的單個實例。因此，即使當建立多個 FileDialog 物件時，亦保留 FileDialog 物件的許多屬性。因此，請確認在顯示該對話方塊前，已設定適合您目的之所有屬性。

為了使用 FileDialog 物件顯示檔案對話方塊，您必須使用 Show 方法。一旦顯示對話方塊，就會在使用者結束該對話方塊之後才執行程式碼。下列範例會建立並顯示 [檔案選擇器] 對話方塊，再顯示訊息方塊中每個所選取的檔案。

Sub Main()

    'Declare a variable as a FileDialog object.
    Dim fd As FileDialog

    'Create a FileDialog object as a File Picker dialog box.
    Set fd = Application.FileDialog(msoFileDialogFilePicker)

    'Declare a variable to contain the path
    'of each selected item. Even though the path is a String,
    'the variable must be a Variant because For Each...Next
    'routines only work with Variants and Objects.
    Dim vrtSelectedItem As Variant

    'Use a With...End With block to reference the FileDialog object.
    With fd

        'Use the Show method to display the File Picker dialog box and return the user's action.
        'The user pressed the action button.
        If .Show = -1 Then

            'Step through each string in the FileDialogSelectedItems collection.
            For Each vrtSelectedItem In .SelectedItems

                'vrtSelectedItem is a String that contains the path of each selected item.
                'You can use any file I/O functions that you want to work with this path.
                'This example simply displays the path in a message box.
                MsgBox "The path is: " & vrtSelectedItem

            Next vrtSelectedItem
        'The user pressed Cancel.
        Else
        End If
    End With

    'Set the object variable to Nothing.
    Set fd = Nothing

End Sub


FileDialogFilter 物件

FileDialogFilters
FileDialogFilter

代表透過 FileDialog 物件所顯示之檔案對話方塊中的檔案篩選。每個檔案篩選會決定在檔案對話方塊中要顯示哪個檔案。

使用 FileDialogFilter 物件

利用 Item 方法和 FileDialogFilters 集合，可傳回 FileDialogFilter 物件。使用 Add 方法，可將 FileDialogFilter 物件新增至 FileDialogFilters 集合中。您可以用 Extensions 屬性傳回 FileDialogFilter 物件用來篩選檔案的副檔案，也可以用 Description 屬性傳回篩選的描述；然而，這兩個屬性皆為唯讀。如果想要設定副檔名或說明，必須使用 Add 方法。

下列範例重申 [另存新檔] 對話方塊的預設篩選，並顯示包括 Microsoft Excel 檔案之每個篩選的描述。

Sub Main()

    'Declare a variable as a FileDialogFilters collection.
    Dim fdfs As FileDialogFilters

    'Declare a variable as a FileDialogFilter object.
    Dim fdf As FileDialogFilter

    'Set the FileDialogFilters collection variable to
    'the FileDialogFilters collection of the SaveAs dialog box.
    Set fdfs = Application.FileDialog(msoFileDialogSaveAs).Filters

    'Iterate through the description and extensions of each
    'default filter in the SaveAs dialog box.
    For Each fdf In fdfs

        'Display the description of filters that include
        'Microsoft Excel files.
        If InStr(1, fdf.Extensions, "xls", vbTextCompare) > 0 Then
            MsgBox "Description of filter: " & fdf.Description
        End If
    Next fdf
End Sub


FileDialogFilters 集合

FileDialog
FileDialogFilters
FileDialogFilter

這是 FileDialogFilter 物件的集合，代表可在使用 FileDialog 物件來顯示的檔案對話方塊中選取的檔案類型。

使用 FileDialogFilters 集合

使用 FileDialog 物件的 Filters 屬性，可傳回 FileDialogFilters 集合。下列程式碼會傳回 [開啟舊檔] 對話方塊的 FileDialogFilters 集合。

Application.FileDialog(msoFileDialogOpen).Filters

使用 Add 方法，可將 FileDialogFilter 物件新增至 FileDialogFilters 集合中。下列範例會使用 Clear 方法來清除集合，再將篩選新增至集合中。 Clear 方法會徹底清空集合；然而，如果在清除集合後，未將任何篩選新增至該集合中，則會自動新增 [所有檔案 (*.*)] 篩選。

Sub Main()

    'Declare a variable as a FileDialog object.
    Dim fd As FileDialog

    'Create a FileDialog object as a File Picker dialog box.
    Set fd = Application.FileDialog(msoFileDialogFilePicker)

    'Declare a variable to contain the path
    'of each selected item. Even though the path is a String,
    'the variable must be a Variant because For Each...Next
    'routines only work with Variants and Objects.
    Dim vrtSelectedItem As Variant

    'Use a With...End With block to reference the FileDialog object.
    With fd

        'Change the contents of the Files of Type list.
        'Empty the list by clearing the FileDialogFilters collection.
        .Filters.Clear

        'Add a filter that includes all files.
        .Filters.Add "All files", "*.*"

        'Add a filter that includes GIF and JPEG images and make it the first item in the list.
        .Filters.Add "Images", "*.gif; *.jpg; *.jpeg", 1

        'Use the Show method to display the File Picker dialog box and return the user's action.
        'The user pressed the action button.
        If .Show = -1 Then

            'Step through each String in the FileDialogSelectedItems collection.
            For Each vrtSelectedItem In .SelectedItems

                'vrtSelectedItem is a String that contains the path of each selected item.
                'You can use any file I/O functions that you want to work with this path.
                'This example simply displays the path in a message box.
                MsgBox "Path name: " & vrtSelectedItem

            Next vrtSelectedItem
        'The user pressed Cancel.
        Else
        End If
    End With

    'Set the object variable to Nothing.
    Set fd = Nothing

End Sub

當變更 FileDialogFilters 集合時，請記住每支應用程式只能例示單個 FileDialog 物件。這表示無論何時使用新對話方塊類型呼叫 FileDialog 方法，FileDialogFilters 集合都會重新設定為它的預設篩選。

下列範例重申 [另存新檔] 對話方塊的預設篩選，並顯示包括 Microsoft Excel 檔案之每個篩選的描述。

Sub Main()

    'Declare a variable as a FileDialogFilters collection.
    Dim fdfs As FileDialogFilters

    'Declare a variable as a FileDialogFilter object.
    Dim fdf As FileDialogFilter

    'Set the FileDialogFilters collection variable to
    'the FileDialogFilters collection of the SaveAs dialog box.
    Set fdfs = Application.FileDialog(msoFileDialogSaveAs).Filters

    'Iterate through the description and extensions of each
    'default filter in the SaveAs dialog box.
    For Each fdf In fdfs

        'Display the description of filters that include
        'Microsoft Excel files
        If InStr(1, fdf.Extensions, "xls", vbTextCompare) > 0 Then
            MsgBox "Description of filter: " & fdf.Description
        End If
    Next fdf

End Sub

附註 如果 Filters 屬性在套用到 [另存新檔] FileDiaog 物件時，與 Clear、Add 或 Delete 方法結合使用，則會發生執行錯誤。例如，Application.FileDialog(msoFileDialogSaveAs).Filters.Clear 會導致執行錯誤。


FileDialogSelectedItems 集合

FileDialog
FileDialogSelectedItems

String 值集合，對應使用者從透過 FileDialog 物件來顯示的檔案對話方塊中所選取的檔案或資料夾路徑。

使用 FileDialogSelectedItems 集合

使用 SelectedItems 屬性和 FileDialog 物件來傳回 FileDialogSelectedItems 集合。下列範例顯示 [檔案選擇器] 對話方塊及訊息方塊中每一個選取的檔案。

Sub Main()

    'Declare a variable as a FileDialog object.
    Dim fd As FileDialog

    'Create a FileDialog object as a File Picker dialog box.
    Set fd = Application.FileDialog(msoFileDialogFilePicker)

    'Declare a variable to contain the path
    'of each selected item. Even though the path is a String,
    'the variable must be a Variant because For Each...Next
    'routines only work with Variants and Objects.
    Dim vrtSelectedItem As Variant

    'Use a With...End With block to reference the FileDialog object.
    With fd

         'Allow the selection of multiple file.
        .AllowMultiSelect = True

        'Use the Show method to display the File Picker dialog box and return the user's action.
        'The user pressed the action button.
        If .Show = -1 Then

            'Step through each string in the FileDialogSelectedItems collection
            For Each vrtSelectedItem In .SelectedItems

                'vrtSelectedItem is a String that contains the path of each selected item.
                'You can use any file I/O functions that you want to work with this path.
                'This example simply displays the path in a message box.
                MsgBox "Selected item's path: " & vrtSelectedItem

            Next vrtSelectedItem
        'The user pressed Cancel.
        Else
        End If
    End With

    'Set the object variable to Nothing.
    Set fd = Nothing

End Sub


FileSearch 物件

FileSearch
多重物件

此主題部分內容可能不適用於某些語言。

代表 [檔案] 功能表中 [開啟舊檔] 對話方塊的功能。

使用 FileSearch 物件

用 FileSearch 屬性可傳回 FileSearch 物件。下列範例會搜尋指定檔案，並顯示找到的檔案數及檔案的名稱。

With Application.FileSearch
    If .Execute() > 0 Then
        MsgBox "There were " & .FoundFiles.Count & _
            " file(s) found."
        For i = 1 To .FoundFiles.Count
            MsgBox .FoundFiles(i)
        Next i
    Else
        MsgBox "There were no files found."
    End If
End With

用 NewSearch 方法可將搜尋準則重新設定成其預設設定。所有屬性值在每次搜尋程序後仍然保持不變，用 NewSearch 方法可選擇性地為下一次的檔案搜尋程序設定屬性，而毋須手動重新設定原先的屬性值。下列範例會在新搜尋開始之前，重新設定搜尋準則為預設設定。

With Application.FileSearch
    .NewSearch
    .LookIn = "C:\My Documents"
    .SearchSubFolders = True
    .FileName = "Run"
    .MatchTextExactly = True
    .FileType = msoFileTypeAllFiles
End With


FileTypes 集合

FileSearch
FileTypes

msoFileType 類型的值集合，決定哪些類型的檔案要由 FileSearch 物件的 Execute 方法傳回。

使用 FileTypes 集合

使用 FileTypes 屬性和 FileSearch 物件來傳回 FileTypes 集合，例如：

Set ft = Application.FileSearch.FileTypes

附註 FileSearch 物件的 FileType 屬性清除 FileTypes 集合，並將集合中的第一個項目設定為由 FileType 屬性定義的檔案類型。

對於所有的搜尋僅存在一個 FileTypes 集合，因此在執行搜尋前清除 FileTypes 集合是很重要的，除非您希望從先前的搜尋中搜尋檔案類型。清除集合最簡單的方法是將 FileType 屬性設定為您想要搜尋的第一個檔案類型。您也可以使用 Remove 方法移除個別的類型。若要決定集合中每一個項目的檔案類型，請使用 Item 方法傳回 msoFileType 值。

下列範例在 C:\ drive 上搜尋所有的 HTML 及 Microsoft Excel 檔案。

Sub SearchForFiles()

    'Declare a variable to act as a generic counter
    Dim lngCount As Long

    'Use a With...End With block to reference the
    'FileSearch object
    With Application.FileSearch

        'Clear all the parameters of the previous searches.
        'This method doesn't clear the LookIn property or
        'the SearchFolders collection.
        .NewSearch

        'Setting the FileType property clears the
        'FileTypes collection and sets the first
        'item in the collection to the file type
        'defined by the FileType property.
        .FileType = msoFileTypeWebPages

        'Add a second item to the FileTypes collection
        .FileTypes.Add msoFileTypeExcelWorkbooks

        'Display the number of FileTypes in the collection.
        MsgBox "You are about to search for " & .FileTypes.Count & _
            " file types."

        'Set up the search to look in all subfolders on the C:\ drive.
        .LookIn = "C:\"
        .SearchSubFolders = True

        'Execute the search and test to see if any files
        'were found.
        If .Execute <> 0 Then

            'Display the number of files found.
            MsgBox "Files found: " & .FoundFiles.Count

            'Loop through the list of found files and
            'display the path of each one in a message box.
            For lngCount = 1 To .FoundFiles.Count
                If MsgBox(.FoundFiles.Item(lngCount), vbOKCancel, _
                    "Found files") = vbCancel Then

                    'Break out of the loop
                    lngCount = .FoundFiles.Count

                End If
            Next lngCount
        Else
            MsgBox "No files found."
        End If
    End With
End Sub

下列範例以迴圈搜尋 FileTypes 集合，並移除不是 Microsoft Word 或 Microsoft Excel 檔案的所有檔案類型 (一般而言，清除 FileTypes 集合並從新開始更簡單)。

Sub RemoveFileTypeFromCollection()

    'Define an integer to use as a counter
    'when iterating through the FileTypes collection.
    Dim intFileIndex As Integer

    'Use a With...End With block to reference the FileSearch object.
    With Application.FileSearch

        'Loop through all of the items in the FileTypes collection.
        intFileIndex = 1
        Do While intFileIndex <= .FileTypes.Count
            Select Case .FileTypes.Item(intFileIndex)
                Case msoFileTypeWordDocuments, msoFileTypeExcelWorkbooks
                Case Else

                    'If the file type isn't a Microsoft Word or
                    'Microsoft Excel file, remove it.
                    .FileTypes.Remove intFileIndex

                    'Decrement the counter so that no file types are missed.
                    intFileIndex = intFileIndex - 1
            End Select

            'Increment the counter to test the next file type.
            intFileIndex = intFileIndex + 1
        Loop

    End With
End Sub


FoundFiles 物件

FileSearch
PropertyTests (PropertyTest)
FoundFiles

代表從一次檔案搜尋程序傳回的檔案清單。

使用 FoundFiles 物件

用 FoundFiles 屬性可傳回 FoundFiles 物件。本範例會逐一檢視所找到檔案，並顯示每個檔案的檔案名稱和路徑。使用 FoundFiles(index) 語法，來傳回搜尋期間找到的特定檔案之路徑及檔案名稱，其中 index 為索引數。

With Application.FileSearch
    For i = 1 To .FoundFiles.Count
        MsgBox .FoundFiles(i)
    Next I
End With

用 Execute 方法可開始檔案搜尋程序，並更新 FoundFiles 物件。下列範例會在 My Documents 資料夾中尋找所有檔案名稱以 Cmd 開頭的檔案，並顯示找到的每個檔案的位置和檔案名稱。本範例還會對傳回的檔案按檔案名稱的字母升冪排序。

Set fs = Application.FileSearch
With fs
    .LookIn = "C:\My Documents"
    .FileName = "cmd*"
    If .Execute(SortBy:=msoSortbyFileName, _
    SortOrder:=msoSortOrderAscending) > 0 Then
        MsgBox "There were " & .FoundFiles.Count & _
            " file(s) found."
        For i = 1 To .FoundFiles.Count
            MsgBox .FoundFiles(i)
        Next i
    Else
        MsgBox "There were no files found."
    End If
End With


HTMLProject 物件

HTMLProject
HTMLProjectItems (HTMLProjectItem)

該物件代表最高層的專案分支，例如 [Microsoft Script 編輯器] 中的最高層分支即為 [專案總管]。

使用 HTMLProject 物件

使用 HTMLProject 物件的 Open 方法在 [Microsoft Script 編輯器] 中開啟 HTML 專案。對於在現用 Microsoft 文件，Excel 工作表，PowerPoint 的簡報中，均會以來源檢視或文字檢視來開啟專案。以下範例在來源檢視中開啟現用 Word 文件中的 HTML 專案。

ActiveDocument.HTMLProject.Open (msoHTMLProjectOpenSourceView)

使用 HTMLProjectItems 屬性傳回 HTML 專案中 HTMLProjectItem 物件的集合。使用 RefreshDocument 方法重設主應用程式中的 HTML 文件。使用 RefreshProject 方法重設 [Microsoft Script 編輯器] 中的專案。使用 State 方法判斷該 HTML 專案是否需要重新整理。


HTMLProjectItem 物件

HTMLProject
HTMLProjectItems (HTMLProjectItem)

表示一個單獨的專案項目，該項目是 [Microsoft Script 編輯器] 中 [專案總管] 的一個專案項目分支。HTMLProjectItem 物件是 HTMLProjectItems 集合的一個成員。

使用 HTMLProjectItem 物件

使用 HTMLProjectItems(index)，傳回一個 HTMLProjectItem 物件，其中 index 是專案項目的索引編號或名稱。用使 Name 屬性傳回專案項目的顯示名稱。以下範例傳回使用中文件的 HTMLProjectItems 集合中的第一個專案項目的名稱。

MsgBox "The first item is " & _
    ActiveDocument.HTMLProject.HTMLProjectItems(1).Name

使用 Open 方法在來源檢視或文字檢視中開啟專案項目，並使用 IsOpen 屬性來判斷專案項目目前是否處於開啟狀態。以下範例在預設檢視中開啟使用中文件中名為 ItemOne 的專案項目，然後使用訊息方塊顯示是否已成功開啟該專案項目。

ActiveDocument.HTMLProject.HTMLProjectItems("ItemOne").Open
If ActiveDocument.HTMLProject. _
        HTMLProjectItems("ItemOne").IsOpen Then
MsgBox "Opened project item " & ActiveDocument.HTMLProject.HTMLProjectItems("ItemOne").Name
End If

使用 SaveCopyAs 方法，以新的檔案名稱儲存專案項目。以下範例將專案項目 ItemOne 的複本另存為 NewItem。

ActiveDocument.HTMLProject.HTMLProjectItems("ItemOne") _
    .Open (msoHTMLProjectOpenTextView)
ActiveDocument.HTMLProject.HTMLProjectItems("ItemOne") _
    .SaveCopyAs("C:\NewItem.txt")

假設文字檔 C:\NewText.txt 已經存在，以下範例使用 LoadFromFile 屬性將 ItemOne 的文字設定為包含上述檔案中的文字。以下範例還使用 Text 屬性在訊息方塊中顯示新的文字。

MsgBox ActiveDocument.HTMLProject.HTMLProjectItems _
    ("ItemOne").Text
ActiveDocument.HTMLProject.HTMLProjectItems _
    ("ItemOne").LoadFromFile("C:\NewText.txt")
MsgBox ActiveDocument.HTMLProject.HTMLProjectItems _
    ("ItemOne").Text


HTMLProjectItems 集合物件

HTMLProject
HTMLProjectItems (HTMLProjectItem)

HTMLProjectItem 物件的集合，它表示包含在 HTMLProject 物件中的 HTML 專案項目。

使用 HTMLProjectItems 集合

使用 HTMLProject 物件的 HTMLProjectItems 屬性傳回 HTMLProjectItems 集合。使用 HTMLProjectItems 集合的 Count 屬性傳回指定文件的 HTML 專案中的 HTML 專案項目數。使用 HTMLProjectItems 集合的 Item 方法傳回單獨的專案項目。以下範例傳回使用中文件的 HTMLProjectItems 集合中第一個專案項目的名稱。

MsgBox "The first item is " & _
    ActiveDocument.HTMLProject.HTMLProjectItems(1).Name


LanguageSettings 物件

LanguageSettings

傳回 Microsoft Office 應用程式中有關語言設定的資訊。

使用 LanguageSettings 物件

使用 Application.LanguageSettings.LanguageID(MsoAppLanguageID) 語言設定，其中 MsoAppLanguageID 為一常數，可將語言辨別碼 (LCID) 資訊傳回指定的應用程式。

MsoAppLanguageID 可以是這些 MsoAppLanguageID 常數中的其中一項。
msoLanguageIDExeMode
msoLanguageIDHelp
msoLanguageIDInstall
msoLanguageIDUI
msoLanguageIDUIPrevious

以下範例在訊息方塊中顯示安裝語言、使用者介面語言和 [說明] 語言的 LCID。

MsgBox "The following locale IDs are registered " & _
    "for this application: Install Language - " & _
    Application.LanguageSettings.LanguageID(msoLanguageIDInstall) & _
    " User Interface Language - " & _
    Application.LanguageSettings.LanguageID(msoLanguageIDUI) & _
    " Help Language - " & _
    Application.LanguageSettings.LanguageID(msoLanguageIDHelp)

如下面範例所示，可用 Application.LanguageSettings.LanguagePreferredForEditing 來判斷哪些 LCID 被登錄成應用程式的首選編輯語言。

If Application.LanguageSettings. _
    LanguagePreferredForEditing(msoLanguageIDEnglishUS) Then
    MsgBox "U.S. English is one of the chosen editing languagess."
End If


MsoEnvelope 物件

MsoEnvelope
CommandBars

提供對功能的存取權限，可讓您直接從 Microsoft Office 應用程式將文件作為電子郵件傳送。

使用 MsoEnvelope 物件

使用 Document 物件、Chart 物件或 Worksheet 物件 (視您正在使用的應用程式而定) 的 MailEnvelope 屬性，傳回 MsoEnvelope 物件。

下列範例將使用中的 Microsoft Word 文件作為電子郵件傳送到您傳給副常式的電子郵件地址。

Sub SendMail(ByVal strRecipient As String)

    'Use a With...End With block to reference the MsoEnvelope object.
    With Application.ActiveDocument.MailEnvelope

        'Add some introductory text before the body of the e-mail.
        .Introduction = "Please read this and send me your comments."

        'Return a Microsoft Outlook MailItem object that
        'you can use to send the document.
        With .Item

            'All of the mail item settings are saved with the document.
            'When you add a recipient to the Recipients collection
            'or change other properties, these settings will persist.
            .Recipients.Add strRecipient
            .Subject = "Here is the document."

            'The body of this message will be
            'the content of the active document.
            .Send
        End With
    End With
End Sub


NewFile 物件

NewFile

NewFile 物件代表數個 Microsoft Office 應用程式中 [新項目] 工作窗格上列出的項目。下列表格顯示在每個應用程式中存取 NewFile 物件時使用的屬性。

應用程式 | 屬性
Microsoft Access | NewFileTaskPane
Microsoft Excel | NewWorkbook
Microsoft FrontPage | NewPageOrWeb
Microsoft PowerPoint | NewPresentation
Microsoft Word | NewDocument

附註 下列範例是針對 Word，但是您可以變更以上列出的任何屬性之 NewDocument 屬性，並使用對應應用程式中的程式碼。

使用 NewFile 物件

使用 Add 方法將新項目新增到 [新項目] 工作窗格。下列範例將項目新增到 Word 的 New Document 工作窗格。

Sub AddNewDocToTaskPane()
    Application.NewDocument.Add FileName:="C:\NewDocument.doc", _
        Section:=msoNew, DisplayName:="New Document"
    CommandBars("Task Pane").Visible = True
End Sub

使用 Remove 方法，從 [新項目] 工作窗格移除項目。下列範例從 Word 的 New Document 工作窗格中移除以上範例新增的文件。

Sub RemoveDocFromTaskPane()
    Application.NewDocument.Remove FileName:="C:\NewDocument.doc", _
        Section:=msoNew, DisplayName:="New Document"
    CommandBars("Task Pane").Visible = True
End Sub


ODSOColumn 物件

ODSOColumns
ODSOColumn

代表資料來源中的欄位。ODSOColumn 物件是 ODSOColumns 集合的成員。ODSOColumns 集合包括合併列印資料來源中的所有資料欄位 (例如，Name、Address 及 City)。

使用 ODSOColumn 物件

使用 Columns(index)，其中 index 是資料欄位名稱或索引編號，傳回單一 ODSOColumn 物件。索引編號代表資料欄位在合併列印資料來源中的位置。此範例取出附加到使用中發行物的資料來源中，第一筆記錄的第一個欄位名稱及值。

Sub GetDataFromSource()

    Dim appOffice As OfficeDataSourceObject

    Set appOffice = Application.OfficeDataSourceObject
    appOffice.Open bstrConnect:="DRIVER=SQL Server;SERVER=ServerName;" & _
        "UID=user;PWD=;DATABASE=Northwind", bstrTable:="Employees"

    With appOffice.Columns
        MsgBox "Field Name: " & .Item(1).Name & vbLf & _
            "Value: " & .Item(1).Value
    End With
End Sub

註解

您無法將欄位新增到 ODSOColumns 集合。資料來源中的所有資料欄位會自動併入 ODSOColumns 集合。


ODSOColumns 物件

OfficeDataSourceObject
ODSOColumns
ODSOColumn

ODSOColumn 物件的集合，代表合併列印資料來源中的資料欄位。

使用 ODSOColumns 物件

使用 Columns 屬性傳回 ODSOColumns 集合。下列範例顯示附加到使用中發行物之資料來源中的欄位名稱。

Sub ShowFieldNames()
    Dim appOffice As OfficeDataSourceObject
    Dim intCount As Integer

    Set appOffice = Application.OfficeDataSourceObject
    appOffice.Open bstrConnect:="DRIVER=SQL Server;SERVER=ServerName;" & _
        "UID=user;PWD=;DATABASE=Northwind", bstrTable:="Employees"

    With appOffice.Columns
        For intCount = 1 To .Count
            MsgBox "Column Name: " & .Item(intCount).Name
        Next
    End With
End Sub

使用 Columns(index)，其中 index 是資料欄位名稱或索引編碼，傳回單一 ODSOColumn 物件。索引編碼代表資料欄位在合併列印資料來源中的位置。此範例取出附加到使用中發行物的資料來源中，第一個欄位的名稱及 FirstName 欄位中第一個記錄的值。

Sub GetDataFromSource()
    Dim appOffice As OfficeDataSourceObject

    Set appOffice = Application.OfficeDataSourceObject
    appOffice.Open bstrConnect:="DRIVER=SQL Server;SERVER=ServerName;" & _
        "UID=user;PWD=;DATABASE=Northwind", bstrTable:="Employees"

    With appOffice.Columns
        MsgBox "Field Name: " & .Columns(1).Name & _
            "Value: " & .Columns("FirstName").Value
    End With
End Sub


ODSOFilter 物件

ODSOFilters
ODSOFilter

代表套用到附加合併列印資料來源的篩選。ODSOFilter 物件是 ODSOFilters 物件的成員。

使用 ODSOFilter 物件

在查詢字串中每一個篩選是一行。使用 Column、Comparison、CompareTo 及 Conjunction 屬性，傳回或設定資料來源查詢準則。下列範例變更現有的篩選，將 Region 欄位不等於 WA 的所有記錄從合併列印中移除。

Sub SetQueryCriterion()
    Dim appOffice As Office.OfficeDataSourceObject
    Dim intItem As Integer

    Set appOffice = Application.OfficeDataSourceObject
    appOffice.Open bstrConnect:="DRIVER=SQL Server;SERVER=ServerName;" & _
        "UID=user;PWD=;DATABASE=Northwind", bstrTable:="Employees"

    With appOffice.Filters
        For intItem = 1 To .Count
            With .Item(intItem)
                If .Column = "Region" Then
                    .Comparison = msoFilterComparisonNotEqual
                    .CompareTo = "WA"
                    If .Conjunction = "Or" Then .Conjunction = "And"
                End If
            End With
        Next intItem
    End With
End Sub

使用 ODSOFilters 物件的 Add 方法，將新的篩選準則新增到查詢。此範例將新增一行到查詢字串，然後套用合併的篩選到資料來源。

Sub SetQueryCriterion()
    Dim appOffice As OfficeDataSourceObject

    Set appOffice = Application.OfficeDataSourceObject
    appOffice.Open bstrConnect:="DRIVER=SQL Server;SERVER=ServerName;" & _
        "UID=user;PWD=;DATABASE=Northwind", bstrTable:="Employees"

    With appOffice.Filters
        .Add Column:="Region", _
            Comparison:=msoFilterComparisonIsBlank, _
            Conjunction:=msoFilterConjunctionAnd
        .ApplyFilter
    End With
End Sub


ODSOFilters 物件

OfficeDataSourceObject
ODSOFilters
ODSOFilter

代表套用到資料來源 (附加到合併列印發行物) 的所有篩選。ODSOFilters 物件由 ODSOFilter 物件組成。

使用 ODSOFilters 物件

使用 ODSOFilters 物件的 Add 方法，將新的篩選準則新增到查詢。此範例將新增一行到查詢字串，然後套用合併的篩選到資料來源。

Sub SetQueryCriterion()
    Dim appOffice As OfficeDataSourceObject

    Set appOffice = Application.OfficeDataSourceObject
    appOffice.Open bstrConnect:="DRIVER=SQL Server;SERVER=ServerName;" & _
        "UID=user;PWD=;DATABASE=Northwind", bstrTable:="Employees"

    With appOffice.Filters
        .Add Column:="Region", _
            Comparison:=msoFilterComparisonIsBlank, _
            Conjunction:=msoFilterConjunctionAnd
        .ApplyFilter
    End With
End Sub

使用 Item 方法以存取個別的篩選準則。此範例以迴圈搜尋所有的篩選準則，如果找到符合篩選準則具有 Region 值的欄位，則變更它，將不等於 WA 的所有記錄從合併列印中移除。

Sub SetQueryCriterion()
    Dim appOffice As Office.OfficeDataSourceObject
    Dim intItem As Integer

    Set appOffice = Application.OfficeDataSourceObject
    appOffice.Open bstrConnect:="DRIVER=SQL Server;SERVER=ServerName;" & _
        "UID=user;PWD=;DATABASE=Northwind", bstrTable:="Employees"

    With appOffice.Filters
        For intItem = 1 To .Count
            With .Item(intItem)
                If .Column = "Region" Then
                    .Comparison = msoFilterComparisonNotEqual
                    .CompareTo = "WA"
                    If .Conjunction = "Or" Then .Conjunction = "And"
                End If
            End With
        Next intItem
    End With
End Sub


OfficeDataSourceObject 物件

OfficeDataSourceObject
多重物件

代表合併列印操作中的合併列印資料來源。

使用 OfficeDataSourceObject 物件

若要使用 OfficeDataSourceObject 物件，將變數的維度設定為 OfficeDataSourceObject 物件。然後您就可以使用與該物件相關的不同屬性及方法。使用 SetSortOrder 方法指定資料來源中記錄排序的方式。下列範例首先依據郵遞區號以遞減順序排序資料來源，然後再依據姓氏及名字以遞增排序。

Sub SetDataSortOrder()
    Dim appOffice As OfficeDataSourceObject

    Set appOffice = Application.OfficeDataSourceObject
    appOffice.Open bstrConnect:="DRIVER=SQL Server;SERVER=ServerName;" & _
        "UID=user;PWD=;DATABASE=Northwind", bstrTable:="Employees"

    appOffice.SetSortOrder SortField1:="ZipCode", _
        SortAscending1:=False, SortField2:="LastName", _
        SortField3:="FirstName"
End Sub

使用 Column、Comparison、CompareTo 及 Conjunction 屬性傳回或設定資料來源查詢準則。下列範例變更現有的篩選，將 Region 欄位不等於 WA 的所有記錄從合併列印中移除。

Sub SetQueryCriterion()
    Dim appOffice As Office.OfficeDataSourceObject
    Dim intItem As Integer

    appOffice.Open bstrConnect:="DRIVER=SQL Server;SERVER=ServerName;" & _
        "UID=user;PWD=;DATABASE=Northwind", bstrTable:="Employees"

    With appOffice.Filters
        For intItem = 1 To .Count
            With .Item(intItem)
                If .Column = "Region" Then
                    .Comparison = msoFilterComparisonNotEqual
                    .CompareTo = "WA"
                    If .Conjunction = "Or" Then .Conjunction = "And"
                End If
            End With
        Next intItem
    End With
End Sub


PropertyTest 物件

FileSearch
PropertyTests (PropertyTest)
FoundFiles

代表單一的檔案搜尋準則。搜尋準則列在 [進階搜尋] 對話方塊中 ([檔案] 功能表，[開啟舊檔] 指令，[進階搜尋] 按鈕)。PropertyTest 物件是 PropertyTests 集合中的元素。

使用 PropertyTest 物件

用 PropertyTests(index) 可傳回一個 PropertyTest 物件，index 是該物件的索引號。下列範例會顯示 PropertyTests 集合中第一個屬性測試的所有搜尋準則。

With Application.FileSearch.PropertyTests(1)
myString = "This is the search criteria: " _
    & " The name is: " & .Name & ". The condition is: " _
    & .Condition
If .Value <> "" Then
    myString = myString & ". The value is: " & .Value
    If .SecondValue <> "" Then
        myString = myString _
            & ". The second value is: " _
            & .SecondValue & ", and the connector is" _
            & .Connector
    End If
End If
MsgBox myString
End With


PropertyTests 集合

FileSearch
PropertyTests (PropertyTest)
FoundFiles

PropertyTest 物件的集合代表一個檔案搜尋程序的所有搜尋準則。搜尋準則都列在 [進階尋找] 對話方塊中 ([檔案] 功能表，[開啟] 指令，[進階尋找] 按鈕)。

使用 PropertyTests 集合

用 PropertyTests 屬性可傳回 PropertyTests 集合。下列範例會顯示在一次檔案搜尋程序中，所用的進階尋找搜尋準則的個數。

Application.FileSearch.PropertyTests.Count

用 Add 方法可在 PropertyTests 集合中新增一個新的 PropertyTest 物件。下列範例將在搜尋準則新增兩個屬性測試條件，第一個條件是尋找任何檔案類型，第二個條件是尋找在 1996 年 1 月1 日至 1996 年 6 月 30 日期間修改過的檔案。本範例顯示找到的檔案數，並顯示訊息方塊中每個檔案的名稱。

Set fs = Application.FileSearch
fs.NewSearch
 With fs.PropertyTests
    .Add Name:="Files of Type", _
        Condition:=msoConditionFileTypeAllFiles, _
        Connector:=msoConnectorOr
    .Add Name:="Last Modified", _
        Condition:=msoConditionAnytimeBetween, _
        Value:="1/1/96", SecondValue:="6/1/96", _
        Connector:=msoConnectorAnd
 End With
    If fs.Execute() > 0 Then
        MsgBox "There were " & fs.FoundFiles.Count & _
            " file(s) found."
        For i = 1 To fs.FoundFiles.Count
            MsgBox fs.FoundFiles(i)
        Next i
    Else
        MsgBox "There were no files found."
    End If

用 PropertyTests(index) 可傳回一個 PropertyTest 物件，index 是該物件的索引號。下列範例會顯示 PropertyTests 集合中第一個屬性測試的所有搜尋準則。

With Application.FileSearch.PropertyTests(1)
myString = "This is the search criteria: " _
    & " The name is: " & .Name & ". The condition is: " _
    & .Condition
If .Value <> "" Then
    myString = myString & ". The value is: " & .Value
    If .SecondValue <> "" Then
        myString = myString _
            & ". The second value is: " _
            & .SecondValue & ", and the connector is" _
            & .Connector
    End If
End If
MsgBox myString
End With


ScopeFolder 物件

多重物件
ScopeFolder
ScopeFolders

對應於可搜尋到的資料夾。ScopeFolder 物件只適用於和 SearchFolders 集合一起使用。SearchFolders 集合定義使用 FileSearch 物件時搜尋的資料夾。當您想搜尋特定的資料夾時，您可以使用 SearchScope 物件及 ScopeFolders 集合的方法及屬性，取出 ScopeFolder 物件並將其新增到 SearchFolders 集合。

使用 ScopeFolder 物件

使用 SearchScope 物件的 ScopeFolder 屬性，傳回搜尋範圍的根 ScopeFolder 物件；例如：

Set sf = Application.FileSearch.SearchScopes.Item(1).ScopeFolder

使用 ScopeFolders 集合的 Item 方法，傳回根 ScopeFolder 物件的子資料夾；例如：

Set sf = Application.FileSearch.SearchScopes.Item(1).ScopeFolder.ScopeFolders.Item(1)

使用 SearchFolders 集合的 Item 方法，傳回下一次呼叫 FileSearch 物件之 Execute 方法時要搜尋的資料夾；例如：

Set sf = Application.FileSearch.SearchFolders.Item(1)

在每一個 ScopeFolder 物件中存在 ScopeFolders 集合，其包含父 ScopeFolder 物件的子資料夾。您可以藉由搜尋這些 ScopeFolders 集合並傳回所有的低層次 ScopeFolder 物件來瀏覽搜尋範圍的整個資料夾結構 (例如，所有的本機磁碟機)。不含子資料夾的 ScopeFolder 物件包含一個空的 ScopeFolders 集合。

示範如何在搜尋範圍中搜尋所有 ScopeFolder 物件的範例，請參見 SearchFolders 集合主題。

您可以使用 SearchFolders 集合的 Add 方法將 ScopeFolder 物件新增到 SearchFolders 集合，但是使用您想新增之 ScopeFolder 的 AddToSearchFolders 方法通常更簡單，這是因為對於所有的搜尋只存在一個 SearchFolders 集合。

示範如何將 ScopeFolder 新增到 SearchFolders 集合的範例，請參見 SearchFolders 集合主題。

下列範例在 [我的電腦] 中顯示每一個目錄的根路徑。若要取得此資訊，該範例首先到達 [我的電腦] 根目錄下的 ScopeFolder 物件。這個 ScopeFolder 物件的路徑總是 *。同所有的 ScopeFolder 物件一樣，根物件包含 ScopeFolders 集合。此範例搜尋這個 ScopeFolders 集合，並顯示每一個 ScopeFolder 物件在其中的路徑。這些 ScopeFolder 物件的路徑是 A:\、C:\ 等。

Sub DisplayRootScopeFolders()

    'Declare variables that reference a
    'SearchScope and a ScopeFolder object.
    Dim ss As SearchScope
    Dim sf As ScopeFolder

    'Use a With...End With block to reference the
    'FileSearch object.
    With Application.FileSearch

        'Loop through the SearchScopes collection
        'and display all of the root ScopeFolders collections in
        'the My Computer scope.
        For Each ss In .SearchScopes
            Select Case ss.Type
                Case msoSearchInMyComputer

                    'Loop through each ScopeFolder object in
                    'the ScopeFolders collection of the
                    'SearchScope object and display the path.
                    For Each sf In ss.ScopeFolder.ScopeFolders
                        MsgBox "ScopeFolder object's path: " & sf.Path
                    Next sf

                Case Else
            End Select
        Next
    End With
End Sub


ScopeFolders 集合

ScopeFolder
ScopeFolders
ScopeFolder

ScopeFolder 物件集合。只有 ScopeFolder 物件包含 ScopeFolders 集合。每一個 ScopeFolders 集合包含對應於父 ScopeFolder 物件之子資料夾的 ScopeFolder 物件。

使用 ScopeFolders 集合

使用 ScopeFolder 物件的 ScopeFolders 屬性傳回 ScopeFolders 集合。

Dim sfs as ScopeFolders
Set sfs = Application.FileSearch.SearchScopes.Item(1).ScopeFolder.ScopeFolders

您無法從 ScopeFolders 集合新增或移除 ScopeFolder 物件。


Script 物件

Scripts (Script)

代表 Microsoft Word 文件、Microsoft Excel 試算表或 Microsoft PowerPoint 投影片中的一個 HTML script 區塊。Script 物件是 Scripts 集合的成員。

使用 Script 物件

使用 Scripts.Item(index) 傳回一個 Script 物件，其中 index 是 script 的名稱、ID 或索引編號。每個 Script 物件都由 Id 屬性來識別，該屬性為存取 script 提供了一個易於使用的名稱。以下範例在使用中文件的 Scripts 集合新增一個 script，並顯示索引值為 1 的 script 的 ID。

myScript = ActiveDocument.Scripts.Add(_
    , msoScriptLocationInBody, _
    msoScriptLanguageVisualBasic, _
    "ScriptOne", , _
    "MsgBox (""This is ScriptOne. "")")
MsgBox (ActiveDocument.Scripts(1).Id)

您可透過改變 Language 屬性來指定用於編寫 script 的語言。以下範例將 script 的編寫語言變更為 [Active Server Page (ASP)]。

ActiveDocument.Scripts.Item("ScriptOne") _
    .Language = msoScriptLanguageASP

您可透過 Location 屬性來檢查 HTML 文件中 script 定位點圖形的位置。以下範例將判斷 ScriptOne 是否位於現用 HTML 文件中。

If ActiveDocument.Scripts("ScriptOne").Location = _
    msoScriptLocationInBody Then
    MsgBox ("Script is in the HTML document body.")
Else
    MsgBox ("Script is located in the header. ")
End If

您可透過 Extended 屬性檢查或設定新增到 <SCRIPT> 標籤的屬性 (LANGUAGE 和 ID 屬性例外)。以下範例檢查使用中文件的第一個 script 的其他屬性。

If ActiveDocument.Scripts(1).Extended = "" Then
    MsgBox ("No additional attributes are present " & _
    "in Script " &
     ActiveDocument.Scripts(1).Id)

您可用 ScriptText 屬性檢查或設定與指定 script 相關的 script 文字。以下範例在一個訊息方塊中顯示與使用中文件的 script 相關的 script 文字。

MsgBox (ActiveDocument.Scripts("ScriptOne").ScriptText)


Scripts 集合物件

Scripts (Script)

Script 物件的集合，它代表指定文件中的 HTML script 集合。

使用 Scripts 集合

Scripts 集合包含了指定文件中所有的 Script 物件，它們在該集合中按來源順序排列 (亦即將 Script 物件新增到來源檔案中的順序)。來源順序不受 script 在文件中的位置 (頁首或本文) 的影響。您可使用 Script 物件存取 script，或在 Microsoft Word 文件、Microsoft Excel 工作表或 Microsoft PowerPoint 投影片中新增 script。也可用 Scripts 集合存取在 Microsoft Office 應用程式中開啟的任何 HTML 頁或 script。

附註 Microsoft Access 不使用此一分享的 Office 元件。

新增 Script 物件

當您在 Scripts 集合中新增 Script 物件時，將會自動新增一個 msoScriptAnchor 類型的 Shape 物件到該文件中。在 Excel 工作表和 PowerPoint 投影片中，該物件會被新增到 Shapes 集合中；在 Word 文件中，該物件會被新增到 InlineShapes 集合中。您可透過 Add 方法在文件中新增一個 Script 物件。以下範例可在使用中 Word 文件中新增一個簡單的 script。

myScript = ActiveDocument.Scripts.Add(_
    , msoScriptLocationInBody, _
    msoScriptLanguageVisualBasic, _
    "ScriptOne", , _
    "MsgBox ""This is ScriptOne.""")

若要存取 Scripts 集合中的特定項目，請使用 Item 方法，並且提供 <SCRIPT> 標籤的 ID 屬性或表示 script 在集合中的位置的索引編號。該 ID 屬性在文件中必須是唯一的。如果 ID 屬性不是唯一的，則會傳回所找到的第一個具有該 ID 的 script。以下範例在一個訊息方塊中顯示所找到的第一個以 ScriptOne 為 ID 的 script 的語言。

MsgBox (ActiveDocument.Scripts.Item("ScriptOne").Language)

使用 Count 屬性判斷指定文件中 Script 物件的個數。以下範例顯示使用中文件的 script 個數。

If ActiveDocument.Scripts.Count = 0 Then
    MsgBox ("There are no " & _
    "scripts in this document. ")
End If
If ActiveDocument.Scripts.Count = 1 Then
    MsgBox ("There is " & _
    ActiveDocument.Scripts.Count & _
    " script in this document. ")
End If
If ActiveDocument.Scripts.Count > 1 Then
    MsgBox ("There are " & _
    ActiveDocument.Scripts.Count & _
    " scripts in this document. ")
End If

如下面範例所示，您可以用 Delete 方法從 Scripts 集合中移除一個 script。

ActiveDocument.Scripts("ScriptOne").Delete


SearchFolders 集合

FileSearch
SearchFolders
ScopeFolder

ScopeFolder 物件集合決定呼叫 FileSearch 物件之 Execute 方法時搜尋哪些資料夾。

使用 SearchFolders 集合

使用 FileSearch 物件的 SearchFolders 屬性傳回 SearchFolders 集合；例如：

Set sfs = Application.FileSearch.SearchFolders

對於每一個應用程式，只存在一個 SearchFolders 集合。在呼叫它的代碼完成執行之後，該集合的內容保留。因此，清除集合很重要，除非您想將先前搜尋的資料夾併入您的搜尋。

您可以使用 SearchFolders 集合的 Add 方法將 ScopeFolder 物件新增到 SearchFolders 集合，但是使用您想新增之 ScopeFolder 的 AddToSearchFolders 方法通常更簡單，這是因為對於所有的搜尋只存在一個 SearchFolders 集合。

SearchFolders 集合可以看作 FileSearch 物件 LookIn 屬性的補充。兩者都指定搜尋的資料夾，並且當執行搜尋時兩者都要使用。但是，如果您只想使用 LookIn 屬性，則您應當確定 SearchFolders 集合為空。相反，如果您只想使用 SearchFolders 集合，請在呼叫 Execute 方法之前將 LookIn 屬性設定到 SearchFolders 集合第一個成員的路徑中。

下列範例在本機上每一個名稱為 1028 的資料夾中搜尋所有的 HTML 及 Microsoft Excel 檔案。該範例使用 SearchFolders 集合、SearchScopes 集合及 ScopeFolders 集合。

此範例包含兩個常式。SearchEveryFolder 常式是您應當執行的常式。OutputPaths 常式從主常式分離，這是因為為了瀏覽本機的整個目錄結構，它遞歸呼叫自己。

Sub SearchEveryFolder()

    'Declare variables that reference a
    'SearchScope and a ScopeFolder object.
    Dim ss As SearchScope
    Dim sf As ScopeFolder

    'Declare a variable to act as a generic counter.
    Dim lngCount As Long

    'Use a With...End With block to reference the
    'FileSearch object.
    With Application.FileSearch

        'Clear all the parameters of the previous searches.
        'This method doesn't clear the LookIn property or
        'the SearchFolders collection.
        .NewSearch

        'Specify the type of file for which to search.
        'Use the FileType property to specify the first type
        'and then add additional types to the FileTypes collection.
        .FileType = msoFileTypeWebPages
        .FileTypes.Add msoFileTypeExcelWorkbooks

        'Clear the SearchFolder collection by
        'looping through each ScopeFolder object
        'and removing it.
        For lngCount = 1 To .SearchFolders.Count
            .SearchFolders.Remove lngCount
        Next lngCount

        'Loop through the SearchScopes collection to find
        'the scope in which you want to search. In this
        'case the scope is the local machine.
        For Each ss In .SearchScopes
            Select Case ss.Type
                Case msoSearchInMyComputer

                    'Loop through each ScopeFolder in
                    'the ScopeFolders collection of the
                    'SearchScope object.
                    For Each sf In ss.ScopeFolder.ScopeFolders

                        'Call a function that loops through all
                        'of the subfolders of the root ScopeFolder.
                        'This function adds any folders named "1033" to the
                        'SearchFolders collection.
                        Call OutputPaths(sf.ScopeFolders, "1033")

                    Next sf
                Case Else
            End Select
        Next ss

        'Test to see if any ScopeFolders collections were added to
        'the SearchFolders collection.
        If .SearchFolders.Count > 0 Then

            'Set the LookIn property to the path of
            'the first ScopeFolder object in the SearchFolders
            'collection. This is here so that any previous
            'setting of the LookIn property doesn't affect
            'the search.
            .LookIn = .SearchFolders.Item(1).Path

            'Execute the search and test to see if any files
            'were found.
            If .Execute <> 0 Then

                'Display the number of files found.
                MsgBox "Files found: " & .FoundFiles.Count

                'Loop through the list of found files and
                'display the path of each one in a message box.
                For lngCount = 1 To .FoundFiles.Count
                    If MsgBox(.FoundFiles.Item(lngCount), vbOKCancel, _
                        "Found files") = vbCancel Then
                        'Break out of the loop
                        lngCount = .FoundFiles.Count

                    End If
                Next lngCount
            End If
        End If
    End With
End Sub

'This subroutine loops through all of the ScopeFolders collections
'in a given ScopeFolders collection. It adds any folder
'that has the same name as the value of strFolder
'to the SearchFolders collection.
Sub OutputPaths(ByVal sfs As ScopeFolders, _
    ByRef strFolder As String)

    'Declare a variable as a ScopeFolder object
    Dim sf As ScopeFolder

    'Loop through each ScopeFolder object in the
    'ScopeFolders collection.
    For Each sf In sfs

        'Test to see if the folder name of the ScopeFolder
        'matches the value of strFolder. Use LCase to ensure
        'that case does not affect the match.
        If LCase(sf.Name) = LCase(strFolder) Then

            'Add the ScopeFolder to the SearchFolders collection.
            sf.AddToSearchFolders

        End If

        'Include a DoEvents call because there is the potential for this
        'loop to last a long time. The DoEvents call allows this process to
        'continue handling events.
        DoEvents

        'Test to see if the ScopeFolders collection in the
        'current ScopeFolder is empty. If it isn't empty, then
        'that means that the current ScopeFolder object contains subfolders.
        If sf.ScopeFolders.Count > 0 Then

            'This subroutine recursively calls itself so that
            'it can add the subfolders of the current ScopeFolder object
            'to the SearchFolders collection.
            Call OutputPaths(sf.ScopeFolders, strFolder)

        End If
    Next sf
End Sub


SearchScope 物件

SearchScopes
SearchScope
ScopeFolder

對應於使用 FileSearch 物件可以搜尋到的一種類型的資料夾樹狀目錄。例如，此電腦上的本機磁碟機代表單一的搜尋範圍。網路資料夾及 Microsoft Outlook 資料夾也是可能可用的獨立搜尋範圍。每一個 SearchScope 物件包含對應於搜尋範圍之根資料夾的單一 ScopeFolder 物件。

使用 SearchScope 物件

使用 SearchScopes 集合的 Item 方法傳回 SearchScope 物件；例如：

Dim ss As SearchScope
Set ss = Application.FileSearch.SearchScopes.Item(1)

最終，SearchScope 物件只適用於對可新增到 SearchFolders 集合之 ScopeFolder 物件提供存取權限。示範如何將此操作完成的範例，請參見 SearchFolders 集合主題。

參見 ScopeFolder 物件主題以查看如何將 ScopeFolder 物件從 SearchScope 物件傳回的簡單範例。

下列範例顯示目前所有可用的 SearchScope 物件。

Sub DisplayAvailableScopes()

    'Declare a variable that references a
    'SearchScope object.
    Dim ss As SearchScope

    'Use a With...End With block to reference the
    'FileSearch object.
    With Application.FileSearch

        'Loop through the SearchScopes collection.
        For Each ss In .SearchScopes
            Select Case ss.Type
                Case msoSearchInMyComputer
                    MsgBox "My Computer is an available search scope."
                Case msoSearchInMyNetworkPlaces
                    MsgBox "My Network Places is an available search scope."
                Case msoSearchInOutlook
                    MsgBox "Outlook is an available search scope."
                Case msoSearchInCustom
                    MsgBox "A custom search scope is available."
                Case Else
                    MsgBox "Can't determine search scope."
            End Select
        Next ss
    End With
End Sub


SearchScopes 集合

FileSearch
SearchScopes
SearchScope

SearchScope 物件的集合。

使用 SearchScopes 集合

使用 FileSearch 物件的 SearchScopes 屬性以傳回 SearchScopes 集合；例如：

Dim sss As SearchScopes
Set sss = Application.FileSearch.SearchScopes

無法新增或從 SearchScopes 集合中移除 SearchScope 物件。


Signature 物件

SignatureSet
Signature

對應附加到文件的數位簽名。Signature 文件包含在 Document 物件的 SignatureSet 集合中。

使用 Signature 物件

使用 Add 方法可以將 Signature 物件新增到 SignatureSet 集合，並且使用 Item 方法可以傳回現存的成員。若要從 SignatureSet 集合中移除 Signature，請使用 Signature 物件的 Delete 方法。

下列範例提醒使用者選取用於在 Microsoft Word 中簽名使用中文件的數位簽名。若要使用此範例，請開啟 Word 中的文件並且將認證發行者的名稱及認證簽名者的名稱傳給此功能，且該認證簽名者與 [數位驗證] 對話框中數位簽名的 [發行者] 及 [接收者] 欄位相符合。此範例將會測試以確定使用這所選取的數位簽名滿足某種準則，例如，在新簽名確認到磁碟之前未過期。

Function AddSignature(ByVal strIssuer As String, _
    strSigner As String) As Boolean

    On Error GoTo Error_Handler

    Dim sig As Signature

    'Display the dialog box that lets the
    'user select a digital signature.
    'If the user selects a signature, then
    'it is added to the Signatures
    'collection. If the user doesn't, then
    'an error is returned.
    Set sig = ActiveDocument.Signatures.Add

    'Test several properties before commiting the Signature object to disk.
    If sig.Issuer = strIssuer And _
        sig.Signer = strSigner And _
        sig.IsCertificateExpired = False And _
        sig.IsCertificateRevoked = False And _
        sig.IsValid = True Then

        MsgBox "Signed"
        AddSignature = True
    'Otherwise, remove the Signature object from the SignatureSet collection.
    Else
        sig.Delete
        MsgBox "Not signed"
        AddSignature = False
    End If

    'Commit all signatures in the SignatureSet collection to the disk.
    ActiveDocument.Signatures.Commit

    Exit Function
Error_Handler:
    AddSignature = False
    MsgBox "Action cancelled."
End Function


SignatureSet 集合

SignatureSet
Signature

對應附加到文件之數位簽名的 Signature 物件集合。

使用 SignatureSet 集合

使用 Document 物件的 Signatures 屬性以傳回 SignatureSet 集合；例如：

Set sigs = ActiveDocument.Signatures

附註 對文件之 SignatureSet 集合所作的變更將會持續到您呼叫 Commit 方法。

使用 Add 方法可以將 Signature 物件新增到 SignatureSet 集合，並且使用 Item 方法可以傳回現存的成員。若要從 SignatureSet 集合中移除 Signature，請使用 Signature 物件的 Delete 方法。

下列範例提醒使用者選取用於在 Microsoft Word 中簽名使用中文件的數位簽名。若要使用此範例，請開啟 Word 中的文件並且將認證發行者的名稱及認證簽名者的名稱傳給此功能，且該認證簽名者與 [數位驗證] 對話框中數位簽名的 [發行者] 及 [接收者] 欄位相符合。此範例將會驗證以確定使用這所選取的數位簽名滿足某種準則，例如，在新簽名確認到磁碟之前未過期。

Function AddSignature(ByVal strIssuer As String, _
    strSigner As String) As Boolean

    On Error GoTo Error_Handler

    Dim sig As Signature

    'Display the dialog box that lets the
    'user select a digital signature.
    'If the user selects a signature, then
    'it is added to the Signatures
    'collection. If the user doesn't, then
    'an error is returned.
    Set sig = ActiveDocument.Signatures.Add

    'Test several properties before committing the Signature object to disk.
    If sig.Issuer = strIssuer And _
        sig.Signer = strSigner And _
        sig.IsCertificateExpired = False And _
        sig.IsCertificateRevoked = False And _
        sig.IsValid = True Then

        MsgBox "Signed"
        AddSignature = True
    'Otherwise, remove the Signature object from the SignatureSet collection.
    Else
        sig.Delete
        MsgBox "Not signed"
        AddSignature = False
    End If

    'Commit all signatures in the SignatureSet collection to the disk.
    ActiveDocument.Signatures.Commit

    Exit Function
Error_Handler:
    AddSignature = False
    MsgBox "Action cancelled."
End Function


WebPageFont 物件

WebPageFonts (WebPageFont)

表示在將文件以某個字元集儲存為不同字元集的 Web 畫面時的預設字型。

使用 WebPageFont 物件

使用 WebPageFont 物件說明任何可用字元集的比例字型、比例字型大小、等寬字型和等寬字型大小。

它支援以下字元集。
msoCharacterSetArabic
msoCharacterSetCyrillic
msoCharacterSetEnglishWesternEuropeanOtherLatinScript
msoCharacterSetGreek
msoCharacterSetHebrew
msoCharacterSetJapanese
msoCharacterSetKorean
msoCharacterSetMultilingualUnicode
msoCharacterSetSimplifiedChinese
msoCharacterSetThai
msoCharacterSetTraditionalChinese
msoCharacterSetVietnamese

以下範例設定 WebPageFont 物件 myFont 的比例字型和比例字型大小。

With myFont
    ProportionalFont = Verdana
    ProportionalFontSize = 14


WebPageFonts 集合物件

WebPageFonts (WebPageFont)

WebPageFont 物件的集合，它說明將文件存成 Web 畫面時所用的部份字型、字型大小、固定寬度的字型及固定寬度的字型大小。您可以為每個可用的字元集指定不同的 Web 畫面字型屬性集。

使用 WebPageFonts 集合

WebPageFonts 集合包含了每個字元集中的 WebPageFont 物件。

它支援以下字元集。
msoCharacterSetArabic
msoCharacterSetCyrillic
msoCharacterSetEnglishWesternEuropeanOtherLatinScript
msoCharacterSetGreek
msoCharacterSetHebrew
msoCharacterSetJapanese
msoCharacterSetKorean
msoCharacterSetMultilingualUnicode
msoCharacterSetSimplifiedChinese
msoCharacterSetThai
msoCharacterSetTraditionalChinese
msoCharacterSetVietnamese

以下範例利用 Item 屬性將 myFont 設定為目前應用程式中的 English/Western European/Other Latin Script 字元集的 WebPageFont 物件。

Dim myFont As WebPageFont
Set myFont = _
  Application.DefaultWebOptions.Fonts.Item_
  (msoCharacterSetEnglishWesternEuropeanOtherLatinScript)


ActivateWizard 方法

此主題部分內容可能不適用於某些語言。

在自訂精靈期間，重新啟動或暫停執行 [Office 小幫手] 說明。

附註 您只能以 StartWizard 方法來使用這個方法。

expression.ActivateWizard(WizardID, Act, Animation)

expression 必選。傳回 Assistant 物件的運算式。

WizardID 必選的 Long。StartWizard 方法傳回的數字。

Act 必選的 MsoWizardActType。 指定 [Office 小幫手] 說明對話的改變方法。

MsoWizardActType 可以是這些 MsoWizardActType 常數中的其中一個。
msoWizardActActive
msoWizardActInactive
msoWizardActResume
msoWizardActSuspend

Animation 選擇性的 Variant。[Office 小幫手] 在重新啟動或暫停執行精靈對話時，所使用的動態效果型態。

範例

本範例會暫停由 StartWizard 方法所啟動的精靈作業。 將變數 lHelpForWiz 設定為 StartWizard 方法的傳回值。

Assistant.ActivateWizard WizardID:=lHelpForWiz, _
   Act:=msoWizardActSuspend, Animation:=msoAnimationGoodbye


Add 方法

套用到 NewFile 物件的 Add 方法。

將新項目新增到 [新項目] 工作窗格。傳回 Boolean。如果順利新增項目，則為 True。

expression.Add(FileName, Section, DisplayName, Action)

expression 必選。傳回上列物件之一的運算式。

FileName 必選 String。在工作窗格上新增檔案名稱至檔案清單。

Section 選擇性 Variant。新增檔案的區段。可以是任何 msoFileNewSection 常數。

DisplayName 選擇性 Variant。在工作窗格中顯示的文字。

Action 選擇性 Variant。使用者按一下項目時執行的動作。可以是任何 msoFileNewAction 常數。

套用到 CommandBars 物件的 Add 方法。

建立一個命令列並將其新增到命令列集合中。傳回一個 CommandBar 物件。

expression.Add(Name, Position, MenuBar, Temporary)

expression 必選。該運算式傳回一個 CommandBars 物件。

Name 選擇性 Variant。新命令列的名稱。如果省略此引數，預設名稱將會指定給命令列 (例如 Custom 1)。

Position 選擇性 Variant。新命令列的位置或類型。該引數值可設定為下表所列的 MsoBarPosition 常數之一。

常數 | 敘述
msoBarLeft, msoBarTop, msoBarRight, msoBarBottom | 指示新命令列的左右和上下座標。
msoBarFloating | 指出可移動的新命令列。
msoBarPopup | 指出將是快顯功能表的新命令列。
msoBarMenuBar | 僅適用於 Macintosh

MenuBar 選擇性 Variant。選擇 True 會以新命令列取代使用中的功能表列。預設值為 False。

Temporary 選擇性 Variant。選擇 True 會暫時建立新命令列。當容器應用程式關閉時，暫時的命令列會被刪除。預設值為 False。

套用到 CommandBarControls 物件的 Add 方法。

建立新 CommandBarControl 物件，並將其新增到指定命令列的控制項集合。

expression.Add(Type, Id, Parameter, Before, Temporary)

expression 必要的運算式，它會傳回一個 CommandBarControls 物件。

Type 選擇性 Variant。要新增到指定命令列中的控制項類型。可以是下列 MsoControlType 常數之一：msoControlButton、msoControlEdit、msoControlDropdown、msoControlComboBox 或 msoControlPopup。

Id 選擇性 Variant。指定內建控制項的整數。如果此引數值為 1 或者引數被省略，將新增具有指定類型的空白自訂控制項至命令列。

Parameter 選擇性 Variant。對於內建控制項，容器應用程式可使用此引數執行命令。對於自訂控制項，可以使用此引數傳送資訊給 Visual Basic 程序，或用來儲存關於控制項的資訊 (類似第二個 Tag 屬性值)。

Before 選擇性 Variant。指示在命令列上新控制項所在位置的數值。新控制項將在控制項置於此位置之前插入。如果省略此引數，那麼新控制項將新增在指定命令列的尾端。

Temporary 選擇性 Variant。True 用來建立新的暫時控制項。關閉容器應用程式時，會自動刪除暫時控制項。預設值為 False。

套用到 DocumentProperties 物件的 Add 方法。

建立一個新的自訂文件屬性。您只能新增文件屬性至自訂的 DocumentProperties 集合。

expression.Add(Name, LinkToContent, Type, Value, LinkSource)

expression 必要的運算式，自訂的 DocumentProperties 物件。

Name 必選 String。屬性名稱。

LinkToContent 必選 Boolean。指定屬性是否連結至容器文件的內容。如果此引數為 True，則必選 LinkSource 引數，如果為 False，則必選值引數。

Type 選擇性 Variant。屬性的資料類型。可設定為以下 MsoDocProperties 常數之一：msoPropertyTypeBoolean、msoPropertyTypeDate、msoPropertyTypeFloat、msoPropertyTypeNumber 或 msoPropertyTypeString。

Value 選擇性 Variant。為屬性值，如果沒有連結到容器文件的內容。將轉換此值以符合 type 引數所指定的資料類型，如果無法轉換，就會出現錯誤。 如果 LinkToContent 為 True，則忽略 Value 引數，而且在容器應用程式更新連結的屬性值之前 (通常是在儲存文件時)，新文件屬性被指定為預設值。

LinkSource 選擇性 Variant。如果 LinkToContent 為 False，則忽略此引數。此值表示連結屬性的來源。容器應用程式會決定可使用的連結來源類型。

註解

如果您新增自訂文件屬性至連結到 Microsoft Office 文件中已賦予值的 DocumentProperties 集合中，您必須儲存文件才能看到 DocumentProperty 物件的變更。

套用到 FileDialogFilters 物件的 Add 方法。

新增檔案篩選到 [檔案] 對話方塊中 [檔案類型] 下拉式清單方塊中的篩選清單。傳回代表新增檔案篩選的 FileDialogFilter 物件。

expression.Add(Description, Extensions, Position)

expression 必選。傳回上列物件之一的運算式。

Description 必選 String。表示您要新增至篩選清單的檔案副檔名之說明文字。

Extensions 必選 String。表示您要新增至篩選清單的檔案副檔名之文字。可能會指定多個副檔名，每個都必須以分號 (;) 來分隔。例如，Extensions 引數可以指定給字串：*.txt; *.htm。注意，括弧不必新增到副檔名旁邊。當說明及副檔名字串連結放在一個檔案篩選項目中時，Office 會自動將括弧新增到副檔名字串旁邊。

Position 選擇性 Variant。指出篩選清單中新控制項所在位置的數值。新篩選會在篩選置於此位置之前插入。如果省略此引數，該篩選會新增到清單末尾。

註解

清單中每個篩選由兩部份組成：檔案副檔名 (例如 .txt) 及檔案副檔名的文字說明 (例如文字檔案)。這樣，檔案篩選在 [類型檔案] 下拉式清單方塊中會以下列方式出現：文字檔案 (*.txt)。

注意，當篩選新增到清單時，不移除預設篩選。

篩選只有在 Windows 選項被勾選時才會顯示 。

如果 Position 無效，會顯示超出範圍執行階段錯誤。如果 Description and Extensions 值無效，則會顯示執行階段錯誤 (分析)。

資料夾選擇對話方塊沒有篩選，因此篩選方法不能套用到資料夾選擇。

套用到 Scripts 物件的 Add 方法。

在下列物件的 Scripts 集合中新增 Script 物件：Microsoft Word 中的 Document 或 Range 物件；Microsoft Excel 中的 Worksheet 或 Chart 物件；或者 Microsoft PowerPoint 中的 Slide、SlideRange、投影片 Master 或標題 Master 物件。傳回一個 Script 物件。

expression.Add(Anchor, Location, Language, Id, Extended, ScriptText)

expression 必選。Scripts 集合。

Anchor 選擇性 Range (僅限 Microsoft Excel)。Anchor 引數會接受一個 Excel Range 物件，該物件會指定 Excel Worksheet 中該 Script 定位點的位置。您不能在 Excel 圖表中插入 Script 定位點。

Location 選擇性 MsoScriptLocation。指定文件中 Script 定位點的位置。如果您已經指定 Anchor 引數，就不需要使用 Location 引數；Anchor 引數的位置會決定 Script 定位點的位置。

MsoScriptLocation 可以是這些 MsoScriptLocation 常數的其中一項。
msoScriptLocationInBody 預設
msoScriptLocationInHead

Language 選擇性 MsoScriptLanguage。指定 Script 的語言。

MsoScriptLanguage 可以是這些 MsoScriptLanguage 常數的其中一項。
msoScriptLanguageASP
msoScriptLanguageJava
msoScriptLanguageOther
msoScriptLanguageVisualBasic 預設

Id 選擇性 String。HTML 中 <SCRIPT> 標記的 ID。Id 引數會指定用於命名元素的 SGML 識別碼。有效的識別碼可以是任何以字母開頭，並以文數字字元構成的字串；該字串還可包含底線字元 (_)。此 ID 在 HTML 文件中必須是唯一的。此參數會在 <SCRIPT> 標記中以 ID 屬性匯出。

Extended 選擇性 String。指定要加入 <SCRIPT> 標記的屬性 (LANGUAGE 和 ID 屬性是透過 Language 和 Id 參數匯出的，請不要透過 Extended 參數匯出)。預設值是空白字串。與 HTML 相同，屬性是以空格來分隔的。Microsoft Office 主應用程式並不提供方法來檢查傳送屬性的語法。

ScriptText 選擇性 String。指定 Script 區塊中的文字。預設值是空白字串。Microsoft Office 主應用程式不檢查 Script 的語法。

註解

與 script 區塊相關的圖形，不能當作 HTML 中的圖形匯出或列印，只能匯出 script 區塊。

您不能使用 Add 方法，在包含多張投影片的 PowerPoint 投影片區域中加入 script 定位點。

套用到 SignatureSet 物件的 Add 方法。

傳回表示新電子郵件簽名的 Signature 物件。

expression.Add

expression 必選。傳回上列物件之一的運算式。

套用到 ODSOFilters 物件的 Add 方法。

將篩選新增到 ODSOFilters 集合。

expression.Add(Column, Comparison, Conjunction, bstrCompareTo, DeferUpdate)

expression 必選。傳回上列物件之一的運算式。

Column 必選 String。資料來源中表格的名稱。

Comparison 必選 MsoFilterComparison。如何在表格中篩選資料。

MsoFilterComparison 可以是一個 MsoFilterComparison 常數。
msoFilterComparisonContains
msoFilterComparisonEqual
msoFilterComparisonGreaterThan
msoFilterComparisonGreaterThanEqual
msoFilterComparisonIsBlank
msoFilterComparisonIsNotBlank
msoFilterComparisonLessThan
msoFilterComparisonLessThanEqual
msoFilterComparisonNotContains
msoFilterComparisonNotEqual

Conjunction 必選 MsoFilterConjunction。決定此篩選如何與 ODSOFilters 物件中其他篩選相關。

MsoFilterConjunction 可以是一個 MsoFilterConjunction 常數。
msoFilterConjunctionAnd
msoFilterConjunctionOr

bstrCompareTo 選擇性 String。如果 Comparison 引數不是 msoFilterComparisonIsBlank 或 msoFilterComparisonIsNotBlank，表格中的資料與其字串對照。

DeferUpdate 選擇性 Boolean。預設值為 False。

套用到 AnswerWizardFiles 物件的 Add 方法。

在 [解答精靈] 檔案中建立一個新的參照（String 類型的值），並將它加入 AnswerWizardFiles 集合。

expression.Add(FileName)

expression 必選。傳回一個 AnswerWizardFiles 集合的運算式。

FileName 必選 String。指定 [解答精靈] 檔案的完整路徑。

套用到 FileTypes 物件的 Add 方法。

將新檔案類型新增到檔案搜索中。

expression.Add(FileType)

expression 必選。傳回上列物件之一的運算式。

FileType 必選 MsoFileType。指定要搜尋的檔案類型。

MsoFileType 可為這些 MsoFileType 常數之一。
msoFileTypeAllFiles
msoFileTypeBinders
msoFileTypeCalendarItem
msoFileTypeContactItem
msoFileTypeCustom
msoFileTypeDatabases
msoFileTypeDataConnectionFiles
msoFileTypeDesignerFiles
msoFileTypeDocumentImagingFiles
msoFileTypeExcelWorkbooks
msoFileTypeJournalItem
msoFileTypeMailItem
msoFileTypeNoteItem
msoFileTypeOfficeFiles
msoFileTypeOutlookItems
msoFileTypePhotoDrawFiles
msoFileTypePowerPointPresentations
msoFileTypeProjectFiles
msoFileTypePublisherFiles
msoFileTypeTaskItem
msoFileTypeTemplates
msoFileTypeVisioFiles
msoFileTypeWebPages
msoFileTypeWordDocuments

套用到 PropertyTests 物件的 Add 方法。

在 PropertyTests 集合中新增一個 PropertyTest 物件。

expression.Add(Name, Condition, Value, SecondValue, Connector)

expression 必選。傳回一個 PropertyTests 物件的運算式。

Name 必選 String。屬性準則的名稱。該名稱對應 [尋找] 對話方塊之[屬性] 方塊中的值，您可以從應用程式 [開啟] 對話方塊 ([檔案] 功能表) 中的 [工具] 功能表開啟。

Condition 必選 MsoCondition。搜尋準則的條件。

MsoCondition 可以是這些 MsoCondition 常數的其中一項。
msoConditionAnyNumberBetween
msoConditionAnytime
msoConditionAnytimeBetween
msoConditionAtLeast
msoConditionAtMost
msoConditionBeginsWith
msoConditionDoesNotEqual
msoConditionEndsWith
msoConditionEquals
msoConditionEqualsCompleted
msoConditionEqualsDeferred
msoConditionEqualsHigh
msoConditionEqualsInProgress
msoConditionEqualsLow
msoConditionEqualsNormal
msoConditionEqualsNotStarted
msoConditionEqualsWaitingForSomeoneElse
msoConditionFileTypeAllFiles
msoConditionFileTypeBinders
msoConditionFileTypeCalendarItem
msoConditionFileTypeContactItem
msoConditionFileTypeDatabases
msoConditionFileTypeDataConnectionFiles
msoConditionFileTypeDesignerFiles
msoConditionFileTypeDocumentImagingFiles
msoConditionFileTypeExcelWorkbooks
msoConditionFileTypeJournalItem
msoConditionFileTypeMailItem
msoConditionFileTypeNoteItem
msoConditionFileTypeOfficeFiles
msoConditionFileTypeOutlookItems
msoConditionFileTypePhotoDrawFiles
msoConditionFileTypePowerPointPresentations
msoConditionFileTypeProjectFiles
msoConditionFileTypePublisherFiles
msoConditionFileTypeTaskItem
msoConditionFileTypeTemplates
msoConditionFileTypeVisioFiles
msoConditionFileTypeWebPages
msoConditionFileTypeWordDocuments
msoConditionFreeText
msoConditionIncludes
msoConditionIncludesFormsOf
msoConditionIncludesNearEachOther
msoConditionIncludesPhrase
msoConditionInTheLast
msoConditionInTheNext
msoConditionIsExactly
msoConditionIsNo
msoConditionIsNot
msoConditionIsYes
msoConditionLastMonth
msoConditionLastWeek
msoConditionLessThan
msoConditionMoreThan
msoConditionNextMonth
msoConditionNextWeek
msoConditionNotEqualToCompleted
msoConditionNotEqualToDeferred
msoConditionNotEqualToHigh
msoConditionNotEqualToInProgress
msoConditionNotEqualToLow
msoConditionNotEqualToNormal
msoConditionNotEqualToNotStarted
msoConditionNotEqualToWaitingForSomeoneElse
msoConditionOn
msoConditionOnOrAfter
msoConditionOnOrBefore
msoConditionThisMonth
msoConditionThisWeek
msoConditionToday
msoConditionTomorrow
msoConditionYesterday

Value 選擇性 Variant。搜尋準則的值。

SecondValue 選擇性 Variant。搜尋範圍的上限值。僅在 Condition 為 msoConditionAnyTimeBetween 或 msoConditionAnyNumberBetween 時才可以使用此引數。

Connector 選擇性 MsoConnector。指定合併兩個搜尋準則的方法。

MsoConnector 可以是這些 MsoConnector 常數的其中一項。
msoConnectorAnd 預設
msoConnectorOr

套用到 SearchFolders 物件的 Add 方法。

將搜尋資料夾新增到檔案搜索。

expression.Add(ScopeFolder)

expression 必選。傳回上列物件之一的運算式。

ScopeFolder 必選 ScopeFolder 物件。新增至搜尋的資料夾。

範例

套用到 AnswerWizardFiles 物件。

本範例會準備 [解答精靈] 以接受自訂檔案清單，然後新增兩個自訂 [解答精靈] 檔案。首先，本範例會清除檔案清單，接著新增兩個自訂 [解答精靈] 檔案，然後檢查檔案數和檔案名稱，以確認檔案已正確新增。

Dim customAnswerWizard As AnswerWizard
Set customAnswerWizard = Application.AnswerWizard

customAnswerWizard.ClearFileList
customAnswerWizard.Files.Add ("c:\awfiles\custom_1.aw")
customAnswerWizard.Files.Add ("c:\awfiles\custom_2.aw")

If customAnswerWizard.Files.Count = 2 Then
    MsgBox "Files " & customAnswerWizard.Files.Item(1) & _
    " and " & customAnswerWizard.Files(2) & _
    " were added sucessfully."
End If

套用到 CommandBarControls 物件。

本範例會建立一個自訂編輯工具列，包含用來剪下、複製和貼上的按鈕 (控制項)。

Dim customBar As CommandBar
Dim newButton As CommandBarButton
Set customBar = CommandBars.Add("Custom")
Set newButton = customBar.Controls _
    .Add(msoControlButton, CommandBars("Edit") _
    .Controls("Cut").Id)
Set newButton = customBar.Controls _
    .Add(msoControlButton, CommandBars("Edit") _
    .Controls("Copy").Id)
Set newButton = customBar.Controls _
    .Add(msoControlButton, CommandBars("Edit") _
    .Controls("Paste").Id)
customBar.Visible = True

套用到 DocumentProperties 物件。

本範例是專為在 Microsoft Word 中執行而設計的，它會在 DocumentProperties 集合中新增三個自訂的文件屬性。

With ActiveDocument.CustomDocumentProperties
    .Add Name:="CustomNumber", _
        LinkToContent:=False, _
        Type:=msoPropertyTypeNumber, _
        Value:=1000
    .Add Name:="CustomString", _
        LinkToContent:=False, _
        Type:=msoPropertyTypeString, _
        Value:="This is a custom property."
    .Add Name:="CustomDate", _
        LinkToContent:=False, _
        Type:=msoPropertyTypeDate, _
        Value:=Date
End With

套用到 PropertyTests 物件。

本範例會在搜尋準則中新增兩個屬性測試。第一個測試為檔案必須是 Microsoft Word 文件，第二個測試為它們必須在 1996 年 1 月 1 日 與 1996 年 6 月 30 日之間修改。該範例還會顯示一個訊息方塊，顯示所找到的檔案總數 (如果有的話)，以及每個所找到檔案的名稱。

Set fs = Application.FileSearch
fs.NewSearch
With fs.PropertyTests
    .Add Name:="Files of Type", _
        Condition:=msoConditionFileTypeWordDocuments, _
        Connector:=msoConnectorOr
    .Add Name:="Last Modified", _
        Condition:=msoConditionAnytimeBetween, _
        Value:="1/1/98", SecondValue:="6/30/98", _
        Connector:=msoConnectorAnd
End With
If fs.Execute() > 0 Then
        For i = 1 To fs.FoundFiles.Count
            strFound = strFound & fs.FoundFiles(i) & vbCrLf
        Next i
        MsgBox "Search found the following " _
            & fs.FoundFiles.Count & _
            " file(s):" & vbCrLf & strFound
Else
    MsgBox "There were no files found."
End If
套用到 Scripts 物件。

本範例會在使用中的活頁簿中第一個工作表上的指定區域，新增一個新的 Script。

Dim rngScriptAnchorRange As Range
Dim objNewScript As Script

Set rngScriptAnchorRange = ActiveWorkbook. _
    Worksheets(1).Range("B5")
Set objNewScript = ActiveWorkbook. _
    Worksheets(1).Scripts.Add(rngScriptAnchorRange, _
      msoScriptLocationInBody, _
      msoScriptLanguageVisualBasic, _
      "MyNewScript", , _
      "MsgBox (""Added Script object MyNewScript"")")


AddItem 方法

在指定命令列組合方塊控制項中新增一個清單項目。該組合方塊控制項必須是自訂控制項，並且必須是下拉式清單方塊或組合方塊。

附註 該方法無法用於文字方塊或內建的組合方塊控制項。

expression.AddItem(Text, Index)

expression 必選。傳回 CommandBarComboBox 物件的運算式。

Text 必選的 String。要新增到指定控制項中文字說明。

Index 選擇性的 Variant。指定項目在清單的位置。如果省略此引數，指定項目將新增在清單的尾端。

範例

本範例會在命令列中新增一個組合方塊控制項。然後在該控制項中新增兩個項目，以及設定項目的行數和組合方塊的寬度。

Set myBar = CommandBars("Custom")
Set myControl = myBar.Controls.Add(Type:=msoControlComboBox, Id:=1)
With myControl
    .AddItem "First Item", 1
    .AddItem "Second Item", 2
    .DropDownLines = 3
    .DropDownWidth = 75
    .ListHeaderCount = 0
End With


AddToSearchFolders 方法

新增 ScopeFolder 物件 SearchFolders 集合。

expression.AddToSearchFolders

Expression 必選。傳回 ScopeFolder 物件的運算式。

註解

雖然您可以使用 SearchFolders 集合的 Add 方法，新增 ScopeFolder 物件到 SearchFolders 集合，但是更簡便的方法是使用您要新增之 ScopeFolder 物件的 AddToSearchFolders 方法，因為所有搜尋只有一個 SearchFolders 集合。

範例

下列範例將新增根 ScopeFolder 物件到 SearchFolders 集合。對於使用 AddToSearchFolders 方法更長的範例，請參閱 SearchFolders 集合主題。

Application.FileSearch.SearchScopes(1).ScopeFolder.AddToSearchFolders


ApplyFilter 方法

將篩選套用到合併列印資料來源，以篩選符合指定準則的指定記錄。

expression.ApplyFilter

Expression 必選。傳回 [套用至] 清單中物件之一的運算式。

範例

此範例將新增新的篩選以移除具有空白 [區域] 欄位的所有記錄，然後套用該篩選至使用中的發行物。

Sub OfficeFilters()
    Dim appOffice As OfficeDataSourceObject
    Dim appFilters As ODSOFilters

    Set appOffice = Application.OfficeDataSourceObject

    appOffice.Open bstrConnect:="DRIVER=SQL Server;SERVER=ServerName;" & _
        "UID=user;PWD=;DATABASE=Northwind", bstrTable:="Employees"

    Set appFilters = appOffice.Filters

    MsgBox appOffice.RowCount

    appFilters.Add Column:="Region", Comparison:=msoFilterComparisonEqual, _
        Conjunction:=msoFilterConjunctionAnd, bstrCompareTo:="WA"
    appOffice.ApplyFilter

    MsgBox appOffice.RowCount

End Sub


Clear 方法

從指定命令列組合方塊控制項(下拉式清單方塊或組合方塊) 中清除所有清單項目，並清除文字方塊 (文書編輯方塊或組合方塊)。

附註 該方法無法用於內建命令列。

expression.Clear

expression 必選。傳回 CommandBarComboBox 物件的運算式。

範例

本範例會檢查命令列 Custom 上的組合方塊控制項中的項目數。如果組合方塊的清單中項目數少於 3 的話，那麼本範例就會清除該清單，並在其中新增一個新項目，然後將此新項目作為組合方塊控制項的預設值。

Set myBar = CommandBars("Custom Bar")
Set myControl = myBar.Controls _
    Type:=msoControlComboBox)
With myControl
    .AddItem "First Item", 1
    .AddItem "Second Item", 2
End With
If myControl.ListCount < 3 Then
    myControl.Clear
    myControl.AddItem Text:="New Item", Index:=1
End If


ClearFileList 方法

清除目前 [解答精靈] 的檔案清單，包括 Microsoft Office 主應用程式中的檔案預設清單。

expression.ClearFileList

expression 傳回 AnswerWizard 物件的運算式。

註解

使用此方法，移除指定應用程式目前檔案清單中的所有項目。您也可以使用此方法，確定在主應用程式中沒有任何的預設 [解答精靈] 檔案可供使用者使用。然後，您可以使用 AnswerWizardFiles 集合的 Add 方法，建立自訂的檔案清單。

若要還原主應用程式的預設 [解答精靈] 檔案設定，請使用 ResetFileList 方法。

範例

本範例會為 [解答精靈] 接受自訂檔案清單作好準備，然後加入兩個自訂的 [解答精靈] 檔案。首先，本範例會清除檔案清單，接著加入兩個自訂的 [解答精靈] 檔案，然後檢查檔案數和檔案名稱，以確認檔案已正確加入。

Dim customAnswerWizard As AnswerWizard
Set customAnswerWizard = Application.AnswerWizard

customAnswerWizard.ClearFileList
customAnswerWizard.Files.Add ("c:\awfiles\custom_1.aw")
customAnswerWizard.Files.Add ("c:\awfiles\custom_2.aw")

If customAnswerWizard.Files.Count = 2 Then
    MsgBox "Files " & customAnswerWizard.Files.Item(1) & _
    " and " & customAnswerWizard.Files(2) & _
    " were added sucessfully."
End If


Close 方法

關閉使用中的非強制模式汽球式說明。您應該只能在回呼程序中使用此方法。

expression.Close

expression 必選。傳回 Balloon 物件的運算式。

範例

本範例會顯示一個汽球式說明，其中包含三個印表機各自的按鈕。每當使用者按一下其中任何一個按鈕，ProcessPrinter 回呼程序就會開始執行，並關閉汽球式說明。

Sub selectPrinter()
Set bln = Assistant.NewBalloon
With bln
    .Heading = "Select a Printer."
    .Labels(1).Text = "Network Printer"
    .Labels(2).Text = "Local Printer"
    .Labels(3).Text = "Local Color Printer"
    .BalloonType = msoBalloonTypeButtons
    .Mode = msoModeModeless
    .Callback = "ProcessPrinter"
    .Show
End With
End Sub

Sub ProcessPrinter(bln As Balloon, lbtn As Long, _
 lPriv As Long)
    Assistant.Animation = msoAnimationPrinting
    Select Case lbtn
    Case -1
        ' Insert network printer-specific code.
    Case -2
        ' Insert local printer-specific code.
    Case -3
        ' Insert color printer-specific code.
    End Select
    bln.Close
End Sub


Commit 方法

交付所有指定 SignatureSet 集合的變更至磁碟。直到 Commit 方法已執行，沒有對 SignatureSet 集合的變更可儲存。

expression.Commit

Expression 必選。傳回 [套用至] 清單中物件之一的運算式。

範例

下列範例提示使用者選取數位簽名，用來在 Microsoft Word 的使用中文件中簽名。若要使用此範例，請開啟在 Word 中的文件，並呼叫此功能。此功能將測試以確定使用者選取的數位簽名不會在 12 個月內過期。如果過期，則不附加該認證。

Function AddSignature() As Boolean

    On Error GoTo Error_Handler

    Dim sig As Signature

    'Display the dialog box that lets the
    'user select a digital signature.
    'If the user selects a signature, then
    'it is added to the Signatures
    'collection. If the user doesn't, then
    'an error is returned.
    Set sig = ActiveDocument.Signatures.Add

    'Test to make sure that the new Signature object
    'doesn't expire too soon. This expression calculates
    'the number of months until the Signature object expires.
    If DateDiff("m", sig.SignDate, sig.ExpireDate) < 12 Then

        MsgBox "This certificate will expire in less than 1 year." & vbCrLf & _
        "Please use a newer certificate."

        AddSignature = False
        sig.Delete
    Else
        AddSignature = True
    End If

    'Commit all signatures in the SignatureSet collection to the disk.
    ActiveDocument.Signatures.Commit

    Exit Function
Error_Handler:
    AddSignature = False
    MsgBox "Action cancelled."
End Function


Copy 方法

將指定的命令列控制項複製到既存的命令列中。

expression.Copy(Bar, Before)

expression 必選。傳回 CommandBarControl、CommandBarButton、CommandBarPopup 或 CommandBarComboBox 物件的運算式。

Bar 選擇性的 Variant。此數值表示代表目的命令列的 CommandBar 物件。如果省略該引數，控制項將複製到同一個命令列中 (即該控制項目前所在的命令列)。

Before 選擇性的 Variant。此數值指示新控制項在指定命令列上的位置。新控制項將插入該位置的控制項之前。如果省略此引數，那麼控制項將複製到命令列的尾端。

範例

本範例會將命令列 Standard 中第一個控制項，複製到命令列 Custom 中的第一個控制項。

Set myCustomBar = CommandBars("Custom")
Set myControl = CommandBars("Standard").Controls(1)
With myControl
    .Copy Bar:=myCustomBar, Before:=1
    .SetFocus
End With


CopyFace 方法

將指定命令列按鈕控制項的圖示複製到 [剪貼簿] 上。

expression.CopyFace

expression 必選。傳回 CommandBarButton 物件的運算式。

註解

可用 PasteFace 方法將 [剪貼簿] 上的內容貼到一個按鈕圖示上。

範例

本範例會尋找內建的 [開啟舊檔] 按鈕，並將按鈕圖面複製到 [剪貼簿] 上，然後再將圖面貼上到 [拼字及文法檢查] 按鈕上。

Set myControl = CommandBars.FindControl(Type:=msoControlButton, Id:=23)
myControl.CopyFace
Set myControl = CommandBars.FindControl(Type:=msoControlButton, ID:=2)
myControl.PasteFace


Delete 方法

套用至 DocumentProperty 物件的 Delete 方法。

移除自訂文件屬性。

expression.Delete

expression 必選。傳回上列物件之一的運算式。

註解

此方法無法刪除一個內建的文件屬性。

套用到 AnswerWizardFiles 物件的 Delete 方法。

將指定物件從包含該物件的集合中刪除。

expression.Delete(FileName)

expression 必選。傳回上列物件之一的運算式。

FileName 必選 String。要刪除的檔案名稱，包括完整的路徑、檔案名稱和副檔名。

套用到 FileDialogFilters 物件的 Delete 方法。

移除檔案對話篩選。

expression.Delete(filter)

expression 必選。傳回上列物件之一的運算式。

filter 選擇性 Variant。要移除的篩選。

套用到 ODSOFilters 物件的 Delete 方法。

從 ODSOFilters 集合刪除篩選物件。

expression.Delete(Index, DeferUpdate)

expression 必選。傳回上列物件之一的運算式。

Index 必選 Long。要刪除篩選的數目。

DeferUpdate 選擇性 Boolean。

套用到 CommandBar、Script、Scripts 及 Signature 物件 Delete 的方法。

從集合中刪除指定物件。

expression.Delete

expression 必選。傳回上列物件之一的運算式。

註解

將 Delete 方法用於 Scripts 集合，可移除指定的 Word 文件、Excel 工作表或 PowerPoint 投影片中之所有 script。script 定位錨點在主應用程式中會顯示為一個圖案。因此，在 Excel 和 PowerPoint 中與每一個 msoScriptAnchor 類型的 script 定位錨點圖示相關之 Shape 物件，以及 Word 中取自 InlineShapes 和 Shapes 集合的物件就會被刪掉。

套用到 CommandBarButton、CommandBarComboBox、CommandBarControl 及 CommandBarPopup 物件的 Delete 方法。

將指定物件從包含該物件的集合中刪除。

expression.Delete(Temporary)

expression 必選。傳回上列物件之一的運算式。

Temporary 選擇性 Variant。True 會刪除目前階段作業的控制項。應用程式會在下一個階段作業再次顯示該控制項。

範例

套用到 CommandBar 物件。

本範例會刪除所有未顯示的自訂命令列。

foundFlag = False
delBars = 0
For Each bar In CommandBars
    If (bar.BuiltIn = False) And _
    (bar.Visible = False) Then
        bar.Delete
        foundFlag = True
        delBars = delBars + 1
    End If
Next bar
If Not foundFlag Then
    MsgBox "No command bars have been deleted."
Else
    MsgBox delBars & " custom bar(s) deleted."
End If

套用到 DocumentProperty 物件。

本範例會刪除自訂的文件屬性。若要正確執行此範例，您必須有一個名為 CustomNumber 的 DocumentProperty 物件。

ActiveDocument.CustomDocumentProperties("CustomNumber").Delete


DoAlert 方法

顯示提醒，並傳回指示使用者按哪個按鈕的 Long。您可以選擇透過 Microsoft Office 或作為一般訊息方塊顯示此提醒。

expression.DoAlert(bstrAlertTitle, bstrAlertText, alb, alc, ald, alq, varfSysAlert)

expression 必選。傳回 [套用至] 清單中物件之一的運算式。

bstrAlertTitle 必選 String。設定提醒的標題。

bstrAlertText 必選 String。設定提醒的文字。

alb 必選 MsoAlertButtonType。決定哪個按鈕顯示在提醒上。

MsoAlertButtonType 可以是這些 MsoAlertButtonType 常數的其中一項。
msoAlertButtonAbortRetryIgnore
msoAlertButtonOK
msoAlertButtonOKCancel
msoAlertButtonRetryCancel
msoAlertButtonYesAllNoCancel 只有在 varfSysAlert 引數設定為 False 時才使用。
msoAlertButtonYesNo
msoAlertButtonYesNoCancel

alc 必選 MsoAlertIconType。決定顯示在提醒上的圖示。

MsoAlertIconType 可以是這些 MsoAlertIconType 常數的其中一項。
msoAlertIconCritical
msoAlertIconInfo
msoAlertIconNoIcon
msoAlertIconQuery
msoAlertIconWarning

ald 必選 MsoAlertDefaultType。決定將哪個按鈕設定為提醒的預設按鈕。如果此引數的設定值大於按鈕數，則會傳回錯誤。

MsoAlertDefaultType 可以是這些 MsoAlertDefaultType 常數的其中一項。
msoAlertDefaultFifth
msoAlertDefaultFirst
msoAlertDefaultFourth
msoAlertDefaultSecond
msoAlertDefaultThird

alq 必選 MsoAlertCancelType。永遠設定為 msoAlertCancelDefault。任何其他設定都會傳回錯誤。

MsoAlertCancelType 可以是這些 MsoAlertCancelType 常數的其中一項。
msoAlertCancelDefault
msoAlertCancelFifth
msoAlertCancelFirst
msoAlertCancelFourth
msoAlertCancelSecond
msoAlertCancelThird

varfSysAlert 必選 Boolean。如果在訊息方塊中顯示提醒，則為 True；如果透過 [Office 小幫手] 顯示提醒，則為 False。

註解

DoAlert 方法的傳回值對應 vbMsgBoxResult 列舉類型的值 (例如，vbYes、vbNo 或 vbCancel)。除了這些值以外，還可能傳回下列值：

  • "Yes to all" = 8
  • "Try again" = 10
  • "Continue" = 11

範例

下列範例透過 [Office 小幫手] 顯示提醒，並顯示訊息方塊，指出使用者按哪一個按鈕。如果停用該幫手，則提醒會顯示在一般訊息方塊中。

Sub AssistantAlert()
    With Application.Assistant
        Select Case _
            .DoAlert(_
            "Test", _
            "Click a button.", _
            msoAlertButtonYesAllNoCancel, _
            msoAlertIconCritical, _
            msoAlertDefaultSecond, _
            msoAlertCancelFirst, _
            False)

            Case vbYes: MsgBox "The user clicked Yes."
            Case vbNo: MsgBox "The user clicked No."
            Case vbCancel: MsgBox "The user clicked Cancel."
            Case 8: MsgBox "The user clicked Yes To All" 'This is the return value for YesToAll
            Case Else
        End Select
    End With
End Sub


EndWizard 方法

此主題部分內容可能不適用於某些語言。

放開 StartWizard 方法傳回的變數。

附註 您只能以 StartWizard 方法來使用這個方法。

expression.EndWizard(WizardID, varfSuccess, Animation)

expression 必選。傳回 Assistant 物件的運算式。

WizardID 必選的 Long。StartWizard 方法傳回的數字。

varfSuccess 必選的 Boolean。如已設定為 True，表示使用者已成功完成精靈。

Animation 選擇性的 Variant。如果 varfSuccess 已設定為 True，Office 小幫手的動畫效果就會開始執行。預設值是 msoAnimationCharacterSuccessMajor。

範例

本範例會關閉使用者成功結束精靈作業的 [Office 小幫手]。將變數 lHelpForWiz 指定為 StartWizard 方法的傳回值。

Assistant.EndWizard WizardId:=lHelpForWiz, _
    varfSuccess:=True, Animation:=msoAnimationGoodbye


Execute 方法

套用到 FileSearch 物件的 Execute 方法。

開始搜尋指定的檔案。傳回 Long；如果找不到檔案則傳回零 (0)，如果找到一或多個檔案則傳回正數。

expression.Execute(SortBy, SortOrder, AlwaysAccurate)

expression 必要的運算式，它會傳回一個 FileSearch 物件。

SortBy 選擇性 MsoSortBy。此方法用來排序傳回的檔案。

MsoSortBy 可以是下列其中一個 MsoSortBy 常數。
msoSortByFileName 預設
msoSortByFileType
msoSortByLastModified
msoSortByNone
msoSortBySize

SortOrder 選擇性 MsoSortOrder。此順序是傳回之檔案的排序順序。

MsoSortOrder 可以是下列其中一個 MsoSortOrder 常數。
msoSortOrderAscending 預設
msoSortOrderDescending

AlwaysAccurate 選擇性 Boolean。如果此引數值為 True，則檔案搜尋的範圍包括檔案索引自上次更新後所新增、修改或刪除的檔案。預設值為 True。

套用到 CommandBarButton、CommandBarComboBox、CommandBarControl、CommandBarPopup 及 FileDialog 物件的 Execute 方法。

對於命令列物件，執行設定至指定 命令列控制項的程序或內建命令。對於自訂控制項，請使用 OnAction 屬性來設定要執行的程序。

對於類型為 msoFileDialogOpen 或 msoFileDialogSaveAs 的 FileDialog 物件，在使用 Show 方法後進行使用者的動作。

expression.Execute

expression 必選。傳回上列物件之一的運算式。

範例

套用到 FileSearch 物件。

本範例會在 My Documents 資料夾中搜尋所有以 .doc 為副檔名的檔案，並顯示每個所找到檔案的位置和檔名。本範例還會將傳回的檔案清單根據檔名的字母升冪來排列。

Set fs = Application.FileSearch
With fs
    .LookIn = "C:\My Documents"
    .FileName = "*.doc"
    If .Execute(SortBy:=msoSortbyFileName, _
            SortOrder:=msoSortOrderAscending) > 0 Then
        MsgBox "There were " & .FoundFiles.Count & _
            " file(s) found."
        For i = 1 To .FoundFiles.Count
            MsgBox .FoundFiles(i)
        Next i
    Else
        MsgBox "There were no files found."
    End If
End With

套用到 CommandBarButton、CommandBarComboBox、CommandBarControl 及 CommandBarPopup 物件。

本 Microsoft Excel 範例會建立一個命令列，並在此命令列中新增一個內建命令列按鈕控制項。此按鈕會執行 Excel 的 AutoSum 函數。本範例還會在命令列出現時，使用 Execute 方法，來加總選定儲存格的範圍。

Dim cbrCustBar As CommandBar
Dim ctlAutoSum As CommandBarButton
Set cbrCustBar = CommandBars.Add("Custom")
Set ctlAutoSum = cbrCustBar.Controls _
    .Add(msoControlButton, CommandBars("Standard") _
    .Controls("AutoSum").Id)
cbrCustBar.Visible = True
ctlAutoSum.Execute


FindControl 方法

傳回一個符合指定條件的 CommandBarControl 物件的運算式。

expression.FindControl(Type, Id, Tag, Visible, Recursive)

expression 必選。傳回 CommandBars 物件的運算式。。

Type 選擇性的 MsoControlType 資料型態，要搜尋的控制項型態。

MsoControlType 型態可以是這些 MsoControlType 常數的其中一項。
msoControlActiveX
msoControlCustom
msoControlButton
msoControlEdit
msoControlDropdown
msoControlComboBox
msoControlButtonDropdown
msoControlSplitDropdown
msoControlGenericDropdown
msoControlGraphicCombo
msoControlSplitButtonMRUPopup
msoControlSplitExpandingGrid
msoControlGraphicDropdown
msoControlPopup
msoControlGraphicPopup
msoControlButtonPopup
msoControlGauge
msoControlLabel
msoControlExpandingGrid
msoControlGrid
msoControlOCXDropDown
msoControlSplitButtonPopup
msoControlPane

Id 選擇性的 Variant。要搜尋的控制項的識別碼。

Tag 選擇性的 Variant。控制項的標籤值。

Visible 選擇性的 Variant。如果該值為 True，搜尋範圍只包含顯現的命令列控制項。預設值為 False。Visible 命令列包含所有執行 FindControl 方法時，能同時顯現並開啟的工具列及任何功能表。

Recursive 選擇性的 Boolean。 如果該值為 True，搜尋範圍包含命令列及其所有快顯畫面式子工具列。引數只能套用至 CommandBar 物件。預設值是 False。

註解

如果 CommandBars 集合中有兩個或者更多的控制項符合搜尋條件，FindControl 會傳回找到的第一個控制項。如果找不到符合搜尋條件的控制項，FindControl 會傳回 Nothing。

範例

本範例會在命令列 Custom 中尋找第一個控制項。如果該控制項是一個按鈕，那麼範例就會使用 FindControl 方法在 [標準] 工具列中尋找 [複製] 按鈕，然後複製此 [複製] 按鈕的圖面，並將它貼到該控制項上。

Set oldCtrl = CommandBars("Custom").Controls(1)
If oldCtrl.Type = 1 Then
    Set newCtrl = CommandBars.FindControl(Type:= _
        MsoControlButton, ID:= _
        CommandBars("Standard").Controls("Copy").ID)
    NewCtrl.CopyFace
    OldCtrl.PasteFace
End If


FindControls 方法

傳回符合指定條件的 CommandBarControls 集合。

expression.FindControls(Type, Id, Tag, Visible)

expression 必選。傳回 CommandBarControls 集合的運算式。

Type 選擇性的 MsoControlType 資料型態，要搜尋的控制項型態。

MsoControlType 型態可以是這些 MsoControlType 常數的其中一項。
msoControlActiveX
msoControlCustom
msoControlButton
msoControlEdit
msoControlDropdown
msoControlComboBox
msoControlButtonDropdown
msoControlSplitDropdown
msoControlGenericDropdown
msoControlGraphicCombo
msoControlSplitButtonMRUPopup
msoControlSplitExpandingGrid
msoControlGraphicDropdown
msoControlPopup
msoControlGraphicPopup
msoControlButtonPopup
msoControlGauge
msoControlLabel
msoControlExpandingGrid
msoControlGrid
msoControlOCXDropDown
msoControlSplitButtonPopup
msoControlPane
Id 選擇性的 Variant。控制項的識別碼。

Tag 選擇性的 Variant。控制項的標籤值。

Visible 選擇性的 Variant。如果該值為 True，那麼搜尋時只會包括顯示出的命令列控制項。預設值是 False。

註解

如果沒有找不到任何符合指定條件的控制項，FindControls 方法會傳回 Nothing。

範例

本範例會使用 FindControls 方法傳回 CommandBars 集合中 ID 為 18 的所有成員，並在訊息方塊中顯示符合搜尋條件的控制項數目。

Dim myControls As CommandBarControls
Set myControls = CommandBars.FindControls(Type:=msoControlButton, ID:=18)
MsgBox "There are " & myControls.Count & _
    " controls that meet the search criteria."


Help 方法

此主題部分內容可能不適用於某些語言。

顯示 [Office 小幫手] 及內建標準 Office 線上說明的小幫手汽球式說明 [請問您想要執行什麼工作？]。

expression.Help

expression 必選。傳回 Assistant 物件的運算式。

範例

當使用者核取 [我需要更多資訊] 核取方塊時，本範例會顯示內建的 [請問想您要執行什麼工作?] 的小幫手汽球式說明。

Set b = Assistant.NewBalloon
With b
    .Heading = "User Information"
    .Text = "Select your skill level"
    .CheckBoxes(1).Text = "Beginner."
    .CheckBoxes(2).Text = "Advanced."
    .CheckBoxes(3).Text = "I need more information."
    .Show
End With
If b.CheckBoxes(3).Checked = True Then
    Assistant.Help
End If


Item 方法

套用到 COMAddIns 物件的 Item 方法。

傳回指定 COMAddIns 集合中的成員。

expression.Item(Index)

Expression 必選。指定的 COMAddIns 集合。

Index 必選 Variant。這是傳回 COM 增益集在 COMAddIns 集合中該位置之序數值，或代表指定 COM 增益集之 ProgID 的 String 值。

套用到 FileDialogFilters 物件的 Item 方法。

傳回 FileDialogFilter 物件，此物件為指定 FileDialogFilters 集合的成員。

expression.Item(Index)

expression 必選。傳回上列物件之一的運算式。

Index 必選 Long。要傳回之 FileDialogFilter 物件的索引編號。

套用到 HTMLProjectItems 物件的 Item 方法。

傳回 HTMLProjectItem 物件，該物件表示 [Microsoft Script 編輯器] 中的特定專案。

expression.Item(Index)

expression 必要的 HTMLProjectItems 集合。

Index 必選 Variant。要傳回之 HTML 專案項目的名稱或索引編號。

套用到 Scripts 物件的 Item 方法。

傳回 Scripts 集合的成員。接受想要 Microsoft Office 應用程式傳回之 Script 的索引編號或 ID。Item 方法會接受 Variant 值，此值可接受傳回 Scripts 集合中該位置上所儲存之 Script 的序數編號 (索引值)，或可接受代表該 Script 名稱或 ID 的 String 值。

expression.Item(Index)

Expression 必選。傳回 Scripts 物件的運算式。

Index 必選 Variant。要傳回的 Script ID 或索引編號。

註解

Scripts 集合中包含了特定文件的所有 script，並以來源順序排列（即 Script 物件在來源檔案中出現的順序）。無論 script 位於文件中的什麼位置（無論是在頁首還是在本文中），都按來源順序排列。

您可以使用 Item 方法，透過 <SCRIPT> 標籤的 ID 來存取 Scripts 中的 script。<SCRIPT> 標籤的 ID 屬性相當於 Script 物件的 Id 屬性。如果在文件中有兩個或多個相同的 ID，而您又使用 Item 方法透過 Script 物件的 Id 屬性來存取 script 時，Office 將傳回第一個與該 ID 相符合的 script，而略過其他具有相同 ID 的 script。

新增到集合中的 script 定位點會被新增至 Scripts 集合的末尾，其順序與這些 script 定位點被新增到文件中的順序相同。script 定位點將保持這一順序，直至將文件存成HTML 格式、關閉並在主應用程式中再次開啟為止。經過上述幾個動作，Scripts 集合將依照 script 定位點在文件中出現的順序來建立索引，該順序可能與新增至文件的順序不同。因此，建議您使用 Script 物件的 Id 屬性，而不要使用 script 在集合中的位置，以確保對 script 的正確標識。

套用到 FileDialogSelectedItems 物件的 Item 方法。

傳回 String，它對應使用者從檔案對話方塊 (利用 FileDialog 物件的 Show 方法所顯示) 中選取其中一個檔案的路徑。FileDialogSelectedItems 集合為字串的集合。

expression.Item(Index)

expression 必選。傳回上列物件之一的運算式。

Index 必選 Long。這是要傳回之字串的索引編號。


LoadFromFile 方法

用磁碟中指定檔案的文字更新 [Microsoft Script 編輯器] 中的文字。

expression.LoadFromFile(Filename)

expression HTMLProjectItem 物件。

Filename 必選的 String 類型。包含要載入文字的文字檔的完整路徑。

範例

本範例判斷指定的專案項目是否已經開啟；如果該項目已開啟，那麼本範例就會從指定檔案中載入 script。

If ActiveWorkbook.HTMLProject.HTMLProjectItems _
    .Item(1).IsOpen Then
    ActiveWorkbook.HTMLProject.HTMLProjectItems _
        .Item(1).LoadFromFile ("C:\MyScript.txt")
Else
    MsgBox "The HTMLProjectItem is not open."
End If


Move 方法

此主題中的部份內容可能不適用於部份語言。

套用到 CommandBarButton、CommandBarComboBox、CommandBarControl 及 CommandBarPopup 物件的 Move 方法。

將指定的命令列控制項移到現有的命令列中。

expression.Move(Bar, Before)

expression 必選。傳回上列物件之一的運算式。

Bar 選擇性 Variant。CommandBar 物件，代表控制項的目的命令列。如果省略此引數，則會將控制項移至該控制項目前所在命令列的尾端。

Before 選擇性 Variant。這是指示控制項位置的數字。控制項會在控制項目前佔據該位置之前插入。如果省略此引數，控制項將被插入同一個命令列中。

套用到 Assistant 物件的 Move 方法。

將 [Office 小幫手] 移至指定的位置。

expression.Move(xLeft, yTop)

expression 必要的運算式，它會傳回一個 Assistant 物件。

xLeft 必選 Integer。這是 [Office 小幫手] 視窗左邊的位置 (以點為單位)。

yTop 必選 Integer。這是 [Office 小幫手] 視窗頂端的位置 (以點為單位)。

範例

套用到 CommandBarButton、CommandBarComboBox、CommandBarControl 及 CommandBarPopup 物件。

本範例會將 Custom 命令列上的第一個組合方塊控制項移動至該命令列上第 7 個控制項之前的位置。然後設定該控制項的標記為 Selection box，並指定一個較低的優先順序，以便在一行無法容納所有的控制項時，可以從命令列中捨棄該控制項。

Set allcontrols = CommandBars("Custom").Controls
For Each ctrl In allControls
    If ctrl.Type = msoControlComboBox Then
        With ctrl
            .Move Before:=7
             .Tag = "Selection box"
             .Priority = 5
         End With
         Exit For
    End If
Next

套用到 Assistant 物件。

本範例會在指定的位置中顯示 [Office 小幫手]，並在將它顯示前設定數個選項。

With Assistant
    .Reduced = True
    .Move xLeft:= 400, yTop:= 300
    .MoveWhenInTheWay = True
    .TipOfDay = True
    .Visible = True
    .Animation = msoAnimationGreeting
End With


NewSearch 方法

此主題部分內容可能不適用於某些語言。

重新設定所有搜尋準則為其預設設定。

expression.NewSearch

expression 必選。傳回 FileSearch 物件的運算式。

註解

搜尋準則的設定在應用程式的工作期將保持不變。當您變更搜尋準則時，可以使用這個方法。該方法不會重新設定 LookIn 屬性的值。

範例

本範例在開始新搜尋之前，先使用 NewSearch 方法，來重設預設的搜尋準則。

With Application.FileSearch
    .NewSearch
    .LookIn = "C:\My Documents"
    .SearchSubFolders = True
    .FileName = "run"
    .TextOrProperty = "San*"
    .MatchAllWordForms = True
    .FileType = msoFileTypeAllFiles
    If .Execute() > 0 Then
        MsgBox "There were " & .FoundFiles.Count & _
        " file(s) found."
        For i = 1 To .FoundFiles.Count
            MsgBox .FoundFiles(i)
        Next i
    Else
        MsgBox "There were no files found."
    End If
End With


Open 方法

由下列選擇性 MsoHTMLProjectOpen 常數所指定其中一項檢視的 [Microsoft Script 編輯器] 中，開啟指定的 HTML 專案或 HTML 專案項目。如果未指定其中一個常數，則會在預設檢視中開啟此專案項目。

expression.Open(OpenKind)

Expression 必選。傳回 [套用至] 清單中物件之一的運算式。

OpenKind 選擇性 MsoHTMLProjectOpen。這是要在其中開啟指定專案或專案項目的檢視。

MsoHTMLProjectOpen 可以是下列其中一個 MsoHTMLProjectOpen 常數。
msoHTMLProjectOpenSourceView
msoHTMLProjectOpenTextView

註解

預設檢視是根據執行 Open 方法時 [Microsoft Script 編輯器] 是否已開啟而決定的。如果 [Script 編輯器] 尚未開啟，那麼 Open 方法會以來源檢視來啟動 [Script 編輯器]。如果 [Script 編輯器] 已經開啟，那麼 Open 方法將啟動 [Script 編輯器] ，並在現行檢視中顯示 script。

範例

本範例在來源檢視中開啟現用活頁簿中的 HTML 專案。

AppActiveWorkbook.HTMLProject.Open _
    (msoHTMLProjectOpenSourceView)

本範例在來源檢視中開啟現用活頁簿中的第一個 HTML 專案項目。

ActiveWorkbook.HTMLProject.HTMLProjectItems _
    Item(1).Open (msoHTMLProjectOpenTextView)


PasteFace 方法

將 [剪貼簿] 的內容貼到指定的命令列按鈕控制項上。

expression.PasteFace

expression 必選。傳回 CommandBarButton 物件的運算式。

範例

本範例會尋找內建的 [開啟舊檔] 按鈕，然後將 [拼字及文法檢查] 按鈕的圖面從 [剪貼簿] 貼到該按鈕上。

Set myControl = CommandBars.FindControl(Type:=msoControlButton, Id:=2)
myControl.CopyFace
Set myControl = CommandBars.FindControl(Type:=msoControlButton, Id:=23)
myControl.PasteFace


RefreshDocument 方法

重新整理在 Microsoft Office 主應用程式中指定的 HTML 專案。

expression.RefreshDocument(Refresh)

expression 傳回 HTMLProject 物件的運算式。

Refresh 必選的 Boolean。若要儲存所有的變更，則該值為 True ；若要略過所有的變更，則該值為 False。

註解

使用此方法等於在 Office 主應用程式中按一下 [重新整理] 工具列中的 [重新整理] 按鈕。 如果透過將 RefreshDocument 方法的引數設定為 True 來重新整理文件，那麼在 [Microsoft Script 編輯器] 中對 HTML 來源進行的所有變更都將儲存到 Office 主應用程式中。如果將 RefreshDocument 的引數設定為 False，那麼將略過對 HTML 原始檔進行的所有變更。 請注意：State 方法的傳回值會受 RefreshDocument 方法的影響。如果在呼叫了 RefreshDocument (True) 方法進行重設動作之後，再呼叫 State 方法，那麼該方法將傳回 msoHTMLProjectStateDocumentProjectUnlocked。

範例

本範例將重新整理主應用程式的現用活頁簿中的 HTML 專案。

ActiveWorkbook.HTMLProject.RefreshDocument (True)


RefreshProject 方法

重新整理 [Microsoft Script 編輯器] 中的指定 HTML 專案。

expression.RefreshProject

expression 傳回 HTMLProject 物件的運算式。

註解

使用此方法等於在 Office 主應用程式中按一下 [重新整理] 工具列中的 [重新整理] 按鈕。如果透過將 RefreshDocument 方法的引數設定為 True 來重新整理文件，那麼在 Office 主應用程式中對 HTML 原始檔進行的所有變更都將儲存到 [Microsoft Script 編輯器] 中的 HTML 專案中。如果將 RefreshDocument 的引數設定為 False，那麼將略過對 HTML 原始檔進行的所有變更。

範例

本範例將重設 [Microsoft Script 編輯器] 中的 HTML 專案。

ActiveWorkbook.HTMLProject.RefreshProject (True)


RefreshScopes 方法

重新整理目前可用之 ScopeFolder 物件的清單。

expression.RefreshScopes

Expression 必選。傳回 [套用至] 清單中物件之一的運算式。

範例

下列範例會在 [我的電腦] 領域內的 C:\ 磁碟機上顯示所有目前可用的 ScopeFolder 物件。

Sub TestRefreshScopesMethod()
' Displays what happens before and after the RefreshScopes
' method is called when a new folder is added to the list
' of scope folders.

    ' List before the folder is created.
    Call ListFolderNames

    ' Create a new folder on the C:\ drive in My Computer.
    ' An error will occur if this folder already exists.
    MkDir Path:="C:\Delete_After_Using"

    ' List after the folder is created.
    Call ListFolderNames

    ' Refresh the list of folders.
    Application.FileSearch.RefreshScopes

    ' The newly-created folder now appears in the list.
    Call ListFolderNames

End Sub

Sub ListFolderNames()

    Dim strResults As String

    ' Loop through all the folder names on the C:\ drive
    ' in My Computer and report the results.
    ' .SearchScopes.Item(1) = "My Computer"
    ' .ScopeFolders.Item(2) = "C:\"
    With Application.FileSearch.SearchScopes.Item(1). _
        ScopeFolder.ScopeFolders.Item(2)

        For i = 1 To .ScopeFolders.Count
            strResults = strResults & .ScopeFolders. _
                Item(i).Name & vbCrLf
        Next i

        MsgBox "Folder Names on C:\...." & vbCrLf & strResults

    End With

End Sub


ReleaseFocus 方法

從所有的命令列中釋出使用者介面的駐點。

expression.ReleaseFocus

expression 必選。傳回 CommandBars 物件的運算式。。

範例

本範例會在 Custom 命令列中新增三個空白按鈕，並將焦點設定在中間的按鈕上。然後等待五秒鐘之後，再釋放所有命令列的使用者介面焦點。

Set myBar = CommandBars _
    .Add(Name:="Custom", Position:=msoBarTop, _
    Temporary:=True)
With myBar
    .Controls.Add Type:=msoControlButton
    .Controls.Add Type:=msoControlButton
    .Controls.Add Type:=msoControlButton
    .Visible = True
End With
Set myControl = CommandBars("Custom").Controls(2)
With myControl
    .SetFocus
End With
PauseTime = 5   ' Set duration.
    Start = Timer   ' Set start time.
    Do While Timer < Start + PauseTime
        DoEvents    ' Yield to other processes.
    Loop
    Finish = Timer
CommandBars.ReleaseFocus


Remove 方法

套用到 NewFile 物件的 Remove 方法。

從 [新項目] 工作窗格中移除項目。並傳回 Boolean。

expression.Remove(FileName, Section, DisplayName, Action)

expression 必選。傳回 NewFile 物件的運算式。

FileName 必選 String。檔案參照的名稱。

Section 選擇性 Variant。檔案參照所在之工作窗格的區段。可以是任一 msoFileNewSection 常數。

DisplayName 選擇性 Variant。檔案參照的顯示文字。

Action 選擇性 Variant。使用者按一下項目時所執行的動作。可以是任一 msoFileNewAction 常數。

套用到 FileTypes、PropertyTests 及 SearchFolders 物件的 Remove 方法。

從集合中移除指定的物件。

expression.Remove(Index)

expression 必選。傳回上列物件之一的運算式。

Index 必選 Long。要移除之屬性測試的索引編號。

範例

套用到 FileTypes、PropertyTests 及 SearchFolders 物件。

本範例會從集合中移除第一個搜尋準則。

Application.FileSearch.PropertyTests.Remove(1)

套用到 NewFile 物件。

此範例會從 Word 的 NewDocument 工作窗格中移除指定的項目。

Sub RemoveDocFromTaskPane()
    Application.NewDocument.Remove FileName:="C:\Newfile.doc", _
            Section:=msoNewfromTemplate, DisplayName:="NewFile"
    CommandBars("Task Pane").Visible = True
End Sub


RemoveItem 方法

從指定命令列組合方塊控制項中移除一個清單項。

附註 本方法只能用於移除清單方塊控制項。

expression.RemoveItem(Index)

expression 必選。傳回 CommandBarComboBox 物件的運算式。

Index 必選的 Long。要從清單中移除的項目。

範例

本範例會判斷指定組合方塊中的項目是否超過三個以上。如果超過三個，本範例中將移除第二個項目，改變其樣式，並設定一個新值。此外，本範例還會設定父物件 (即 CommandBarControl 物件) 的 Tag 屬性，表示清單已經發生了變化。

Set myBar = CommandBars _
    .Add(Name:="Custom", Position:=msoBarTop, _
    Temporary:=True)
With myBar
    .Controls.Add Type:=msoControlComboBox, ID:=1
    .Visible = True
End With
With CommandBars("Custom").Controls(1)
    .AddItem "Get Stock Quote", 1
    .AddItem "View Chart", 2
    .AddItem "View Fundamentals", 3
    .AddItem "View News", 4
    .Caption = "Stock Data"
    .DescriptionText = "View Data For Stock"
End With
Set myControl = myBar.Controls(1)
With myControl
    If .ListCount > 3 Then
        .RemoveItem 2
        .Style = msoComboNormal
        .Text = "New Default"
         Set ctrl = .Parent
    End If
End With


Reset 方法

重新設定指定的內建命令列為預設控制項組態，或重新設定指定的內建命令列控制項為預設函數和圖示。

expression.Reset

expression 必選。傳回 CommandBar、CommandBarControl、CommandBarButton、CommandBarPopup 或 CommandBarComboBox 物件的運算式。

註解

重新設定一個內建控制項將恢復該控制項原來對應的動作，並將各屬性復原成初始狀態。重新設定一個內建命令列將移除自訂控制項並復原內建控制項。

範例

本範例會根據使用者級別，用 user 的值調整命令列。如果 user 是 Level 1，則顯示 Custom 命令列。如果 user 為其他值，則內建的 Visual Basic 命令列會重新設定為其預設狀態，並使 Custom 命令列停用。

Set myBar = CommandBars("Custom")
If user = "Level 1" Then
    myBar.Visible = True
Else
    CommandBars("Visual Basic").Reset
    myBar.Enabled = False
End If


ResetFileList 方法

將目前 [解答精靈] 的檔案清單重設為 Microsoft Office 主應用程式的預設檔案清單。

expression.ResetFileList

expression 傳回 AnswerWizard 物件的運算式。

註解

使用此方法，可將目前 [解答精靈] 檔案清單中的所有項目，還原為主應用程式在 Windows 登錄中的清單。 您可以在適當的登錄鍵中加入自訂檔案名稱，就能在登錄中建立自訂的預設檔案清單。

範例

本範例重設目前 [解答精靈] 的檔案清單，然後在訊息方塊中顯示檔案數和檔案名稱。

Dim customAnswerWizard As AnswerWizard
Dim strFileList As String
Dim intCounter As Integer
Dim intNumFiles As Integer
Set customAnswerWizard = Application.AnswerWizard
intCounter = 1

customAnswerWizard.ResetFileList
strFileList = ""
intNumFiles = customAnswerWizard.Files.Count
For intCounter = 1 To (intNumFiles)
    strFileList = strFileList & _
    customAnswerWizard.Files.Item(intCounter) & Chr(13)
Next

MsgBox "There are " & customAnswerWizard.Files.Count & _
    " files avaialble through this AnswerWizard: " & _
    Chr(13) & strFileList


ResetTips 方法

此主題部分內容可能不適用於某些語言。

重新設定應用程式的提示，該提示將顯示在 [Office 小幫手] 汽球式說明中。

expression.ResetTips

expression 必選。傳回 Assistant 物件的運算式。

註解

ResetTips 方法對應 [選項] 索引標籤中的 [重新設定小秘訣] 按鈕， [選項] 索引標籤位於 [Office 小幫手] 對話方塊中。

範例

本範例會在顯示 [Office 小幫手]前，重新設定應用程式的提示。螢幕上將出現一個確認汽球式說明，告知使用者已將其應用程式的提示重新設定了。

With Application.Assistant
    .On = True
    .Visible = True
    .Animation = msoAnimationGreeting
    .ResetTips
End With


SaveCopyAs 方法

用新檔案名稱來儲存指定的 HTML 專案項目。

expression.SaveCopyAs(Filename)

expression HTMLProjectItem 物件。

Filename 必選的 String 資料類型。用於儲存 HTML 專案項目的檔案的完整路徑。

範例

本範例將目前 HTML 專案項目中的文字儲存在檔案 NewScript.txt 中。

ActiveWorkbook.HTMLProject.HTMLProjectItems. _
    Item(1).SaveCopyAs("C:\NewScript.txt")


SetAvoidRectangle 方法

此主題部分內容可能不適用於某些語言。

避免將 [Office 小幫手] 汽球式說明顯示在螢幕上的指定區域。

expression.SetAvoidRectangle(Left, Top, Right, Bottom)

expression 必選。傳回 Assistant 物件的運算式。

Left、 Top、Right、Bottom 必選的 Long。[Office 小幫手] 汽球式說明在螢幕上顯示時，要避開的螢幕區域的座標 (相對到螢幕上點的位置)。

註解

本屬性用來避免 [Office 小幫手] 汽球式說明與自訂對話方塊及精靈重疊。

範例

本範例會防止以變數 myBalloon 表示的 [Office 小幫手] 汽球式說明顯示在螢幕上指定座標區域。

Set myBalloon = Assistant.NewBalloon
With myBalloon
    .SetAvoidRectangle 300, 250, 700, 500
    .Text = "Cannot display in coordinates " & _
        "300, 250, 700, 500."
    .Show
End With


SetFocus 方法

將鍵盤的駐點移到指定命令列控制項，這樣該命令列控制項就可接收鍵盤輸入。用來操縱控制項的鍵盤輸入型態視該控制項的型態而定。

註解

控制項上的駐點是相當敏感的。使用這個方法之後，您將會注意到控制項上立體的醒目提示。按箭號鍵便能在工具列中瀏覽，只要按一下鍵盤控制項就能控制控制項。

expression.SetFocus

expression 必選。傳回 CommandBarControl、CommandBarButton、CommandBarPopup 或 CommandBarComboBox 物件的運算式。

範例

本範例會建立一個名為 Custom 的命令列，並在其中新增一個 [組合方塊] 控制項和一個 [按鈕] 控制項。然後再使用 SetFocus 方法來設定ComboBox 控制項的焦點。

Set focusBar = CommandBars.Add(Name:="Custom")
With CommandBars("Custom")
    .Visible = True
    .Position = msoBarTop
End With

Set testComboBox = CommandBars("Custom").Controls _
    .Add(Type:=msoControlComboBox, ID:=1)
With testComboBox
    .AddItem "First Item", 1
    .AddItem "Second Item", 2
End With
Set testButton = CommandBars("Custom").Controls _
    .Add(Type:=msoControlButton)
testButton.FaceId = 17
' Set the focus to the combo box.
testComboBox.SetFocus


SetSortOrder 方法

設定合併列印資料的排序順序。

expression.SetSortOrder(SortField1, SortAscending1, SortField2, SortAscending2, SortField3, SortAscending3)

Expression 必選。傳回 [套用至] 清單中物件之一的運算式。

SortField1 必選 String。這是在其上排序合併列印資料的第 1 個欄位。

SortAscending1 選擇性 Boolean。如果在 SortField1 上執行遞增排序，則為 True (預設)；如果執行遞減排序，則為 False。

SortField2 選擇性 String。這是在其上排序合併列印資料的第 2 個欄位。預設為空白字串。

SortAscending2 選擇性 Boolean。如果在 SortField2 上執行遞增排序，則為 True (預設)；如果執行遞減排序，則為 False。

SortField3 選擇性 String。這是在其上排序合併列印資料的第 3 個欄位。預設為空白字串。

SortAscending3 選擇性 Boolean。如果在 SortField3 上執行遞增排序，則為 True (預設)；如果執行遞減排序，則為 False。

範例

下列範例會先根據郵遞區號遞減排序資料來源，再根據姓氏及名字遞增排序。

Sub SetDataSortOrder()
    Dim appOffice As OfficeDataSourceObject

    Set appOffice = Application.OfficeDataSourceObject

    appOffice.Open bstrConnect:="DRIVER=SQL Server;SERVER=ServerName;" & _
        "UID=user;PWD=;DATABASE=Northwind", bstrTable:="Employees"

    appOffice.SetSortOrder SortField1:="ZipCode", _
        SortAscending1:=False, SortField2:="LastName", _
        SortField3:="FirstName"
End Sub


Show 方法

套用到 Balloon 物件的 Show 方法。

顯示指定的註解方塊物件。並傳回 MsoBalloonButtonType 常數，指出使用者所按的是哪個按鈕或標籤。唯讀。

MsoBalloonButtonType 可以是下列其中一個 MsoBalloonButtonType 常數。
msoBalloonButtonAbort
msoBalloonButtonBack
msoBalloonButtonCancel
msoBalloonButtonClose
msoBalloonButtonIgnore
msoBalloonButtonNext
msoBalloonButtonNo
msoBalloonButtonNull
msoBalloonButtonOK
msoBalloonButtonOptions
msoBalloonButtonRetry
msoBalloonButtonSearch
msoBalloonButtonSnooze
msoBalloonButtonTips
msoBalloonButtonYes
msoBalloonButtonYesToAll

expression.Show

expression 必要的運算式，它會傳回一個 Balloon 物件。

套用到 FileDialog 物件的 Show 方法。

顯示檔案對話方塊並傳回 Long，以指出使用者是否按了動作按鈕 (-1) 或取消按鈕 (0)。當您呼叫 Show 方法時，在使用者結束該檔案對話方塊後才會執行其他程式碼。如果是 [另存新檔] 或 [開啟舊檔] 對話方塊，請在 Show 方法執行使用者的動作後，使用 Execute 方法。

expression.Show

expression 必選。傳回 FileDialog 物件的運算式。

範例

套用到 Balloon 物件。

本範例會建立註解方塊，包含兩個用來設定列印方向的註解方塊標籤選項：Portrait 及 Landscape。本範例還會在 Select Case 陳述式中使用 Show 方法，來決定使用者選擇的方向。

Set balNew = Assistant.NewBalloon
With balNew
    .Heading = "Please choose a printer orientation"
    .Labels(1).Text = "Portrait"
    .Labels(2).Text = "Landscape"
    .Button = msoButtonSetNone
End With

Select Case balNew.Show
    Case 1
        ' Insert code to set printer to Portrait.
    Case 2
        ' Insert code to set printer to Landscape.
End Select

以下範例建立了一個包含三個指令按鈕的汽球式說明：“是”、“否”和“取消”；在 Select Case 陳述式中用 Show 方法來確定使用者按一下按鈕時的返回值。

Set balNew = Assistant.NewBalloon
With balNew
    .Heading = "Are you sure you want to set the " & _
    "printer orientation to Landscape?"
    .BalloonType = msoBalloonTypeButtons
    .Button = msoButtonSetYesNoCancel
End With

Select Case balNew.Show
    Case -2	' User selected Cancel button.
        returnValue = MsgBox("Operation canceled.", _
        vbOKOnly, "Printer Message")
    Case -3	' User selected Yes button.
        returnValue = MsgBox("Printer set to " & _
        "Landscape.", vbOKOnly, "Printer Message")
    Case -4	' User selected No button.
        returnValue = MsgBox("Printer orientation not " & _
        "reset.", vbOKOnly, "Printer Message")
End Select

套用到 FileDialog 物件。

下列範例會顯示使用 FileDialog 物件的 [檔案選擇器] 對話方塊，並顯示訊息方塊中的每個所選檔案。

Sub Main()

    'Declare a variable as a FileDialog object.
    Dim fd As FileDialog

    'Create a FileDialog object as a File Picker dialog box.
    Set fd = Application.FileDialog(msoFileDialogFilePicker)

    'Declare a variable to contain the path
    'of each selected item. Even though the path is a String,
    'the variable must be a Variant because For Each...Next
    'routines only work with Variants and Objects.
    Dim vrtSelectedItem As Variant

    'Use a With...End With block to reference the FileDialog object.
    With fd

        'Use the Show method to display the File Picker dialog box and return the user's action.
        'The user pressed the action button.
    If .Show = -1 Then

            'Step through each string in the FileDialogSelectedItems collection.
            For Each vrtSelectedItem In .SelectedItems

                'vrtSelectedItem is a string that contains the path of each selected item.
                'You can use any file I/O functions that you want to work with this path.
                'This example simply displays the path in a message box.
                MsgBox "The path is: " & vrtSelectedItem

            Next vrtSelectedItem
        'The user pressed Cancel.
    Else
        End If
    End With

    'Set the object variable to nothing.
    Set fd = Nothing

End Sub


ShowPopup 方法

將指定的命令列，在指定座標或目前游標位置顯示為快顯功能表。

附註 如果命令列的 Position 屬性並未設定為 msoBarPopup，本方法將會失敗。

expression.ShowPopup(x, y)

expression 必選。傳回 CommandBar 物件的運算式。

x 選擇性的 Variant。快顯功能表所在位置的 x 座標。如果省略此引數，會使用目前游標位置的 x 座標。

y 選擇性的 Variant。快顯功能表所在位置的 y 座標。如果省略此引數，會使用目前游標位置的 y 座標。

範例

本範例會建立一個包含兩個控制項的快顯功能表。ShowPopup 方法是用來顯示該快顯功能表。

Set myBar = CommandBars _
    .Add(Name:="Custom", Position:=msoBarPopup, Temporary:=False)
With myBar
    .Controls.Add Type:=msoControlButton, Id:=3
    .Controls.Add Type:=msoControlComboBox
End With
myBar.ShowPopup


StartWizard 方法

此主題部分內容可能不適用於某些語言。

啟動 [Office 小幫手]，並傳回一個能識別作業的 Long 值。這個方法只能用來執行自訂精靈中的 [Office 小幫手]。

附註 由 StartWizard方法所傳回的數字，將由 ActivateWizard 和 EndWizard 方法使用。

expression.StartWizard(On, Callback, PrivateX, Animation, CustomTeaser, Top, Left, Bottom, Right)

expression 必選。傳回 Assistant 物件的運算式。

On 必選的 Boolean。如果該引數值為 True 時，會顯示 Office 選取汽球式說明。Office 選取汽球式說明會詢問使用者，是否需要有關使用中自訂精靈的說明。如果您將此引數的值設為 True 時，就不必使用 Visible 屬性來顯示 [Office 小幫手]。

Callback 必選的 String。這是由 Office 選取汽球式說明及分支汽球式說明所執行的回呼程序的名稱。分支汽球式說明允許使用者選擇提供給精靈的自訂 [說明]，或是使用標準的 [Office 說明]。

PrivateX 必選的 Long。這是用來識別可啟動回呼程序之汽球式說明的數字。

Animation 選擇性的 Variant。使用此方法時，[Office 小幫手] 會執行動畫。預設值為 msoAnimationGetWizardy。

CustomTeaser 選擇性的 Variant。如果該引數值為 False，則顯示 Office 選取汽球式說明。

Top、Left、Bottom、Right 選擇性的 Variant。當 [Office 小幫手] 出現時，在自訂精靈面板上將會避開這四個頂點 (相對到螢幕上點的位置)。

註解

與標準的非模態汽球式說明所使用的回呼程序不同的是，在 [Office 小幫手] 精靈作業時顯示的非模態選取和分支汽球式說明所呼叫的回呼程序，只有兩個引數：MsoWizardMsgType 常數，以及由 StartWizard 方法的 PrivateX 引數所指定的唯一值。

如果使用者在選取或分支汽球式說明中按一下滑鼠左鍵，則常數 msoWizardMsgShowHelp 會被傳送到回呼程序的第一個引數。如果使用者按的是滑鼠右鍵，則會傳送常數 msoWizardLocalStateOff。(如果您為 Act 引數指定 msoWizardActResume 或 msoWizardActSuspend，則 ActivateWizard 方法會傳送其他的 MsoWizardMsgType 常數。) 如果傳送的是 msoWizardMsgShowHelp，那麼回呼程序應該會顯示目前自訂精靈面板的汽球式說明。如果是 msoWizardLocalStateOff，則回呼程序應會隱藏可見的汽球式說明。

範例

本範例會啟動 [Office 小幫手] 作為程序的一部分，以便在執行自訂精靈時提供資訊。將變數 lHelpForWiz 設定為 StartWizard 方法的傳回值，其資料型態為 Long。

lHelpForWiz = Assistant.StartWizard(On:=True, _
    Callback:="myCallback", PrivateX:=23)


Update 方法

根據儲存在 Windows 登錄中的增益集清單，更新 COMAddIns 集合的內容。

expression.Update

expression COMAddIns 集合。

註解

在 Microsoft Office 應用程式中使用 COM 增益集之前，您必須先在登錄中將該增益集登錄成 COM 元件，並得到相對的元件類別 ID (Component Category ID)。

範例

以下範例將根據儲存在 Windows 登錄中的增益集清單更新 COMAddIns 集合的內容。

Application.COMAddIns.Update


ActionControl 屬性

傳回一個 CommandBarControl 物件，該物件的 OnAction 屬性設定成目前執行中的程序。如果目前執行中的程序不是由指定列控制項啟動的，該屬性會傳回 Nothing。唯讀型態。

範例

本範例會建立一個名為 Custom 的命令列，在命令列中新增三個按鈕，然後再使用 ActionControl 屬性和 Tag 屬性來判定上次按下的是哪一個命令列按鈕。

Set myBar = CommandBars _
    .Add(Name:="Custom", Position:=msoBarTop, _
    Temporary:=True)
Set buttonOne = myBar.Controls.Add(Type:=msoControlButton)
With buttonOne
    .FaceId = 133
    .Tag = "RightArrow"
    .OnAction = "whichButton"
End With
Set buttonTwo = myBar.Controls.Add(Type:=msoControlButton)
With buttonTwo
    .FaceId = 134
    .Tag = "UpArrow"
    .OnAction = "whichButton"
End With
Set buttonThree = myBar.Controls.Add(Type:=msoControlButton)
With buttonThree
    .FaceId = 135
    .Tag = "DownArrow"
    .OnAction = "whichButton"
End With
myBar.Visible = True

whichButton 程序會回應 OnAction 方法，並判定上次使用的是哪一個命令列按鈕。

Sub whichButton()
Select Case CommandBars.ActionControl.Tag
    Case "RightArrow"
        MsgBox ("Right Arrow button clicked.")
    Case "UpArrow"
        MsgBox ("Up Arrow button clicked.")
    Case "DownArrow"
        MsgBox ("Down Arrow button clicked.")
End Select
End Sub


ActiveMenuBar 屬性

傳回一個 CommandBar 物件，該物件代表收納器應用程式中的使用中功能表。唯讀型態。

範例

本範例會在使用中功能表列的末尾，暫時新增一個跳現式控制項 Custom，然後在該跳現式控制項中新增一個 Import 控制項。

Set myMenuBar = CommandBars.ActiveMenuBar
Set newMenu = myMenuBar.Controls.Add(Type:=msoControlPopup, Temporary:=True)
newMenu.Caption = "Custom"
Set ctrl1 = newMenu.CommandBar.Controls _
    .Add(Type:=msoControlButton, Id:=1)
With ctrl1
    .Caption = "Import"
    .TooltipText = "Import"
    .Style = msoButtonCaption
End With


AdaptiveMenu 屬性

如果為 True，則會啟動個性化功能表。讀/寫 Boolean。

範例

本範例將執行中的 Microsoft Office 應用程式的 [檔案] 功能表的 AdaptiveMenu 屬性設為 False。

CommandBars("File").AdaptiveMenu = False


AdaptiveMenus 屬性

如果啟動了可調適功能表，則該屬性值為 True。讀/寫 Boolean。

範例

本範例會在 Microsoft Office 的所有命令列中設定三個選項，其中包括自訂命令列及其控制項）。

With CommandBars
    .LargeButtons = True
    .DisplayFonts = True
    .AdaptiveMenus = True
End With


AllowMultiSelect 屬性

True 如果允許使用者從檔案對話框選取多個檔案。讀/寫 Boolean。

expression.AllowMultiSelect

Expression 必選。在 [套用至] 清單中傳回物件之一的運算式。

註解

因為使用者無法在這些類型的檔案對話框中選取多個檔案，所以此屬性對 Folder Picker 對話框或者 [另存新檔] 對話框無影響。

範例

下列範例顯示使用 FileDialog 物件的 [檔案選擇器] 對話框，並且顯示訊息方塊中所選取的每個檔案。

Sub Main()

    'Declare a variable as a FileDialog object.
    Dim fd As FileDialog

    'Create a FileDialog object as a File Picker dialog box.
    Set fd = Application.FileDialog(msoFileDialogFilePicker)

    'Declare a variable to contain the path
    'of each selected item. Even though the path is a String,
    'the variable must be a Variant because For Each...Next
    'routines only work with Variants and Objects.
    Dim vrtSelectedItem As Variant

    'Use a With...End With block to reference the FileDialog object.
    With fd

        'Allow the selection of multiple files.
        .AllowMultiSelect = True

        'Use the Show method to display the file picker dialog and return the user's action.
        'If the user presses the action button...
        If .Show = -1 Then

            'Step through each string in the FileDialogSelectedItems collection.
            For Each vrtSelectedItem In .SelectedItems

                'vrtSelectedItem is a String that contains the path of each selected item.
                'You can use any file I/O functions that you want to work with this path.
                'This example simply displays the path in a message box.
                MsgBox "Selected item's path: " & vrtSelectedItem

            Next
        'If the user presses Cancel...
        Else
        End If
    End With

    'Set the object variable to Nothing.
    Set fd = Nothing

End Sub


Animation 屬性

此主題部分內容可能不適用於某些語言。

傳回或設定 [Office 小幫手] 的動畫效果。當這個屬性套用於 Assistant 物件，而且小幫手也支援指定的動畫效果，那麼就會立即啟動小幫手 (如果已顯示的話)。如果該屬性套用於 Balloon 物件，則小幫手只有在顯示汽球式說明時才會做動作。讀/寫 MsoAnimationType。

MsoAnimationType 可以是這些 MsoAnimationType 常數中的其中一項。
msoAnimationAppear
msoAnimationBeginSpeaking
msoAnimationCharacterSuccessMajor
msoAnimationCheckingSomething
msoAnimationDisappear
msoAnimationEmptyTrash
msoAnimationGestureDown
msoAnimationGestureLeft
msoAnimationGestureRight
msoAnimationGestureUp
msoAnimationGetArtsy
msoAnimationGetAttentionMajor
msoAnimationGetAttentionMinor
msoAnimationGetTechy
msoAnimationGetWizardy
msoAnimationGoodbye
msoAnimationGreeting
msoAnimationIdle
msoAnimationListensToComputer
msoAnimationLookDown
msoAnimationLookDownLeft
msoAnimationLookDownRight
msoAnimationLookLeft
msoAnimationLookRight
msoAnimationLookUp
msoAnimationLookUpLeft
msoAnimationLookUpRight
msoAnimationPrinting
msoAnimationRestPose
msoAnimationSaving
msoAnimationSearching
msoAnimationSendingMail
msoAnimationThinking
msoAnimationWorkingAtSomething
msoAnimationWritingNotingSomething

註解

[迴紋針酷哥] 是預設的小幫手，msoAnimationIdle 是小幫手的預設動畫類型。

若根據所選取的小幫手來設定 Animation 屬性，不一定會產生明顯的動畫效果。但是所有 MsoAnimationType 常數均適用於所有小幫手。請注意，不同的常數可能會產生相同的動畫效果。

下面的 MsoAnimationType 常數代表不斷重複指定動作的動畫，除非取消小幫手，或將 Animation 屬性重設為其他動畫為止。

msoAnimationCheckingSomething

msoAnimationGetTechy

msoAnimationListensToComputer

msoAnimationSearching

 msoAnimationThinking

msoAnimationWorkingAtSomething

msoAnimationWritingNotingSomething

範例

本範例會在指定的位置顯示 Office 小幫手，並在顯示小幫手之前先設定若干選項。

With Assistant
    .On = True
    .Visible = True
    .Move xLeft:= 400, yTop:= 300
    .MoveWhenInTheWay = True
    .TipOfDay = True
    .Animation = msoAnimationGreeting
End With


Application 屬性

傳回一個 Application 物件，該物件代表指定物件所屬的容器應用程式（可利用 Automation 物件的該屬性，傳回其容器應用程式）。

expression.Application

Expression 必選。在 [套用至] 清單中傳回一個物件的運算式。

範例

本範例會傳回建立命令列 Standard 的應用程式名稱，並將此結果顯示在一個訊息方塊中。

Set Appobj = CommandBars("Standard").Application
MsgBox Appobj


AssistWithAlerts 屬性

此主題部分內容可能不適用於某些語言。

當 Office 小幫手顯示在螢幕上時，如果 [Office 小幫手] 汽球式說明會傳送應用程式的警告訊息，則該屬性的值為 True。讀/寫 Boolean。

註解

AssistWithAlerts 屬性會對應到 [Office 小幫手] 對話方塊中 [選項] 索引標籤上 [使用 Office 小幫手] 之下的 [顯示提醒訊息] 選項。

如果該屬性值為 False，那麼應用程式將在對話方塊中顯示警示訊息。

範例

本範例可設定，每當產生應用程式的警示訊息時，就顯示 Office 小幫手。

With Assistant
    .On = True
    .Visible = True
    .AssistWithHelp = True
    .AssistWithAlerts = True
    .Animation = msoAnimationGetAttentionMajor
End With


AssistWithHelp 屬性

此主題部分內容可能不適用於某些語言。

如果屬性值為 True，當使用者按 F1 鍵來顯示 [說明] 時，Office 小幫手會出現在螢幕上。讀/寫 Boolean。

註解

AssistWithHelp 屬性對應 [使用 Office 小幫手] 下的 [回應 F1 鍵] 選項，[使用 Office 小幫手] 位於 [Office 小幫手] 對話方塊中的 [選項] 索引標籤上。

如果屬性值設定為 False，那麼螢幕上出現的是 [說明主題] 對話方塊而不是 Office 小幫手。

範例

本範例可在每當使用者按下 F1 鍵顯示 [說明] 時，就顯示 Office 小幫手。

With Assistant
    .On = True
    .Visible = True
    .AssistWithHelp = True
    .AssistWithAlerts = True
    .Animation = msoAnimationGetAttentionMajor
End With


AssistWithWizards 屬性

此主題部分內容可能不適用於某些語言。

如果屬性值為 True，Office 小幫手將提供精靈的線上 [說明]。讀/寫 Boolean。

註解

AssistWithWizards 屬性會對應到 [使用精靈提供說明] 選項，此選項位於 [Office 小幫手] 對話方塊中 [選項] 索引標籤上的 [使用 Office 小幫手] 下方。

範例

本範例設定 Office 小幫手以提供有關精靈的說明資訊。

Assistant.AssistWithWizards = True


AttachCertificate 屬性

True 如果對應指定 Signature 物件的數位認證附加到該文件。讀/寫 Boolean。

expression.AttachCertificate

expression 必選。在 [套用至] 清單中傳回物件之一的運算式。

範例

下列範例提醒使用者選取用於在 Microsoft Word 中簽名使用中文件的數位簽名。若要使用此範例，請開啟 Word 中的文件並且呼叫此功能。該功能將會測試以確定使用這所選取的數位簽名不會過期 12 個月。如果過期，則不會附加認證。

Function AddSignature() As Boolean

    On Error GoTo Error_Handler

    Dim sig As Signature

    'Display the dialog box that lets the
    'user select a digital signature.
    'If the user selects a signature, then
    'it is added to the Signatures
    'collection. If the user doesn't, then
    'an error is returned.
    Set sig = ActiveDocument.Signatures.Add

    sig.AttachCertificate = True

    'Test to make sure that the new Signature object
    'doesn't expire too soon. This expression calculates
    'the number of months until the Signature object expires.
    If DateDiff("m", sig.SignDate, sig.ExpireDate) < 12 Then

        MsgBox "This certificate will expire in less than 1 year." & vbCrLf & _
        "Please use a newer certificate."

        AddSignature = False
        sig.Delete
    Else
        AddSignature = True
    End If

    'Commit all signatures in the SignatureSet collection to the disk.
    ActiveDocument.Signatures.Commit

    Exit Function
Error_Handler:
    AddSignature = False
    MsgBox "Action cancelled."
End Function


BalloonError 屬性

傳回一個數值，該值指出上一次所記錄的汽球式說明錯誤。唯讀 MsoBalloonErrorType。

MsoBalloonErrorType 可以是這些 MsoBalloonErrorType 常數中的其中一項。
msoBalloonErrorBadCharacter 汽球式說明包含一個 ASCII 控制字元，此字元不是 CR 或 LF，而且小於 32。
msoBalloonErrorBadPictureRef 該汽球式說明包含一個無法顯示的點陣圖，因為該點陣圖檔案不存在或該點陣圖並非合法的 .BMP 或 .WMF 檔案。
msoBalloonErrorBadReference 該汽球式說明包含一個無法辨識或不被支援的參考。
msoBalloonErrorButtonlessModal 要顯示的汽球式說明是，但不包含按鈕。由於該汽球式說明無法取消，因此將不會顯示。
msoBalloonErrorButtonModeless 您嘗試顯示的汽球式說明是無型式的，它含有按鈕但沒有指定對應於 Callback 屬性的程序。由於無型式汽球式說明必須進行判斷程序，因此將不會顯示該汽球式說明。
msoBalloonErrorCharNotTopmostForModal 指定非作用中的應用程式所要求的形式汽球式說明。Microsoft Office 只會為使用中的 (最上層) 的應用程式提供汽球式說明。
msoBalloonErrorCOMFailure 因為 COM 失敗，因此無法顯示汽球式說明。
msoBalloonErrorNone 未發現任何錯誤。
msoBalloonErrorOther 因為產生其他錯誤 (例如，另一個型式汽球式說明已在作用中)，該汽球式說明將不會出現。
msoBalloonErrorOutOfMemory 由於記憶體不足，該汽球式說明將不會出現。
msoBalloonErrorTooBig 該汽球式說明太大，無法在畫面上正常顯示。
msoBalloonErrorTooManyControls 該汽球式說明含有二十個以上的控制項 (核取方塊或標籤)。

範例

本範例會建立一個產生錯誤的汽球式說明。錯誤產生的原因是，因為汽球式說明被建立為無法清除的物件：由於按鈕類型被設定成 msoButtonSetNone，而且預設的汽球式說明模式為 msoModeModal，因此產生了一個無按鈕的汽球式說明。請注意，無法清除一個無按鈕的汽球式說明。

With Application.Assistant
With .NewBalloon
    .Heading = "This will never show."
    .Text = "Imagine a balloon here."
    .Button = msoButtonSetNone
    .Show
End With
.Visible = True
If .BalloonError = msoBalloonErrorButtonlessModal Then
    MsgBox "You need a button to dismiss the balloon."
End If
End With


BalloonType 屬性

此主題部分內容可能不適用於某些語言。

傳回或設定 [Office 小幫手] 汽球式說明所使用的按鈕型態。當您建立 Balloon 物件時，該屬性初值設定為 msoBalloonTypeButtons 讀/寫 MsoBalloonType。

MsoBalloonType 可以是這些 MsoBalloonType 常數的其中一項。
msoBalloonTypeBullets
msoBalloonTypeButtons
msoBalloonTypeNumbers

範例

本範例會建立一個指示汽球式說明，用來解說如何選取印表機。該汽球式說明是非模態的，所以使用者可以遵照汽球式說明中的指示，並在工作時持續顯示該汽球式說明。

Set bln = Assistant.NewBalloon
With bln
    .Heading = "Instructions for Choosing a Printer."
    .Text = "Click OK when you've chosen a printer."
    .Labels(1).Text = "From the File menu, choose Print."
    .Labels(2).Text = "Click Setup."
    .Labels(3).Text = "Select the name of the printer."
    .BalloonType = msoBalloonTypeNumbers
    .Mode = msoModeModeless
    .Callback = "ProcessPrinter"
    .Button = msoButtonSetOK
    .Show
End With


BeginGroup 屬性

如果屬性值為 True，則指定的命令列控制項是命令列中一組控制項的開始部分。讀/寫 Boolean。

範例

本範例會將作用中功能表上的最後一個控制項，設定為新群組的第一個控制項。

Set myMenuBar = CommandBars.ActiveMenuBar
Set lastMenu = myMenuBar _
    .Controls(myMenuBar.Controls.Count)
lastMenu.BeginGroup = True


BuiltIn 屬性

如果屬性值為 True，則指定命令列或命令列控制項是收納器應用程式的內建命令列或控制項。如果屬性值為 False，則可能是自訂命令列或控制項，或是已設定了 OnAction 屬性的內建控制項。唯讀型態。Boolean。

範例

本範例會刪除所有未顯示的自訂命令列。

foundFlag = False
deletedBars = 0
For Each bar In CommandBars
    If (bar.BuiltIn = False) And (bar.Visible = False) Then
        bar.Delete
        foundFlag = True
        deletedBars = deletedBars + 1
    End If
Next
If Not foundFlag Then
    MsgBox "No command bars have been deleted."
Else
    MsgBox deletedBars & " custom command bar(s) deleted."
End If


BuiltInFace 屬性

如果屬性值為 True，則命令列按鈕控制項的圖示為原始的內建圖示。本屬性只能設定成 True，它的功能是將圖示重新設定成內建的圖示。讀/寫 Boolean。

範例

本範例會確定命令列 Custom 中第一個控制項的圖示是否為內建的按鈕圖示。如果是，則本範例將按鈕圖示複製到 [剪貼簿] 上。

Set myControl = CommandBars("My Custom Bar").Controls(1)
With myControl
    If .BuiltInFace = True Then .CopyFace
End With


Button 屬性

此主題部分內容可能不適用於某些語言。

傳回或設定 [Office 小幫手] 汽球式說明底部的按鈕型態。當您建立 Balloon 物件時，該屬性初值設定為 msoButtonSetOK，讀/寫 MsoButtonSetType。

MsoButtonSetType 可以是這些 MsoButtonSetType 常數中的其中一項。
msoButtonSetAbortRetryIgnore
msoButtonSetBackClose
msoButtonSetBackNextClose
msoButtonSetBackNextSnooze
msoButtonSetCancel
msoButtonSetNextClose
msoButtonSetNone
msoButtonSetOK
msoButtonSetOkCancel
msoButtonSetRetryCancel
msoButtonSetSearchClose
msoButtonSetTipsOptionsClose
msoButtonSetYesAllNoCancel
msoButtonSetYesNo
msoButtonSetYesNoCancel

範例

本範例會顯示一個汽球式說明，其中包含標題、文字、三個區域選項，以及兩個指令按鈕([確定] 和 [取消] 按鈕)。

With Assistant.NewBalloon
    .Heading = "Regional Sales Data"
    .Text = "Select a region"
    For i = 1 To 3
        .CheckBoxes(i).Text = "Region " & i
    Next
    .Button = msoButtonSetOkCancel
    .Show
End With


ButtonName 屬性

設定或者傳回代表顯示在檔案對話框之動作按鈕上文字的 String。此屬性預設設定為該種類型檔案對話框的標準文字。例如，在 [開啟] 對話框的情況下，該屬性預設設定為 [開啟]。讀/寫。

expression.ButtonName

Expression 必選。在 [套用至] 清單中傳回物件之一的運算式。

範例

下列範例顯示使用 FileDialog 物件的 [File Picker] 對話框，並且顯示訊息方塊中所選取的每個檔案。

Sub Main()

    'Declare a variable as a FileDialog object.
    Dim fd As FileDialog

    'Create a FileDialog object as a File Picker dialog box.
    Set fd = Application.FileDialog(msoFileDialogFilePicker)

    'Declare a variable to contain the path
    'of each selected item. Even though the path is a String,
    'the variable must be a Variant because For Each...Next
    'routines only work with Variants and Objects.
    Dim vrtSelectedItem As Variant

    'Use a With...End With block to reference the FileDialog object.
    With fd

        'Change the text on the action button.
        .ButtonName = "Archive"

        'Use the Show method to display the File Picker dialog box and return the user's action.
        'If the user presses the action button...
        If .Show = -1 Then

            'Step through each String in the FileDialogSelectedItems collection.
            For Each vrtSelectedItem In .SelectedItems

                'vrtSelectedItem is a String that contains the path of each selected item.
                'You can use any file I/O functions that you want to work with this path.
                'This example simply displays the path in a message box.
                MsgBox "Selected item's path: " & vrtSelectedItem

            Next vrtSelectedItem
        'If the user presses Cancel...
        Else
        End If
    End With

    'Set the object variable to Nothing.
    Set fd = Nothing

End Sub


Callback 屬性

設定程序名稱，每當顯示 modeless 汽球式說明時執行該程序。讀/寫 String。

註解

您指定給 Callback 屬性的程序必須被寫入才能接收兩個或三個引數，這將取決於您所使用的屬性。如果您使用 Callback 屬性來使用精靈，就必須寫入程序才能接收兩個引數：代表使用者所按的按鈕之 msoBalloonButtonType 長整數值，以及只能用來識別汽球式說明的長整數。如果您使用 Callback 屬性來使用非強制模式的汽球式說明，就必須寫入程序才能接收三個引數：已呼叫程序的 Balloon 物件；代表使用者所按的按鈕之 msoBalloonButtonType 長整數值；以及只能用來識別已呼叫程序的汽球式說明之長整數，與汽球式說明的 Private 屬性用法一樣。

回呼程序必須至少包含一個條件，在這個條件之下，Close 方法就會套用到傳遞給該程序的 Balloon 物件；否則，便無法消除非強制模式的汽球式說明。

如果您指定已儲存在單獨類別模組中的程序，就必須在 Callback 屬性的指派值中包含模組名稱 (例如，Sheet1.MyCallback)。

範例

本範例會顯示一個汽球式說明，其中包含三個印表機各自的按鈕。每當使用者按一下其中任何一個按鈕，ProcessPrinter 回呼程序就會開始執行，並關閉汽球式說明。

Sub selectPrinter()
Set bln = Assistant.NewBalloon
With bln
    .Heading = "Select a Printer."
    .Labels(1).Text = "Network Printer"
    .Labels(2).Text = "Local Printer"
    .Labels(3).Text = "Local Color Printer"
    .BalloonType = msoBalloonTypeButtons
    .Mode = msoModeModeless
    .Callback = "ProcessPrinter"
    .Show
End With
End Sub

Sub ProcessPrinter(bln As Balloon, lbtn As Long, _
 lPriv As Long)
    Assistant.Animation = msoAnimationPrinting
    Select Case lbtn
    Case -1
        ' Insert network printer-specific code.
    Case -2
        ' Insert local printer-specific code.
    Case -3
        ' Insert color printer-specific code.
    End Select
    bln.Close
End Sub


Caption 屬性

傳回或設定命令列控制項的標題文字。讀/寫 String。

附註 控制項的標題也可以顯示為預設 [工具提示]。

範例

本範例會在自訂命令列中新增一個具有拼字檢查按鈕圖面的命令列控制項，然後將其標號設定為 Spelling checker。

Set myBar = CommandBars.Add(Name:="Custom", _
Position:=msoBarTop, Temporary:=True)
myBar.Visible = True
Set myControl = myBar.Controls _
.Add(Type:=msoControlButton, Id:=2)
With myControl
    .DescriptionText = "Starts the spelling checker"
    .Caption = "Spelling checker"
End With


Checkboxes 屬性

傳回 BalloonCheckboxes 集合。該集合代表指定汽球式說明中的所有核取方塊。唯讀型態。

有關傳回集合的單一成員之資訊，請參閱傳回集合中的物件。

範例

本範例會建立一個含有標題、文字和三個區域選項的汽球式說明。當使用者按一下該汽球式說明中的 [確定] 按鈕時，就會列印出所選區域中的資料。

With Assistant.NewBalloon
    .Heading = "Regional Sales Data"
    .Text = "Select the region(s) you want to print."
    For i = 1 To 3
        .CheckBoxes(i).Text = "Region " & i
    Next
    .Button = msoButtonSetOkCancel
    If .Show = msoBalloonButtonOK Then
        dataPrinted = 0
        For i = 1 To 3
            If .CheckBoxes(i).Checked = True Then
                ' Code to print region data.
                dataPrinted = dataPrinted + 1
                MsgBox "Region " & i & " data printed."
            End If
        Next
        If dataPrinted = 0 Then MsgBox "No data printed."
    End If
End With


Checked 屬性

此主題部分內容可能不適用於某些語言。

如果屬性值為 True，則 [Office 小幫手] 汽球式說明中的指定核取方塊已被選取。讀/寫 Boolean。

範例

本範例會建立一個含有標題、文字和三個區域選項的汽球式說明。當使用者按一下該汽球式說明中的 [確定] 按鈕時，就會列印出所選區域中的資料。

With Assistant.NewBalloon
    .Heading = "Regional Sales Data"
    .Text = "Select the region(s) you want to print."
    For i = 1 To 3
        .CheckBoxes(i).Text = "Region " & i
    Next
    .Button = msoButtonSetOkCancel
    If .Show = msoBalloonButtonOK Then
        dataPrinted = 0
        For i = 1 To 3
            If .CheckBoxes(i).Checked = True Then
                ' Code to print region data.
                dataPrinted = dataPrinted + 1
                MsgBox "Region " & i & " data printed."
            End If
        Next
        If dataPrinted = 0 Then MsgBox "No data printed."
    End If
End With


Column 屬性

傳回或者設定在代表郵件合併資料來源中之欄位名稱的 String 在篩選中使用。讀/寫。

expression.Column

Expression 必選。在 [套用至] 清單中傳回物件之一的運算式。

範例

下列範例變更現存篩選以從郵件合併移除所有記錄，且這些記錄沒有等同於 WA 的 [範圍] 欄位。

Sub SetQueryCriterion()
    Dim appOffice As Office.OfficeDataSourceObject
    Dim intItem As Integer

    Set appOffice = Application.OfficeDataSourceObject
    appOffice.Open bstrConnect:="DRIVER=SQL Server;SERVER=ServerName;" & _
        "UID=user;PWD=;DATABASE=Northwind", bstrTable:="Employees"

    With appOffice.Filters
        For intItem = 1 To .Count
            With .Item(intItem)
                If .Column = "Region" Then
                    .Comparison = msoFilterComparisonNotEqual
                    .CompareTo = "WA"
                    If .Conjunction = "Or" Then .Conjunction = "And"
                End If
            End With
        Next intItem
    End With
End Sub


Columns 屬性

傳回代表資料來源中欄位的 ODSOColumns 物件。

expression.Columns

Expression 必選。在 [套用至] 清單中傳回物件之一的運算式。

範例

下列範例顯示附加到正在使用中出版物之資料來源的欄位名稱。

Sub ShowFieldNames()
    Dim appOffice As OfficeDataSourceObject
    Dim intCount As Integer

    Set appOffice = Application.OfficeDataSourceObject
    appOffice.Open bstrConnect:="DRIVER=SQL Server;SERVER=ServerName;" & _
        "UID=user;PWD=;DATABASE=Northwind", bstrTable:="Employees"

    With appOffice.Columns
        For intCount = 1 To .Count
            MsgBox "Field Name: " & .Item(intCount).Name
        Next
    End With
End Sub


CommandBar 屬性

傳回一個 CommandBar 物件，該物件代表由指定快顯控制項顯示的功能表。唯讀型態。

範例

本範例會將 fourthLevel 設定成命令列 Drawing 中第四個控制項。

Set fourthLevel = CommandBars("Drawing") _
    .Controls(1).CommandBar.Controls(4)


CommandBars 屬性

傳回 CommandBars 集合。

expression.CommandBars

Expression 必選。在 [套用至] 清單中傳回物件之一的運算式。

範例

下列範例從 Microsoft Word 中的 MsoEnvelope 物件傳回 CommandBars 集合。

Dim cbars As CommandBars
Set cbars = Application.ActiveDocument.MailEnvelope.Commandbars


CompareTo 屬性

傳回或者設定代表在查詢篩選準則中比較文字的 String。讀/寫。

expression.CompareTo

Expression 必選。在 [套用至] 清單中傳回物件之一的運算式。

範例

下列範例變更現存篩選以從郵件合併移除所有記錄，且這些記錄沒有等同於 WA 的 [範圍] 欄位。

Sub SetQueryCriterion()
    Dim appOffice As Office.OfficeDataSourceObject
    Dim intItem As Integer

    Set appOffice = Application.OfficeDataSourceObject
    appOffice.Open bstrConnect:="DRIVER=SQL Server;SERVER=ServerName;" & _
        "UID=user;PWD=;DATABASE=Northwind", bstrTable:="Employees"

    With appOffice.Filters
        For intItem = 1 To .Count
            With .Item(intItem)
                If .Column = "Region" Then
                    .Comparison = msoFilterComparisonNotEqual
                    .CompareTo = "WA"
                    If .Conjunction = "Or" Then .Conjunction = "And"
                End If
            End With
        Next intItem
    End With
End Sub


Comparison 屬性

傳回或者設定 MsoFilterComparison 常數，該常數代表比較 Column 及 CompareTo 屬性的方式。讀/寫。

MsoFilterComparison 可以是一個 MsoFilterComparison 常數。
msoFilterComparisonContains
msoFilterComparisonEqual
msoFilterComparisonGreaterThan
msoFilterComparisonGreaterThanEqual
msoFilterComparisonIsBlank
msoFilterComparisonIsNotBlank
msoFilterComparisonLessThan
msoFilterComparisonLessThanEqual
msoFilterComparisonNotContains
msoFilterComparisonNotEqual

expression.Comparison

Expression 必選。在 [套用至] 清單中傳回物件之一的運算式。

範例

下列範例變更現存篩選以從郵件合併移除所有記錄，這些記錄沒有等同於 WA 的 [範圍] 欄位。

Sub SetQueryCriterion()
    Dim appOffice As Office.OfficeDataSourceObject
    Dim intItem As Integer

    Set appOffice = Application.OfficeDataSourceObject
    appOffice.Open bstrConnect:="DRIVER=SQL Server;SERVER=ServerName;" & _
        "UID=user;PWD=;DATABASE=Northwind", bstrTable:="Employees"

    With appOffice.Filters
        For intItem = 1 To .Count
            With .Item(intItem)
                If .Column = "Region" Then
                    .Comparison = msoFilterComparisonNotEqual
                    .CompareTo = "WA"
                    If .Conjunction = "Or" Then .Conjunction = "And"
                End If
            End With
        Next intItem
    End With
End Sub


Condition 屬性

此主題部分內容可能不適用於某些語言。

傳回指定搜尋準則的條件，唯讀 MsoCondition。

MsoCondition 可以是這些 MsoCondition 常數的其中一項。
msoConditionAnyNumberBetween
msoConditionAnytime
msoConditionAnytimeBetween
msoConditionAtLeast
msoConditionAtMost
msoConditionBeginsWith
msoConditionDoesNotEqual
msoConditionEndsWith
msoConditionEquals
msoConditionFileTypeAllFiles
msoConditionFileTypeBinders
msoConditionFileTypeCalendarItem
msoConditionFileTypeContactItem
msoConditionFileTypeDatabases
msoConditionFileTypeDataConnectionFiles
msoConditionFileTypeDesignerFiles
msoConditionFileTypeEPaperFiles
msoConditionFileTypeExcelWorkbooks
msoConditionFileTypeJournalItem
msoConditionFileTypeMailItem
msoConditionFileTypeNoteItem
msoConditionFileTypeOfficeFiles
msoConditionFileTypeOutlookItems
msoConditionFileTypePhotoDrawFiles
msoConditionFileTypePowerPointPresentations
msoConditionFileTypeProjectFiles
msoConditionFileTypePublisherFiles
msoConditionFileTypeTaskItem
msoConditionFileTypeTemplates
msoConditionFileTypeVisioDocuments
msoConditionFileTypeWebPages
msoConditionFileTypeWordDocuments
msoConditionFreeText
msoConditionIncludes
msoConditionIncludesFormsOf
msoConditionIncludesNearEachOther
msoConditionIncludesPhrase
msoConditionInTheLast
msoConditionInTheNext
msoConditionIsExactly
msoConditionIsNo
msoConditionIsNot
msoConditionIsYes
msoConditionLastMonth
msoConditionLastWeek
msoConditionLessThan
msoConditionMoreThan
msoConditionNextMonth
msoConditionNextWeek
msoConditionOn
msoConditionOnOrAfter
msoConditionOnOrBefore
msoConditionThisMonth
msoConditionThisWeek
msoConditionToday
msoConditionTomorrow
msoConditionYesterday

範例

本範例會傳回第一個屬性測試中搜尋的條件值。

With Application.FileSearch.PropertyTests(1)
    MsgBox "The condition you've set is: " & .Condition
End With


Conjunction 屬性

傳回或者設定 MsoFilterConjunction 常數，該常數代表篩選準則與 ODSOFilters 物件中的其他篩選準則相關聯的方式。讀/寫。

MsoFilterConjunction 可以是一個 MsoFilterConjunction 常數。
msoFilterConjunctionAnd
msoFilterConjunctionOr

expression.Conjunction

Expression 必選。在 [套用至] 清單中傳回物件之一的運算式。

範例

下列範例變更現存篩選以從郵件合併移除所有記錄，且這些記錄沒有等同於 WA 的 [範圍] 欄位。

Sub SetQueryCriterion()
    Dim appOffice As Office.OfficeDataSourceObject
    Dim intItem As Integer

    Set appOffice = Application.OfficeDataSourceObject
    appOffice.Open bstrConnect:="DRIVER=SQL Server;SERVER=ServerName;" & _
        "UID=user;PWD=;DATABASE=Northwind", bstrTable:="Employees"

    With appOffice.Filters
        For intItem = 1 To .Count
            With .Item(intItem)
                If .Column = "Region" Then
                    .Comparison = msoFilterComparisonNotEqual
                    .CompareTo = "WA"
                    If .Conjunction = "Or" Then .Conjunction = "And"
                End If
            End With
        Next intItem
    End With
End Sub


Connect 屬性

傳回或設定指定 COMAddIn 物件的連接狀態。讀/寫 Boolean。

註解

如果該增益集是在使用中，那麼 Connect 屬性會傳回 True，反之則會傳回 False。使用中的增益集已經登記並建立了連接；非使用中的增益集雖已經登記但目前沒有連接。

範例

以下範例在一個訊息方塊中顯示第一個 COM 增益集是否已經登記並在目前建立了連接。

If Application.COMAddIns(1).Connect Then
    MsgBox "The add-in is connected."
Else
    MsgBox "The add-in is not connected."
End If


Connector 屬性

傳回兩個類似屬性測試值之間的連接器。 預設值為 msoConnectorAnd。唯讀 MsoConnector。

MsoConnector 可以是這些 MsoConnector 常數的其中一項。
msoConnectorAnd
msoConnectorOr

註解

連接器指定兩個類似的搜尋準則是否要組合成一個屬性測試條件 (作用於 msoConnectorAnd)，或是分別使用 (作用於 msoConnectorOr)。

範例

本範例會顯示一個訊息，描述在檔案搜尋時如何評估搜尋條件。

With Application.FileSearch.PropertyTests(1)
If .Connector = msoConnectorAnd Then
   MsgBox "All search criteria will be combined."
Else
    MsgBox "Criteria will be treated independently"
End If
End With


ConnectString 屬性

傳回或者設定代表與指定郵件合併資料來源連接的 String。讀/寫。

expression.ConnectString

Expression 必選。在 [套用至] 清單中傳回物件之一的運算式。

範例

此範例檢查連接字串是否包含字元 ODSOOutlook，並且因此顯示訊息。

Sub VerifyCorrectDataSource()
    Dim appOffice As OfficeDataSourceObject

    Set appOffice = Application.OfficeDataSourceObject
    appOffice.Open bstrConnect:="DRIVER=SQL Server;SERVER=ServerName;" & _
        "UID=user;PWD=;DATABASE=Northwind", bstrTable:="Employees"

    If InStr(appOffice.ConnectString, "ODSOOutlook") > 0 Then
        MsgBox "Your Outlook address book is used as the data source."
    Else
        MsgBox "Your Outlook address book is not used as the data source."
    End If

End Sub


Context 屬性

傳回或設定一個字串，該字串決定指定命令列的儲存位置。該字串由應用程式定義和解釋。讀/寫 String。

註解

您只能對自訂指定列設定 Context 屬性。如果應用程式無法識別該內容字串，或者不支援以程式變更內容字串的功能，則該屬性會失敗。

範例

本範例會顯示一個訊息方塊，其中包含命令列 "Custom" 的內文相關字串。本範例可在 Microsoft Word 和其他支援 Context 屬性的應用程式中執行。

Set myBar = CommandBars _
    .Add(Name:="Custom", Position:=msoBarTop, _
    Temporary:=True)
With myBar
    .Controls.Add Type:=msoControlButton, ID:=2
    .Visible = True
End With
MsgBox (myBar.Context)


Controls 屬性

傳回一個 CommandBarControls 物件，該物件代表指定命令列或快顯控制項中的所有控制項。唯讀型態。

有關傳回集合的單一成員之資訊，請參閱傳回集合中的物件。

範例

本範例會在命令列 Custom 中新增一個組合方塊控制項，然後在該組合方塊清單中新增兩個項目。本範例還設定清單的行數項目，組合方塊的寬度，並將該組合方塊預設為空值。

Set myControl = CommandBars("Custom").Controls _
    .Add(Type:=msoControlComboBox, Before:=1)
With myControl
    .AddItem Text:="First Item", Index:=1
    .AddItem Text:="Second Item", Index:=2
    .DropDownLines = 3
    .DropDownWidth = 75
    .ListHeaderCount = 0
End With


Count 屬性

此主題中的部份內容可能不適應與某些語言。

傳回或者設定在指定集合中指出項目數目的 Long。為 BalloonCheckboxes 及 BalloonLabels 物件讀/寫 Long；為 [套用至] 清單中的所有其他物件唯讀 Long。

expression.Count

expression 必選。傳回上列物件之一的運算式。

註解

對 CommandBars 集合而言，計數只包括功能表列、工具列和快顯功能表。

對 Scripts 集合而言，所傳回的計數就是指定文件中 script 區塊的數量。在 Microsoft Word 中，Scripts.Count 傳回內置及合併 script 浮動定位點的總數。

範例

本範例會使用 Count 屬性來顯示 CommandBars 集合中命令列的數目。

MsgBox "There are " & CommandBars.Count & _
    " bars in the CommandBars collection."

本範例會使用 Count 屬性來顯示 Office 小幫手註解方塊中核取方塊的數目。

With Assistant.NewBalloon
    .CheckBoxes(1).Text = "First Choice"
    .CheckBoxes(2).Text = "Second Choice"
    .Text = "You have the following " _
    & .CheckBoxes.Count & " choices."
    .Show
End With

本範例會顯示在使用中文件內自訂文件屬性的數目。

MsgBox ("There are " & _
    ActiveDocument.CustomDocumentProperties.Count & _
    " custom document properties in the " & _
    "active document.")


Creator 屬性

傳回四個字元的代碼給應用程式，指定的物件即在此應用程式中建立。只適用於 Macintosh。唯讀型態。Long。

expression.Creator

expression 必選。傳回上列物件之一的運算式。


DataSource 屬性

傳回或者設定代表附加資料來源之名稱的 String。讀/寫。

expression.DataSource

Expression 必選。在 [套用至] 清單中傳回物件之一的運算式。

範例

如果名稱是空白則下列範例設定資料來源的名稱。

Sub SetAndReturnDataSourceName()
    Dim appOffice As OfficeDataSourceObject

    Set appOffice = Application.OfficeDataSourceObject
    With appOffice
        .Open bstrConnect:="DRIVER=SQL Server;SERVER=ServerName;" & _
            "UID=user;PWD=;DATABASE=Northwind", bstrTable:="Employees"

        If .DataSource = "" Then
            .DataSource = "Northwind"
            MsgBox .DataSource
        End If
    End With
End Sub


Description 屬性

當套用到 COMAddIn 物件的 Description 屬性。

為指定 COMAddIn 物件傳回或者設定描述性 String 值。讀/寫。

expression.Description

Expression 必選。傳回 COMAddIn 物件的運算式。

當套用到 FileDialogFilter 物件的 Description 屬性。

傳回每個 Filter 物件的描述作為 String 值。該描述是顯示在檔案對話框中的文字。唯讀。

expression.Description

Expression 必選。傳回 FileDialogFilter 物件的運算式。

範例

當它套用到 COMAddIn 物件時。

以下範例顯示用於繪圖的 Microsoft Accessibility COM 增益集的描述文字。

MsgBox "The description of this " & _
    "COMAddIn is """ & Application.COMAddIns. _
    Item("msodraa9.ShapeSelect"). _
    Description & """

當它套用到 FileDialogFilter 物件時。

下列範例透過 [另存新檔] 對話框的預設篩選重複，並且顯示包含 Microsoft Excel 檔案之每個篩選的描述。 Extensions 屬性用於尋找合適的篩選物件。

Sub Main()

    'Declare a variable as a FileDialogFilters collection.
    Dim fdfs As FileDialogFilters

    'Declare a variable as a FileDialogFilter object.
    Dim fdf As FileDialogFilter

    'Set the FileDialogFilters collection variable to
    'the FileDialogFilters collection of the SaveAs dialog box.
    Set fdfs = Application.FileDialog(msoFileDialogSaveAs).Filters

    'Iterate through the description and extensions of each
    'default filter in the SaveAs dialog box.
    For Each fdf In fdfs

        'Display the description of filters that include
        'Microsoft Excel files.
        If InStr(1, fdf.Extensions, "xls", vbTextCompare) > 0 Then
            MsgBox "Filter description: " & fdf.Description
        End If
    Next fdf

End Sub


DescriptionText 屬性

傳回或設定命令列控制項的描述。描述並未顯示給使用者看，但是它對其他程式開發人員在管理控制項行為方面卻十分有用。讀/寫 String。

註解

此屬性可用於 Macintosh 中的汽球式說明說明。

範例

本範例會在自訂的命令列中新增一個控制項，其中包括控制項行為的描述。

Set myBar = CommandBars.Add("Custom", msoBarTop, , True)
myBar.Visible = True
Set myControl = myBar.Controls _
    .Add(Type:=msoControlButton, ID:= _
    CommandBars("Standard").Controls("Paste").ID)
With myControl
    .DescriptionText = "Pastes the contents of the Clipboard"
    .Caption = "Paste"
End With


DialogType 屬性

傳回 MsoFileDialogType 常數，該常數代表所設定 FileDialog 物件以顯示之該類型檔案的對話框。唯讀。

MsoFileDialogType 可以是一個 MsoFileDialogType 常數。
msoFileDialogFilePicker
msoFileDialogFolderPicker
msoFileDialogOpen
msoFileDialogSaveAs

expression.DialogType

Expression 必選。在 [套用至] 清單中傳回物件之一的運算式。

範例

如果是 [另存新檔] 對話框或者 [開啟] 對話框，則下列範例顯示未知類型的 FileDialog 物件，並且執行 Execute 方法。

Sub DisplayAndExecuteFileDialog(ByRef fd As FileDialog)

    'Use a With...End With block to reference the FileDialog object.
    With fd
        'If the user presses the action button...
        If .Show = -1 Then

            'Use the DialogType property to determine whether to
            'use the Execute method.
            Select Case .DialogType
                Case msoFileDialogOpen, msoFileDialogSaveAs: .Execute
                'Do nothing otherwise.
                Case Else
            End Select
        'If the user presses Cancel...
        Else
        End If
    End With

End Sub


DisableAskAQuestionDropdown 屬性

True 如果啟用 [解答精靈] 下拉式功能表。讀/寫 Boolean。

expression.DisableAskAQuestionDropdown

Expression 必選。在 [套用至] 清單中傳回物件之一的運算式。

範例

下列範例切換 DisableAskAQuestionDropdown 屬性。

Sub ToggleQuestionDropdown()
    With Application.CommandBars
        If .DisableAskAQuestionDropdown = True Then
            .DisableAskAQuestionDropdown = False
        Else
            .DisableAskAQuestionDropdown = True
        End If
    End With
End Sub


DisableCustomize 屬性

True 如果停用工具列自訂。讀/寫 Boolean。

expression.DisableCustomize

Expression 必選。在 [套用至] 清單中傳回物件之一的運算式。

範例

下列範例切換 DisableCustomize 屬性。

Sub ToggleCustomize()
    With Application.CommandBars
        If .DisableCustomize = True Then
            .DisableCustomize = False
        Else
            .DisableCustomize = True
        End If
    End With
End Sub


DisplayFonts 屬性

如果其值為 True，則在 [字型] 方塊中的字體名稱會以真實的字型顯示。讀/寫 Boolean。

範例

本範例會在 Microsoft Office 的所有命令列中設定三個選項，其中包括自訂命令列及其控制項）。

With CommandBars
    .LargeButtons = True
    .DisplayFonts = True
    .AdaptiveMenus = True
End With


DisplayKeysInTooltips 屬性

如果屬性值為 True，那麼每個命令列控制項的快速鍵都會顯示在工具提示中。讀/寫 Boolean。

註解

要在 [工具提示] 中顯示快速鍵，必須同時將 DisplayTooltips 屬性值設定為 True。

範例

本範例會為 Microsoft Office 中所有的命令列設定選項。

With CommandBars
    .LargeButtons = True
    .DisplayTooltips = True
    .DisplayKeysInTooltips = True
    .MenuAnimationStyle = msoMenuAnimationUnfold
End With


DisplayTooltips 屬性

如果屬性值為 True，則使用者將游標置於命令列控制項之上時，會顯示工具提示。讀/寫 Boolean。

註解

在收納器應用程式中設定 DisplayTooltips 屬性會立刻影響該應用程式中所有的命令列，還會影響當時執行中的其他 Microsoft Office 應用程式和其後開啟的 Offfice 應用程式中的所有命令列，直到重新設定該屬性為止。

範例

本範例會在所有的命令列上顯示大型的控制項和工具提示。

Set allBars = CommandBars

allBars.LargeButtons = True
allBars.DisplayTooltips = True


DropDownLines 屬性

傳回或設定指定命令列組合方塊控制項 中的行數。該組合方塊控制項必須為自訂控制項，並且是下拉式清單方塊或組合方塊，讀/寫 Long。

附註 如果為文書編輯方塊或內建的組合方塊控制項設定此屬性，則會出現錯誤。

註解

如果屬性設定為 0 (零)，則控制項中的行數會根據清單中的項目數而定。

範例

本範例會在命令列 Custom 中新增一個組合方塊控制項，然後在組合方塊清單中新增兩個項目。本範例並設定清單的行數項目，組合方塊的寬度，並將組合方塊預設為空值。

Set myBar = CommandBars("Custom")
Set myControl = myBar.Controls.Add(Type:=msoControlComboBox, Id:=1)
With myControl
    .AddItem Text:="First Item", Index:=1
    .AddItem "Second Item", 2
    .DropDownLines = 3
    .DropDownWidth = 75
    .ListHeaderCount = 0
End With


DropDownWidth 屬性

傳回或設定指定命令列組合方塊控制項的清單寬度 (以像素為單位)，讀/寫 Long。

附註 如果為內建的控制項設定此屬性，則會出現錯誤。

註解

如果屬性設定為 -1，會根據組合方塊清單中最長的項目設定清單的寬度。如果屬性設定為 0，則根據控制項的寬度設定清單的寬度。

範例

本範例會在命令列 Custom 中新增一個組合方塊控制項，然後在組合方塊清單中新增兩個項目。本範例並設定清單的行數項目，組合方塊的寬度，並將組合方塊預設為空值。

Set myBar = CommandBars("Custom")
Set myControl = myBar.Controls.Add(Type:=msoControlComboBox, Id:=1)
With myControl
    .AddItem "First Item", 1
    .AddItem "Second Item", 2
    .DropDownLines = 3
    .DropDownWidth = 75
    .ListHeaderCount = 0
End With


Enabled 屬性

如果屬性值為 True，則啟用指定的命令列或命令列控制項 。讀/寫 Boolean。

註解

對於命令列，如果屬性設定為 True，則該命令列的名稱將出現在有效命令列清單中。

對於內建控制項，如果將 Enabled 屬性設定成 True，則應用程式會決定其狀態。但如果將屬性設定成 False，會強迫關閉控制項。

範例

本範例會根據 user 指定的使用者階層來調整命令列。如果 user 是 Level 1，那麼就會顯示命令列 VB Custom Bar。如果 user 是其他的值，那麼內建的 Visual Basic 命令列將會被重設為預設狀態，而且命令列 VB Custom Bar 也無法使用。

Set myBar = CommandBars _
    .Add(Name:="VB Custom Bar", Position:=msoBarTop, _
    Temporary:=True)
With myBar
    .Controls.Add Type:=msoControlButton, ID:=2
    .Visible = True
End With
If user = "Level 1" Then
    myBar.Visible = True
Else
    CommandBars("Visual Basic").Reset
    myBar.Enabled = False
End If

本範例會在 Custom 命令列中新增兩個命令列按鈕。第一個控制項會被關閉，另一個控制項則會依照預設值開啟。

Set myBar = CommandBars("Custom")
With myBar
    .Controls.Add Type:=msoControlButton, Id:=3
    .Controls(1).Enabled = False
    .Controls.Add Type:=msoControlButton, Id:=3
End With
myBar.Visible = True


ExpireDate 屬性

傳回代表對應 Signature 物件之數位簽名過期日期的 Variant。唯讀。

expression.ExpireDate

Expression 必選。在 [套用至] 清單中傳回物件之一的運算式。

範例

下列範例提醒使用者選取用於在 Microsoft Word 中簽名使用中文件的數位簽名。若要使用此範例，請開啟 Word 中的文件並且呼叫此功能。該功能將會驗證以確定使用這所選取的數位簽名在 12 個月內不會過期。如果過期，則不會附加認証。

Function AddSignature() As Boolean

    On Error GoTo Error_Handler

    Dim sig As Signature

    'Display the dialog box that lets the
    'user select a digital signature.
    'If the user selects a signature, then
    'it is added to the Signatures
    'collection. If the user doesn't, then
    'an error is returned.
    Set sig = ActiveDocument.Signatures.Add

    'Test to make sure that the new Signature object
    'doesn't expire too soon. This expression calculates
    'the number of months until the Signature object expires.
    If DateDiff("m", sig.SignDate, sig.ExpireDate) < 12 Then

        MsgBox "This Certificate will expire in less than 1 year." & vbCrLf & _
        "Please use a newer certificate."

        AddSignature = False
        sig.Delete
    Else
        AddSignature = True
    End If

    'Commit all signatures in the SignatureSet collection to the disk.
    ActiveDocument.Signatures.Commit

    Exit Function
Error_Handler:
    AddSignature = False
    MsgBox "Action cancelled."
End Function


Extended 屬性

設定或傳回新增到 <SCRIPT> 標籤中的屬性 (不包括 LANGUAGE 和 ID 屬性)。讀/寫 String。

註解

與 HTML 相同，屬性是以空格來分隔的。您不能使用 Extended 屬性來傳送 LANGUAGE 屬性和 ID 屬性。

Microsoft Office 主應用程式並不提供方法來檢查傳送屬性的語法。

如果在 Extended 屬性中傳送了 LANGUAGE 屬性，那麼 <SCRIPT> 標籤會接收到兩個語言設定，這會導致衝突。

如果您在 Extended 屬性中傳送了 ID 屬性，既沒有透過 Add 方法的 ID 引數，也沒有透過 Script 物件的 Id 屬性對 ID 進行設定，那麼該 ID 將可正確匯出。

範例

本範例檢查 Extended 屬性，以確認沒有其他屬性被新增到使用中活頁簿中首頁工作表的第一個 script 中。

If ActiveWorkbook.Worksheets(1).Scripts(1).Extended _
    <> "" Then
      MsgBox "This script contains extended attributes."
End If


Extensions 屬性

傳回包含副檔名的 String 值，且該副檔名判定顯示在每個 Filter 物件之檔案對話框中的檔案。唯讀。

expression.Extensions

Expression 必選。在 [套用至] 清單中傳回物件之一的運算式。

範例

下列範例透過 [另存新檔] 對話框的預設篩選重複，並且顯示包含 Microsoft Excel 檔案之每個篩選的描述。 Extensions 屬性用於尋找合適的篩選物件。

Sub Main()

    'Declare a variable as a FileDialogFilters collection.
    Dim fdfs As FileDialogFilters

    'Declare a variable as a FileDialogFilter object.
    Dim fdf As FileDialogFilter

    'Set the FileDialogFilters collection variable to
    'the FileDialogFilters collection of the SaveAs dialog box.
    Set fdfs = Application.FileDialog(msoFileDialogSaveAs).Filters

    'Iterate through the description and extensions of each
    'default filter in the SaveAs dialog box.
    For Each fdf In fdfs

        'Display the description of filters that include
        'Microsoft Excel files.
        If InStr(1, fdf.Extensions, "xls", vbTextCompare) > 0 Then
            MsgBox "Description of filter: " & fdf.Description
        End If
    Next fdf
End Sub


FaceId 屬性

傳回或設定一個按鈕圖示的 ID 數值，該按鈕圖示是目前分配給指定命令列按鈕控制項的圖示，讀/寫 Long。

註解

FaceId 屬性指定命令列按鈕的圖示而非其功能。CommandBarControl 物件的 Id 屬性決定按鈕的功能。

具有自訂圖示的命令列按鈕，其 FaceId 屬性值為 0 (零)。

範例

本範例會在自訂命令列中新增一個命令列按鈕。雖然此按鈕和內建的 [圖表] 按鈕具有相同的按鈕圖示，然而按下此按鈕就如同按下 [檔案] 功能表中的 [開啟] 指令，這是由於該按鈕的 ID 號為 23 的緣故。當您按下該按鈕時，會顯示 [開啟] 對話方塊。

Set newBar = CommandBars.Add(Name:="Custom2", _
     Position:=msoBarTop, Temporary:=True)
newBar.Visible = True
Set con = newBar.Controls.Add(Type:=msoControlButton, Id:=23)
con.FaceId = 17


FeatureTips 屬性

此主題部分內容可能不適用於某些語言。

如果屬性值為 True，則 Office 小幫手會提供關於更效地使用應用程式的資訊。讀/寫 Boolean。

註解

FeatureTips 對應到 [更有效地使用產品功能] 核取方塊。此核取方塊在 [小幫手] 對話方塊的 [選項] 索引標籤上。

範例

本範例會設定 Office 小幫手會提供關於更有效地使用應用程式的資訊。

Assistant.FeatureTips = True


FileName 屬性

此主題部分內容可能不適用於某些語言。

Assistant 物件：傳回或設定使用中 [Office 小幫手] 的路徑和檔名。讀/寫 String。

FileSearch 物件：傳回或設定在檔案搜尋時所要尋找的檔案名稱。檔名中可以包括 * (星號)或 ? (問號) 通用字元。問號通用字元可以符合任何一個字元。例如，鍵入 "gr?y" 以符合 "gray" 和 "grey"。星號通用字元可以符合任意數個字元。例如，鍵入 *.txt 可以尋找所有 .TXT 副檔名的檔案。讀/寫 String。

expression.FileName

Expression 必選。傳回 [套用至] 清單中物件之一的運算式。

範例

本範例會在 My Documents 資料夾中搜尋所有以 cmd 開頭的檔案，並顯示每個所找到檔案的名稱和位置。

Set fs = Application.FileSearch
With fs
    .LookIn = "C:\My Documents"
    .FileName = "cmd*.*"
    If .Execute > 0 Then
        MsgBox "There were " & .FoundFiles.Count & _
            " file(s) found."
        For i = 1 To .FoundFiles.Count
            MsgBox .FoundFiles(i)
        Next i
    Else
        MsgBox "There were no files found."
    End If
End With


Files 屬性

傳回一個 AnswerWizardFiles 集合，該集合代表目前 [解答精靈] 可用的檔案清單。唯讀型態。

有關傳回集合的單一成員之資訊，請參閱傳回集合中的物件。

範例

本範例重設目前 [解答精靈] 的檔案清單，然後在訊息方塊中顯示檔案數和檔案名稱。

Dim customAnswerWizard As AnswerWizard
Dim strFileList As String
Dim intCounter As Integer
Dim intNumFiles As Integer
Set customAnswerWizard = Application.AnswerWizard
intCounter = 1

customAnswerWizard.ResetFileList
strFileList = ""
intNumFiles = customAnswerWizard.Files.Count
For intCounter = 1 To (intNumFiles)
    strFileList = strFileList & _
    customAnswerWizard.Files.Item(intCounter) & Chr(13)
Next

MsgBox "There are " & customAnswerWizard.Files.Count & _
    " files avaialble through this AnswerWizard: " & _
    Chr(13) & strFileList


FileType 屬性

傳回或設定要檔案搜尋期間是搜尋的檔案類型。讀/寫 MsoFileType。

MsoFileType 可為這些 MsoFileType 常數之一。
msoFileTypeAllFiles
msoFileTypeBinders
msoFileTypeCalendarItem
msoFileTypeContactItem
msoFileTypeCustom
msoFileTypeDatabases
msoFileTypeDataConnectionFiles
msoFileTypeDesignerFiles
msoFileTypeDocumentImagingFiles
msoFileTypeExcelWorkbooks
msoFileTypeJournalItem
msoFileTypeMailItem
msoFileTypeNoteItem
msoFileTypeOfficeFiles
msoFileTypeOutlookItems
msoFileTypePhotoDrawFiles
msoFileTypePowerPointPresentations
msoFileTypeProjectFiles
msoFileTypePublisherFiles
msoFileTypeTaskItem
msoFileTypeTemplates
msoFileTypeVisioFiles
msoFileTypeWebPages
msoFileTypeWordDocuments

expression.FileType

Expression 必選。傳回 [套用至] 清單中物件之一的運算式。

附註

常數 msoFileTypeOfficeFiles 包含所含下列任何副檔名的檔案：*.doc、*.xls、*.ppt、*.pps、*.obd、*.mdb、*.mpd、*.dot、*.xlt、*.pot、*.obt、*.htm, 或 *.html。

範例

本範例會搜尋所有位在 My Documents 資料夾中所有的 [文件夾] 檔案，然後在訊息方塊中顯示每個所找到檔案的檔名及位置。

Set fs = Application.FileSearch
With fs
    .LookIn = "C:\My Documents"
    .FileType = msoFileTypeBinders
    If .Execute > 0 Then
        MsgBox "There were " & .FoundFiles.Count & _
            " Binder file(s) found."
        For i = 1 To .FoundFiles.Count
            MsgBox .FoundFiles(i)
        Next i
    Else
        MsgBox "There were no Binder files found."
    End If
End With


FileTypes 屬性

傳回 FileTypes 集合。

expression.FileTypes

Expression 必選。在 [套用至] 清單中傳回物件之一的運算式。

範例

下列範例在 C:\ 磁碟機上尋找所有 HTML 及 Microsoft Excel 檔案。

Sub SearchForFiles()

    'Declare a variable to act as a generic counter.
    Dim lngCount As Long

    'Use a With...End With block to reference the
    'FileSearch object.
    With Application.FileSearch

        'Clear all the parameters of the previous searches.
        'This method doesn't clear the LookIn property or
        'the SearchFolders collection.
        .NewSearch

        'Setting the FileType property clears the
        'FileTypes collection and sets the first
        'item in the collection to the file type
        'defined by the FileType property.
        .FileType = msoFileTypeWebPages

        'Add a second item to the FileTypes collection.
        .FileTypes.Add msoFileTypeExcelWorkbooks

        'Display the number of FileTypes objects in the collection.
        MsgBox "You are about to search for " & .FileTypes.Count & _
            " file types."

        'Set up the search to look in all subfolders on the C:\ drive.
        .LookIn = "C:\"
        .SearchSubFolders = True

        'Execute the search and test to see if any files
        'were found.
        If .Execute <> 0 Then

            'Display the number of files found.
            MsgBox "Files found: " & .FoundFiles.Count

            'Loop through the list of found files and
            'display the path of each one in a message box.
            For lngCount = 1 To .FoundFiles.Count
                If MsgBox(.FoundFiles.Item(lngCount), vbOKCancel, _
                    "Found files") = vbCancel Then

                    'Break out of the loop
                    lngCount = .FoundFiles.Count

                End If
            Next lngCount
        Else
            MsgBox "No files found."
        End If
    End With
End Sub


FilterIndex 屬性

傳回或者設定指出檔案對話方塊之預設檔案篩選的 Long 。當檔案對話框首次開啟時，預設篩選判定所顯示的檔案類型。讀/寫。

expression.FilterIndex

Expression 必選。在 [套用至] 清單中傳回物件之一的運算式。

註解

如果試圖設定此屬性為大於篩選數字的數字，則要選取最後可用的篩選。

範例

下列範例使用 FileDialog 物件顯示 File Picker 對話框，並且顯示訊息方塊中每個已選取的檔案。此範例也論證增加新檔案篩選的方式及使之成為預設篩選的方式。

Sub Main()

    'Declare a variable as a FileDialog object.
    Dim fd As FileDialog

    'Create a FileDialog object as a File Picker dialog box.
    Set fd = Application.FileDialog(msoFileDialogFilePicker)

    'Declare a variable to contain the path
    'of each selected item. Even though the path is a String,
    'the variable must be a Variant because For Each...Next
    'routines only work with Variants and Objects.
    Dim vrtSelectedItem As Variant

    'Use a With...End With block to reference the FileDialog object.
    With fd

        'Add a filter that includes GIF and JPEG images and make it the second item in the list.
        .Filters.Add "Images", "*.gif; *.jpg; *.jpeg", 2

        'Sets the initial file filter to number 2.
        .FilterIndex = 2

        'Use the Show method to display the File Picker dialog box and return the user's action.
        'If the user presses the action button...
        If .Show = -1 Then

            'Step through each string in the FileDialogSelectedItems collection.
            For Each vrtSelectedItem In .SelectedItems

                'vrtSelectedItem is a String that contains the path of each selected item.
                'You can use any file I/O functions that you want to work with this path.
                'This example simply displays the path in a message box.
                MsgBox "Selected item's path: " & vrtSelectedItem

            Next vrtSelectedItem
        'If the user presses Cancel...
        Else
        End If
    End With

    'Set the object variable to Nothing.
    Set fd = Nothing

End Sub


Filters 屬性

傳回 FileDialogFilters 集合。

expression.Filters

Expression 必選。在 [套用至] 清單中傳回物件之一的運算式。

範例

下列範例顯示使用 FileDialog 物件的 [檔案選擇器] 對話方塊，並且顯示每個在訊息方塊中已選取的檔案。此範例也增加叫做 [圖像] 的新檔案篩選。

Sub Main()

    'Declare a variable as a FileDialog object.
    Dim fd As FileDialog

    'Create a FileDialog object as a File Picker dialog.
    Set fd = Application.FileDialog(msoFileDialogFilePicker)

    'Declare a variable to contain the path
    'of each selected item. Even though the path is a String,
    'the variable must be a Variant because For Each...Next
    'routines only work with Variants and Objects.
    Dim vrtSelectedItem As Variant

    'Use a With...End With block to reference the FileDialog object.
    With fd

        'Add a filter that includes GIF and JPEG images and make it the first item in the list.
        .Filters.Add "Images", "*.gif; *.jpg; *.jpeg", 1

        'Use the Show method to display the File Picker dialog box and return the user's action.
        'If the user presses the action button...
        If .Show = -1 Then

            'Step through each string in the FileDialogSelectedItems collection.
            For Each vrtSelectedItem In .SelectedItems

                'vrtSelectedItem is a String that contains the path of each selected item.
                'You can use any file I/O functions that you want to work with this path.
                'This example simply displays the path in a message box.
                MsgBox "Selected item's path: " & vrtSelectedItem

            Next vrtSelectedItem
        'If the user presses Cancel...
        Else
        End If
    End With

    'Set the object variable to Nothing.
    Set fd = Nothing

End Sub


FixedWidthFont 屬性

設定或傳回主應用程式中的等寬文字規格。讀/寫 String。

註解

在設定 FixedWidthFont 屬性時，主應用程式並不會針對該值進行可使用性檢查。

範例

本範例為作用中應用程式的 English/Western European/Other Latin Script 字元集設定等寬字型和等寬字型大小。

Application.DefaultWebOptions. _
Fonts(msoCharacterSetEnglishWesternEuropeanOtherLatinScript) _
.FixedWidthFont = "System"
Application.DefaultWebOptions. _
Fonts(msoCharacterSetEnglishWesternEuropeanOtherLatinScript) _
.FixedWidthFontSize = 12


FixedWidthFontSize 屬性

設定或傳回主應用程式中對等寬字型大小的設定，以點數為單位。讀/寫 Single。

註解

設定 FixedWidthFontSize 屬性時，主應用程式並不會針對該值進行可使用性檢查。如果輸入了無效的值 (如非數字)，主應用程式會將字型大小設為 0。您可以輸入精確到 0.5 的大小值；如果輸入了其他的實數點數，則該值會被捨入到最接近的半點數。

範例

本範例為作用中應用程式的 English/Western European/Other Latin Script 字元集設定等寬字型和等寬字型大小。

Application.DefaultWebOptions. _
Fonts(msoCharacterSetEnglishWesternEuropeanOtherLatinScript) _
.FixedWidthFont = "System"
Application.DefaultWebOptions. _
Fonts(msoCharacterSetEnglishWesternEuropeanOtherLatinScript) _
.FixedWidthFontSize = 12


FoundFiles 屬性

傳回一個 FoundFiles 物件，其中包括所有在搜尋時找到的檔案名稱。唯讀的資料型態。

範例

本範例會在搜尋時逐一檢視所找到的檔案清單，並顯示各個檔案的路徑。

With Application.FileSearch
For i = 1 To .FoundFiles.Count
    MsgBox .FoundFiles(i)
Next I
End With


GuessHelp 屬性

此主題部分內容可能不適用於某些語言。

如果屬性值為 True，則 Office 小幫手會根據使用者按下 [小幫手] 視窗或按下 F1 鍵當時的內文，顯示一份相關的說明主題清單。讀/寫 Boolean。

註解

GuessHelp 屬性對應 [使用 Office 小幫手] 下的 [猜測說明主題] 選項，[使用 Office 小幫手] 位於 [Office 小幫手] 對話方塊中的 [選項] 索引標籤中。

範例

本範例會設定 Office 小幫手以猜測說明主題。

Assistant.GuessHelp = True


Guid 屬性

傳回指定 COMAddIn 物件的整體唯一類別識別碼 (GUID)。唯讀 String。

範例

以下範例在訊息方塊中顯示第一個 COM 增益集的 ProgID 和 GUID。

MsgBox "My ProgID is " & _
    Application.COMAddIns(1).ProgID & _
    " and my GUID is " & _
    Application.COMAddIns(1).Guid


Heading 屬性

此主題部分內容可能不適用於某些語言。

傳回或設定顯示在 [Office 小幫手] 汽球式說明中的標題。讀/寫 String。

註解

您可以使用下列語法，來指定在汽球式說明中顯示圖形：{type location sizing_factor}，其中 type 是 bmp (點陣圖) 或 wmf (Windows 中繼檔)，location 是資源 ID 或路徑加上檔案名稱，而 sizing_factor 則是指定 wmf 的寬度(bmp 可省略此部份)。

汽球式說明標題也支援加底線的文字，以及其中已套用任一種 16 色系統調色板的文字。若要在標題中顯示加底線的文字，請使用以下語法：{ul} 或 {ul 1}；請使用 {ul 0} 來關閉加底線的設定。若要變更標題文字的色彩，請以字元順序在文字字串前加上 {cf number}，其中 number 得為下表所列的系統色彩編號之一。

系統色彩編號 | 色彩
0 | 黑色
1 | 深紅色
2 | 深綠色
3 | 深黃色
4 | 深藍色
5 | 深紫紅色
6 | 深青藍色
7 | 淡灰色
248 | 中灰色
249 | 紅色
250 | 綠色
251 | 黃色
252 | 藍色
253 | 紫紅色
254 | 青藍色
255 | 白色

如果您指定的色彩編號並非以上所列之系統色彩編號，則標題文字會為黑色。

範例

本範例會建立並顯示一個有標題、文字和三個選項的汽球式說明。

With Assistant.NewBalloon
    .Button = msoButtonSetOkCancel
    .Heading = "Regional Sales Data"
    .Text = "Select a region"
    For i = 1 To 3
        .CheckBoxes(i).Text = "Region " & i
    Next
    .Show
End With


Height 屬性

傳回或者設定命令列控制項或者命令列的高度。讀/寫 Long。

expression.Height

expression 必選。傳回上列物件之一的運算式。

範例

此範例將自訂控制項新增到叫做 [自訂] 的命令列。然後將該控制項的高度設定成命令列高度的兩倍，並將其寬度設定為 50 圖素。請注意命令列是如何自動調整大小，以容納控制項。

Set myBar = CommandBars("Custom")
barHeight = myBar.Height
Set myControl = myBar.Controls _
    .Add(Type:=msoControlButton, _
    Id:= CommandBars("Standard").Controls("Save").Id, _
     Temporary:=True)
With myControl
    .Height = barHeight * 2
    .Width = 50
End With
myBar.Visible = True


HelpContextId 屬性

傳回或設定說明主題代碼，附加在命令列控制項 [說明] 主題之後，讀/寫 Long。

註解

要用此屬性，必須同時設定 HelpFile 屬性。說明主題會回應到 Shift+F1。

範例

本範例會新增一個含有組合方塊的自訂命令列，以便用來追蹤股票資料。當使用者按住 Shift+F1 組合鍵時，本範例還會指定此組合方塊所要顯示的 [說明] 主題。

Set myBar = CommandBars _
    .Add(Name:="Custom", Position:=msoBarTop, _
    Temporary:=True)
With myBar
    .Controls.Add Type:=msoControlComboBox, ID:=1
    .Visible = True
End With
With CommandBars("Custom").Controls(1)
    .AddItem "Get Stock Quote", 1
    .AddItem "View Chart", 2
    .AddItem "View Fundamentals", 3
    .AddItem "View News", 4
    .Caption = "Stock Data"
    .DescriptionText = "View Data For Stock"
    .HelpFile = "C:\corphelp\custom.hlp"
    .HelpContextID = 47
End With


HelpFile 屬性

傳回或設定 [說明] 檔案名稱，該 [說明] 主題的檔案名稱附加在命令列控制項之後。讀/寫 String。

註解

要使用該屬性，必須同時設定 HelpContextID 屬性。按 SHIFT+F1 就會回應說明主題。

範例

本範例會新增一個含有組合方塊的自訂命令列，以便用來追蹤股票資料。當使用者按住 Shift+F1 組合鍵時，本範例還會指定此組合方塊所要顯示的 [說明] 主題。

Set myBar = CommandBars _
    .Add(Name:="Custom", Position:=msoBarTop, _
    Temporary:=True)
With myBar
    .Controls.Add Type:=msoControlComboBox, ID:=1
    .Visible = True
End With
With CommandBars("Custom").Controls(1)
    .AddItem "Get Stock Quote", 1
    .AddItem "View Chart", 2
    .AddItem "View Fundamentals", 3
    .AddItem "View News", 4
    .Caption = "Stock Data"
    .DescriptionText = "View Data For Stock"
    .HelpFile = "C:\corphelp\custom.hlp"
    .HelpContextID = 47
End With


HighPriorityTips 屬性

此主題部分內容可能不適用於某些語言。

如果屬性值為 True，那麼 Office 小幫手就會顯示高優先順序的提示。讀/寫 Boolean。

註解

HighPriorityTips 屬性會對應到 [Office 小幫手] 對話方塊的 [選項] 索引標籤中 [顯示下列項目的祕訣] 下的 [只顯示高優先權的祕訣] 選項。

範例

本範例設定 Office 小幫手只顯示高優先順序的提示。

Assistant.HighPriorityTips = True


HTMLProjectItems 屬性

傳回包含在指定 HTML 專案中的 HTMLProjectItems 集合。唯讀型態。HTMLProjectItems 類型。

範例

本範例傳回使用中活頁簿的 HTML 專案的 HTMLProjectItems 集合中的項目數。

intCount = ActiveWorkbook.HTMLProject.HTMLProjectItems.Count


HyperlinkType 屬性

設定或傳回與指定命令列按鈕相關的超連結類型。讀/寫 MsoCommandBarButtonHyperlinkType。

MsoCommandBarButtonHyperlinkType 可以是這些 MsoCommandBarButtonHyperlinkType 常數中的其中一項。
msoCommandBarButtonHyperlinkInsertPicture
msoCommandBarButtonHyperlinkNone
msoCommandBarButtonHyperlinkOpen

範例

本範例檢查名為 Custom 的命令列上的指定命令列按鈕的 HyperlinkType 屬性。如果 HyperlinkType 的屬性值設為 msoCommandBarButtonHyperlinkNone，那麼本範例將其設為 msoCommandBarButtonHyperlinkOpen，並且將 URL 設定為 www.microsoft.com。

Set myBar = CommandBars _
    .Add(Name:="Custom", Position:=msoBarTop, _
    Temporary:=True)
Set myButton = myBar.Controls.Add(Type:=msoControlButton)
With myButton
    .FaceId = 277
    .HyperlinkType = msoCommandBarButtonHyperlinkNone
End With
If myButton.HyperlinkType <> _
    msoCommandBarButtonHyperlinkOpen Then
    myButton.HyperlinkType = _
        msoCommandBarButtonHyperlinkOpen
    myButton.TooltipText = "www.microsoft.com"
End If


Icon 屬性

此主題部分內容可能不適用於某些語言。

傳回或設定 [Office 小幫手] 汽球式說明左上角的圖示類型，讀/寫 MsoIconType。

MsoIconType 可以是這些 MsoIconType 常數中的其中一項。
msoIconAlert
msoIconAlertCritical
msoIconAlertInfo
msoIconAlertQuery
msoIconAlertWarning
msoIconNone
msoIconTip

範例

本範例會建立一個有 [警示] 圖示的汽球式說明，用來指導使用者選擇印表機。

With Assistant.NewBalloon
    .Heading = "Select A Printer"
    .Text = "You must select a printer before printing."
    .Icon = msoIconAlert
    .CheckBoxes(1).Text = "Local printer"
    .CheckBoxes(2).Text = "Network printer"
    .Show
End With


Id 屬性

套用到 CommandBarButton、CommandBarComboBox 及 CommandBarControl 物件的 Id 屬性。

傳回內建命令列控制項的 ID 號碼。唯讀 Long。

expression.Id

expression 必選。傳回上列物件之一的運算式。

附註

控制項的 ID 號碼會決定該控制項的內建動作。所有自訂控制項的 ID 屬性值是 1。

套用到 Script 物件的 Id 屬性。

設定或傳回 Script 物件的 ID。讀/寫 String。

expression.Id

expression 必選。傳回 Script 物件的運算式。

附註

該 ID 傳回的是 HTML 中 <SCRIPT> 標籤的 ID 屬性。如果在該 <SCRIPT> 標籤中未註明 ID 屬性，那麼 Id 屬性就會傳回一個空字串。

Id 指定了一個用於名稱元素的 SGML 識別碼。有效的識別碼可以是任何以字母開頭的、由字母數字字元構成的字串；該字串還可包含底線字元 (_)。

此 ID 在 HTML 文件中必須是唯一的。

範例

套用到 CommandBarButton、CommandBarComboBox 及 CommandBarControl 物件。

如果按鈕的 ID 值小於 25 的話，本範例就會改變 Custom2 命令列上第一個控制項的按鈕圖面。

Set ctrl = CommandBars("Custom").Controls(1)
With ctrl
    If .Id < 25 Then
        .FaceId = 17
        .Tag = "Changed control"
    End If
End With

下列範例會將工具列 Standard 中每個控制項的標題，改為該控制項目前的 Id 屬性值。

For Each ctl In CommandBars("Standard").Controls
    ctl.Caption = CStr(ctl.Id)
Next ctl

套用到 Script 物件。

本範例將現用活頁簿中首頁工作表的第一個 script 中的 Id 屬性，設定為一個新值。

ActiveWorkbook.Worksheets(1).Scripts(1).Id = "UpdatedScriptName"


Index 屬性

傳回集合中代表指定物件之索引號的 Long 值。讀/寫 Long。

expression.Index

Expression 必選。傳回 [套用至] 清單中物件之一的運算式。

附註

第一個命令列控制項的位置為 1。分隔符號不計入 CommandBarControls 集合中。

範例

本範例會在命令列 Custom2 中尋找 ID 值為 23 的控制項。如果找到此控制項，且控制項索引號大於 5，則將控制項放置在命令列的第一個位置上。

Set myBar = CommandBars("Custom2")
Set ctrl1 = myBar.FindControl(Id:=23)
If ctrl1.Index > 5 Then
    ctrl1.Move before:=1
End If


InitialFileName 屬性

設定或傳回代表最初顯示在檔案對話方塊中的路徑及 (或) 檔案名稱的 String。讀/寫。

expression.InitialFileName

Expression 必選。在 [套用至] 清單中傳回物件之一的運算式。

註解

指定檔案名稱時可以使用萬用字元 * 及 ? ，但指定路徑時不能使用。* 代表多個連續的字元而 ? 僅代表單一字元。例如， .InitialFileName = "c:\c*s.txt" 將傳回 charts.txt 及 checkregister.txt。

如果指定路徑但未指定檔案名稱，則對話方塊中會顯示檔案篩選容許的所有檔案。

如果指定初始資料夾中的檔案，則對話方塊中僅顯示此檔案。

如果所指定的檔案名稱不在初始資料夾中，則對話方塊中不會包含檔案。InitialFileName 屬性中所指定檔案的檔案類型將取代檔案篩選的設定。

如果指定無效路徑，則會使用上次使用的路徑。使用無效路徑時，將顯示訊息警告使用者。

如果將此屬性設定為長於 256 個字元的字串，會產生執行錯誤。

範例

下列範例顯示使用 FileDialog 物件的 [檔案選擇器] 對話方塊，並在訊息方塊中顯示每個選取的檔案。

Sub Main()

    'Declare a variable as a FileDialog object
    Dim fd As FileDialog

    'Create a FileDialog object as a File Picker dialog box.
    Set fd = Application.FileDialog(msoFileDialogFilePicker)

    'Declare a variable to contain the path
    'of each selected item. Even though the path is a String,
    'the variable must be a Variant because For Each...Next
    'routines only work with Variants and Objects.
    Dim vrtSelectedItem As Variant

    'Use a With...End With block to reference the FileDialog object.
    With fd

        'Set the initial path to the C:\ drive.
        .InitialFileName = "C:\"

        'Use the Show method to display the File Picker dialog box and return the user's action.
        'If the user presses the action button...
        If .Show = -1 Then

            'Step through each string in the FileDialogSelectedItems collection.
            For Each vrtSelectedItem In .SelectedItems

                'vrtSelectedItem is a String that contains the path of each selected item.
                'You can use any file I/O functions that you want to work with this path.
                'This example simply displays the path in a message box.
                MsgBox "Selected item's path: " & vrtSelectedItem

            Next vrtSelectedItem
        'If the user presses Cancel...
        Else
        End If
    End With

    'Set the object variable to Nothing.
    Set fd = Nothing

End Sub


InitialView 屬性

傳回或設定代表對話方塊中最初顯示檔案及資料夾的 MsoFileDialogView 常數。讀/寫。

MsoFileDialogView 可為下列 MsoFileDialogView 常數之一。
msoFileDialogViewDetails
msoFileDialogViewLargeIcons
msoFileDialogViewList
msoFileDialogViewPreview
msoFileDialogViewProperties
msoFileDialogViewSmallIcons
msoFileDialogViewThumbnail 此常數僅在與 Microsoft Windows 2000 或 Microsoft Windows Millennium Edition (或更新版本) 共用時才可用。
msoFileDialogViewWebView 不可用。如果選取此常數，將使用預設檢視。

expression.InitialView

Expression 必選。在 [套用至] 清單中傳回物件之一的運算式。

範例

下列範例使用 FileDialog 物件在詳細檢視中顯示 [檔案選擇器] 對話方塊，並在訊息方塊中顯示每個選取的檔案。

Sub Main()

    'Declare a variable as a FileDialog object.
    Dim fd As FileDialog

    'Create a FileDialog object as a File Picker dialog box.
    Set fd = Application.FileDialog(msoFileDialogFilePicker)

    'Declare a variable to contain the path
    'of each selected item. Even though the path is a String,
    'the variable must be a Variant because For Each...Next
    'routines only work with Variants and Objects.
    Dim vrtSelectedItem As Variant

    'Use a With...End With block to reference the FileDialog object.
    With fd

        'Set the initial view to the details view.
        .InitialView = msoFileDialogViewDetails

        'Use the Show method to display the File Picker dialog box and return the user's action.
        'If the user presses the action button...
        If .Show = -1 Then

            'Step through each string in the FileDialogSelectedItems collection.
            For Each vrtSelectedItem In .SelectedItems

                'vrtSelectedItem is a String that contains the path of each selected item.
                'You can use any file I/O functions that you want to work with this path.
                'This example simply displays the path in a message box.
                MsgBox "Selected item's path: " & vrtSelectedItem

            Next vrtSelectedItem
        'If the user presses Cancel...
        Else
        End If
    End With

    'Set the object variable to Nothing.
    Set fd = Nothing

End Sub


Introduction 屬性

設定或傳回使用 MsoEnvelope 物件來傳送包含文件的簡介文字。簡介文字包含在電子郵件中文件的頂端。讀/寫 String。

expression.Introduction

Expression 必選。 [套用至] 清單中傳回物件之一的運算式。

範例

下列範例將使用中的 Microsoft Word 文件作為電子郵件傳送到傳遞給子常式的電子郵件地址。

Sub SendMail(ByVal strRecipient As String)

    'Use a With...End With block to reference the MsoEnvelope object.
    With Application.ActiveDocument.MailEnvelope

        'Add some introductory text before the body of the e-mail.
        .Introduction = "Please read this and send me your comments."

        'Return a MailItem object that you can use to send the document.
        With .Item

            'All of the mail item settings are saved with the document.
            'When you add a recipient to the Recipients collection
            'or change other properties these settings will persist.

            .Recipients.Add strRecipient
            .Subject = "Here is the document."

            'The body of this message will be
            'the content of the active document.
            .Send
        End With
    End With
End Sub


IsCertificateExpired 屬性

如果與 Signature 物件相對應的數位認證已經過期，則本屬性為 True。唯讀 Boolean 。

expression.IsCertificateExpired

Expression 必選。在 [套用至] 清單中傳回物件之一的運算式。

範例

下列範例提示使用者選取用以簽名 Microsoft Word 使用中文件的數位簽名。若要使用此範例，請在 Word 中開啟該文件，並將與 [數位認證] 對話方塊中數位認證的 [發行者] 及 [簽名程式] 欄位相符的認證發行者名稱及簽名程式名稱傳遞給此函數。此範例將測試以確定使用者選取的數位簽名滿足特定條件 (如將新簽名提交到磁碟之前，驗證其尚未過期)。

Function AddSignature(ByVal strIssuer As String, _
    strSigner As String) As Boolean

    On Error GoTo Error_Handler

    Dim sig As Signature

    'Display the dialog box that lets the
    'user select a digital signature.
    'If the user selects a signature, then
    'it is added to the Signatures
    'collection. If the user doesn't, then
    'an error is returned.
    Set sig = ActiveDocument.Signatures.Add

    'Test several properties before commiting the Signature object to disk.
    If sig.Issuer = strIssuer And _
        sig.Signer = strSigner And _
        sig.IsCertificateExpired = False And _
        sig.IsCertificateRevoked = False And _
        sig.IsValid = True Then

        MsgBox "Signed"
        AddSignature = True
    'Otherwise, remove the Signature object from the SignatureSet collection.
    Else
        sig.Delete
        MsgBox "Not signed"
        AddSignature = False
    End If

    'Commit all signatures in the SignatureSet collection to the disk.
    ActiveDocument.Signatures.Commit

    Exit Function
Error_Handler:
    AddSignature = False
    MsgBox "Action cancelled."
End Function


IsCertificateRevoked 屬性

如果與 Signature 物件相對應的數位認證已經被該認證之發行者啟動，則本屬性為 True。唯讀 Boolean 。

expression.IsCertificateRevoked

Expression 必選。在 [套用至] 清單中傳回物件之一的運算式。

範例

下列範例提示使用者選取用以簽名 Microsoft Word 使用中文件的數位簽名。若要使用此範例，請在 Word 中開啟該文件，並將與 [數位認證] 對話方塊中數位認證的 [發行者] 及 [簽名程式] 欄位相符的認證發行者名稱及簽名程式名稱傳遞給此函數。此範例將測試以確定使用者選取的數位簽名滿足特定條件 (如將新簽名提交到磁碟之前，驗證其尚未過期)。

Function AddSignature(ByVal strIssuer As String, _
    strSigner As String) As Boolean

    On Error GoTo Error_Handler

    Dim sig As Signature

    'Display the dialog box that lets the
    'user select a digital signature.
    'If the user selects a signature, then
    'it is added to the Signatures
    'collection. If the user doesn't, then
    'an error is returned.
    Set sig = ActiveDocument.Signatures.Add

    'Test several properties before commiting the Signature object to disk.
    If sig.Issuer = strIssuer And _
        sig.Signer = strSigner And _
        sig.IsCertificateExpired = False And _
        sig.IsCertificateRevoked = False And _
        sig.IsValid = True Then

        MsgBox "Signed"
        AddSignature = True
    'Otherwise, remove the Signature object from the SignatureSet collection.
    Else
        sig.Delete
        MsgBox "Not signed"
        AddSignature = False
    End If

    'Commit all signatures in the SignatureSet collection to the disk.
    ActiveDocument.Signatures.Commit

    Exit Function
Error_Handler:
    AddSignature = False
    MsgBox "Action cancelled."
End Function


IsOpen 屬性

如果指定的 HTML 專案項目在 [Microsoft Script 編輯器] 中處於開啟狀態，那麼該值為 True。唯讀型態。Boolean。

範例

本範例將判斷指定的 HTML 專案項目是否處於開啟狀態。如果是，則本範例會從指定檔案中載入 script。

If ActiveWorkbook.HTMLProject.HTMLProjectItems _
    .Item(1).IsOpen Then
    ActiveWorkbook.HTMLProject.HTMLProjectItems _
        .Item(1).LoadFromFile ("C:\MyScript.txt")
Else
    MsgBox "The HTMLProjectItem is not open."
End If


IsPriorityDropped 屬性

如果控制項目前是根據使用統計資料和版面配置空間從功能表或工具列上下拉控制項，則設定為True (請注意這與控制項的可見度不同，而是由 Visible 屬性設定的)。如果控制項的 Visible 設定為 True，而且 IsPriorityDropped 設定為 True，則您不會立刻看見 [個人化功能表] 或 [工具列] 上的控制項。唯讀 Boolean。

註解

若要決定何時將特定功能表項目的 IsPriorityDropped 設定為 True，Microsoft Office 會維護使用過的功能表項目的次數總計。同時也會維護不同應用程式作業的數目記錄，而在此作業期間使用者已使用與此功能表項目相同的其他功能表項目，而不使用特定的功能表項目。當此值到達一定的臨界值，計數將會減少當計數到達零時，IsPriorityDropped 會設定為 True。程式開發人員不能設定作業值和臨界值，也不能設定 IsPriorityDropped 屬性。但是，程式開發人員可以使用 AdaptiveMenus 屬性，來停用應用程式中指定功能表的自適應特性。

若要決定何時將特定工具列控制項的 IsPriorityDropped 設定為 True，Office 會將順序清單維持在工具列上最後執行的所有控制項。工具列會根據它所能夠顯示的空間，儘可能的顯示最多的控制項，而排列順序是從最近常用的控制項一直排到最近少用的控制項。[優先順序] 設定為 1 的控制項則一律會顯示，而如果有需要的話，工具列也會換列顯示這些控制項。 程式設計者可以使用 Priority 屬性 (Priority property) 以確保某個特定的工具列控制項固定會顯示，或是重新定位工具列，使得它們有足夠的空間可以顯示所有的控制項。

在功能表項目的 IsPriorityDropped 屬性設定為 True 之前，能夠看見個人化功能表上的功能表項目的作業數目，可以使用下列的資料表來預測。

命令列控制項的使用次數 | 應用程式的作業數
0,1 | 3
2 | 6
3 | 9
4,5 | 12
6 - 8 | 17
9 - 13 | 23
14 - 24 | 29
25 或 25 以上 | 31

範例

本範例會檢查 "Custom" 命令列上第一個控制項的 IsPriorityDropped 屬性。如果 IsPriorityDropped 的值為 True，則將 AdaptiveMenus 屬性的值設定為 False，以復原已下拉的命令列。

If CommandBars("Custom").Controls(1).IsPriorityDropped Then
    CommandBars.AdaptiveMenus = True
End If


Issuer 屬性

傳回代表與 Signature 物件相對應之數位認證發行者名稱的 String 。唯讀 。

expression.Issuer

Expression 必選。在 [套用至] 清單中傳回物件之一的運算式。

範例

下列範例提示使用者選取用以簽名 Microsoft Word 使用中文件的數位簽名。若要使用此範例，請在 Word 中開啟該文件，並將與 [數位認證] 對話方塊中數位認證的 [發行者] 及 [簽名程式] 欄位相符的認證發行者名稱及簽名程式名稱傳遞給此函數。此範例將測試以確定使用者選取的數位簽名滿足特定條件 (如將新簽名提交到磁碟之前，驗證其尚未過期)。

Function AddSignature(ByVal strIssuer As String, _
    strSigner As String) As Boolean

    On Error GoTo Error_Handler

    Dim sig As Signature

    'Display the dialog box that lets the
    'user select a digital signature.
    'If the user selects a signature, then
    'it is added to the Signatures
    'collection. If the user doesn't, then
    'an error is returned.
    Set sig = ActiveDocument.Signatures.Add

    'Test several properties before commiting the Signature object to disk.
    If sig.Issuer = strIssuer And _
        sig.Signer = strSigner And _
        sig.IsCertificateExpired = False And _
        sig.IsCertificateRevoked = False And _
        sig.IsValid = True Then

        MsgBox "Signed"
        AddSignature = True
    'Otherwise, remove the Signature object from the SignatureSet collection.
    Else
        sig.Delete
        MsgBox "Not signed"
        AddSignature = False
    End If

    'Commit all signatures in the SignatureSet collection to the disk.
    ActiveDocument.Signatures.Commit

    Exit Function
Error_Handler:
    AddSignature = False
    MsgBox "Action cancelled."
End Function


IsValid 屬性

如果與 Signature 物件相對應的數位認證是有效認證的，則本屬性為 True。由於多種原因 (如認證已過期或包含它的文件被變更)，認證可能無效。唯讀 Boolean 。

expression.IsValid

Expression 必選。在 [套用至] 清單中傳回物件之一的運算式。

範例

下列範例提示使用者選取用以簽名 Microsoft Word 使用中文件的數位簽名。若要使用此範例，請在 Word 中開啟該文件，並將與 [數位認證] 對話方塊中數位認證的 [發行者] 及 [簽名程式] 欄位相符的認證發行者名稱及簽名程式名稱傳遞給此函數。此範例將測試以確定使用者選取的數位簽名滿足特定條件 (如將新簽名提交到磁碟之前，驗證其尚未過期)。

Function AddSignature(ByVal strIssuer As String, _
    strSigner As String) As Boolean

    On Error GoTo Error_Handler

    Dim sig As Signature

    'Display the dialog box that lets the
    'user select a digital signature.
    'If the user selects a signature, then
    'it is added to the Signatures
    'collection. If the user doesn't, then
    'an error is returned.
    Set sig = ActiveDocument.Signatures.Add

    'Test several properties before commiting the Signature object to disk.
    If sig.Issuer = strIssuer And _
        sig.Signer = strSigner And _
        sig.IsCertificateExpired = False And _
        sig.IsCertificateRevoked = False And _
        sig.IsValid = True Then

        MsgBox "Signed"
        AddSignature = True
    'Otherwise, remove the Signature object from the SignatureSet collection.
    Else
        sig.Delete
        MsgBox "Not signed"
        AddSignature = False
    End If

    'Commit all signatures in the SignatureSet collection to the disk.
    ActiveDocument.Signatures.Commit

    Exit Function
Error_Handler:
    AddSignature = False
    MsgBox "Action cancelled."
End Function


Item 屬性

套用至 FileTypes 集合時的 Item 屬性。

傳回一個指出 FileSearch 物件的 Execute 方法將搜尋之檔案類型的值。唯讀 MsoFileType。

MsoFileType 可為下列 MsoFileType 常數之一。
msoFileTypeAllFiles
msoFileTypeBinders
msoFileTypeCalendarItem
msoFileTypeContactItem
msoFileTypeDatabases
msoFileTypeDataConnectionFiles
msoFileTypeDesignerFiles
msoFileTypeDocumentImagingFiles
msoFileTypeExcelWorkbooks
msoFileTypeJournalItem
msoFileTypeMailItem
msoFileTypeNoteItem
msoFileTypeOfficeFiles
msoFileTypeOutlookItems
msoFileTypePhotoDrawFiles
msoFileTypePowerPointPresentations
msoFileTypeProjectFiles
msoFileTypePublisherFiles
msoFileTypeTaskItem
msoFileTypeTemplates
msoFileTypeVisioFiles
msoFileTypeWebPages
msoFileTypeWordDocuments

expression.Item(Index)

Expression 必選。傳回 FileTypes 集合的運算式。

Index 必選 Long。這是所要傳回物件的索引編號。

套用至 CommandBars 物件時的 Item 屬性。

從 CommandBars 集合傳回 CommandBar 物件。

expression.Item(Index)

expression 必選。傳回 CommandBars 物件的運算式。

Index 必選 Variant。這是所要傳回物件的名稱或索引編號。

套用至 CommandBarControls 物件時的 Item 屬性。

從 CommandBarControls 集合傳回 CommandBarControl 物件。

expression.Item(Index)

expression 必選。傳回 CommandBarControls 物件的運算式。

Index 必選 Variant。這是所要傳回物件的名稱或索引編號。

套用至 DocumentProperties 物件時的 Item 屬性。

從 DocumentProperties 集合傳回 DocumentProperty 物件。

expression.Item(Index)

Expression 必選。傳回 DocumentProperties 物件的運算式。

Index 必選 Variant。這是所要傳回文件屬性的名稱或索引編號。

套用至 BalloonCheckboxes 及 BalloonLabels 物件時的 Item 屬性。

傳回 BalloonCheckBox 或 BalloonLabel 物件。

expression.Item(Index)

expression 必選。傳回上列物件之一的運算式。

Index 必選 Long。這是所要傳回標籤的索引編號。

套用至 MsoEnvelope 物件時的 Item 屬性。

傳回可用以將文件傳送為電子郵件的 MailItem 物件。

expression.Item

Expression 必選。傳回 MsoEnvelope 物件的運算式。

套用至 PropertyTests 物件時的 Item 屬性。

從 PropertyTests 集合傳回 PropertyTest 物件。

expression.Item(Index)

expression 必選。傳回 PropertyTests 物件的運算式。

Index 必選 Long。這是所要傳回屬性測試條件的索引編號。

套用至 ScopeFolders 及 SearchFolders 物件時的 Item 屬性。

傳回代表父物件之子資料夾的 ScopeFolder 物件。

expression.Item(Index)

expression 必選。傳回上列物件之一的運算式。

Index 必選 Long。決定要傳回的子資料夾。

套用至 SearchScopes 物件時的 Item 屬性。

傳回對應於執行檔案搜尋區域的 SearchScope 物件，如區域磁碟或 Microsoft Outlook 資料夾。

expression.Item(Index)

Expression 必選。傳回 SearchScopes 物件的運算式。

Index 必選 Long。決定要傳回的 SearchScope 物件。

套用至 SignatureSet 物件時的 Item 屬性。

傳回對應於目前用以簽名文件之數位簽名的 Signature 物件。

expression.Item(iSig)

Expression 必選。傳回 SignatureSet 物件的運算式。

iSig 必選 Long。決定要傳回的 Signature 物件。

套用至 AnswerWizardFiles 及 FoundFiles 物件時的 Item 屬性。

從 AnswerWizardFiles 集合中傳回檔案名稱字串，或從 FoundFiles 物件所顯示的檔案名稱清單中分別傳回檔案名稱。唯讀 String 。

expression.Item(Index)

expression 必選。傳回上列物件之一的運算式。

Index 必選 Long。傳回 [解答精靈] 檔案名稱字串的索引編號或檔案名稱。

套用至 Assistant、BalloonCheckbox、BalloonLabel 及 FileDialog 物件時的 Item 屬性。

傳回與指定物件相關的文字。唯讀 String 。

expression.Item

expression 必選。傳回上列物件之一的運算式。

套用至 WebPageFonts 物件時的 Item 屬性。

從 WebPageFonts 集合傳回與特定的 MsoCharacterSet 值相對應的 WebPageFont 物件。

expression.Item(Index)

expression 必選。傳回上列物件之一的運算式。

Index 必選 MsoCharacterSet。指定的字元集。

MsoCharacterSet 可為下列 MsoCharacterSet 常數之一。
msoCharacterSetArabic
msoCharacterSetCyrillic
msoCharacterSetEnglishWesternEuropeanOtherLatinScript
msoCharacterSetGreek
msoCharacterSetHebrew
msoCharacterSetJapanese
msoCharacterSetKorean
msoCharacterSetMultilingualUnicode
msoCharacterSetSimplifiedChinese
msoCharacterSetThai
msoCharacterSetTraditionalChinese
msoCharacterSetVietnamese

範例

當其套用至 CommandBars 物件時。

Item 是物件或集合的預設成員。下列兩句陳述式都會將 CommandBar 物件指定給 cmdBar。

Set cmdBar = CommandBars.Item("Standard")
Set cmdBar = CommandBars("Standard")

當其套用至 BalloonCheckboxes 及 BalloonLabels 物件時。

Item 是物件或集合的預設成員。下列兩句陳述式都會指定 lblText (指定給 myBalloon 之 Balloon 物件中第一個標籤的文字)。

lblText = myBalloon.Labels(1).Item
lblText = myBalloon.Labels(1)

當其套用至 AnswerWizardFiles 及 FoundFiles 物件時。

本範例重設目前 [解答精靈] 的檔案清單，使用 Item 屬性傳回檔案名稱，並在訊息方塊中顯示檔案數和檔案名稱。

Dim customAnswerWizard As AnswerWizard
Dim strFileList As String
Dim intCounter As Integer
Dim intNumFiles As Integer
Set customAnswerWizard = Application.AnswerWizard
intCounter = 1

customAnswerWizard.ResetFileList
strFileList = ""
intNumFiles = customAnswerWizard.Files.Count
For intCounter = 1 To (intNumFiles)
    strFileList = strFileList & _
    customAnswerWizard.Files.Item(intCounter) & Chr(13)
Next

MsgBox "There are " & customAnswerWizard.Files.Count & _
    " files avaialble through this AnswerWizard: " & _
    Chr(13) & strFileList

當其套用至 WebPageFonts 物件時。

以下範例使用 Item 屬性將 myFont 設定為現用應用程式中的 English/Western European/Other Latin Script 字元集所對應到的 WebPageFont 物件。

Dim myFont As WebPageFont
Set myFont = _
 Application.DefaultWebOptions.Fonts. _
 Item(msoCharacterSetEnglishWesternEuropeanOtherLatinScript)

當其套用至 MsoEnvelope 物件時。

下列範例將使用中的 Microsoft Word 文件作為電子郵件傳送到傳遞給子常式的電子郵件地址。

Sub SendMail(ByVal strRecipient As String)

    'Use a With...End With block to reference the msoEnvelope object.
    With Application.ActiveDocument.MailEnvelope

        'Add some introductory text before the body of the e-mail message.
        .Introduction = "Please read this and send me your comments."

        'Return a MailItem object that you can use to send the document.
        With .Item

            'All of the mail item settings are saved with the document.
            'When you add a recipient to the Recipients collection
            'or change other properties these settings will persist.

            .Recipients.Add strRecipient
            .Subject = "Here is the document."

            'The body of this message will be
            'the content of the active document.
            .Send
        End With
    End With
End Sub


KeyboardShortcutTips 屬性

此主題部分內容可能不適用於某些語言。

如果屬性值為 True，則 Office 小幫手會提供有關快速鍵的說明資訊。讀/寫 Boolean。

註解

KeyboardShortcutTips 屬性對應於 [顯示下列項目的秘訣] 下的 [快速鍵] 選項 。[顯示下列項目的秘訣] 位於 [Office 小幫手] 對話方塊中的 [選項] 索引標籤中。

範例

本範例會設定 Office 小幫手提供有關快速鍵的說明資訊。

Assistant.KeyboardShortcutTips = True


Labels 屬性

此主題部分內容可能不適用於某些語言。

傳回一個 BalloonLabels 集合，該集合代表指定的 [Office 小幫手] 汽球式說明中包含的按鈕標籤、數字標籤和項目符號標籤。唯讀型態。

有關傳回集合的單一成員之資訊，請參閱傳回集合中的物件。

範例

本範例會建立一個有三個選項的汽球式說明。設定變數 x 為 Show 方法的傳回值，該值將會是 1 、 2 或 3 ，分別對應於使用者所按下的標籤。在本範例中，將使用一個簡單訊息方塊顯示變數 x 的值。但是您可以將該變數的值傳遞給其他程序，也可以在 Select Case 陳述式中使用該值。

Set b = Assistant.NewBalloon
With b
    .Heading = "This is my heading"
    .Text = "Select one of these things:"
    .Labels(1).Text = "Choice One"
    .Labels(2).Text = "Choice Two"
    .Labels(3).Text = "Choice Three"
    x = .Show
End With
MsgBox x


Language 屬性

指定或傳回作用中 script 的編寫語言。讀/寫 MsoScriptLanguage。

MsoScriptLanguage 可以是這些 MsoScriptLanguage 常數的其中一項。
msoScriptLanguageASP
msoScriptLanguageJava
msoScriptLanguageOther
msoScriptLanguageVisualBasic

註解

用於 Language 屬性的 MsoScriptLanguage 常數，同時也用於 Scripts 集合的 Add 方法中的 Language 參數。

範例

本範例檢查 Language 屬性，以確定現用活頁簿的第一個工作表中的第一個 script 是否是用 VBScript 寫成的。

If ActiveWorkbook.Worksheets(1).Scripts(1).Language <> _
    msoScriptLanguageVisualBasic Then
      MsgBox "Language is not set to VBScript."
End If


LanguageID 屬性

傳回安裝語言、使用者介面語言或 [說明] 語言的語音辨識碼 (Locale Identifier, LCID)。唯讀型態。Long。

expression.LanguageID(Id)

expression 必選。傳回 LanguageSettings 物件的運算式。

Id Required MsoAppLanguageID.

MsoAppLanguageID 常數 | 同義字
msoLanguageIDExeMode | 應用程式所使用的語言模式。此設定只用於 Microsoft Excel 和 Microsoft Access。此設定將影響可以顯示及編輯的語言，可使用的語言相關特性、數字格式和貨幣格式設定等。 如果沒有使用任何由 Excel 和 Access 所支援的語言，那麼就不能將主應用程式設定為支援自右至左顯示的語言和東亞語言。支援的語言如下： 阿拉伯文 法斯語 希伯來文 日文 韓文 簡體中文 繁體中文 烏爾都語 猶太語
msoLanguageIDHelp | 線上 [說明] 所用的語言。
msoLanguageIDInstall | Microsoft Office 建立預設值時所使用的語言設定。例如，Microsoft Word 根據此設定決定工具列的版面配置，並根據語言確定預設的項目符號和編號類型。
msoLanguageIDUI | 主應用程式的使用者介面所使用的語言。
msoLanguageIDUIPrevious | 上一次啟動指定電腦時，使用者介面的語言設定。程式或增益集可以據此判斷使用者介面的語言是否發生了變化。

範例

此 Microsoft Excel 範例對使用者介面和執行模式的 LanguageID 屬性設定進行檢查，以檢驗它們是否被設定為相同的 LCID，如果不同，本範例將傳回一個錯誤訊息。

If Application.LanguageSettings.LanguageID(msoLanguageIDExeMode) _
    <> Application.LanguageSettings.LanguageID(msoLanguageIDUI) _
    Then MsgBox "The user interface language and execution " & _
    "mode are different."


LanguagePreferredForEditing 屬性

如果常數 msoLanguageID 的值已在 Windows 登錄中被標識為編輯的首選語言，則傳回 True。唯讀型態。Boolean。

expression.LanguagePreferredForEditing(lid)

Expression 必選的運算式。它將傳回 [套用至] 清單中物件之一的運算式。

lid 必選的 MsoLanguageID。

MsoLanguageID 可以是這些 MsoLanguageID 常數的其中一項。
msoLanguageIDAfrikaans
msoLanguageIDAlbanian
msoLanguageIDAmharic
msoLanguageIDArabic
msoLanguageIDArabicAlgeria
msoLanguageIDArabicBahrain
msoLanguageIDArabicEgypt
msoLanguageIDArabicIraq
msoLanguageIDArabicJordan
msoLanguageIDArabicKuwait
msoLanguageIDArabicLebanon
msoLanguageIDArabicLibya
msoLanguageIDArabicMorocco
msoLanguageIDArabicOman
msoLanguageIDArabicQatar
msoLanguageIDArabicSyria
msoLanguageIDArabicTunisia
msoLanguageIDArabicUAE
msoLanguageIDArabicYemen
msoLanguageIDArmenian
msoLanguageIDAssamese
msoLanguageIDAzeriCyrillic
msoLanguageIDAzeriLatin
msoLanguageIDBasque
msoLanguageIDBelgianDutch
msoLanguageIDBelgianFrench
msoLanguageIDBengali
msoLanguageIDBrazilianPortuguese
msoLanguageIDBulgarian
msoLanguageIDBurmese
msoLanguageIDByelorussian
msoLanguageIDCatalan
msoLanguageIDCherokee
msoLanguageIDChineseHongKong
msoLanguageIDChineseMacao
msoLanguageIDChineseSingapore
msoLanguageIDCroatian
msoLanguageIDCzech
msoLanguageIDDanish
msoLanguageIDDutch
msoLanguageIDEnglishAUS
msoLanguageIDEnglishBelize
msoLanguageIDEnglishCanadian
msoLanguageIDEnglishCaribbean
msoLanguageIDEnglishIreland
msoLanguageIDEnglishJamaica
msoLanguageIDEnglishNewZealand
msoLanguageIDEnglishPhilippines
msoLanguageIDEnglishSouthAfrica
msoLanguageIDEnglishTrinidad
msoLanguageIDEnglishUK
msoLanguageIDEnglishUS
msoLanguageIDEnglishZimbabwe
msoLanguageIDEstonian
msoLanguageIDFaeroese
msoLanguageIDFarsi
msoLanguageIDFinnish
msoLanguageIDFrench
msoLanguageIDFrenchCameroon
msoLanguageIDFrenchCanadian
msoLanguageIDFrenchCotedIvoire
msoLanguageIDFrenchLuxembourg
msoLanguageIDFrenchMali
msoLanguageIDFrenchMonaco
msoLanguageIDFrenchReunion
msoLanguageIDFrenchSenegal
msoLanguageIDFrenchWestIndies
msoLanguageIDFrenchZaire
msoLanguageIDFrisianNetherlands
msoLanguageIDGaelicIreland
msoLanguageIDGaelicScotland
msoLanguageIDGalician
msoLanguageIDGeorgian
msoLanguageIDGerman
msoLanguageIDGermanAustria
msoLanguageIDGermanLiechtenstein
msoLanguageIDGermanLuxembourg
msoLanguageIDGreek
msoLanguageIDGujarati
msoLanguageIDHebrew
msoLanguageIDHindi
msoLanguageIDHungarian
msoLanguageIDIcelandic
msoLanguageIDIndonesian
msoLanguageIDInuktitut
msoLanguageIDItalian
msoLanguageIDJapanese
msoLanguageIDKannada
msoLanguageIDKashmiri
msoLanguageIDKazakh
msoLanguageIDKhmer
msoLanguageIDKirghiz
msoLanguageIDKonkani
msoLanguageIDKorean
msoLanguageIDLao
msoLanguageIDLatvian
msoLanguageIDLithuanian
msoLanguageIDMacedonian
msoLanguageIDMalayalam
msoLanguageIDMalayBruneiDarussalam
msoLanguageIDMalaysian
msoLanguageIDMaltese
msoLanguageIDManipuri
msoLanguageIDMarathi
msoLanguageIDMexicanSpanish
msoLanguageIDMixed
msoLanguageIDMongolian
msoLanguageIDNepali
msoLanguageIDNone
msoLanguageIDNoProofing
msoLanguageIDNorwegianBokmol
msoLanguageIDNorwegianNynorsk
msoLanguageIDOriya
msoLanguageIDOromo
msoLanguageIDPolish
msoLanguageIDPortuguese
msoLanguageIDPunjabi
msoLanguageIDRhaetoRomanic
msoLanguageIDRomanian
msoLanguageIDRomanianMoldova
msoLanguageIDRussian
msoLanguageIDRussianMoldova
msoLanguageIDSamiLappish
msoLanguageIDSanskrit
msoLanguageIDSerbianCyrillic
msoLanguageIDSerbianLatin
msoLanguageIDSesotho
msoLanguageIDSimplifiedChinese
msoLanguageIDSindhi
msoLanguageIDSlovak
msoLanguageIDSlovenian
msoLanguageIDSorbian
msoLanguageIDSpanish
msoLanguageIDSpanishArgentina
msoLanguageIDSpanishBolivia
msoLanguageIDSpanishChile
msoLanguageIDSpanishColombia
msoLanguageIDSpanishCostaRica
msoLanguageIDSpanishDominicanRepublic
msoLanguageIDSpanishEcuador
msoLanguageIDSpanishElSalvador
msoLanguageIDSpanishGuatemala
msoLanguageIDSpanishHonduras
msoLanguageIDSpanishModernSort
msoLanguageIDSpanishNicaragua
msoLanguageIDSpanishPanama
msoLanguageIDSpanishParaguay
msoLanguageIDSpanishPeru
msoLanguageIDSpanishPuertoRico
msoLanguageIDSpanishUruguay
msoLanguageIDSpanishVenezuela
msoLanguageIDSutu
msoLanguageIDSwahili
msoLanguageIDSwedish
msoLanguageIDSwedishFinland
msoLanguageIDSwissFrench
msoLanguageIDSwissGerman
msoLanguageIDSwissItalian
msoLanguageIDTajik
msoLanguageIDTamil
msoLanguageIDTatar
msoLanguageIDTelugu
msoLanguageIDThai
msoLanguageIDTibetan
msoLanguageIDTigrignaEritrea
msoLanguageIDTigrignaEthiopic
msoLanguageIDTraditionalChinese
msoLanguageIDTsonga
msoLanguageIDTswana
msoLanguageIDTurkish
msoLanguageIDTurkmen
msoLanguageIDUkrainian
msoLanguageIDUrdu
msoLanguageIDUzbekCyrillic
msoLanguageIDUzbekLatin
msoLanguageIDVenda
msoLanguageIDVietnamese
msoLanguageIDWelsh
msoLanguageIDXhosa
msoLanguageIDZulu

註解

您必須測試所有可使用的 msoLanguageID 值，以列出首選語言集。

範例

如果 U.S. English 是首選編輯語言之一，那麼本範例將顯示一個訊息。

If Application.LanguageSettings. _
    LanguagePreferredForEditing(msoLanguageIDEnglishUS) Then
    MsgBox "One of the preferred editing languages is US English."
End If


LargeButtons 屬性

如果屬性值為 True，則顯示大型工具列按鈕。讀/寫 Boolean。

範例

本範例會切換所有命令列上工具列按鈕的顯示大小。

Set allBars = CommandBars
If allBars.LargeButtons Then
    allBars.LargeButtons = False
Else
    allBars.LargeButtons = True
End If


LastModified 屬性

傳回或設定一個常數，該常數代表指定檔案前次修改和儲存的時間。預設值為 msoLastModifiedAnyTime。讀/寫 MsoLastModified。

MsoLastModified 可以是這些 MsoLastModified 常數的其中一項。
msoLastModifiedAnyTime
msoLastModifiedLastMonth
msoLastModifiedLastWeek
msoLastModifiedThisMonth
msoLastModifiedThisWeek
msoLastModifiedToday
msoLastModifiedYesterday

範例

本範例會設定檔案搜尋的選項。此搜尋程序所傳回的檔案，是曾經修改過並儲存在 C:\My Documents 資料夾或該資料夾的子資料夾中的檔案。

Set fs = Application.FileSearch
With fs
    .LookIn = "C:\My Documents"
    .SearchSubFolders = True
    .LastModified = msoLastModifiedYesterday
End With


Left 屬性

本主題中的一些內容可能不適用於某些語言。

套用至 Assistant 及 CommandBar 物件時的 Left 屬性。

設定或傳回 [Office 小幫手] 視窗的水平位置 (以點為單位)，或命令列中指定物件左邊緣 (相對螢幕) 的距離 (以像素為單位) 。讀/寫 Long 。

expression.Left

expression 必選。傳回上列物件之一的運算式。

套用至 CommandBarButton、CommandBarComboBox、CommandBarControl 及 CommandBarPopup 物件時的 Left 屬性。

設定或傳回指定相對於螢幕左邊緣命令列控制項的水平位置 (以像素為單位)。傳回定位區域左側的距離。唯讀 Long 。

expression.Left

expression 必選。傳回上列物件之一的運算式。

範例

當其套用至 Assistant 及 CommandBar 物件時。

本範例會顯示 [Office 小幫手]，並將其移至應用程式視窗內指定的位置。

With Assistant
    .Visible = True
    .Left = 300
    .Top = 300
End With

本範例會將自訂命令列 Custom，從它原來固定的位置，沿著視窗頂部移至視窗的左邊。

Set myBar = CommandBars("Custom")
With myBar
    .Position = 1
    .RowIndex = 2
    .Left = 0
End With


LinkSource 屬性

傳回或設定指定連結自訂文件屬性的連結來源。讀/寫 String。

註解

本屬性只用於自訂文件屬性，無法用於內建文件屬性。

指定連結的連結來源由收納器應用程式定義。

設定 LinkSource 屬性會使 LinkToContent 屬性值變為 True。

範例

本範例會顯示自訂文件屬性的連結狀態。若要使本範例運作， dp 必須是一個有效的 DocumentProperty 物件。

Sub DisplayLinkStatus(dp As DocumentProperty)
    Dim stat As String, tf As String
    If dp.LinkToContent Then
        tf = ""
    Else
        tf = "not "
    End If
    stat = "This property is " & tf & "linked"
    If dp.LinkToContent Then
        stat = stat + Chr(13) & "The link source is " & dp.LinkSource
    End If
    MsgBox stat
End Sub


LinkToContent 屬性

若屬性值為 True，則指定的自訂文件屬性連結到收納器文件的內容上。若屬性值為 False，則該值是靜態的。讀/寫 Boolean。

註解

該屬性只用於自訂文件屬性。至於內建文件的屬性值為 False。

用 LinkSource 屬性可為指定連結屬性設定連結來源。設定 LinkSource 屬性將使 LinkToContent 屬性值變為 True。

範例

本範例會顯示自訂文件屬性的連結狀態。若要使本範例運作，dp 必須是一個有效的 DocumentProperty 物件。

Sub DisplayLinkStatus(dp As DocumentProperty)
    Dim stat As String, tf As String
    If dp.LinkToContent Then
        tf = ""
    Else
        tf = "not "
    End If
    stat = "This property is " & tf & "linked"
    If dp.LinkToContent Then
        stat = stat + Chr(13) & "The link source is " & dp.LinkSource
    End If
    MsgBox stat
End Sub


List 屬性

傳回或設定命令列的組合方塊控制項中某清單項的值。讀/寫 String。

附註 該屬性對內建的組合方塊控制項是唯讀型態。

expression.List(Index)

expression 必選。傳回 CommandBarComboBox 物件的運算式。

Index 必選的 Long 資料型態，要設定的清單項目。

範例

本範例會在 Custom 命令列上檢查標號為 Stock Data 的組合方塊控制項中第四個清單項目。如果此項目不是 View News，那麼就會顯示一個訊息，告知使用者此組合方塊可能已經毀壞，並且詢問使用者是否要重新安裝應用程式。

Set myBar = CommandBars _
    .Add(Name:="Custom", Position:=msoBarTop, _
    Temporary:=True)
With myBar
    .Controls.Add Type:=msoControlComboBox, ID:=1
    .Visible = True
End With
With CommandBars("Custom").Controls(1)
    .AddItem "Get Stock Quote", 1
    .AddItem "View Chart", 2
    .AddItem "View Fundamentals", 3
    .AddItem "View News", 4
    .Caption = "Stock Data"
    .DescriptionText = "View Data For Stock"
End With
If CommandBars("Custom").Controls(1).List(4) _
     <> "View News" Then
MsgBox ("Stock Data appears to be damaged." & _
     " Please reinstall application.")
End If


ListCount 屬性

傳回指定命令列組合方塊控制項中清單項目的數目。唯讀 Long。

範例

本範例會檢查命令列 Custom 上組合方塊中項目的數目。如果程序產生的清單中所包含的項目數小於三，本範例就會顯示一個訊息，告知使用者此組合方塊可能已經毀壞，並且詢問使用者是否要重新安裝此應用程式。

Set myBar = CommandBars _
    .Add(Name:="Custom", Position:=msoBarTop, _
    Temporary:=True)
With myBar
    .Controls.Add Type:=msoControlComboBox, ID:=1
    .Visible = True
End With
With CommandBars("Custom").Controls(1)
    .AddItem "Get Stock Quote", 1
    .AddItem "View Chart", 2
    .AddItem "View Fundamentals", 3
    .Caption = "Stock Data"
    .DescriptionText = "View Data For Stock"
End With
If CommandBars("Custom").Controls(1).ListCount _
     <> 4 Then
MsgBox ("ComboBox appears to be damaged." & _
     " Please reinstall.")
End If


ListHeaderCount 屬性

傳回或設定在命令列組合方塊控制項中，出現在分隔線之上的清單項的數目，讀/寫 Long。

附註 該屬性對內建的組合方塊控制項是唯讀型態。

註解

ListHeaderCount 屬性值 - 1 表明組合方塊控制項中沒有分隔線。

範例

本範例會在命令列 Custom 中新增一個組合方塊控制項，然後在該組合方塊中新增兩個項目。本範例還會使用 ListHeaderCount 屬性，在組合方塊的第一項和第二項之間顯示一條分隔線。此外，本範例還會設定項目的行數，組合方塊的寬度，以及將組合方塊的預設值設定為空白。

Set myBar = CommandBars("Custom")
Set myControl = myBar.Controls.Add(Type:=msoControlComboBox)
With myControl
    .AddItem Text:="First Item", Index:=1
    .AddItem Text:="Second Item", Index:=2
    .DropDownLines = 3
    .DropDownWidth = 75
    .ListHeaderCount = 1
End With


ListIndex 屬性

傳回或設定在命令列組合方塊控制項的清單方塊中所選取的項目的索引號。如果沒有選取清單方塊中任一項目，則該屬性傳回 0 。讀/寫 Long。

附註 此屬性只能用於清單控制項。

註解

設定 ListIndex 屬性會使指定控制項選取所給的項目，並在應用程式中執行該項目對應的作業。

範例

本範例會根據命令列 My Custom Bar 上組合方塊中的選擇，來使用 ListIndex 屬性，以決定正確的執行子常式。因為程序會使用 ListIndex 屬性，所以組合方塊中的文字可是任何內容。

Sub processSelection()
Dim userChoice As Long
userChoice = CommandBars("My Custom Bar").Controls(1).ListIndex
    Select Case userChoice
        Case 1
            chartcourse
        Case 2
            displaygraph
        Case Else
            MsgBox ("Invalid choice. Please choose again.")
    End Select
End Sub


Location 屬性

傳回指定 HTML 文件中 sript 定位點的位置。唯讀 MsoScriptLocation。

MsoScriptLocation 可以是這些 MsoScriptLocation 常數的其中一項。
msoScriptLocationInBody
msoScriptLocationInHead

註解

在 HTML 文件中的 script 標籤可出現在文件的 <HTML> 標籤之間的任何地方。在 Microsoft Word、Excel 或 PowerPoint中，只有位於 <BODY> 標籤之間的 script 定位點才可顯示。出現在 <BODY> 標籤前後的其他 HTML script 是可以儲存的，但不對使用者顯示。

無論 script 定位點位於本文之中還是本文之外，Scripts 集合均會包含文件中所出現的所有 script 定位點。利用 Add 方法的 Location 引數，可在 HTML 文件的 <HEAD> 和 <BODY> 標籤中插入 script 定位點。還可用 Location 屬性判斷某個的 script 定位點存在文件中的什麼位置。

範例

本範例檢查作用中活頁簿首頁工作表的第一個 script 的 Location 屬性，並將該位置顯示在訊息方塊中。

If ActiveWorkbook.Worksheets(1).Scripts(1).Location = 1 Then
    MsgBox "The script in located in the header."
End If
If ActiveWorkbook.Worksheets(1).Scripts(1).Location = 2 Then
    MsgBox "The script in located in the body of the worksheet."
End If


LookIn 屬性

傳回或設定在指定檔案搜尋程序中，所要搜尋的資料夾。讀/寫 String。

範例

本範例會在 My Documents 資料夾中搜尋以 Cmd 開頭的檔案，並顯示每個所找到檔案的檔名和位置。

Set fs = Application.FileSearch
With fs
    .LookIn = "C:\My Documents"
    .FileName = "cmd*.*"
    If .Execute > 0 Then
        MsgBox "There were " & .FoundFiles.Count & _
        " file(s) found."
        For i = 1 To .FoundFiles.Count
            MsgBox .FoundFiles(i)
        Next i
    Else
        MsgBox "There were no files found."
    End If
End With


Mask 屬性

傳回 IPictureDisp 物件，其代表 CommandBarButton 物件的遮罩圖像。該遮罩圖像判定按鈕圖像的何部份應為透明。

expression.Mask

expression 必選。它會傳回一個 CommandBarButton 物件。

註解

當您建立一個圖像，並計劃將其用作遮罩圖像時，則想要設為透明的全部區域都應當為白色，而想要顯示的區域應當設為黑色。

通常是在已設定 CommandBarButton 物件的圖片之後才設定遮罩。

範例

下列範例設定程式碼傳回之第一個 CommandBarButton 的圖像及遮罩。若要使其能夠工作，請建立遮罩圖像及按鈕圖像，並用指向圖像的路徑代替範例中的路徑。

Sub ChangeButtonImage()
    Dim picPicture As IPictureDisp
    Dim picMask As IPictureDisp

    Set picPicture = stdole.StdFunctions.LoadPicture(_
        "c:\images\picture.bmp")
    Set picMask = stdole.StdFunctions.LoadPicture(_
        "c:\images\mask.bmp")

    'Reference the first button on the first command bar
    'using a With...End With block.
    With Application.CommandBars.FindControl(msoControlButton)
        'Change the button image.
        .Picture = picButton

        'Use the second image to define the area of the
        'button that should be transparent.
        .Mask = picMask
    End With
End Sub

下列範例取得程式碼傳回之第一個 CommandBarButton 的圖像及遮罩，並將他們輸出至檔案。若要使其能夠工作，請為輸出檔案指定路徑。

Sub GetButtonImageAndMask()
    Dim picPicture As IPictureDisp
    Dim picMask As IPictureDisp

    With Application.CommandBars.FindControl(msoControlButton)
        'Get the button image and mask of the this CommandBarButton object
        Set picPicture = .Picture
        Set picMask = .Mask
    End With

    'Save the button image and mask in a folder.
    stdole.SavePicture picPicture, "c:\temp\image.bmp"
    stdole.SavePicture picMask, "c:\temp\mask.bmp"
End Sub


MatchAllWordForms 屬性

此主題部分內容可能不適用於某些語言。

如果屬性值為 True，則指定檔案搜尋範圍將延伸，包含檔案內容或檔案屬性中任何型態的指定字。讀/寫 Boolean。

註解

必須先安裝並註冊檔案 Mswds_en.lex，才能使用該屬性。注意，[一般] 安裝並不會安裝該檔案。

範例

本範例會傳回所有在檔案內容或檔案屬性中包含 run、running、runs 或 ran 等字的檔案。TextOrProperty 屬性會設定要相符合的字，並將搜尋範圍限制在檔案內容或檔案屬性中。

With Application.FileSearch
    .NewSearch
    .LookIn = "C:\My Documents"
    .SearchSubFolders = True
    .TextOrProperty = "run"
    .MatchAllWordForms = True
    .FileType = msoFileTypeAllFiles
End With


MatchTextExactly 屬性

此主題部分內容可能不適用於某些語言。

如果屬性值為 True，則指定檔案搜尋程序只會尋找，在檔案文字或檔案屬性中含有完全相符的指定字或短語的檔案。讀/寫 Boolean。

範例

本範例會搜尋 C:\My Documents 資料夾，並傳回所有在檔案文字或檔案屬性中包含 Run 字的檔案。

With Application.FileSearch
    .NewSearch
    .LookIn = "C:\My Documents"
    .TextOrProperty = "Run"
    .MatchTextExactly = True
    .FileType = msoFileTypeAllFiles
End With


MenuAnimationStyle 屬性

傳回或設定命令列的動畫方式。讀/寫 MsoMenuAnimation。

MsoMenuAnimation 可以是這些 MsoMenuAnimation 常數的其中一項。
msoMenuAnimationNone
msoMenuAnimationRandom
msoMenuAnimationSlide
msoMenuAnimationUnfold

範例

本範例會為 Microsoft Office 中所有的命令列設定選項。

With CommandBars
    .LargeButtons = True
    .DisplayTooltips = True
    .DisplayKeysInTooltips = True
    .MenuAnimationStyle = msoMenuAnimationUnfold
End With


Mode 屬性

此主題部分內容可能不適用於某些語言。

傳回或設定 [Office 小幫手] 汽球式說明的模式行為。當您建立 Balloon 物件時，該屬性初值設定為 msoModeModal，讀/寫 MsoModeType。

MsoModeType 可以是這些 MsoModeType 常數的其中一項。
msoModeAutoDown
msoModeModal
msoModeModeless

註解

如果汽球式說明的 Mode 屬性被設定為 msoModeModeless，那麼在汽球式說明顯示的同時，使用者也可在應用程式中工作。如果此屬性被設定為 msoModeModal，使用者就必須先清除該汽球式說明，才能繼續在應用程式中進行工作。如果屬性被設定為 msoModeAutoDown，使用者只需按一下螢幕上的任何一個位置，就可清除汽球式說明。

如果汽球式說明的 Mode 屬性設定為 msoModeModeless，但是並未提供 Callback 屬性的值，那麼就會發生錯誤。只有在 Mode 屬性設定為 msoModeModeless 時，才能在 Callback 屬性所指定的程序中使用 Close 方法。

範例

本範例會建立一個含有警示圖示的汽球式說明，以便指導使用者選擇印表機。由於該汽球式說明是非模態的，所以在汽球式說明顯示時，使用者才能存取到印表機指令。當使用者按下 [確定] 按鈕時，才會執行在 Callback 屬性中所指定的程序。

With Assistant.NewBalloon
    .Heading = "Select A Printer"
    .Text = "You must select a printer before printing."
    .Icon = msoIconAlert
    .CheckBoxes(1).Text = "Local printer"
    .CheckBoxes(2).Text = "Network printer"
    .Mode = msoModeModeless
    .Callback = "ProcessPrinter"
    .Show
End With


MouseTips 屬性

此主題部分內容可能不適用於某些語言。

如果屬性值為 True，則 [Office 小幫手] 會提供關於更有效地使用滑鼠的建議。讀/寫 Boolean。

註解

MouseTips 屬性對應 [顯示下列項目的秘訣] 下的 [更有效地使用滑鼠] 選項。 該選項位於 [Office 小幫手] 對話方塊中的 [選項] 索引標籤中。

範例

本範例會設定 [Office 小幫手] 提供關於更有效地使用滑鼠的建議。

Assistant.MouseTips = True


MoveWhenInTheWay 屬性

此主題部分內容可能不適用於某些語言。

如果屬性值為 True ，那麼當 [Office 小幫手] 視窗擋住使用者工作空間時，他會自已移動。例如，如果 [小幫手] 視窗擋住拖放位置或鍵入位置時，就會自行移開。讀/寫 Boolean。

註解

預設值為 True。MoveWhenInTheWay 屬性對應到使用 [Office 小幫手] 對話方塊中的 [選項] 索引標籤中之 [使用 Office 小幫手] 部份中之 [自動避開資料編輯範圍] 選項。

範例

本範例會在指定的位置上顯示 Office 小幫手，並在顯示和使用小幫手之前先設定若干選項。

With Assistant
    .On = True
    .Visible = True
    .Left = 400
    If Not MoveWhenInTheWay Then MoveWhenInTheWay = True
    .Animation = msoAnimationGetAttentionMajor
End With


Name 屬性

傳回或設定指定物件的名稱。對 CommandBar 和 DocumentProperty 物件為讀/寫 String。對其他物件為唯讀 String。

註解

內建命令列的本地用名稱，會顯示在標題欄中(在命令列未固定時）以及有效命令列清單中(不論清單顯示在收納器應用程式的任何位置）。

對內建命令列，Name 屬性傳回該命令列的美式英語名稱。用 NameLocal 屬性可傳回本地用名稱。

如果改變一個自訂命令列的 LocalName 屬性值，那麼該命令列的 Name 屬性值也將改變，反之亦然。

範例

本範例會在命令列 Custom 中搜尋命令列的集合。如果找到這個命令列，就會將它顯示出來。

foundFlag = False
For Each bar In CommandBars
    If bar.Name = "Custom" Then
        foundFlag = True
        bar.Visible = True
    End If
Next
If Not foundFlag Then
    MsgBox "'Custom' bar isn't in collection."
Else
    MsgBox "'Custom' bar is now visible."
End If

本範例會顯示文件屬性的名稱、類型和屬性值。您必須傳送一個有效的 DocumentProperty 物件到程序中。

Sub DisplayPropertyInfo(dp As DocumentProperty)
    MsgBox "value = " & dp.Value & Chr(13) & _
        "type = " & dp.Type & Chr(13) & _
        "name = " & dp.Name
End Sub


NameLocal 屬性

傳回內建的命令列名稱，該名稱以收納器應用程式使用的語言版本顯示。讀/寫 String。

附註 如果對內建工作列設定該屬性，會出現錯誤。

註解

內建命令列的本地用名稱顯示在標題列中 (當該命令列可浮動時)，以及有效命令列清單中，無論該清單顯示在收納器應用程式的哪個位置。

如果改變一個自訂命令列的 LocalName 屬性值，那麼該命令列的 Name 屬性值也將改變，反之亦然。

範例

本範例會顯示容器應用程式中第一個命令列的名稱和區域化名稱。

With CommandBars(1)
    MsgBox "The name of the command bar is " & .Name
    MsgBox "The localized name of the command bar is " & .NameLocal
End With


NewBalloon 屬性

此主題部分內容可能不適用於某些語言。

建立一個新的 [Office 小幫手] 汽球式說明。傳回一個 Balloon 物件。唯讀。

範例

本範例會建立並顯示一個有標題、文字和三個區域選項的汽球式說明。

With Assistant.NewBalloon
    .Heading = "Regional Sales Data"
    .Text = "Select one or more regions"
    For i = 1 To 3
        .CheckBoxes(i).Text = "Region " & i
    Next
    .Show
End With


Object 屬性

設定或傳回作為指定 COMAddIn 物件的基礎的物件。讀/寫 Object。

註解

此屬性主要用於使一個 COMAddIn 能夠與另一個 COMAddIn 進行通訊。

範例

以下範例傳回與 COM 增益集 msodraa9.ShapeSelect 相關的物件。

Dim objBaseObject As Object
Set objBaseObject = _
    Application.COMAddIns.Item("msodraa9.ShapeSelect"). _
      Object


OLEMenuGroup 屬性

當 OLE 伺服器功能表組與 OLE 用戶端功能表組合併時(即當一個收納器應用程式型態的物件嵌入另一個應用程式時），傳回或設定指定命令列快顯控制項所屬的功能表組。讀/寫 MsoOLEMenuGroup。

MsoOLEMenuGroup 可以是這些 MsoOLEMenuGroup 常數的其中一項。
msoOLEMenuGroupContainer
msoOLEMenuGroupEdit
msoOLEMenuGroupFile
msoOLEMenuGroupHelp
msoOLEMenuGroupNone
msoOLEMenuGroup物件
msoOLEMenuGroupWindow

附註 該屬性對於內建控制項是唯讀型態。

註解

本屬性可讓增益應用程式指定其命令列控制項在 Office 應用程式中的表示方法。如果收納器或伺服器均不提供命令列，就會進行通用 OLE 功能表合併：功能表以及伺服器的所有工具列將進行合併，但收納器的工具列不會被合併。本屬性只與功能表中的快顯控制項有關，因為功能表是根據其功能表組的類別進行合併的。

如果要合併的兩個應用程式均提供命令列，那麼命令列控制項根據 OLEUsage 屬性進行合併。

範例

本範例會在命令列 "Custom"上檢查新自訂跳現式控制項的 OLEMenuGroup 屬性，並將其設定為 msoOLEMenuGroupNone。

Set myControl = CommandBars("Custom").Controls _
    .Add(Type:=msoControlPopup,Temporary:=False)
myControl.OLEMenuGroup = msoOLEMenuGroupNone


OLEUsage 屬性

傳回或設定 OLE 用戶端和 OLE 伺服器的角色，當兩個 Microsoft Office 應用程式進行合併時，會在兩者中使用一個命令列控制項。讀/寫 MsoControlOLEUsage。

MsoControlOLEUsage 可以是這些 MsoControlOLEUsage 常數的其中一項。
msoControlOLEUsageBoth
msoControlOLEUsageClient
msoControlOLEUsageNeither
msoControlOLEUsageServer

註解

在某 Office 應用程式與另一個 Office 應用程式合併時，本屬性允許您指定 add-in 應用程式的各個命令列控制項在 Office 應用程式中的表示方法。如果用戶端和伺服器均提供命令列，那麼命令列控制項將逐一嵌入用戶端。若自訂控制項標記為只用於用戶端 (或既不用於用戶端也不用於伺服器) 會在伺服器中丟棄，若控制項標記為只用於伺服器 (或既不用於用戶端也不用於伺服器) 則會在用戶端丟棄。剩下的控制項則進行合併。

如果要合併的應用程式之一不是 Office 應用程式，那麼就進行通用 OLE 功能表合併，此動作由 OLEMenuGroup 屬性控制 。

範例

本範例會在 [工具] 工具列中新增一個新按鈕，並設定按鈕的 OLEUsage 屬性。

Set myControl = CommandBars("Tools").Controls _
    .Add(Type:=msoControlButton,Temporary:=True)
myControl.OLEUsage = msoControlOLEUsageNeither


On 屬性

此主題部分內容可能不適用於某些語言。

如果該屬性值為 True，則會啟動 Office 小幫手。讀/寫 Boolean。

範例

本範例會關閉 Office 小幫手，顯示一個訊息方塊詢問使用者是否要啟動小幫手。如果使用者按一下 [是]，則會啟動此小幫手，顯示小幫手，並執行小幫手的動畫 msoAnimationGreeting。

Assistant.On = False
If MsgBox("Enable Office Assistant?", _
    vbYesNo, "Assistant is Off") = vbYes Then
    Assistant.On = True
    Assistant.Visible = True
    Assistant.Animation = _
        msoAnimationGetAttentionMajor
End If


OnAction 屬性

傳回或設定一個 Visual Basic 的巨集名稱，該巨集在使用者按一下或變更某命令列控制項的值後執行。讀/寫 String。

附註 收納器應用程式會決定該值是否是一個合法的巨集名稱。

範例

本範例會在 Custom 命令列中新增一個命令列控制項，並設定在每次按下控制項後執行 MySub 程序。

Set myBar = CommandBars("Custom")
Set myControl = myBar.Controls _
    .Add(Type:=msocontrolButton)
With myControl
    .FaceId = 2
    .OnAction = "MySub"
End With
myBar.Visible = True

本範例會在 Custom 命令列中新增一個命令列控制項，並設定在每次按下控制項後執行 FinanceAddIn COM 增益集。

Set myBar = CommandBars("Custom")
Set myControl = myBar.Controls _
    .Add(Type:=msocontrolButton)
With myControl
    .FaceId = 2
    .OnAction = "!<FinanceAddIn>"
End With
myBar.Visible = True


Parameter 屬性

傳回或設定一個字串，應用程式可用以執行的指令。讀/寫 String。

註解

如果指定的參數是設定給內建控制項，只要應用程式能分析並使用這個新值，應用程式就可以修改其預設作業。如果參數是設定給自訂控制項，那麼該參數可用以傳輸資訊給 Visual Basic 的程序，或用以儲存關於該控制項的資訊 (類似於另一個 Tag 屬性值)。

範例

本範例會為控制項指定一個新的參數，並將駐點設定在新按鈕上。

Set myControl = CommandBars("Custom").Controls(4)
With myControl
    .Copy , 1
    .Parameter = "2"
    .SetFocus
End With


Parent 屬性

傳回指定物件的 Parent 物件。唯讀。

範例

本範例會顯示一個文件屬性的親代物件名稱。您必須傳遞一個合法的 DocumentProperty 物件給此程序。

Sub DisplayParent(dp as DocumentProperty)
    MsgBox dp.Parent.Name
End Sub


Path 屬性

傳回 String，其指示 ScopeFolder 物件的完整路徑。唯讀型態。

expression.Path

Expression 必選。傳回 ScopeFolder 物件的運算式。

範例

下列範例顯示 [我的電腦] 中每個目錄的根路徑。若要取得此資訊，範例會先從 [我的電腦] 之根目錄下取得 ScopeFolder 物件。此 ScopeFolder 的路徑通常是 *。對於所有 ScopeFolder 物件而言，根物件包含一個 ScopeFolders 集合。此範例會在 ScopeFolders 集合中循環，並會顯示其中每個 ScopeFolder 物件的路徑。這些 ScopeFolder 物件的路徑是 A:\、C:\ 等等。

Sub DisplayRootScopeFolders()

    'Declare variables that reference a
    'SearchScope and a ScopeFolder object.
    Dim ss As SearchScope
    Dim sf As ScopeFolder

    'Use a With...End With block to reference the
    'FileSearch object.
    With Application.FileSearch

        'Loop through the SearchScopes collection
        'and display all of the root ScopeFolders collections in
        'the My Computer scope.
        For Each ss In .SearchScopes
            Select Case ss.Type
                Case msoSearchInMyComputer

                    'Loop through each ScopeFolder collections in
                    'the ScopeFolders collection of the
                    'SearchScope object and display the path.
                    For Each sf In ss.ScopeFolder.ScopeFolders
                        MsgBox "Path: " & sf.Path
                    Next sf

                Case Else
            End Select
        Next ss
    End With
End Sub


Picture 屬性

傳回 IPictureDisp 物件，其代表 CommandBarButton 物件的圖像。

expression.Picture

expression 必選。它會傳回一個 CommandBarButton 物件。

註解

當您變更按鈕上的圖像時，您可能還想使用 Mask 屬性來設定遮罩圖像。該遮罩圖像判定按鈕圖像的哪個部份是透明的。通常應當在設定 CommandBarButton 物件的圖片之後才設定遮罩。

附註 [Visual Basic 編輯器] 之 [一般] 工具列 [檢視 Microsoft 應用程式] 及 [插入項目] 按鈕上的圖像是不能變更的。

範例

下列範例設定程式碼傳回之第一個 CommandBarButton 的圖像及遮罩。若要使其能夠工作，請建立遮罩圖像及按鈕圖像，並用指向圖像的路徑代替範例中的路徑。

Sub ChangeButtonImage()
    Dim picPicture As IPictureDisp
    Dim picMask As IPictureDisp

    Set picPicture = stdole.StdFunctions.LoadPicture(_
        "c:\images\picture.bmp")
    Set picMask = stdole.StdFunctions.LoadPicture(_
        "c:\images\mask.bmp")

    'Reference the first button on the first command bar
    'using a With...End With block.
    With Application.CommandBars.FindControl(msoControlButton)
        'Change the button image.
        .Picture = picButton

        'Use the second image to define the area of the
        'button that should be transparent.
        .Mask = picMask
    End With
End Sub

下列範例取得程式碼傳回之第一個 CommandBarButton 的圖像及遮罩，並將他們輸出至檔案。若要使其能夠工作，請為輸出檔案指定路徑。

Sub GetButtonImageAndMask()
    Dim picPicture As IPictureDisp
    Dim picMask As IPictureDisp

    With Application.CommandBars.FindControl(msoControlButton)
        'Get the button image and mask of the this CommandBarButton object.
        Set picPicture = .Picture
        Set picMask = .Mask
    End With

    'Save the button image and mask in a folder.
    stdole.SavePicture picPicture, "c:\temp\image.bmp"
    stdole.SavePicture picMask, "c:\temp\mask.bmp"
End Sub


Position 屬性

傳回或設定指定命令列的位置。讀/寫 MsoBarPosition。

MsoBarPosition 可以是這些 MsoBarPosition 常數的其中一項。
msoBarBottom
msoBarFloating
msoBarLeft
msoBarMenuBar
msoBarPopup
msoBarRight
msoBarTop

範例

本範例會對命令列集合中的元素逐一進行下列作業：將自訂命令列停放在應用程式視窗的底部，將內建命令列固定在視窗的頂端。

For Each bar In CommandBars
    If bar.Visible = True Then
        If bar.BuiltIn Then
            bar.Position = msoBarTop
         Else
            bar.Position = msoBarBottom
        End If
    End If
Next


Priority 屬性

傳回或設定指定命令列控制項的優先順序。如果命令列控制項無法排入一行中時，控制項的優先順序會決定該控制項是否會要從固定位置的命令列中略去。讀/寫 Long。

註解

有效的優先順序數字是 0 (零) 到 7。優先順序 1 表示該控制項不能從工具列中刪去。其他優先順序值將被忽略。

Priority 屬性不能用於功能表項目的命令列控制項。

範例

本範例移動控制項並指派它的優先順序數值為 5。如此，當所有控制項無法排入一行中時，該控制項就可能從命令列中略去。

Set allcontrols = CommandBars("Custom").Controls
For Each ctrl In allControls
    If ctrl.Type = msoControlComboBox Then
        With ctrl
            .Move Before:=7
            .Tag = "Selection box"
            .Priority = 5
        End With
    Exit For
End If
Next


Private 屬性

此主題部分內容可能不適用於某些語言。

傳回或設定唯一識別 [Office 小幫手] 汽球式說明 (啟動回呼程序的汽球式說明) 之整數，讀/寫 Long。

註解

用該屬性可在不同的環境下從多個汽球式說明呼叫相同的回呼程序。

範例

本範例會利用將 Private 屬性值設定成 129 的方式，來辨識 [Office 小幫手] 汽球式說明。

Set printerOrientation = Assistant.NewBalloon
With printerOrientation     .Heading = " Print portrait or landscape?"
     .Text = "Click OK when you've selected the " & _
        "printer orientation."
    .Labels(1).Text = "Portrait"
    .Labels(2).Text = "Landscape"
    .BalloonType = msoBalloonTypeButtons
    .Mode = msoModeModeless
    .Button = msoButtonSetOK
    .Private = 129
    .Callback = "PortraitOrLandscape "
    .Show
End With


ProgId 屬性

傳回指定的 COMAddIn 物件的程式編寫識別碼 (ProgID)。唯讀 String 。

範例

以下範例在訊息方塊中顯示第一個 COM 增益集的 ProgID 和 GUID。

MsgBox "My ProgID is " & _
    Application.COMAddIns(1).ProgID & _
    " and my GUID is " & _
    Application.COMAddIns(1).Guid


PropertyTests 屬性

傳回一個 PropertyTests 集合，該集合代表一個檔案搜尋程序的所有搜尋準則。唯讀型態。

有關傳回集合的單一成員之資訊，請參閱傳回集合中的物件。

範例

本範例會顯示集合中第一個屬性測試的所有搜尋準則。

With Application.FileSearch.PropertyTests(1)
myString = "This is the search criteria: " _
    & " The name is: " & .Name & ". The condition is: " _
    & .Condition
If .Value <> "" Then
    myString = myString & ". The value is: " & .Value
    If .SecondValue <> "" Then
        myString = myString _
            & ". The second value is: " _
            & .SecondValue & ", and the connector is" _
            & .Connector
    End If
End If
MsgBox myString
End With


ProportionalFont 屬性

設定或傳回主應用程式的比例字型的設定。讀/寫 String。

註解

在設定 ProportionalFont 屬性時，主應用程式不檢查該值的可使用性。

範例

本範例為使用中應用程式的 English/Western European/Other Latin Script 字元集設定比例字型和比例字型大小。

Application.DefaultWebOptions. _
Fonts(msoCharacterSetEnglishWesternEuropeanOtherLatinScript) _
.ProportionalFont = "Tahoma"
Application.DefaultWebOptions. _
Fonts(msoCharacterSetEnglishWesternEuropeanOtherLatinScript) _
.ProportionalFontSize = 14.5


ProportionalFontSize 屬性

設定或傳回主應用程式中比例字型大小的設定，以點為單位。讀/寫 Single。

註解

在設定 ProportionalFontSize 屬性時，主應用程式不檢查該值的可使用性。如果輸入了無效的值 (如非數字值)，主應用程式會將大小設定為 0。您可輸入精確到 0.5 的值；如果輸入了其他的實數值，會將其捨入到最接近的半點數。

範例

本範例為使用中應用程式的 English/Western European/Other Latin Script 字元集設定比例字型和比例字型大小。

Application.DefaultWebOptions. _
Fonts(msoCharacterSetEnglishWesternEuropeanOtherLatinScript) _
.ProportionalFont = "Tahoma"
Application.DefaultWebOptions. _
Fonts(msoCharacterSetEnglishWesternEuropeanOtherLatinScript) _
.ProportionalFontSize = 14.5


Protection 屬性

此主題部分內容可能不適用於某些語言。

傳回或設定保護命令列不受使用者自訂影響的方法。讀/寫 MsoBarProtection資料型態。

MsoBarProtection 可以是這些 MsoBarProtection 常數的其中一項。
msoBarNoChangeDock
msoBarNoChangeVisible
msoBarNoCustomize
msoBarNoHorizontalDock
msoBarNoMove
msoBarNoProtection
msoBarNoResize
msoBarNoVerticalDock

註解

使用 msoBarNoCustomize 常數可防止使用者存取 [新增或移除按鈕] 功能表 (這個功能表能讓使用者自訂工具列)。

範例

本範例會逐一篩選命令列集合中的成員，以尋找名稱為 "Forms" 的命令列。如果找到這個命令列，那麼本範例就會顯示該命令列並保護其固定狀態。

foundFlag = False
For i = 1 To CommandBars.Count
    If CommandBars(i).Name = "Forms" Then
            CommandBars(i).Protection = msoBarNoChangeDock
            CommandBars(i).Visible = True
            foundFlag = True
    End If
Next
If Not foundFlag Then
    MsgBox "'Forms' command bar is not in the collection."
End If


Reduced 屬性

此主題部分內容可能不適用於某些語言。

如果屬性值為 True，那麼顯示較小尺寸的 [Office 小幫手] 視窗。讀/寫 Boolean。

註解

Microsoft Office 中並不會使用這個屬性。

範例

本範例會在指定的位置顯示 Office 小幫手，並在顯示小幫手之前先設定若干選項。

With Assistant
    .Reduced = True
    .Left = 400
    .MoveWhenInTheWay = True
    .TipOfDay = True
    .Visible = True
    .Animation = msoAnimationGreeting
End With


RowCount 屬性

傳回 Long，其代表指定之資料來源中的記錄數目。唯讀型態。

expression.RowCount

Expression 必選。在 [套用至] 清單中傳回物件之一的運算式。

範例

此範例會新增使用空的 [區域] 欄位移除全部記錄的新篩選，並會將篩選套用至作用中的版型。

Sub OfficeFilters()
    Dim appOffice As OfficeDataSourceObject
    Dim appFilters As ODSOFilters

    Set appOffice = Application.OfficeDataSourceObject
    appOffice.Open bstrConnect:="DRIVER=SQL Server;SERVER=ServerName;" & _
        "UID=user;PWD=;DATABASE=Northwind", bstrTable:="Employees"

    Set appFilters = appOffice.Filters

    MsgBox appOffice.RowCount

    appFilters.Add Column:="Region", Comparison:=msoFilterComparisonEqual, _
        Conjunction:=msoFilterConjunctionAnd, bstrCompareTo:="WA"
    appOffice.ApplyFilter

    MsgBox appOffice.RowCount

End Sub


RowIndex 屬性

傳回或設定指定命令列相對於同一固定區域中其他命令列的固定順序。該屬性值可以是大於零的整數，或是以下 MsoBarRow 常數之一：msoBarRowFirst 或 msoBarRowLast，讀/寫 Long。

註解

具有較低數字的命令列先固定。多個命令列可享有同一列索引。如果有兩個以上的命令列具有同一列索引，那麼最晚指定的命令列在這一組中最先顯示。

範例

本範例會調整命令列 Custom 的位置，只要將它移到超過預設值以上的 110 像素的地方即可，然後再將其列索引編號變更為 msoBarRowFirst，來先固定這個命令列。

Set myBar = CommandBars("Custom")
With myBar
    .RowIndex = msoBarRowFirst
    .Left = 140
End With


ScopeFolder 屬性

傳回 ScopeFolder 物件。

expression.ScopeFolder

Expression 必選。在 [套用至] 清單中傳回物件之一的運算式。

範例

下列範例顯示 [我的電腦] 中每個目錄的根路徑。若要取得此資訊，範例會先從 [我的電腦] 之根目錄下取得 ScopeFolder 物件。此 ScopeFolder 的路徑通常是 *。對於所有 ScopeFolder 物件而言，根物件包含一個 ScopeFolders 集合。此範例會在 ScopeFolders 集合中循環，並會顯示其中每個 ScopeFolder 物件的路徑。這些 ScopeFolder 物件的路徑是 A:\、C:\ 等等。

Sub DisplayRootScopeFolders()

    'Declare variables that reference a
    'SearchScope and a ScopeFolder object.
    Dim ss As SearchScope
    Dim sf As ScopeFolder

    'Use a With...End With block to reference the
    'FileSearch object.
    With Application.FileSearch

        'Loop through the SearchScopes collection
        'and display all of the root ScopeFolders collections in
        'the My Computer scope.
        For Each ss In .SearchScopes
            Select Case ss.Type
                Case msoSearchInMyComputer

                    'Loop through each ScopeFolder object in
                    'the ScopeFolders collection of the
                    'SearchScope object and display the path.
                    For Each sf In ss.ScopeFolder.ScopeFolders
                        MsgBox "Path: " & sf.Path
                    Next sf

                Case Else
            End Select
        Next ss
    End With
End Sub


ScopeFolders 屬性

傳回 ScopeFolders 集合。此集合中的項目對應父 ScopeFolder 物件的子資料夾。

expression.ScopeFolders

Expression 必選。在 [套用至] 清單中傳回物件之一的運算式。

範例

下列範例顯示 [我的電腦] 中每個目錄的根路徑。若要取得此資訊，範例會先從 [我的電腦] 之根目錄下取得 ScopeFolder 物件。此 ScopeFolder 的路徑通常是 *。對於所有 ScopeFolder 物件而言，根物件包含一個 ScopeFolders 集合。此範例會在 ScopeFolders 集合中循環，並會顯示其中每個 ScopeFolder 物件的路徑。這些 ScopeFolder 物件的路徑是 A:\、C:\ 等等。

Sub DisplayRootScopeFolders()

    'Declare variables that reference a
    'SearchScope and a ScopeFolder object.
    Dim ss As SearchScope
    Dim sf As ScopeFolder

    'Use a With...End With block to reference the
    'FileSearch object.
    With Application.FileSearch

        'Loop through the SearchScopes collection
        'and display all of the root ScopeFolders collections in
        'the My Computer scope.
        For Each ss In .SearchScopes
            Select Case ss.Type
                Case msoSearchInMyComputer

                    'Loop through each ScopeFolder object in
                    'the ScopeFolders collection of the
                    'SearchScope object and display the path.
                    For Each sf In ss.ScopeFolder.ScopeFolders
                        MsgBox "Path: " & sf.Path
                    Next sf

                Case Else
            End Select
        Nextb ss
    End With
End Sub


ScriptText 屬性

設定或傳回一個 script 區塊中包含的文字。讀/寫 String。

註解

Microsoft Office 主應用程式不檢查 script 的語法。ScriptText 屬性是 Script 物件的預設屬性。

範例

本範例對作用中活頁簿首頁工作表的第一個 script 的文字進行設定。

ActiveWorkbook.Worksheets(1).Scripts(1).ScriptText = _
    "MsgBox ""New ScriptText"""


SearchFolders 屬性

傳回 SearchFolders 集合。

expression.SearchFolders

Expression 必選。在 [套用至] 清單中傳回物件之一的運算式。

範例

下列範例顯示 SearchFolders 集合中 ScopeFolder 物件的現有數目。如需詳細範例，請參閱 SearchFolders 集合主題。

MsgBox "Number of ScopeFolder objects in the SearchFolders collection: " & _
    Application.FileSearch.SearchFolders.Count


SearchScopes 屬性

傳回 SearchScopes 集合。

expression.SearchScopes

Expression 必選。在 [套用至] 清單中傳回物件之一的運算式。

範例

下列範例顯示在 SearchScopes 集合中目前可用的 SearchScope 物件。

Sub DisplayAvailableScopes()

    'Declare a variable that references a
    'SearchScope object.
    Dim ss As SearchScope

    'Use a With...End With block to reference the
    'FileSearch object.
    With Application.FileSearch

        'Loop through the SearchScopes collection
        For Each ss In .SearchScopes
            Select Case ss.Type
                Case msoSearchInMyComputer
                    MsgBox "My Computer is an available search scope."
                Case msoSearchInMyNetworkPlaces
                    MsgBox "My Network Places is an available search scope."
                Case msoSearchInOutlook
                    MsgBox "Outlook is an available search scope."
                Case msoSearchInCustom
                    MsgBox "A custom search scope is available."
                Case Else
                    MsgBox "Can't determine search scope."
            End Select
        Next ss
    End With
End Sub


SearchSubFolders 屬性

如果屬性值為 True，則指定的搜尋範圍包括 LookIn 屬性指定的資料夾中的所有子資料夾。讀/寫 Boolean。

範例

本範例會在 C:\My Documents 資料夾及其所有子資料夾中搜尋以 Cmd 開頭的檔案，並顯示每個所找到檔案的檔名及位置。

Set fs = Application.FileSearch
With fs
    .LookIn = "C:\My Documents"
    .SearchSubFolders = True
    .FileName = "cmd*"
    If .Execute() > 0 Then
        MsgBox "There were " & .FoundFiles.Count & _
         " file(s) found."
        For i = 1 To .FoundFiles.Count
            MsgBox .FoundFiles(i)
        Next i
    Else
        MsgBox "There were no files found."
    End If
End With


SearchWhenProgramming 屬性

此主題部分內容可能不適用於某些語言。

如果屬性值為 True，那麼當使用者使用 Visual Basic 時，Office 小幫手就會同時顯示應用程式和程式設計的 [說明]。讀/寫 Boolean。

註解

預設值為 False。SearchWhenProgramming 屬性會對應到 [Office 小幫手] 對話方塊的 [選項] 索引標籤上 [使用 Office 小幫手] 部分的 [進行程式設計時，同時搜尋產品和程式設計的說明] 選項。

範例

本範例讓您在 Visual Basic 中能同時搜尋應用程式和程式撰寫的說明。

Assistant.SearchWhenProgramming = True


SecondValue 屬性

傳回第二個可選的屬性測試值 (以便構成一個取值範圍)，此程序用於指定檔案搜尋程序。唯讀 Variant。

註解

該屬性用於指定一個範圍，並且它只能和 MsoCondition 常數 msoConditionAnyTimeBetween 或 msoConditionAnyNumberBetween 一起使用。

範例

本範例會在對話方塊中顯示搜尋準則的第二個值 (如果存在的話)。如果該值不存在，那麼就會顯示另一個訊息。

With Application.FileSearch.PropertyTests(1)
If .SecondValue = "" Then
   MsgBox "You haven't specified a second value."
Else
    MsgBox "The second value you've set is: " _
    & .SecondValue
End If
End With


SelectedItems 屬性

傳回 FileDialogSelectedItems 集合。此集合包含使用者從使用 FileDialog 物件的 Show 方法來顯示的檔案對話方塊中選取之檔案路徑清單。

expression.SelectedItems

Expression 必選。在 [套用至] 清單中傳回物件之一的運算式。

範例

下列範例顯示使用 FileDialog 物件的 [檔案選擇器] 對話方塊，並在訊息方塊中顯示每個選取的檔案。

Sub Main()

    'Declare a variable as a FileDialog object.
    Dim fd As FileDialog

    'Create a FileDialog object as a File Picker dialog box.
    Set fd = Application.FileDialog(msoFileDialogFilePicker)

    'Declare a variable to contain the path
    'of each selected item. Even though the path is a String,
    'the variable must be a Variant because For Each...Next
    'routines only work with Variants and Objects.
    Dim vrtSelectedItem As Variant

    'Use a With...End With block to reference the FileDialog object.
    With fd

        'Allow the user to select multiple files.
        .AllowMultiSelect = True

        'Use the Show method to display the File Picker dialog box and return the user's action.
        'If the user presses the action button...
        If .Show = -1 Then
            'Step through each string in the FileDialogSelectedItems collection.
            For Each vrtSelectedItem In .SelectedItems

                'vrtSelectedItem is a String that contains the path of each selected item.
                'You can use any file I/O functions that you want to work with this path.
                'This example simply displays the path in a message box.
                MsgBox "Selected item's path: " & vrtSelectedItem

            Next
        'If the user presses Cancel...
        Else
        End If
    End With

    'Set the object variable to Nothing.
    Set fd = Nothing

End Sub


Shape 屬性

根據 Microsoft Office 主應用程式，傳回 Shape 物件或 InlineShape 物件。唯讀 Object。

註解

在 Microsoft Excel 和 PowerPoint 中，Shape 屬性傳回一個 Shape 物件。在 Word 中，如果 script 錨是浮動的，那麼 Shape 屬性會傳回一個 Shape 物件；如果該 script 錨是內嵌式，則此屬性會傳回 InlineShape 物件。

範例

本範例可取得與 Scripts 集合中的第一個 script 相關的圖形，並將其從作用中活頁簿的首頁工作表中刪除。

Dim objScriptShape As Object

Set objScriptShape = _
    ActiveWorkbook.Worksheets(1).Scripts(1).Shape
ObjScriptShape.Delete


ShortcutText 屬性

傳回或設定快速鍵文字，當按鈕出現在功能表、子功能表或快顯功能表上時，這些快速鍵文字緊鄰指定的按鈕控制項。讀/寫 String。

註解

只能對附加 OnAction 巨集的命令列按鈕設定此屬性。

範例

本範例會在 Microsoft Excel 工作表功能表列的訊息方塊中，顯示 [開啟舊檔] 指令 ([檔案] 功能表) 的快顯文字。

MsgBox (CommandBars("Worksheet Menu Bar"). _
    Controls("File").Controls("New...).ShortcutText)


SignDate 屬性

傳回 Variant，其代表對應於 Signature 物件的數位認證附加在文件上的日期與時間。唯讀型態。

expression.SignDate

Expression 必選。在 [套用至] 清單中傳回物件之一的運算式。

範例

下列範例提示使用者選取數位簽名，以便在 Microsoft Word 中使用其為作用中的文件簽字。若要使用此範例，請在 Word 中開啟文件並呼叫此函數。該函數即會測試以確保使用者選取的數位簽名在 12 個月內不會過期。如果其會過期，則不會附加該認證。

Function AddSignature() As Boolean

    On Error GoTo Error_Handler

    Dim sig As Signature

    'Display the dialog box that lets the
    'user select a digital signature.
    'If the user selects a signature, then
    'it is added to the Signatures
    'collection. If the user doesn't, then
    'an error is returned.
    Set sig = ActiveDocument.Signatures.Add

    'Test to make sure that the new Signature object
    'doesn't expire too soon. This expression calculates
    'the number of months until the Signature object expires.
    If DateDiff("m", sig.SignDate, sig.ExpireDate) < 12 Then

        MsgBox "This certificate will expire in less than 1 year." & vbCrLf & _
        "Please use a newer certificate."

        AddSignature = False
        sig.Delete
    Else
        AddSignature = True
    End If

    'Commit all signatures in the SignatureSet collection to the disk.
    ActiveDocument.Signatures.Commit

    Exit Function
Error_Handler:
    AddSignature = False
    MsgBox "Action cancelled."
End Function


Signer 屬性

傳回 String，其代表將對應於 Signature 物件數位認證附加於文件的使用者名稱。唯讀型態。

expression.Signer

Expression 必選。在 [套用至] 清單中傳回物件之一的運算式。

範例

下列範例提示使用者選取數位簽名，以便在 Microsoft Word 中使用其為作用中的文件簽字。若要使用此範例，請在 Word 中開啟文件，並賦予此函數認證發行者及認證簽名者的名字，這兩個名字應當與 [數位認證] 對話方塊中數位認證的 [發行者] 及 [發行給] 欄位相符。此範例會測試以確保使用者選取的數位簽名符合某些標準 (如其在新簽名用於磁碟之前尚未過期)。

Function AddSignature(ByVal strIssuer As String, _
    strSigner As String) As Boolean

    On Error GoTo Error_Handler

    Dim sig As Signature

    'Display the dialog box that lets the
    'user select a digital signature.
    'If the user selects a signature, then
    'it is added to the Signatures
    'collection. If the user doesn't, then
    'an error is returned.
    Set sig = ActiveDocument.Signatures.Add

    'Test several properties before commiting the Signature object to disk.
    If sig.Issuer = strIssuer And _
        sig.Signer = strSigner And _
        sig.IsCertificateExpired = False And _
        sig.IsCertificateRevoked = False And _
        sig.IsValid = True Then

        MsgBox "Signed"
        AddSignature = True
    'Otherwise, remove the Signature object from the SignatureSet collection.
    Else
        sig.Delete
        MsgBox "Not signed"
        AddSignature = False
    End If

    'Commit all signatures in the SignatureSet collection to the disk.
    ActiveDocument.Signatures.Commit

    Exit Function
Error_Handler:
    AddSignature = False
    MsgBox "Action cancelled."
End Function


Sounds 屬性

此主題部分內容可能不適用於某些語言。

如果屬性值為 True，那麼 Office 小幫手將發出與動畫相對的聲音。讀/寫 Boolean。

註解

預設值為 True。Sounds 屬性會對應到 [Office 小幫手] 對話方塊的 [選項] 索引標籤中 [使用 Office 小幫手] 之下的 [發出聲音] 選項。如果沒有安裝音效卡，本屬性將不起作用。

範例

本範例會顯示 Office 小幫手，並啟動動畫效果，然後發出聲音。

With Assistant
    .Visible = True
    .On = True
    If Not Sounds Then Sounds = True
    .Animation = msoAnimationGreeting
End With


State 屬性

套用至 CommandBarButton 物件時的 State 屬性。

傳回或設定命令列 按鈕控制項 的外觀。讀/寫 MsoButtonState。

MsoButtonState 可以是下列一個 MsoButtonState 常數。
msoButtonDown
msoButtonMixed
msoButtonUp

expression.State

expression 必選。傳回一個 CommandBarButton 物件的運算式。

套用至 HTMLProject 物件時的 State 屬性。

傳回 HTMLProject 物件的現用狀態。唯讀 MsoHTMLProjectState。

MsoHTMLProjectState 可以是下列一個 MsoHTMLProjectState 常數。
msoHTMLProjectStateDocumentLocked
msoHTMLProjectStateDocumentProjectUnlocked
msoHTMLProjectStateProjectLocked

expression.State

Expression 必選。傳回 HTMLProject 物件的運算式。

範例

當其套用至 CommandBarButton 物件時。

本範例會建立一個名為 Custom 的命令列，並在上面新增兩個空白按鈕。然後範例會將左邊的按鈕設定為 msoButtonUp，將右邊的按鈕設定為 msoButtonDown。

Set myBar = CommandBars _
    .Add(Name:="Custom", Position:=msoBarTop, _
    Temporary:=True)
With myBar
    .Controls.Add Type:=msoControlButton, ID:=1
    .Controls.Add Type:=msoControlButton, ID:=2
    .Visible = True
End With
Set myControl1 = CommandBars("Custom").Controls(1)
myControl1.State = msoButtonUp
Set myControl2 = CommandBars("Custom").Controls(2)
myControl2.State = msoButtonDown


Style 屬性

套用至 CommandBarButton 物件的樣式屬性。

傳回或設定按鈕控制項的顯示方式。 讀/寫 MsoButtonStyle。

MsoButtonStyle 可以是這些 MsoButtonStyle 常數的其中一項。
msoButtonAutomatic
msoButtonCaption
msoButtonIcon
msoButtonIconAndCaption
msoButtonIconAndCaptionBelow
msoButtonIconAndWrapCaption
msoButtonIconAndWrapCaptionBelow
msoButtonWrapCaption

套用至 CommandBarComboBox 物件的樣式屬性。

傳回或設定指定命令列組合方塊控制項 的顯示方式。可設定為以下 MsoComboStyle 常數之一：msoComboLabel 或 msoComboNormal。讀/寫 MsoComboStyle。

MsoComboStyle 可以是這些 MsoComboStyle 常數的其中一項。
msoComboLabel
msoComboNormal

範例

本範例會建立一個快顯功能表，其中包含一個按鈕控制項和一個組合方塊控制項，並分別設定它們的樣式。

Set myBar = CommandBars _
    .Add(Name:="Custom1", Position:=msoBarPopup, Temporary:=False)
With myBar
    .Controls.Add Type:=msoControlButton, Id:=3
    .Controls(1).Style = msoButtonCaption
    .Controls.Add Type:=msoControlComboBox
    With .Controls(2)
        .Style = msoComboLabel
        .AddItem "vanilla"
        .AddItem "chocolate"
        .AddItem "cookie dough"
    End With
End With
myBar.ShowPopup


Table 屬性

傳回代表包含合併列印記錄之資料來源檔內表格名稱的 String。如果表格名稱未知或其不適用於資料來源，則傳回的值可能為空白。唯讀型態。

expression.Table

Expression 必選。在 [套用至] 清單中傳回物件之一的運算式。

範例

如果表格名稱目前為空白，則此範例會設定表格名稱。

Sub OfficeTest()

    Dim appOffice As OfficeDataSourceObject

    Set appOffice = Application.OfficeDataSourceObject
    appOffice.Open bstrConnect:="DRIVER=SQL Server;SERVER=ServerName;" & _
        "UID=user;PWD=;DATABASE=Northwind", bstrTable:="Employees"

    If appOffice.Table = "" Then
        appOffice.Table = "Employees"
    End If

End Sub


Tag 屬性

傳回或設定有關 命令列控制項的資訊，例如，在程序中作為引數的資料，或識別該控制項的資訊。讀/寫 String。

expression.Tag

Expression 必選的運算式。它將傳回 [套用至] 清單中物件之一的運算式。

註解

若要在事件觸發時，避免重覆呼叫相同的類別，請將 Tag 屬性定義為事件專有的屬性。下列範例例舉兩種模組來做說明。

Public WithEvents oBtn As CommandBarButton

Private Sub oBtn_click(ByVal ctrl As Office.CommandBarButton, CancelDefault As Boolean)
    MsgBox "Clicked " & ctrl.Caption

End Sub

Dim oBtns As New Collection

Sub Use_Tag()

    Dim oEvt As CBtnEvent
    Set oBtns = Nothing

    For i = 1 To 5
        Set oEvt = New CBtnEvent
        Set oEvt.oBtn = Application.CommandBars("Worksheet Menu Bar").Controls.Add(msoControlButton)
        With oEvt.oBtn
            .Caption = "Btn" & i
            .Style = msoButtonCaption
            .Tag = "Hello" & i
        End With
        oBtns.Add oEvt
    Next

End Sub

範例

本範例會將自訂工具列上的按鈕標籤設定為 "Spelling Button"，並在訊息方塊中顯示此標籤。

CommandBars("Custom").Controls(1).Tag = "Spelling Button"
MsgBox (CommandBars("Custom").Controls(1).Tag)


Text 屬性

此主題部分內容可能不適用於某些語言。

BalloonLabel 或 BalloonCheckbox 物件：傳回或設定顯示在 [Office 小幫手] 汽球式說明中指定核取方塊或標籤旁的文字。讀/寫 String。

Balloon 物件：傳回或設定顯示在 [Office 小幫手] 汽球式說明中標題後，但在標籤或核取方塊之前的文字。讀/寫 String。

CommandBarComboBox 物件：傳回或設定在命令列組合方塊控制項的顯示或編輯部份中的文字。讀/寫String。

HTMLProjectItem 物件：傳回或設定 HTML 編輯器中的 HTML 文字。讀/寫 String。

expression.Text

Expression 必選。傳回 [套用至] 清單中物件之一的運算式。

註解

對於 Balloon、BalloonLabel 和 BalloonCheckbox 物件，可用以下語法指定要顯示的特別圖形： {type location sizing_factor}，此處 type 是 bmp (點陣圖)、wmf (Windows 中繼檔)；location 是資源 ID 或路徑加上檔案名稱；而 sizing_factor 則指定 wmf 的寬度 (若為 bmp 則省略 sizing_factor 的部份)。

Balloon 物件也支援加底線的文字，以及其中已套用任一種 16 色系統調色板的文字。若要顯示加底線的文字，請使用以下語法：{ul} 或 {ul 1}；請使用 {ul 0} 來關閉加底線的設定。若要變更文字的色彩，請以字元順序在文字字串前加上 {cf number}，其中 number 得為下表所列的系統色彩編號之一。

系統色彩編號 | 色彩
0 | 黑色
1 | 深紅色
2 | 深綠色
3 | 深黃色
4 | 深藍色
5 | 深紫紅色
6 | 深青藍色
7 | 淡灰色
248 | 中灰色
249 | 紅色
250 | 綠色
251 | 黃色
252 | 藍色
253 | 紫紅色
254 | 青藍色
255 | 白色

如果您指定的色彩編號並非以上所列之系統色彩編號，則 [Office 小幫手] 汽球式說明中的文字會為黑色。

範例

此範例會建立一個名為 Custom 的新命令列，並在該命令列中新增一個組合方塊，該組合方塊包含四個清單項目。然後範例會使用 Text 屬性將 Item 3 設定為預設的清單項目。

Set myBar = CommandBars _
    .Add(Name:="Custom", Position:=msoBarTop, _
    Temporary:=True)
With myBar
    .Controls.Add Type:=msoControlComboBox, ID:=1
    .Visible = True
End With
Set testComboBox = CommandBars("Custom").Controls(1)
With testComboBox
    .AddItem "Item 1", 1
    .AddItem "Item 2", 2
    .AddItem "Item 3", 3
    .AddItem "Item 4", 4
    .Text = "Item 3"
End With

本範例建立一個帶有標題、文字和三個選擇項目的 [Office 小幫手] 汽球式說明。此範例使用 Text 屬性，以提供與汽球式說明相關的指示給使用者，與標籤給每個玩字方塊。

With Assistant.NewBalloon
    .Heading = "Regional Sales Data"
    .Text = "Select a region"
    For i = 1 To 3
        .CheckBoxes(i).Text = "Region " & i
    Next
    .Show
End With

此範例會建立一個包含底線標題文字、加底線的紅色文字及藍色文字的新 [Office 小幫手] 汽球式說明。

With Assistant.NewBalloon
    .Heading = "Underlined {ul 1}Heading{ul 0}"
    .Text = "Some {cf 249}Red{cf 0} text and some " & _
    "underlined {cf 252}{ul 1}Blue{ul 0}{cf 0} text."
    .Show
End With

此範例會建立一個包含 Windows 中繼檔的新 [Office 小幫手] 汽球式說明。

With Assistant.NewBalloon
    .Heading = "Underlined {ul 1}Heading{ul 0}"
    .Text ="{WMF ""C:\Favorites\MyPicture.WMF""}"
    .Show
End With


TextOrProperty 屬性

傳回或設定在指定檔案搜尋程序中要尋找的字或短語，它們可位於一個檔案的正文或檔案屬性中。該單字或短語可包含 * (星號) 或 ? (問號) 萬用字元。讀/寫 String。

註解

問號萬用字元可代表任意單個字元。例如，鍵入 gr?y 可找到檔案中至少包含一個的 gray 或 grey 字的檔案。

星號萬用字元可代表任意數目的字元。例如，鍵入 San* 可找到檔案中至少包含一個以 San 開始的字。

範例

本範例會搜尋 C:\My Documents 資料夾及其子資料夾，並傳回符合的檔案，而檔案正文或檔案屬性中包含以 San 開始的字。TextOrProperty 屬性會設定要尋找的字，並將搜尋範圍限制在檔案文字或檔案屬性中。

With Application.FileSearch
    .NewSearch
    .LookIn = "C:\My Documents"
    .SearchSubFolders = True
    .TextOrProperty = "San*"
    .FileType = msoFileTypeAllFiles
End With


TipOfDay 屬性

此主題部分內容可能不適用於某些語言。

如果屬性值為 True，那麼每次開啟 Office 應用程式時，[Office 小幫手] 就會顯示一個特別的秘訣。讀/寫 Boolean。

註解

預設值為 False。TipOfDay 屬性會對應到 [Office 小幫手] 對話方塊的 [選項] 索引標籤中 [顯示下列項目的祕訣] 之下的 [啟動時顯示每日祕訣] 選項。

範例

本範例會在指定的位置顯示 [Office 小幫手]，並在顯示小幫手之前先設定若干選項。

With Assistant
    .On = True
    .Visible = True
    .Left = 400
    .MoveWhenInTheWay = True
    If Not TipOfDay Then TipOfDay = True
    .Animation = msoAnimationGreeting
End With


Title 屬性

設定或傳回顯示使用 FileDialog 物件的檔案對話方塊標題。讀/寫 String。

expression.Title

Expression 必選。在 [套用至] 清單中傳回物件之一的運算式。

範例

下列範例顯示使用 FileDialog 物件的 [檔案選擇器] 對話方塊，並在訊息方塊中顯示每個選取的檔案。

Sub main()

    'Declare a variable as a FileDialog object.
    Dim fd As FileDialog

    'Create a FileDialog object as a File Picker dialog box.
    Set fd = Application.FileDialog(msoFileDialogFilePicker)

    'Declare a variable to contain the path
    'of each selected item. Even though the path is a String,
    'the variable must be a Variant because For Each...Next
    'routines only work with Variants and Objects.
    Dim vrtSelectedItem As Variant

    'Use a With...End With block to reference the FileDialog object.
    With fd

        'Change the title of the dialog
        .Title = "Archive"

        'Use the Show method to display the file picker dialog and return the user's action.
        'If the user presses the action button...
        If .Show = -1 Then

            'Step through each string in the FileDialogSelectedItems collection.
            For Each vrtSelectedItem In .SelectedItems

                'vrtSelectedItem is a String that contains the path of each selected item.
                'You can use any file I/O functions that you want to work with this path.
                'This example simply displays the path in a message box.
                MsgBox "Selected item's path: " & vrtSelectedItem

            Next vrtSelectedItem
        'If the user presses Cancel...
        Else
        End If
    End With

    'Set the object variable to Nothing.
    Set fd = Nothing

End Sub


TooltipText 屬性

傳回或設定顯示在指定命令列控制項的 [工具提示] 中的文字。讀/寫 String。

註解

根據預設值，Caption 的屬性值將用於 [工具提示]。

範例

本範例會在使用中功能表列的最後一個控制項上新增一個 [工具提示]。

Set myMenuBar = CommandBars.ActiveMenuBar
Set lastCtrl = myMenuBar _
   .Controls(myMenuBar.Controls.Count)
lastCtrl.BeginGroup = True
lastCtrl.TooltipText = "Click for help on UI feature"


Top 屬性

此主題中的部份內容可能不適用於某些語言。

套用至 Assistant 及 CommandBar 物件時的 Top 屬性。

設定或傳回距離 (以點為單位)，該距離指從 [Office 小幫手] 頂端或從指定之命令列 的上緣到螢幕上緣的距離。對於已定位的命令列，此屬性會傳回或設定從命令列頂端到定位區域頂端的距離。讀/寫 Long。

expression.Top

expression 必選。傳回上列物件之一的運算式。

套用至 CommandBarButton、CommandBarComboBox、CommandBarControl 及 CommandBarPopup 物件時的 Top 屬性。

傳回距離 (以像素為單位)，該距離指從指定之命令列控制項 的上緣到螢幕上緣的距離。唯讀 Long。

expression.Top

expression 必選。傳回上列物件之一的運算式。

範例

當其套用至 Assistant 及 CommandBar 物件時。

本範例會將 Office 小幫手移到另一個座標上，並設定後續外觀的 Top 屬性。

With Assistant
    .On = True
    .Visible = True
    .Sounds = True
    .Animation = msoAnimationBeginSpeaking
End With
Assistant.Top = 100
MsgBox "Click OK to move the Assistant to a " & _
         "new location."
Assistant.Top = 500

本範例會將浮動命令列 Custom 的左上角，定位在距螢幕左邊 140 個圖素，距螢幕頂邊 100 個圖素的位置。

Set myBar = CommandBars("Custom")
myBar.Position = msoBarFloating
With myBar
    .Left = 140
    .Top = 100
End With


Type 屬性

套用至 CommandBar 物件時的 Type 屬性。

傳回命令列的類型。唯讀 MsoBarType。

MsoBarType 可以是下列一個 MsoBarType 常數。
msoBarTypeMenuBar
msoBarTypeNormal
msoBarTypePopup

expression.Type

expression 必選。傳回 CommandBar 物件的運算式。

套用至 CommandBarButton、CommandBarComboBox、CommandBarControl 及 CommandBarPopup 物件時的 Type 屬性。

傳回命令列控制項的類型。唯讀 MsoControlType。

MsoControlType 可以是下列一個 MsoControlType 常數。
msoControlActiveX
msoControlAutoCompleteCombo
msoControlButton
msoControlButtonDropdown
msoControlButtonPopup
msoControlComboBox
msoControlCustom
msoControlDropdown
msoControlEdit
msoControlExpandingGrid
msoControlGauge
msoControlGenericDropdown
msoControlGraphicCombo
msoControlGraphicDropdown
msoControlGraphicPopup
msoControlGrid
msoControlLabel
msoControlLabelEx
msoControlOCXDropdown
msoControlPane
msoControlPopup
msoControlSpinner
msoControlSplitButtonMRUPopup
msoControlSplitButtonPopup
msoControlSplitDropdown
msoControlSplitExpandingGrid
msoControlWorkPane

expression.Type

expression 必選。傳回上列物件之一的運算式。

套用至 SearchScope 物件時的 Type 屬性。

傳回一個對應 SearchScope 物件類型的值。該類型指示 FileSearch 物件的 Execute 方法在何區域中搜尋檔案。唯讀 MsoSearchIn。

MsoSearchIn 可以是下列一個 MsoSearchIn 的常數。
msoSearchInCustom
msoSearchInMyComputer
msoSearchInMyNetworkPlaces
msoSearchInOutlook

expression.Type

Expression 必選。傳回 SearchScope 物件的運算式。

套用至 DocumentProperty 物件時的 Type 屬性。

傳回或設定文件屬性的類型。唯讀的內建文件屬性；讀/寫自訂文件屬性。

expression.Type

expression 必選。傳回 DocumentProperty 物件的運算式。

註解

傳回的值會是一個 MsoDocProperties 常數。

MsoDocProperties 可以是下列一個 MsoDocProperties 常數。
msoPropertyTypeBoolean
msoPropertyTypeDate
msoPropertyTypeFloat
msoPropertyTypeNumber
msoPropertyTypeString

範例

當其套用至 CommandBar 物件時。

本範例會在名為 Custom 的命令列中尋找第一個控制項。若是使用 Type 屬性，那麼本範例就會判斷該控制項是否是一個按鈕。 如果是，範例就會複製 [一般] 工具列中 [複製] 按鈕的圖面，並將它貼到控制項上。

Set oldCtrl = CommandBars("Custom").Controls(1)
If oldCtrl.Type = msoControlButton Then
    Set newCtrl = CommandBars.FindControl(Type:= _
        MsoControlButton, ID:= _
        CommandBars("Standard").Controls("Copy").ID)
    NewCtrl.CopyFace
    OldCtrl.PasteFace
End If

當其套用至 DocumentProperty 物件時。

本範例會顯示文件屬性的名稱、類型和屬性值。您必須傳送一個有效的 DocumentProperty 物件到程序中。

Sub DisplayPropertyInfo(dp As DocumentProperty)
    MsgBox "value = " & dp.Value & Chr(13) & _
        "type = " & dp.Type & Chr(13) & _
        "name = " & dp.Name
End Sub


Value 屬性

套用至 DocumentProperty 物件時的 Value 屬性。

傳回或設定文件屬性的值。讀/寫 Variant 狀態 。

expression.Value

expression 必選。傳回一個 DocumentProperty 物件的運算式。

註解

如果收納器應用程式沒有為某內建文件屬性定義一個屬性值，則讀取此文件屬性的 Value 屬性會導致錯誤。

套用至 PropertyTest 物件時的 Value 屬性。

傳回檔案搜尋之屬性測試的值。唯讀 Variant。

expression.Value

expression 必選。傳回一個 PropertyTest 物件的運算式。

範例

當其套用至 DocumentProperty 物件時。

本範例會顯示文件屬性的名稱、類型和屬性值。若要使本範例運作，dp 必須是一個有效的 DocumentProperty 物件。

Sub DisplayPropertyInfo(dp As DocumentProperty)
    MsgBox "value = " & dp.Value & Chr(13) & _
        "type = " & dp.Type & Chr(13) & _
        "name = " & dp.Name
End Sub

當其套用至 PropertyTest 物件時。

本範例會在對話方塊中顯示搜尋準則的值 (如果存在的話)。如果第二值不存在，那麼就會顯示另一個訊息。

With Application.FileSearch.PropertyTests(1)
    If .Value = "" Then
       MsgBox "You haven't specified a value."
    Else
        MsgBox "The value you've set is: " _
            & .Value
    End If
End With


Visible 屬性

此主題部分內容可能不適用於某些語言。

如果可以看見指定的物件，則為True。讀/寫 Boolean。

expression.Visible

Expression 必選。傳回 [套用至] 清單中物件之一的運算式。

註解

新建自訂命令列的 Visible 屬性預設值為 False。

在將 Visible 屬性設定成 True 之前，必須先將命令列的 Enabled 屬性設定成 True。

範例

本範例會逐一檢查命令列集合中的成員，以尋找 [表單] 命令列。如果找到該命令列，那麼就會顯示該命令列並保護其固定狀態。

foundFlag = False
For Each cmdbar In CommandBars
    If cmdbar.Name = "Forms" Then
        cmdbar.Protection = msoBarNoChangeDock
        cmdbar.Visible = True
        foundFlag = True
    End If
Next
If Not foundFlag Then
    MsgBox "'Forms'command bar is not in the collection."
End If

本範例會顯示 Office 小幫手，並設定其動畫類型。

With Application.Assistant
    .Visible = True
    .Sounds = True
    .Animation = msoAnimationBeginSpeaking
End With


Width 屬性

傳回或設定指定之命令列或命令列控制項的寬度 (以像素為單位)。讀/寫 Integer。

expression.Width

Expression 必選。傳回 [套用至] 清單中物件之一的運算式。

範例

本範例會在命令列 Custom 上新增一個自訂控制項。然後將該自訂控制項的高度設定成命令列高度的兩倍，並將其寬度設定為 50 個圖素。 請注意命令列是如何自動調整大小，以容納控制項。

Set myBar = CommandBars("Custom")
barHeight = myBar.Height
Set myControl = myBar.Controls _
    .Add(Type:=msoControlButton, _
    Id:= CommandBars("Standard").Controls("Save").Id, _
     Temporary:=True)
With myControl
    .Height = barHeight * 2
    .Width = 50
End With
myBar.Visible = True


Change 事件

當使用者改變命令列組合方塊中的選項時，該事件就會發生。

Private Sub CommandBarComboBox_Change

(ByVal Ctrl As CommandBarComboBox)

註解

Change 事件是以 CommandBarComboBox 物件來識別的。若要傳回特定 CommandBarComboBox 控制項的 Change 事件，請使用關鍵字 WithEvents 來宣告一個變數，並將它設定為 CommandBarComboBox 控制項。當 Change 事件被觸發時，就會執行該控制項的 OnAction 屬性所指定的巨集或程式碼。

範例

以下範例建立一個包含 CommandBarComboBox 控制項的命令列，該控制項包含四個選取範圍。該組合方塊會透過 CommandBarComboBox_Change 事件來回覆使用者動作。

Private ctlComboBoxHandler As New ComboBoxHandler
Sub AddComboBox()

    Set HostApp = Application

    Dim newBar As Office.CommandBar
    Set newBar = HostApp.CommandBars.Add(Name:="Test CommandBar", Temporary:=True)
    Dim newCombo As Office.CommandBarComboBox
    Set newCombo = newBar.Controls.Add(msoControlComboBox)
    With newCombo
        .AddItem "First Class", 1
        .AddItem "Business Class", 2
        .AddItem "Coach Class", 3
        .AddItem "Standby", 4
        .DropDownLines = 5
        .DropDownWidth = 75
        .ListHeaderCount = 0
    End With
    ctlComboBoxHandler.SyncBox newCombo
    newBar.Visible = True

End Sub

上述範例乃是根據下面的程式碼，而此程式碼儲存在 VBA 專案的類別模組中。

Private WithEvents ComboBoxEvent As Office.CommandBarComboBox
Public Sub SyncBox(box As Office.CommandBarComboBox)
    Set ComboBoxEvent = box
    If Not box Is Nothing Then
        MsgBox "Synced " & box.Caption & " ComboBox events."
    End If

End Sub

Private Sub Class_Terminate()
    Set ComboBoxEvent = Nothing
End Sub

Private Sub ComboBoxEvent_Change(ByVal Ctrl As Office.CommandBarComboBox)
    Dim stComboText As String

    stComboText = Ctrl.Text

        Select Case stComboText
        Case "First Class"
            FirstClass
        Case "Business Class"
            BusinessClass
        Case "Coach Class"
            CoachClass
        Case "Standby"
            Standby
    End Select

End Sub
Private Sub FirstClass()
    MsgBox "You selected First Class reservations"
End Sub
Private Sub BusinessClass()
    MsgBox "You selected Business Class reservations"
End Sub
Private Sub CoachClass()
    MsgBox "You selected Coach Class reservations"
End Sub
Private Sub Standby()
    MsgBox "You chose to fly standby"
End Sub


Click 事件

當使用者按一下 CommandBarButton 物件時，該事件就會發生。

Private Sub CommandBarButton_Click

(ByVal Ctrl As CommandBarButton,

ByVal CancelDefault As Boolean)

Click 事件的語法中包含兩個引數，茲將這兩個引數說明如下表。

引數 | 敘述
Ctrl | 必選的 CommandBarButton。表示啟動該事件的 CommandBarButton 控制項。
CancelDefault | 必選的 Boolean。如果與 CommandBarButton 控制項相關的預設動作發生了，除非被其他過程或增益集取消此動作，否則該值為 False 。

註解

Click 事件是以 CommandBarButton 物件識別。若要傳回特定 CommandBarButton 控制項的 Click 事件，請使用關鍵字 WithEvents 宣告一個變數，並將此變數的值設定為該控制項。

範例

以下範例會在主應用程式的 [檔案] 功能表中建立一個新的命令列按鈕，它能讓使用者以 CSV (逗號分隔) 檔案格式儲存活頁簿 (本範例可在所有應用程式中執行，但有關存成 CSV 格式的內容只適用於 Microsoft Excel)。

Private HostApp As Object

Sub createAndSynch()
    Dim iIndex As Integer
    Dim iCount As Integer
    Dim fBtnExists As Boolean

    Dim obCmdBtn As Object
    Dim btnSaveAsCSVHandler as new Class1

    On Error GoTo errHandler

    Set HostApp = Application

    Dim barHelp As Office.CommandBar
    Set barHelp = Application.CommandBars("File")
    fBtnExists = False
    iCount = barHelp.Controls.Count
    For iIndex = 1 To iCount
        If barHelp.Controls(iIndex).Caption = "Save As CSV (Comma Delimited)" Then fBtnExists = True

    Next
    Dim btnSaveAsCSV As Office.CommandBarButton
    If fBtnExists Then
        Set btnSaveAsCSV = barHelp.Controls("Save As CSV (Comma Delimited)")
    Else
        Set btnSaveAsCSV = barHelp.Controls.Add(msoControlButton)
        btnSaveAsCSV.Caption = "Save As CSV (Comma Delimited)"
    End If

    btnSaveAsCSV.Tag = "btn1"
    btnSaveAsCSVHandler.SyncButton btnSaveAsCSV
    Exit Sub

errHandler:
    ' Insert error handling code here
End Sub


EnvelopeHide 事件

當對應 MsoEnvelope 物件的使用者介面 (UI) 隱藏時發生。

Private Sub object_EnvelopHide()

object 參照類別模組中，以事件來宣告 MsoEnvelope 類型物件的變數。

範例

下列範例設定 MsoEnvelope 物件的事件處理程式。

Public WithEvents env As MsoEnvelope

Private Sub Class_Initialize()
    Set env = Application.ActiveDocument.MailEnvelope
End Sub

Private Sub env_EnvelopeShow()
    MsgBox "The MsoEnvelope UI is showing."
End Sub

Private Sub env_EnvelopeHide()
    MsgBox "The MsoEnvelope UI is hidden."
End Sub


EnvelopeShow 事件

當對應 MsoEnvelope 物件的使用者介面 (UI) 顯示時發生。

Private Sub object_EnvelopShow()

object 參照類別模組中，以事件來宣告 MsoEnvelope 類型物件的變數。

範例

下列範例設定 MsoEnvelope 物件的事件處理程式。

Public WithEvents env As MsoEnvelope

Private Sub Class_Initialize()
    Set env = Application.ActiveDocument.MailEnvelope
End Sub

Private Sub env_EnvelopeShow()
    MsgBox "The MsoEnvelope UI is showing."
End Sub

Private Sub env_EnvelopeHide()
    MsgBox "The MsoEnvelope UI is hidden."
End Sub


OnUpdate 事件

當命令列改變時，該事件就會發生。

Private Sub CommandBars_OnUpdate()

註解

OnUpdate 事件是以 CommandBar 物件和所有命令列控制項來識別的。 對命令列或命令列控制項所作的任何改變，或是對命令列或命令列控制項所作的變更，都會觸發該事件。 舉例來說，這些改變的發生原因可能是由於文字或儲存格選取範圍。 因為在正常使用情況下也可能會發生大量的 OnUpdate 事件，因此程式開發者在使用此事件時應該特別注意。極力建議您將此事件主要用來檢查 COMAddIn 對自訂命令列的新增或移除動作。


建立和修改汽球式說明

此主題中部分內容可能不適用於某些語言。

用 [Office 小幫手] 汽球式說明可為使用者提供資訊。汽球式說明中的資訊可以是一條簡單的訊息、希望瞭解詳細內容的請求資訊或供使用者選擇的一列選項。對 [Office 小幫手] 汽球式說明的修改只能在執行階段進行。

下表包括了大部分常用的屬性和方法，用於修改新建 (空白) 汽球式說明或原有汽球式說明的外觀或功能。使用 Show 方法時，汽球式說明就會顯示出來或加以更新。因此，您對任何汽球式說明所作的修改，將在下次使用 Show 方法時顯示出來。

屬性或方法 | 敘述
Heading | 指定出現在 Office 小幫手汽球式說明頂端的粗體文字。
Text | 指定出現在 Office 小幫手汽球式說明中的文字。該文字出現在標題之後但在核取方塊、標籤或按鈕之前。
Labels | 傳回汽球式說明中標籤的集合。標籤的格式由 BalloonType 屬性決定。標籤出現在汽球式說明中的文字之後。可對標籤清單編號或項目編排，同時該列表也可以是一列按鈕。與核取方塊不同的是，使用者只須按一下一個按鈕即可記錄該按鈕對應的選擇。
CheckBoxes | 傳回汽球式說明核取方塊的集合。使用者可選擇某核取方塊，然後按一下汽球式說明底部適當的按鈕 (例如，[確定] 或 [下一個] 按鈕) 以記錄其選擇。
Close | 關閉並取消一個 modeless 汽球式說明，但不釋放該物件變數。分配給該汽球式說明的物件變數仍然有效，因此可以重新顯示該汽球式說明，或對它進行修改並在隨後顯示。本方法只能用於 modeless 汽球式說明。
Show | 顯示汽球式說明及所有其中的物件給使用者。這個方法只能用於 Balloon 物件；請使用 Assistant 物件的 Visible 屬性。

以下範例會建立一個協助使用者選取印表機的汽球。對於想要略過汽球式說明中資訊的使用者，該範例會提供他一個核取方塊選項。

Set bln = Assistant.NewBalloon
With bln
    .Heading = "Instructions for Choosing a Printer."
    .Text = "Click OK when you've chosen a printer."
    lblTxt = "From the File menu, choose Print."
    .Labels(1).Text = lblTxt
    .Labels(2).Text = "Click Setup."
    .Labels(3).Text = "Select the name of the printer."
    .CheckBoxes(1).Text = "Skip this information."
    .BalloonType = msoBalloonTypeNumbers
    .Mode = msoModeModal
    .Button = msoButtonSetOK
    .Show
End With

建立汽球式說明

若要建立新的汽球式說明，請使用 Assistant 物件的 NewBalloon 屬性。新的汽球式說明將是空白的。請使用 Heading 屬性來新增標題，並使用 Text 屬性來將文字加入汽球式說明的本文中，然後再視需要新增控制項。最後，請使用 Show 方法來顯示汽球式說明。Show 方法將會顯示汽球式說明實際出現的樣子；因此，在設定完所有其它汽球式說明的屬性之後，使用這個方法是很重要的。以下範例會建立一個新汽球式說明、設定標題及本文，並建立三個供使用者選取的核取方塊控制項。

With Assistant.NewBalloon
    .Button = msoButtonSetOkCancel
    .Heading = "Regional Sales Data"
    .Text = "Select a region"
    For i = 1 To 3
        .CheckBoxes(i).Text = "Region " & i
    Next
    .Show
End With

管理多個汽球式說明

Office 小幫手沒有 Balloons 集合。若要管理多個汽球式說明，您可以為所建立的每個汽球式說明設定個別的物件變數，並視需要來參考變數。或者您可以建立一個 Balloon 物件變數的陣列，並且為每個陣列指定一個汽球式說明。以下範例會建立一個陣列，並在陣列中新增三個空白的 Balloon 物件。

Dim myBalloonArray(3) As Balloon

With Assistant
    For i = 1 To 3
        Set myBalloonArray(i) = .NewBalloon
    Next
End With


獲得有關 Macintosh 關鍵字的說明

您查詢的是 Macintosh 專用的 Visual Basic 關鍵字。若需有關該關鍵字的說明資訊，請參閱 Microsoft Office Macintosh Edition 中的語言參照 [說明] 部分。


在執行階段修訂汽球式說明

此主題中部分內容可能不適用於某些語言。

在為 [Office 小幫手] 建立了一個汽球式說明後，可透過在汽球式說明的標題或文字中新增點陣圖、圖示或 Windows 中繼檔來自訂汽球式說明。也可在汽球式說明中新增各種控制項，如核取方塊或按鈕，以便在使用者按一下汽球式說明中的某個項目時，系統能作出反應。還可用色彩、底線等文字屬性，強調汽球式說明中的文字元素。

在汽球式說明中新增圖示和點陣圖

若要新增一個圖示，可為該 Balloon 物件的 Icon 屬性指定一個 MsoIconType 常數。若要在 [Office 小幫手] 汽球式說明的文字中新增點陣圖或 Windows 中繼檔，可在設定標題、文字、核取方塊或標籤的 Text 屬性時，指定類型、位置和大小因子 (如果適用的話)。下面的範例，就是在一個汽球式說明的文字中插入一個 Windows 點陣圖檔。

myBmp = "{bmp c:\Windows\circles.gif}"
myText1 = "This is before the picture, "
myText2 = " and this is after the picture"
Set bln = Assistant.NewBalloon
With bln
    .Heading = "Instructions for Choosing a Bitmap."
    .Text = myText1 & myBmp & myText2
    .Show
End With

在汽球式說明中加入控制項

您可在汽球式說明中新增的控制項類型有兩種：核取方塊和按鈕。汽球式說明在建立後就具有五個核取方塊；若要顯示核取方塊，只要為控制項指定文字即可。此外，如果汽球式說明的類型是 msoBalloonTypeButtons，那麼汽球式說明中還有五個標籤按鈕，其顯示方法與顯示核取方塊相同。如果您試圖要在汽球式說明中新增五個以上的核取方塊或標籤按鈕，就會產生錯誤。

若要更改汽球式說明中某控制項的外觀，只要更改該控制項的 Text 屬性即可。若要更改汽球式說明中某核取方塊或按鈕的功能，可透過指定另外的程序，則當選取 (或按一下) 該核取方塊或按鈕時，即會被執行。

在下面的範例中，會建立一個包含標題、文字和三個地方選項的汽球式說明。當使用者選取一或多個核取方塊，並按一下 [確定] 按鈕時，就會呼叫相對的程序。

With Assistant.NewBalloon
    .Heading = "Regional Sales Data"
    .Text = "Select your region"
    For i = 1 To 3
        .CheckBoxes(i).Text = "Region " & i
    Next
    .Button = msoButtonSetOkCancel
    .Show
    If .CheckBoxes(1).Checked Then
        runregion1
    End If
    If .CheckBoxes(2).Checked Then
        runregion2
    End If
    If .CheckBoxes(3).Checked Then
        runregion3
    End If
End With

在汽球式說明中新增文字的色彩和底線

在汽球式說明中的文字可新增的屬性有兩種：色彩和底線。在色彩方面，共有 16 種系統支援的色彩，可用來強調文字。或者，也可對文字加上底線，來更改汽球式說明中文字的外觀。文字屬性是內嵌在汽球式說明的文字中，並將程式碼加上括號。下面的範例會建立新的 [Office 小幫手] 汽球式說明，其標題文字加上了底線，紅色文字和藍色文字也加上底線。

With Assistant.NewBalloon
    .Heading = "Underlined {ul 1}Heading{ul 0}"
    .Text = "Some {cf 249}Red{cf 0} text and some " & _
    "underlined {cf 252}{ul 1}Blue{ul 0}{cf 0} text."
    .Show
End With


傳回集合中的物件

Item 屬性可從集合傳回一個物件。下列範例將 cmdbar 變數設定為一個 CommandBar 物件，該物件代表 CommandBars 集合中第一個命令列。

Set cmdbar = CommandBars.Item(1)

Item 屬性是大多數集合的預設屬性，因此可省略關鍵字 Item 使陳述式顯得更簡練。

Set cmdbar = CommandBars(1)

關於一個指定集合的詳細資訊，請參閱關於該集合或 Item 屬性的 [說明] 主題。


使用 Office 小幫手

此主題中部分內容可能不適用於某些語言。

當使用者使用應用程式時，Office 小幫手通常會與汽球式說明一起顯示，提供訊息及說明；但是，即使不顯示訊息汽球式說明也能協助使用者使用應用程式。只要設定小幫手的 Animation 屬性，就可以單獨使用小幫手來取得使用者的注意。您可以使用 Assistant 物件的其它屬性來自訂標準 Office 說明的顯示方式。

在 Office 小幫手對話方塊的 [選項] 索引標籤中所列的每個選項，都對應到一個可在執行階段設定的小幫手的屬性。下表中所列的屬性是通常用來修改 Office 小幫手的屬性：

屬性 | 敘述
Animation | 使 Office 小幫手產生動畫效果。有些動態效果是持續的，其他的只發生一次。
FileName | 指定 Office 小幫手所用的檔案名稱，以 .acs 為副檔名。例如，[Rocky Office 小幫手] 的檔案名稱是 Rocky.acs。
Name | 傳回 Office 小幫手的名稱。用此屬性儲存使用者所選過 Office 小幫手的歷史記錄。
Visible | 指定顯示或隱藏小幫手。

下列範例會選擇 [Rocky] 作為 Office 小幫手，使小幫手呈使用中狀態且可被看見，選取動畫及設定數種選項。

With Assistant
    .On = True
    .FileName = "Rocky.acs"
    .Animation = msoAnimationBeginSpeaking
    .AssistWithHelp = True
    .GuessHelp = True
    .FeatureTips = False
    .Visible = True
End With

使用者可在六個不同的 Office 小幫手角色中，選擇小幫手載入 Microsoft Office 中。但是一次只能使用一個小幫手角色。使用者可從 Office 小幫手圖庫中選取小幫手，或者使用者以撰寫程式的方式選取小幫手。使用者無法修改已安裝的小幫手角色，也無法用自訂的檔案代替系統提供的小幫手角色。


說明主題不存在

因為找不到、沒有安裝或已移除 Microsoft Office Visual Basic Help，所以無法顯示說明主題。

若要安裝 Microsoft Office Visual Basic 說明

  1. 在控制台中，連按兩下 [新增/移除程式]。
  2. 在 [變更或移除程式] 索引標籤上，按一下已經安裝的 Microsoft Office 版本，然後按一下 [變更]。
  3. 按一下 [新增或移除功能]，然後展開功能清單中的 [Office 共享功能]。
  4. 展開功能清單中的 [Visual Basic for Applications]，然後按一下 [Visual Basic Help] 旁邊的圖示以檢視安裝選擇。
  5. 按一下 [從我的電腦執行] 或 [從網路執行]，然後按一下 [立即更新]。


Add 方法 (Microsoft Word)

在 Microsoft Word 中，通常會忽略 Add 方法 (CommandBarControls 物件) 的 Temporary 引數。因此，當您向命令列上的功能表列新增控制項按鈕時，無論您是否將 Temporary 引數設定為 True，其都會保持 Normal.dot 範本。若要從 Normal.dot 範本移除不必要的功能表項目，您可以使用下列一種方法。

  1. 刪除 Normal.dot。這要求 Word 重新建立 Normal 預設範本，還會移除對 Normal 範本已作的任何變更，如工具列。因為所有的 Word 文件都依賴 Normal 範本，所以您需要手動而非使用程式來刪除範本。
  2. 重設命令列。您可以建立程序來重設所有的命令列或僅重設指定的命令列。此範例重設全部的命令列，其中包含功能表列及工具列。
    Sub ResetAllCommandBars()
    Dim mnu As CommandBar

    'Error handler skips over custom toolbars,
    'which can't be reset
    On Error Resume Next

    For Each mnu In Application.CommandBars
        mnu.Reset
    Next mnu
End Sub
    此範例僅重設功能表列上的項目，而沒有重設 Word 中所有的工具列。
    Sub ResetMenuBar()
    Dim mnu As CommandBar
    For Each mnu In Application.CommandBars
        If mnu.Name = "Menu Bar" Then
            mnu.Reset
        End If
    Next mnu
End Sub


Context 屬性

在 Microsoft Word 中，Context 屬性是唯讀的，它會傳回範本的完整名稱 (及路徑)，該範本與包含指定之 CommandBar 物件的文件相關。


新增加的事件

 新增加的方法

 新增加的物件

 新增加的屬性（依英文字母或中文字順序排列）

 新增加的屬性（依物件順序排列）


CommandBarComboBox 物件


CommandBarButton 物件


MsoEnvelope 物件
EnvelopeShow 事件


MsoEnvelope 物件
EnvelopeHide 事件


CommandBars 集合物件


新增加的方法

 新增加的物件

 新增加的屬性（依英文字母或中文字順序排列）

 新增加的屬性（依物件順序排列）

 Microsoft Office Developer 的新設定特性


在執行階段修訂汽球式說明

 Office 小幫手簡介


新增和顯示快顯功能表

 新增和修改工具列

 使用命令列


Assistant 物件

 Balloon 物件

 建立和修改汽球式說明

 Office 小幫手簡介


Animation 屬性

 建立和修改汽球式說明

 FileName 屬性

 Microsoft Office 物件模型


新增和顯示快顯功能表

 新增和管理功能表列和功能表項目

 新增和修改工具列

 Microsoft Office 物件模型


BalloonCheckboxes 集合物件

 BalloonLabels 集合物件

 CommandBarControls 集合物件

 CommandBars 集合物件

 DocumentProperties 集合

 PropertyTests 集合


新增和管理功能表列和功能表項目

 新增和修改工具列

 使用命令列


新增和顯示快顯功能表

 新增和管理功能表列和功能表項目

 使用命令列


Assistant 物件

 建立和修改汽球式說明

 在執行階段修訂汽球式說明

 Microsoft Office 物件模型


Assistant 物件


AnswerWizardFiles 集合物件

 CommandBarControls 集合物件

 CommandBars 集合物件

 DocumentProperties 集合

 FileDialogFilters 集合

 FileTypes 集合

 NewFile 物件

 ODSOFilters 物件

 PropertyTests 集合

 Scripts 集合物件

 SearchFolders 集合

 SignatureSet 集合
CommandBars 集合物件

 DocumentProperties 集合

 Microsoft Office 物件模型
Add 方法 (Microsoft Word)


ScopeFolder 物件
Add 方法


OfficeDataSourceObject 物件


CommandBarComboBox 物件

 FileDialogFilters 集合
AddItem 方法

 CommandBarComboBox 物件

 Enabled 屬性


AnswerWizard 物件


Balloon 物件


SignatureSet 集合


CommandBarButton 物件

 CommandBarComboBox 物件

 CommandBarControl 物件

 CommandBarPopup 物件


AnswerWizardFiles 集合物件

 CommandBar 物件

 CommandBarButton 物件

 CommandBarComboBox 物件

 CommandBarControl 物件

 CommandBarPopup 物件

 DocumentProperty 物件

 FileDialogFilters 集合

 ODSOFilters 物件

 Script 物件

 Scripts 集合物件

 Signature 物件


CommandBarButton 物件

 CommandBarComboBox 物件

 CommandBarControl 物件

 CommandBarPopup 物件

 FileDialog 物件

 FileSearch 物件


FindControls 方法


COMAddIns 集合物件

 FileDialogFilters 集合

 FileDialogSelectedItems 集合

 HTMLProjectItems 集合物件

 ODSOColumns 物件

 ODSOFilters 物件

 Scripts 集合物件


HTMLProjectItem 物件


Assistant 物件

 CommandBarButton 物件

 CommandBarComboBox 物件

 CommandBarControl 物件

 CommandBarPopup 物件

 OfficeDataSourceObject 物件


FileSearch 物件
FileSearch 物件


HTMLProject 物件

 HTMLProjectItem 物件

 OfficeDataSourceObject 物件


HTMLProject 物件


FileSearch 物件


CommandBars 集合物件
SetFocus 方法


FileTypes 集合

 NewFile 物件

 PropertyTests 集合

 SearchFolders 集合


ResetTips 方法


Assistant 物件
Reset 方法


Balloon 物件

 FileDialog 物件
BalloonCheckboxes 集合物件

 建立和修改汽球式說明

 Execute 方法

 NewBalloon 屬性


CommandBar 物件


COMAddIns 集合物件


新增加的事件

 新增加的物件

 新增加的屬性（依英文字母或中文字順序排列）

 新增加的屬性（依物件順序排列）

 Microsoft Office Developer 的新設定特性


ClearFileList 方法

 ResetFileList 方法
Application 屬性

 Creator 屬性

 Files 屬性

 Parent 屬性


Add 方法

 Delete 方法
Application 屬性

 Count 屬性

 Creator 屬性

 Item 屬性

 Parent 屬性


Animation 屬性

 Application 屬性

 AssistWithAlerts 屬性

 AssistWithHelp 屬性

 AssistWithWizards 屬性

 BalloonError 屬性

 Creator 屬性

 FeatureTips 屬性

 FileName 屬性

 GuessHelp 屬性

 HighPriorityTips 屬性

 Item 屬性

 KeyboardShortcutTips 屬性

 Left 屬性

 MouseTips 屬性

 MoveWhenInTheWay 屬性

 Name 屬性

 NewBalloon 屬性

 On 屬性

 Parent 屬性

 Reduced 屬性

 SearchWhenProgramming 屬性

 Sounds 屬性

 TipOfDay 屬性

 Top 屬性

 Visible 屬性


Animation 屬性

 Application 屬性

 BalloonType 屬性

 Button 屬性

 Callback 屬性

 Checkboxes 屬性

 Creator 屬性

 Heading 屬性

 Icon 屬性

 Labels 屬性

 Mode 屬性

 Name 屬性

 Parent 屬性

 Private 屬性

 Text 屬性
Microsoft Office 物件模型


Microsoft Office 物件模型


Microsoft Office 物件模型
BalloonLabels 集合物件


Item 方法

 Update 方法
Application 屬性

 Count 屬性

 Creator 屬性

 Parent 屬性


AdaptiveMenu 屬性

 Application 屬性

 BuiltIn 屬性

 Context 屬性

 Controls 屬性

 Creator 屬性

 Enabled 屬性

 Height 屬性

 Id 屬性

 Index 屬性

 Left 屬性

 Name 屬性

 NameLocal 屬性

 Parent 屬性

 Position 屬性

 Protection 屬性

 RowIndex 屬性

 Top 屬性

 Type 屬性

 Visible 屬性

 Width 屬性
Microsoft Office 物件模型
CommandBars 集合物件


Click 事件
Copy 方法

 CopyFace 方法

 Delete 方法

 Execute 方法

 Move 方法

 PasteFace 方法

 Reset 方法

 SetFocus 方法
Application 屬性

 BeginGroup 屬性

 BuiltIn 屬性

 BuiltInFace 屬性

 Caption 屬性

 Creator 屬性

 DescriptionText 屬性

 Enabled 屬性

 FaceId 屬性

 Height 屬性

 HelpContextId 屬性

 HelpFile 屬性

 HyperlinkType 屬性

 Id 屬性

 Index 屬性

 IsPriorityDropped 屬性

 Left 屬性

 Mask 屬性

 OLEUsage 屬性

 OnAction 屬性

 Parameter 屬性

 Parent 屬性

 Picture 屬性

 Priority 屬性

 ShortcutText 屬性

 State 屬性

 Style 屬性

 Tag 屬性

 TooltipText 屬性

 Top 屬性

 Type 屬性

 Visible 屬性

 Width 屬性
Microsoft Office 物件模型


Change 事件
AddItem 方法

 Clear 方法

 Copy 方法

 Delete 方法

 Execute 方法

 Move 方法

 RemoveItem 方法

 Reset 方法

 SetFocus 方法
Application 屬性

 BeginGroup 屬性

 BuiltIn 屬性

 Caption 屬性

 Creator 屬性

 DescriptionText 屬性

 DropDownLines 屬性

 DropDownWidth 屬性

 Enabled 屬性

 Height 屬性

 HelpContextId 屬性

 HelpFile 屬性

 Id 屬性

 Index 屬性

 IsPriorityDropped 屬性

 Left 屬性

 List 屬性

 ListCount 屬性

 ListHeaderCount 屬性

 ListIndex 屬性

 OLEUsage 屬性

 OnAction 屬性

 Parameter 屬性

 Parent 屬性

 Priority 屬性

 Style 屬性

 Tag 屬性

 Text 屬性

 TooltipText 屬性

 Top 屬性

 Type 屬性

 Visible 屬性

 Width 屬性


Application 屬性

 BeginGroup 屬性

 BuiltIn 屬性

 Caption 屬性

 Creator 屬性

 DescriptionText 屬性

 Enabled 屬性

 Height 屬性

 HelpContextId 屬性

 HelpFile 屬性

 Id 屬性

 Index 屬性

 IsPriorityDropped 屬性

 Left 屬性

 OLEUsage 屬性

 OnAction 屬性

 Parameter 屬性

 Parent 屬性

 Priority 屬性

 Tag 屬性

 TooltipText 屬性

 Top 屬性

 Type 屬性

 Visible 屬性

 Width 屬性
Microsoft Office 物件模型
CommandBarControls 集合物件


Add 方法
Application 屬性

 Count 屬性

 Creator 屬性

 Item 屬性

 Parent 屬性
Microsoft Office 物件模型


Application 屬性

 BeginGroup 屬性

 BuiltIn 屬性

 Caption 屬性

 CommandBar 屬性

 Controls 屬性

 Creator 屬性

 DescriptionText 屬性

 Enabled 屬性

 Height 屬性

 HelpContextId 屬性

 HelpFile 屬性

 Id 屬性

 Index 屬性

 IsPriorityDropped 屬性

 Left 屬性

 OLEMenuGroup 屬性

 OLEUsage 屬性

 OnAction 屬性

 Parameter 屬性

 Parent 屬性

 Priority 屬性

 Tag 屬性

 TooltipText 屬性

 Top 屬性

 Type 屬性

 Visible 屬性

 Width 屬性
Microsoft Office 物件模型


OnUpdate 事件
Add 方法

 FindControl 方法

 FindControls 方法

 ReleaseFocus 方法
ActionControl 屬性

 ActiveMenuBar 屬性

 AdaptiveMenus 屬性

 Application 屬性

 Count 屬性

 Creator 屬性

 DisableAskAQuestionDropdown 屬性

 DisableCustomize 屬性

 DisplayFonts 屬性

 DisplayKeysInTooltips 屬性

 DisplayTooltips 屬性

 Item 屬性

 LargeButtons 屬性

 MenuAnimationStyle 屬性

 Parent 屬性
Microsoft Office 物件模型


Delete 方法
Application 屬性

 Creator 屬性

 LinkSource 屬性

 LinkToContent 屬性

 Name 屬性

 Parent 屬性

 Type 屬性

 Value 屬性
Microsoft Office 物件模型


AllowMultiSelect 屬性

 Application 屬性

 ButtonName 屬性

 Creator 屬性

 DialogType 屬性

 FilterIndex 屬性

 Filters 屬性

 InitialFileName 屬性

 InitialView 屬性

 Item 屬性

 Parent 屬性

 SelectedItems 屬性

 Title 屬性


Application 屬性

 Creator 屬性

 Description 屬性

 Extensions 屬性

 Parent 屬性
FileDialog 物件

 FileDialogFilters 集合

 FileDialogSelectedItems 集合


Add 方法

 Clear 方法

 Delete 方法

 Item 方法
Application 屬性

 Count 屬性

 Creator 屬性

 Parent 屬性
FileDialog 物件

 FileDialogFilter 物件

 FileDialogSelectedItems 集合


Item 方法


Application 屬性

 Creator 屬性

 FileName 屬性

 FileType 屬性

 FileTypes 屬性

 FoundFiles 屬性

 LastModified 屬性

 LookIn 屬性

 MatchAllWordForms 屬性

 MatchTextExactly 屬性

 PropertyTests 屬性

 SearchFolders 屬性

 SearchScopes 屬性

 SearchSubFolders 屬性

 TextOrProperty 屬性


Add 方法

 Remove 方法
Application 屬性

 Count 屬性

 Creator 屬性

 Item 屬性
FileName 屬性

 FileSearch 物件

 FileType 屬性

 FileTypes 屬性

 SearchFolders 集合

 SearchScopes 集合


Open 方法

 RefreshDocument 方法

 RefreshProject 方法
Application 屬性

 Creator 屬性

 HTMLProjectItems 屬性

 Parent 屬性

 State 屬性


LoadFromFile 方法

 Open 方法

 SaveCopyAs 方法
Application 屬性

 Creator 屬性

 IsOpen 屬性

 Name 屬性

 Parent 屬性

 Text 屬性


Application 屬性

 Creator 屬性

 LanguageID 屬性

 LanguagePreferredForEditing 屬性

 Parent 屬性


EnvelopeHide 事件

 EnvelopeShow 事件
CommandBars 屬性

 Introduction 屬性

 Item 屬性

 Parent 屬性


Add 方法

 Remove 方法
Application 屬性

 Creator 屬性


Application 屬性

 Creator 屬性

 Index 屬性

 Name 屬性

 Parent 屬性

 Value 屬性
ODSOColumns 物件

 ODSOFilter 物件

 ODSOFilters 物件

 OfficeDataSourceObject 物件


Application 屬性

 Column 屬性

 CompareTo 屬性

 Comparison 屬性

 Conjunction 屬性

 Creator 屬性

 Index 屬性

 Parent 屬性
ODSOColumn 物件

 ODSOColumns 物件

 ODSOFilters 物件

 OfficeDataSourceObject 物件


Add 方法

 Delete 方法

 Item 方法
Application 屬性

 Count 屬性

 Creator 屬性

 Parent 屬性
ODSOColumn 物件

 ODSOColumns 物件

 ODSOFilter 物件

 OfficeDataSourceObject 物件


ApplyFilter 方法

 Move 方法

 Open 方法

 SetSortOrder 方法
ODSOColumns 物件

 ODSOFilters 物件
Columns 屬性

 ConnectString 屬性

 DataSource 屬性

 Filters 屬性

 RowCount 屬性

 Table 屬性
ODSOColumn 物件

 ODSOColumns 物件

 ODSOFilter 物件

 ODSOFilters 物件


PropertyTests 集合


AddToSearchFolders 方法


Application 屬性

 Count 屬性

 Creator 屬性

 Item 屬性
FileSearch 物件

 SearchFolders 集合

 SearchScopes 集合


Delete 方法
Application 屬性

 Creator 屬性

 Extended 屬性

 Id 屬性

 Language 屬性

 Location 屬性

 Parent 屬性

 ScriptText 屬性

 Shape 屬性
Scripts 集合物件


Add 方法

 Delete 方法

 Item 方法
Application 屬性

 Count 屬性

 Creator 屬性

 Parent 屬性


Add 方法

 Remove 方法
Application 屬性

 Count 屬性

 Creator 屬性

 Item 屬性
FileSearch 物件

 FileTypes 集合

 LookIn 屬性

 ScopeFolder 物件

 ScopeFolders 集合

 SearchFolders 屬性

 SearchScopes 集合


Application 屬性

 Creator 屬性

 ScopeFolder 屬性

 Type 屬性
FileSearch 物件

 ScopeFolder 物件

 SearchScopes 集合


Delete 方法
Application 屬性

 AttachCertificate 屬性

 Creator 屬性

 ExpireDate 屬性

 IsCertificateExpired 屬性

 IsCertificateRevoked 屬性

 IsValid 屬性

 Issuer 屬性

 Parent 屬性

 SignDate 屬性

 Signer 屬性


Add 方法

 Commit 方法
Application 屬性

 Count 屬性

 Creator 屬性

 Item 屬性

 Parent 屬性


WebPageFonts 集合物件


Application 屬性

 Count 屬性

 Creator 屬性

 Item 屬性


新增加的事件

 新增加的方法

 新增加的屬性（依英文字母或中文字順序排列）

 新增加的屬性（依物件順序排列）

 Microsoft Office Developer 的新設定特性


FileDialog 物件


Assistant 物件

 Balloon 物件
Assistant 物件

 FileName 屬性

 Office 小幫手簡介

 Visible 屬性


AnswerWizard 物件

 AnswerWizardFiles 集合物件

 Assistant 物件

 Balloon 物件

 BalloonCheckBox 物件

 BalloonCheckboxes 集合物件

 BalloonLabel 物件

 BalloonLabels 集合物件

 COMAddIn 物件

 COMAddIns 集合物件

 CommandBar 物件

 CommandBarButton 物件

 CommandBarComboBox 物件

 CommandBarControl 物件

 CommandBarControls 集合物件

 CommandBarPopup 物件

 CommandBars 集合物件

 DocumentProperties 集合

 DocumentProperty 物件

 FileDialog 物件

 FileDialogFilter 物件

 FileDialogFilters 集合

 FileDialogSelectedItems 集合

 FileSearch 物件

 FileTypes 集合

 FoundFiles 物件

 HTMLProject 物件

 HTMLProjectItem 物件

 HTMLProjectItems 集合物件

 LanguageSettings 物件

 NewFile 物件

 ODSOColumn 物件

 ODSOColumns 物件

 ODSOFilter 物件

 ODSOFilters 物件

 PropertyTest 物件

 PropertyTests 集合

 ScopeFolder 物件

 ScopeFolders 集合

 Script 物件

 Scripts 集合物件

 SearchFolders 集合

 SearchScope 物件

 SearchScopes 集合

 Signature 物件

 SignatureSet 集合

 WebPageFont 物件

 WebPageFonts 集合物件


Signature 物件


使用命令列


CommandBar 物件

 CommandBarButton 物件

 CommandBarComboBox 物件

 CommandBarControl 物件

 CommandBarPopup 物件
CommandBar 物件

 CommandBarControl 物件

 FaceId 屬性

 PasteFace 方法

 使用命令列


CommandBarButton 物件

 CommandBarComboBox 物件

 CommandBarControl 物件

 CommandBarPopup 物件
CommandBarControl 物件

 DescriptionText 屬性

 Enabled 屬性

 TooltipText 屬性


BalloonCheckBox 物件


ODSOFilter 物件


CommandBarPopup 物件


MsoEnvelope 物件


PropertyTest 物件
NewSearch 方法


COMAddIn 物件


PropertyTest 物件


CommandBar 物件
新增和顯示快顯功能表

 新增和管理功能表列和功能表項目

 新增和修改工具列

 使用命令列
Context 屬性


AnswerWizardFiles 集合物件

 BalloonCheckboxes 集合物件

 BalloonLabels 集合物件

 COMAddIns 集合物件

 CommandBarControls 集合物件

 CommandBars 集合物件

 DocumentProperties 集合

 FileDialogFilters 集合

 FileDialogSelectedItems 集合

 FileTypes 集合

 FoundFiles 物件

 HTMLProjectItems 集合物件

 ODSOColumns 物件

 ODSOFilters 物件

 PropertyTests 集合

 ScopeFolders 集合

 Scripts 集合物件

 SearchFolders 集合

 SearchScopes 集合

 SignatureSet 集合

 WebPageFonts 集合物件


COMAddIn 物件

 FileDialogFilter 物件


CommandBarButton 物件

 CommandBarComboBox 物件

 CommandBarControl 物件

 CommandBarPopup 物件
Caption 屬性

 DisplayKeysInTooltips 屬性

 DisplayTooltips 屬性


CommandBar 物件

 CommandBarButton 物件

 CommandBarComboBox 物件

 CommandBarControl 物件

 CommandBarPopup 物件
新增和顯示快顯功能表

 新增和管理功能表列和功能表項目

 新增和修改工具列

 使用命令列


Script 物件


FileDialogFilter 物件


Assistant 物件

 FileSearch 物件
Animation 屬性

 Office 小幫手簡介

 使用 Office 小幫手


FileDialog 物件

 OfficeDataSourceObject 物件


WebPageFont 物件


Assistant 物件
Office 小幫手簡介


Controls 屬性


CommandBarButton 物件

 CommandBarComboBox 物件

 CommandBarControl 物件

 CommandBarPopup 物件
Help 方法

 HelpFile 屬性


CommandBarButton 物件

 CommandBarComboBox 物件

 CommandBarControl 物件

 CommandBarPopup 物件
Help 方法

 HelpContextId 屬性


CommandBar 物件

 CommandBarButton 物件

 CommandBarComboBox 物件

 CommandBarControl 物件

 CommandBarPopup 物件

 Script 物件


CommandBar 物件

 CommandBarButton 物件

 CommandBarComboBox 物件

 CommandBarControl 物件

 CommandBarPopup 物件

 ODSOColumn 物件

 ODSOFilter 物件


Signature 物件
IsCertificateRevoked 屬性


Signature 物件
IsCertificateExpired 屬性


AnswerWizardFiles 集合物件

 Assistant 物件

 BalloonCheckBox 物件

 BalloonCheckboxes 集合物件

 BalloonLabel 物件

 BalloonLabels 集合物件

 CommandBarControls 集合物件

 CommandBars 集合物件

 DocumentProperties 集合

 FileDialog 物件

 FileTypes 集合

 FoundFiles 物件

 MsoEnvelope 物件

 PropertyTests 集合

 ScopeFolders 集合

 SearchFolders 集合

 SearchScopes 集合

 SignatureSet 集合

 WebPageFonts 集合物件


LanguageSettings 物件


FileSearch 物件
NewSearch 方法


Top 屬性


DocumentProperty 物件
LinkToContent 屬性


DocumentProperty 物件
LinkSource 屬性


CommandBarButton 物件
Picture 屬性


Assistant 物件

 Balloon 物件

 BalloonCheckBox 物件

 BalloonCheckboxes 集合物件

 BalloonLabel 物件

 BalloonLabels 集合物件

 CommandBar 物件

 DocumentProperty 物件

 HTMLProjectItem 物件

 ODSOColumn 物件

 PropertyTest 物件

 ScopeFolder 物件
NameLocal 屬性


CommandBar 物件
Name 屬性


AnswerWizard 物件

 AnswerWizardFiles 集合物件

 Assistant 物件

 Balloon 物件

 BalloonCheckBox 物件

 BalloonCheckboxes 集合物件

 BalloonLabel 物件

 BalloonLabels 集合物件

 COMAddIn 物件

 COMAddIns 集合物件

 CommandBar 物件

 CommandBarButton 物件

 CommandBarComboBox 物件

 CommandBarControl 物件

 CommandBarControls 集合物件

 CommandBarPopup 物件

 CommandBars 集合物件

 DocumentProperties 集合

 DocumentProperty 物件

 FileDialog 物件

 FileDialogFilter 物件

 FileDialogFilters 集合

 FileDialogSelectedItems 集合

 HTMLProject 物件

 HTMLProjectItem 物件

 HTMLProjectItems 集合物件

 LanguageSettings 物件

 MsoEnvelope 物件

 ODSOColumn 物件

 ODSOColumns 物件

 ODSOFilter 物件

 ODSOFilters 物件

 Script 物件

 Scripts 集合物件

 Signature 物件

 SignatureSet 集合


ScopeFolder 物件


CommandBarButton 物件
Mask 屬性


SearchScope 物件


PropertyTest 物件
Value 屬性


CommandBarButton 物件
Office 小幫手簡介


CommandBarButton 物件

 HTMLProject 物件


CommandBarButton 物件

 CommandBarComboBox 物件


FindControl 方法


Balloon 物件

 BalloonCheckBox 物件

 BalloonLabel 物件

 CommandBarComboBox 物件

 HTMLProjectItem 物件
建立和修改汽球式說明

 Heading 屬性

 Office 小幫手簡介

 Show 方法


CommandBarButton 物件

 CommandBarComboBox 物件

 CommandBarControl 物件

 CommandBarPopup 物件
Caption 屬性

 DescriptionText 屬性


Left 屬性


DocumentProperty 物件

 ODSOColumn 物件

 PropertyTest 物件


Assistant 物件

 CommandBar 物件

 CommandBarButton 物件

 CommandBarComboBox 物件

 CommandBarControl 物件

 CommandBarPopup 物件
Office 小幫手簡介

 使用 Office 小幫手


新增加的事件

 新增加的方法

 新增加的物件

 新增加的屬性（依物件順序排列）

 Microsoft Office Developer 的新設定特性


新增加的事件

 新增加的方法

 新增加的物件

 新增加的屬性（依英文字母或中文字順序排列）

 Microsoft Office Developer 的新設定特性


Height 屬性


建立和修改汽球式說明

 命令列概觀

 Office 小幫手簡介

 使用命令列

 使用 Office 小幫手


INDEX~TEXT
seealso~"請參見"
appliesto~"套用至"
elements~"元素"
properties~"屬性"
methods~"方法"
events~"事件"
example~"範例"
specifics~"特定"
show~"顯示描述"
hide~"隱藏描述"